## Queries List
This page contains all queries.

|            Query            |Platform|Severity|Category|Description|Help|
|-----------------------------|---|---|---|---|---|
|Public Storage Account<br/><sup><sub>35e2f133-a395-40de-a79d-b260d973d1bd</sub></sup>|Ansible|<span style="color:#C00">High</span>|Access Control|Check if 'network_acls' is open to public.|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_storageaccount_module.html#parameter-network_acls">Documentation</a><br/>|
|Trusted Microsoft Services Not Enabled<br/><sup><sub>1bc398a8-d274-47de-a4c8-6ac867b353de</sub></sup>|Ansible|<span style="color:#C00">High</span>|Access Control|Ensure Trusted Microsoft Services have Storage Account access.|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_storageaccount_module.html#parameter-network_acls/bypass">Documentation</a><br/>|
|Admin User Enabled For Container Registry<br/><sup><sub>29f35127-98e6-43af-8ec1-201b79f99604</sub></sup>|Ansible|<span style="color:#C00">High</span>|Access Control|Admin user is enabled for Container Registry|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_containerregistry_module.html">Documentation</a><br/>|
|Storage Container Is Publicly Accessible<br/><sup><sub>4d3817db-dd35-4de4-a80d-3867157e7f7f</sub></sup>|Ansible|<span style="color:#C00">High</span>|Access Control|Anonymous, public read access to a container and its blobs are enabled in Azure Blob Storage|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_storageblob_module.html#parameter-public_access">Documentation</a><br/>|
|SSL Enforce Disabled<br/><sup><sub>961ce567-a16d-4d7d-9027-f0ec2628a555</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|Make sure that for PosgreSQL, the 'Enforce SSL connection' is set to 'ENABLED'|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_postgresqlserver_module.html#parameter-enforce_ssl">Documentation</a><br/>|
|MySQL SSL Connection Disabled<br/><sup><sub>2a901825-0f3b-4655-a0fe-e0470e50f8e6</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|Make sure that for MySQL Database Server, 'Enforce SSL connection' is enabled|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_mysqlserver_module.html">Documentation</a><br/>|
|Storage Account Not Forcing HTTPS<br/><sup><sub>2c99a474-2a3c-4c17-8294-53ffa5ed0522</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|See that Storage Accounts forces the use of HTTPS|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_storageaccount_module.html#parameter-https_only">Documentation</a><br/>|
|Azure Container Registry With No Locks<br/><sup><sub>581dae78-307d-45d5-aae4-fe2b0db267a5</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|Azurerm Container Registry should contain associated locks through 'azure_rm_lock.managed_resource_id' or 'azure_rm_lock.resource_group' association|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_lock_module.html">Documentation</a><br/>|
|Web App Accepting Traffic Other Than HTTPS<br/><sup><sub>eb8c2560-8bee-4248-9d0d-e80c8641dd91</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|Web app should only accept HTTPS traffic in Azure Web App Service.|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_webapp_module.html#parameter-https_only">Documentation</a><br/>|
|VM Not Attached To Network<br/><sup><sub>1e5f5307-3e01-438d-8da6-985307ed25ce</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|No Network Security Group is attached to the Virtual Machine|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_virtualmachine_module.html#parameter-network_interface_names">Documentation</a><br/>|
|AD Admin Not Configured For SQL Server<br/><sup><sub>b176e927-bbe2-44a6-a9c3-041417137e5f</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|The Active Directory Administrator is not configured for a SQL server|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_sqlserver_module.html#parameter-ad_user">Documentation</a><br/>|
|SQLServer Ingress From Any IP<br/><sup><sub>f4e9ff70-0f3b-4c50-a713-26cbe7ec4039</sub></sup>|Ansible|<span style="color:#C00">High</span>|Networking and Firewall|Check if all IPs are allowed, check from start 0.0.0.0 to end 255.255.255.255.|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_sqlfirewallrule_module.html">Documentation</a><br/>|
|Redis Entirely Accessible<br/><sup><sub>0d0c12b9-edce-4510-9065-13f6a758750c</sub></sup>|Ansible|<span style="color:#C00">High</span>|Networking and Firewall|Firewall rule allowing unrestricted access to Redis from the Internet|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_rediscachefirewallrule_module.html#parameter-start_ip_address">Documentation</a><br/>|
|Sensitive Port Is Exposed To Entire Network<br/><sup><sub>0ac9abbc-6d7a-41cf-af23-2e57ddb3dbfc</sub></sup>|Ansible|<span style="color:#C00">High</span>|Networking and Firewall|A sensitive port, such as port 23 or port 110, is open for the whole network in either TCP or UDP protocol|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_securitygroup_module.html#parameter-rules">Documentation</a><br/>|
|CosmosDB Account IP Range Filter Not Set<br/><sup><sub>e8c80448-31d8-4755-85fc-6dbab69c2717</sub></sup>|Ansible|<span style="color:#C00">High</span>|Networking and Firewall|The IP range filter should be defined|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_cosmosdbaccount_module.html#parameter-ip_range_filter">Documentation</a><br/>|
|Redis Publicly Accessible<br/><sup><sub>0632d0db-9190-450a-8bb3-c283bffea445</sub></sup>|Ansible|<span style="color:#C00">High</span>|Networking and Firewall|Firewall rule allowing unrestricted access to Redis from other Azure sources|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_rediscachefirewallrule_module.html#parameter-start_ip_address">Documentation</a><br/>|
|AKS RBAC Disabled<br/><sup><sub>149fa56c-4404-4f90-9e25-d34b676d5b39</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Access Control|Azure Container Service (AKS) instance should have role-based access control (RBAC) enabled|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_aks_module.html">Documentation</a><br/>|
|Key Vault Soft Delete Is Disabled<br/><sup><sub>881696a8-68c5-4073-85bc-7c38a3deb854</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Backup|Make sure Soft Delete is enabled for Key Vault|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_keyvault_module.html#parameter-enable_soft_delete">Documentation</a><br/>|
|SQL Server Predictable Active Directory Account Name<br/><sup><sub>530e8291-2f22-4bab-b7ea-306f1bc2a308</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Best Practices|Azure SQL Server must avoid using predictable Active Directory Administrator Account names, like 'Admin', which means the attribute 'ad_user' must be set to a name that is not easy to predict|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_adserviceprincipal_module.html">Documentation</a><br/>|
|Unrestricted SQL Server Access<br/><sup><sub>3f23c96c-f9f5-488d-9b17-605b8da5842f</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Best Practices|Azure SQL Server Accessibility should be set to a minimal address range, which means the difference between the values of the 'end_ip_address' and 'start_ip_address' must be lesser than 256. Additionally, both ips must be different from '0.0.0.0'|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_sqlfirewallrule_module.html">Documentation</a><br/>|
|SQL Server Predictable Admin Account Name<br/><sup><sub>663062e9-473d-4e87-99bc-6f3684b3df40</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Best Practices|Azure SQL Server's Admin account login must avoid using names like 'Admin', that are too predictable, which means the attribute 'admin_username' must be set to a name that is not easy to predict|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_sqlserver_module.html">Documentation</a><br/>|
|Cosmos DB Account Without Tags<br/><sup><sub>23a4dc83-4959-4d99-8056-8e051a82bc1e</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Build Process|Cosmos DB Account must have a mapping of tags.|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_cosmosdbaccount_module.html">Documentation</a><br/>|
|Storage Account Not Using Latest TLS Encryption Version<br/><sup><sub>c62746cf-92d5-4649-9acf-7d48d086f2ee</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Encryption|Ensure Storage Account is using the latest version of TLS encryption|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_storageaccount_module.html#parameter-minimum_tls_version">Documentation</a><br/>|
|Security Group is Not Configured<br/><sup><sub>da4f2739-174f-4cdd-b9ef-dc3f14b5931f</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Insecure Configurations|Azure Virtual Network subnet must be configured with a Network Security Group, which means the attribute 'security_group' must be defined and not empty|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_subnet_module.html">Documentation</a><br/>|
|AKS Network Policy Misconfigured<br/><sup><sub>8c3bedf1-c570-4c3b-b414-d068cd39a00c</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Insecure Configurations|Azure Kubernetes Service should have the proper network policy configuration|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_aks_module.html#parameter-network_profile/network_policy">Documentation</a><br/>|
|Redis Cache Allows Non SSL Connections<br/><sup><sub>869e7fb4-30f0-4bdb-b360-ad548f337f2f</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if any Redis Cache resource allows non-SSL connections.|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_rediscache_module.html">Documentation</a><br/>|
|Default Network Access is Allowed<br/><sup><sub>974e6fe7-63fd-4fa4-aa72-77b21a4a959d</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Insecure Defaults|Default Network Access rule for Storage Accounts must be set to deny, which means the attribute 'default_action' must be 'Deny'|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_storageaccount_module.html">Documentation</a><br/>|
|WAF Is Disabled For Azure Application Gateway<br/><sup><sub>2fc5ab5a-c5eb-4ae4-b687-0f16fe77c255</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if Web Application Firewall is disabled or not configured for Azure's Application Gateway.|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_appgateway_module.html">Documentation</a><br/>|
|Firewall Rule Allows Too Many Hosts To Access Redis Cache<br/><sup><sub>69f72007-502e-457b-bd2d-5012e31ac049</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if any firewall rule allows too many hosts to access Redis Cache.|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_rediscachefirewallrule_module.html">Documentation</a><br/>|
|PostgreSQL Log Connections Not Set<br/><sup><sub>7b47138f-ec0e-47dc-8516-e7728fe3cc17</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Observability|Make sure that for PostgreSQL Database, server parameter 'log_connections' is set to 'ON'|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_postgresqlconfiguration_module.html">Documentation</a><br/>|
|Monitoring Log Profile Without All Activities<br/><sup><sub>89f84a1e-75f8-47c5-83b5-bee8e2de4168</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Observability|Monitoring log profile captures all the activities (Action, Write, Delete)|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_monitorlogprofile_module.html">Documentation</a><br/>|
|PostgreSQL Log Duration Not Set<br/><sup><sub>729ebb15-8060-40f7-9017-cb72676a5487</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Observability|Make sure that for PostgreSQL Database, server parameter 'log_duration' is set to 'ON'|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_postgresqlconfiguration_module.html">Documentation</a><br/>|
|PostgreSQL Server Without Connection Throttling<br/><sup><sub>a9becca7-892a-4af7-b9e1-44bf20a4cd9a</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Observability|Ensure that Connection Throttling is set for the PostgreSQL server|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_postgresqlconfiguration_module.html">Documentation</a><br/>|
|AKS Monitoring Logging Disabled<br/><sup><sub>d5e83b32-56dd-4247-8c2e-074f43b38a5e</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Observability|Azure Container Service (AKS) instance should have logging enabled to Azure Monitoring|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_aks_module.html">Documentation</a><br/>|
|Log Retention Is Not Set<br/><sup><sub>0461b4fd-21ef-4687-929e-484ee4796785</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Observability|Make sure that for PostgreSQL Database, server parameter 'log_retention' is set to 'ON'|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_postgresqlconfiguration_module.html">Documentation</a><br/>|
|Small Activity Log Retention Period<br/><sup><sub>37fafbea-dedb-4e0d-852e-d16ee0589326</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Observability|Ensure that Activity Log Retention is set 365 days or greater|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_monitorlogprofile_module.html">Documentation</a><br/>|
|PostgreSQL Log Checkpoints Disabled<br/><sup><sub>7ab33ac0-e4a3-418f-a673-50da4e34df21</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Observability|Make sure that for Postgre SQL Database Server, parameter 'log_checkpoints' is set to 'ON'|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_postgresqlconfiguration_module.html">Documentation</a><br/>|
|PostgreSQL Log Disconnections Not Set<br/><sup><sub>054d07b5-941b-4c28-8eef-18989dc62323</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Observability|Make sure that for PostgreSQL Database, server parameter 'log_disconnections' is set to 'ON'|<a href="https://docs.ansible.com/ansible/latest/collections/azure/azcollection/azure_rm_postgresqlconfiguration_module.html">Documentation</a><br/>|
|ECS Service Admin Role is Present<br/><sup><sub>7db727c1-1720-468e-b80e-06697f71e09e</sub></sup>|Ansible|<span style="color:#C00">High</span>|Access Control|ECS Services must not have Admin roles, which means the attribute 'role' must not be an admin role|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/ecs_service_module.html">Documentation</a><br/>|
|S3 Bucket ACL Allows Read to All Users<br/><sup><sub>a1ef9d2e-4163-40cb-bd92-04f0d602a15d</sub></sup>|Ansible|<span style="color:#C00">High</span>|Access Control|It's not recommended to allow read access for all user groups.|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/aws_s3_module.html#parameter-permission">Documentation</a><br/>|
|S3 Bucket Allows List Action From All Principals<br/><sup><sub>d395a950-12ce-4314-a742-ac5a785ab44e</sub></sup>|Ansible|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow List Action From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion.|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/s3_bucket_module.html">Documentation</a><br/>|
|SQS Queue Exposed<br/><sup><sub>86b0efa7-4901-4edd-a37a-c034bec6645a</sub></sup>|Ansible|<span style="color:#C00">High</span>|Access Control|Checks if the SQS Queue is exposed|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/sqs_queue_module.html#parameter-policy">Documentation</a><br/>|
|IAM Policies With Full Privileges<br/><sup><sub>e401d614-8026-4f4b-9af9-75d1197461ba</sub></sup>|Ansible|<span style="color:#C00">High</span>|Access Control|IAM policies that allow full administrative privileges (for all resources)|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/iam_managed_policy_module.html">Documentation</a><br/>|
|S3 Bucket Allows Delete Action From All Principals<br/><sup><sub>6fa44721-ef21-41c6-8665-330d59461163</sub></sup>|Ansible|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow Delete Action From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion.|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/s3_bucket_module.html">Documentation</a><br/>|
|S3 Bucket Allows Get Action From All Principals<br/><sup><sub>53bce6a8-5492-4b1b-81cf-664385f0c4bf</sub></sup>|Ansible|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow Get Action From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion.|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/s3_bucket_module.html">Documentation</a><br/>|
|DB Instance Publicly Accessible<br/><sup><sub>c09e3ca5-f08a-4717-9c87-3919c5e6d209</sub></sup>|Ansible|<span style="color:#C00">High</span>|Access Control|The field 'publicly_accessible' should not be set to 'true' (default is 'false').|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/rds_instance_module.html#parameter-auto_minor_version_upgrade">Documentation</a><br/>|
|S3 Bucket Access to Any Principal<br/><sup><sub>3ab1f27d-52cc-4943-af1d-43c1939e739a</sub></sup>|Ansible|<span style="color:#C00">High</span>|Access Control|Checks if the S3 bucket is accessible for all users|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/s3_bucket_module.html#ansible-collections-amazon-aws-s3-bucket-module">Documentation</a><br/>|
|S3 Bucket Allows WriteACP Action From All Principals<br/><sup><sub>7529b8d2-55d7-44d2-b1cd-d7d2984a2a81</sub></sup>|Ansible|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow Write_ACP Action From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion. This means the 'Effect' must not be 'Allow' when the 'Action' is Write_ACP, for all Principals.|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/s3_bucket_module.html">Documentation</a><br/>|
|S3 Bucket ACL Allows Read to Any Authenticated User<br/><sup><sub>75480b31-f349-4b9a-861f-bce19588e674</sub></sup>|Ansible|<span style="color:#C00">High</span>|Access Control|Misconfigured S3 buckets can leak private information to the entire internet or allow unauthorized data tampering / deletion|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/aws_s3_module.html#parameter-permission">Documentation</a><br/>|
|S3 Bucket Allows Put Action From All Principals<br/><sup><sub>a0f1bfe0-741e-473f-b3b2-13e66f856fab</sub></sup>|Ansible|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow Put Action From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion.|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/s3_bucket_module.html">Documentation</a><br/>|
|S3 Bucket With All Permissions<br/><sup><sub>6a6d7e56-c913-4549-b5c5-5221e624d2ec</sub></sup>|Ansible|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not have all permissions, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/s3_bucket_module.html#parameter-policy">Documentation</a><br/>|
|CloudTrail Log Files Not Encrypted<br/><sup><sub>f5587077-3f57-4370-9b4e-4eb5b1bac85b</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|CloudTrail Log Files should be encrypted with Key Management Service (KMS)|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/cloudtrail_module.html">Documentation</a><br/>|
|Memcached Disabled<br/><sup><sub>2d55ef88-b616-4890-b822-47f280763e89</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|Check if the Memcached is disabled on the ElastiCache|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/elasticache_module.html#parameter-engine">Documentation</a><br/>|
|Launch Configuration Is Not Encrypted<br/><sup><sub>66477506-6abb-49ed-803d-3fa174cd5f6a</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|AWS Autoscaling Launch Configurations should have encryption enabled|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/ec2_lc_module.html">Documentation</a><br/>|
|S3 Bucket Without Server-side-encryption<br/><sup><sub>594f54e7-f744-45ab-93e4-c6dbaf6cd571</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|AWS S3 Storage should be protected with SSE (Server-Side Encryption)|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/s3_bucket_module.html">Documentation</a><br/>|
|IAM Database Auth Not Enabled<br/><sup><sub>0ed012a4-9199-43d2-b9e4-9bd049a48aa4</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|IAM Database Auth Enabled must be configured to true|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/rds_instance_module.html">Documentation</a><br/>|
|S3 Bucket SSE Disabled<br/><sup><sub>309edc5b-5a59-42b4-a357-d4d098311fd4</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|If algorithm is AES256 then the master key is null, empty or undefined, otherwise the master key is required|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/s3_bucket_module.html#parameter-encryption_key_id">Documentation</a><br/>|
|Kinesis Not Encrypted With KMS<br/><sup><sub>f2ea6481-1d31-4d40-946a-520dc6321dd7</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|AWS Kinesis Streams and metadata should be protected with KMS|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/kinesis_stream_module.html">Documentation</a><br/>|
|ELB Using Weak Ciphers<br/><sup><sub>2034fb37-bc23-4ca0-8d95-2b9f15829ab5</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|ELB Predefined or Custom Security Policies must not use weak ciphers, to reduce the risk of the SSL connection between the client and the load balancer being exploited. That means the 'SslPolicy' of 'listeners' must not coincide with any of a predefined list of weak ciphers.|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/elb_application_lb_module.html">Documentation</a><br/>|
|User Data Contains Encoded Private Key<br/><sup><sub>c09f4d3e-27d2-4d46-9453-abbe9687a64e</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|User Data contains an encoded RSA Private Key|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/ec2_lc_module.html">Documentation</a><br/>|
|EFS Without KMS<br/><sup><sub>bd77554e-f138-40c5-91b2-2a09f878608e</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|Elastic File System (EFS) must have KMS Key ID|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/efs_module.html#parameter-kms_key_id">Documentation</a><br/>|
|Secure Ciphers Disabled<br/><sup><sub>218413a0-c716-4b94-9e08-0bb70d854709</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|Check if secure ciphers aren't used in CloudFront|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/cloudfront_distribution_module.html">Documentation</a><br/>|
|ELB Using Insecure Protocols<br/><sup><sub>730a5951-2760-407a-b032-dd629b55c23a</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|ELB Predefined or Custom Security Policies must not use weak ciphers, to reduce the risk of the SSL connection between the client and the load balancer being exploited. That means the 'SslPolicy' of 'listeners' must not coincide with any of a predefined list of insecure protocols.|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/elb_application_lb_module.html">Documentation</a><br/>|
|Automatic Minor Upgrades Disabled<br/><sup><sub>857f8808-e96a-4ba8-a9b7-f2d4ec6cad94</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|RDS instance auto minor version upgrade feature must be true|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/rds_instance_module.html#parameter-auto_minor_version_upgrade">Documentation</a><br/>|
|AMI Not Encrypted<br/><sup><sub>97707503-a22c-4cd7-b7c0-f088fa7cf830</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|AWS AMI Encryption is not enabled|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/ec2_ami_module.html">Documentation</a><br/>|
|ECS Task Definition Container With Plaintext Password<br/><sup><sub>7fdc2bf3-6bc0-4cb3-84c5-cfd041c0f892</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|It's not recommended to use plaintext environment variables for sensitive information, such as credential data.|<a href="https://docs.aws.amazon.com/AmazonECS/latest/developerguide/task_definition_parameters.html#container_definition_environment">Documentation</a><br/>|
|EFS Not Encrypted<br/><sup><sub>727c4fd4-d604-4df6-a179-7713d3c85e20</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|Elastic File System (EFS) must be encrypted|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/efs_module.html#parameter-encrypt">Documentation</a><br/>|
|Viewer Protocol Policy Allows HTTP<br/><sup><sub>a6d27cf7-61dc-4bde-ae08-3b353b609f76</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|Checks if the connection between the CloudFront and the origin server is encrypted|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/cloudfront_distribution_module.html">Documentation</a><br/>|
|DB Instance Storage Not Encrypted<br/><sup><sub>7dfb316c-a6c2-454d-b8a2-97f147b0c0ff</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|The parameter storage_encrypted in aws_db_instance must be set to 'true' (the default is 'false').|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/rds_instance_module.html">Documentation</a><br/>|
|User Data Shell Script Is Encoded<br/><sup><sub>1e2341ba-a5cf-4f0a-a5f6-47e90c68ea89</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|User Data Shell Script must be encoded|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/ec2_lc_module.html">Documentation</a><br/>|
|Redshift Not Encrypted<br/><sup><sub>6a647814-def5-4b85-88f5-897c19f509cd</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|Check if 'encrypted' field is false or undefined (default is false)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/redshift_cluster#encrypted">Documentation</a><br/>|
|CA Certificate Identifier Is Outdated<br/><sup><sub>5eccd62d-8b4d-46d3-83ea-1879f3cbd3ce</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|The CA certificate Identifier must be 'rds-ca-2019'.|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/rds_instance_module.html#parameter-ca_certificate_identifier">Documentation</a><br/>|
|Redis Not Compliant<br/><sup><sub>9f34885e-c08f-4d13-a7d1-cf190c5bd268</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|Check if the redis version is compliant with the necessary AWS PCI DSS requirements|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/elasticache_module.html#parameter-cache_engine_version">Documentation</a><br/>|
|S3 Bucket with Unsecured CORS Rule<br/><sup><sub>3505094c-f77c-4ba0-95da-f83db712f86c</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|If the CORS (Cross-Origin Resource Sharing) rule is defined in an S3 bucket, it should be secure|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/aws_s3_cors_module.html#parameter-rules">Documentation</a><br/>|
|Redshift Publicly Accessible<br/><sup><sub>5c6b727b-1382-4629-8ba9-abd1365e5610</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|Check if 'publicly_accessible' field is true (default is false)|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/redshift_module.html">Documentation</a><br/>|
|Root Account Has Active Access Keys<br/><sup><sub>e71d0bc7-d9e8-4e6e-ae90-0a4206db6f40</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|The AWS Root Account must not have active access keys associated, which means if there are access keys associated to the Root Account, they must be inactive.|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/iam_module.html">Documentation</a><br/>|
|CloudFront Without Minimum Protocol TLS 1.2<br/><sup><sub>d0c13053-d2c8-44a6-95da-d592996e9e67</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|CloudFront Minimum Protocol version should be at least TLS 1.2|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/cloudfront_distribution_module.html#parameter-viewer_certificate/minimum_protocol_version">Documentation</a><br/>|
|EC2 Group Has Public Interface<br/><sup><sub>5330b503-3319-44ff-9b1c-00ee873f728a</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|The CIDR IP should not be a public interface|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/ec2_group_module.html">Documentation</a><br/>|
|Batch Job Definition With Privileged Container Properties<br/><sup><sub>defe5b18-978d-4722-9325-4d1975d3699f</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|Batch Job Definition should not have Privileged Container Properties|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/aws_batch_job_definition_module.html">Documentation</a><br/>|
|ECS Task Definition Network Mode Not Recommended<br/><sup><sub>01aec7c2-3e4d-4274-ae47-2b8fea22fd1f</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|Network_Mode should be 'awsvpc' in ecs_task_definition. AWS VPCs provides the controls to facilitate a formal process for approving and testing all network connections and changes to the firewall and router configurations|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/ecs_taskdefinition_module.html#parameter-network_mode">Documentation</a><br/>|
|KMS Key With Vulnerable Policy<br/><sup><sub>5b9d237a-57d5-4177-be0e-71434b0fef47</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|Checks if the policy is vulnerable and needs updating.|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/aws_kms_module.html">Documentation</a><br/>|
|Vulnerable Default SSL Certificate<br/><sup><sub>fb8f8929-afeb-4c46-99f0-a6cf410f7df4</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Defaults|CloudFront web distributions should use custom (and not default) SSL certificates. Custom SSL certificates allow only defined users to access content by using an alternate domain name instead of the default one.|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/cloudfront_distribution_module.html">Documentation</a><br/>|
|Remote Desktop Port Open<br/><sup><sub>eda7301d-1f3e-47cf-8d4e-976debc64341</sub></sup>|Ansible|<span style="color:#C00">High</span>|Networking and Firewall|The Remote Desktop port is open in a Security Group|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/ec2_group_module.html#ansible-collections-amazon-aws-ec2-group-module">Documentation</a><br/>|
|Public Port Wide<br/><sup><sub>71ea648a-d31a-4b5a-a589-5674243f1c33</sub></sup>|Ansible|<span style="color:#C00">High</span>|Networking and Firewall|AWS Security Group should not have public port wide|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/ec2_group_module.html">Documentation</a><br/>|
|Default Security Groups With Unrestricted Traffic<br/><sup><sub>8010e17a-00e9-4635-a692-90d6bcec68bd</sub></sup>|Ansible|<span style="color:#C00">High</span>|Networking and Firewall|Check if default security group does not restrict all inbound and outbound traffic.|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/ec2_group_module.html">Documentation</a><br/>|
|Unrestricted Security Group Ingress<br/><sup><sub>83c5fa4c-e098-48fc-84ee-0a537287ddd2</sub></sup>|Ansible|<span style="color:#C00">High</span>|Networking and Firewall|Security groups allow ingress from 0.0.0.0/0|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/ec2_group_module.html">Documentation</a><br/>|
|HTTP Port Open<br/><sup><sub>a14ad534-acbe-4a8e-9404-2f7e1045646e</sub></sup>|Ansible|<span style="color:#C00">High</span>|Networking and Firewall|The HTTP port is open in a Security Group|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/ec2_group_module.html#ansible-collections-amazon-aws-ec2-group-module">Documentation</a><br/>|
|DB Security Group Open To Large Scope<br/><sup><sub>ea0ed1c7-9aef-4464-b7c7-94c762da3640</sub></sup>|Ansible|<span style="color:#C00">High</span>|Networking and Firewall|The IP address in a DB Security Group must not have more than 256 hosts.|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/ec2_group_module.html#ansible-collections-amazon-aws-ec2-group-module">Documentation</a><br/>|
|ALB Listening on HTTP<br/><sup><sub>f81d63d2-c5d7-43a4-a5b5-66717a41c895</sub></sup>|Ansible|<span style="color:#C00">High</span>|Networking and Firewall|AWS Application Load Balancer (alb) should not listen on HTTP|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/elb_application_lb_module.html">Documentation</a><br/>|
|DB Security Group With Public Scope<br/><sup><sub>0956aedf-6a7a-478b-ab56-63e2b19923ad</sub></sup>|Ansible|<span style="color:#C00">High</span>|Networking and Firewall|The IP address in a DB Security Group must not be '0.0.0.0/0' (IPv4) or '::/0' (IPv6).|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/ec2_group_module.html">Documentation</a><br/>|
|RDS Associated with Public Subnet<br/><sup><sub>16732649-4ff6-4cd2-8746-e72c13fae4b8</sub></sup>|Ansible|<span style="color:#C00">High</span>|Networking and Firewall|RDS should not run in public subnet|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/rds_instance_module.html#parameter-db_subnet_group_name">Documentation</a><br/>|
|EC2 Instance Has Public IP<br/><sup><sub>a8b0c58b-cd25-4b53-9ad0-55bca0be0bc1</sub></sup>|Ansible|<span style="color:#C00">High</span>|Networking and Firewall|EC2 Instance should not have a public IP address.|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/ec2_module.html#parameter-assign_public_ip">Documentation</a><br/>|
|Unknown Port Exposed To Internet<br/><sup><sub>722b0f24-5a64-4cca-aa96-cfc26b7e3a5b</sub></sup>|Ansible|<span style="color:#C00">High</span>|Networking and Firewall|AWS Security Group should not have an unknown port exposed to the entire Internet|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/ec2_group_module.html">Documentation</a><br/>|
|Security Group With Unrestricted Access To SSH<br/><sup><sub>57ced4b9-6ba4-487b-8843-b65562b90c77</sub></sup>|Ansible|<span style="color:#C00">High</span>|Networking and Firewall|SSH' (TCP:22) should not be public in AWS Security Group|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/ec2_group_module.html">Documentation</a><br/>|
|Security Group Ingress Not Restricted<br/><sup><sub>ea6bc7a6-d696-4dcf-a788-17fa03c17c81</sub></sup>|Ansible|<span style="color:#C00">High</span>|Networking and Firewall|AWS Security Group should restrict ingress access|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/ec2_group_module.html">Documentation</a><br/>|
|Route53 Record Undefined<br/><sup><sub>445dce51-7e53-4e50-80ef-7f94f14169e4</sub></sup>|Ansible|<span style="color:#C00">High</span>|Networking and Firewall|Route53 Record should have a list of records|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/route53_module.html#parameter-value">Documentation</a><br/>|
|CMK Rotation Disabled<br/><sup><sub>af96d737-0818-4162-8c41-40d969bd65d1</sub></sup>|Ansible|<span style="color:#C00">High</span>|Observability|Customer Master Keys (CMK) must have rotation enabled, which means the attribute 'enable_key_rotation' must be set to 'true' when the key is enabled.|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/aws_kms_module.html#parameter-enable_key_rotation">Documentation</a><br/>|
|CloudTrail Logging Disabled<br/><sup><sub>d4a73c49-cbaa-4c6f-80ee-d6ef5a3a26f5</sub></sup>|Ansible|<span style="color:#C00">High</span>|Observability|Checks if logging is enabled for CloudTrail.|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/cloudtrail_module.html#parameter-enable_logging">Documentation</a><br/>|
|Configuration Aggregator to All Regions Disabled<br/><sup><sub>a2fdf451-89dd-451e-af92-bf6c0f4bab96</sub></sup>|Ansible|<span style="color:#C00">High</span>|Observability|AWS Config Configuration Aggregator All Regions must be set to True|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/aws_config_aggregator_module.html#parameter-organization_source">Documentation</a><br/>|
|SES Policy With Allowed IAM Actions<br/><sup><sub>8ed0bfce-f780-46d4-b086-21c3628f09ad</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Access Control|SES policy should not allow IAM actions to all principals|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/aws_ses_identity_policy_module.html#parameter-policy">Documentation</a><br/>|
|Cross-Account IAM Assume Role Policy Without ExternalId or MFA<br/><sup><sub>af167837-9636-4086-b815-c239186b9dda</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Access Control|Cross-Account IAM Assume Role Policy should require external ID or MFA to protect cross-account access|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/iam_role_module.html#parameter-assume_role_policy_document">Documentation</a><br/>|
|SQS Policy With Public Access<br/><sup><sub>d994585f-defb-4b51-b6d2-c70f020ceb10</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Access Control|SQS policy with public access|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/sqs_queue_module.html">Documentation</a><br/>|
|SNS Topic is Publicly Accessible For Subscription<br/><sup><sub>905f4741-f965-45c1-98db-f7a00a0e5c73</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Access Control|This query checks if SNS Topic is Accessible For Subscription|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/sns_topic_module.html">Documentation</a><br/>|
|IAM Access Key Is Exposed<br/><sup><sub>7f79f858-fbe8-4186-8a2c-dfd0d958a40f</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Access Control|Check if IAM Access Key is active for some user besides 'root'|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/iam_module.html">Documentation</a><br/>|
|ECR Repository Is Publicly Accessible<br/><sup><sub>fb5a5df7-6d74-4243-ab82-ff779a958bfd</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Access Control|Amazon ECR image repositories shouldn't have public access|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/ecs_ecr_module.html#parameter-policy">Documentation</a><br/>|
|API Gateway Without Configured Authorizer<br/><sup><sub>b16cdb37-ce15-4ab2-8401-d42b05d123fc</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Access Control|API Gateway REST API should have an API Gateway Authorizer|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/aws_api_gateway_module.html">Documentation</a><br/>|
|AMI Shared With Multiple Accounts<br/><sup><sub>a19b2942-142e-4e2b-93b7-6cf6a6c8d90f</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Access Control|Limits access to AWS AMIs by checking if more than one account is using the same image|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/ec2_ami_module.html">Documentation</a><br/>|
|Public Lambda via API Gateway<br/><sup><sub>5e92d816-2177-4083-85b4-f61b4f7176d9</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Access Control|Allowing to run lambda function using public API Gateway|<a href="https://docs.ansible.com/ansible/2.4/lambda_policy_module.html">Documentation</a><br/>|
|Lambda Permission Principal Is Wildcard<br/><sup><sub>1d972c56-8ec2-48c1-a578-887adb09c57a</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Access Control|Lambda Permission Principal should not contain a wildcard.|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/lambda_policy_module.html">Documentation</a><br/>|
|IAM Policy Grants Full Permissions<br/><sup><sub>b5ed026d-a772-4f07-97f9-664ba0b116f8</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Access Control|IAM policies allow all ('*') in a statement action|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/iam_managed_policy_module.html">Documentation</a><br/>|
|SQS Policy Allows All Actions<br/><sup><sub>ed9b3beb-92cf-44d9-a9d2-171eeba569d4</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Access Control|SQS policy allows ALL (*) actions|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/sqs_queue_module.html">Documentation</a><br/>|
|Certificate Has Expired<br/><sup><sub>5a443297-19d4-4381-9e5b-24faf947ec22</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Access Control|Expired SSL/TLS certificates should be removed|<a href="https://docs.ansible.com/ansible/2.10/collections/community/aws/aws_acm_module.html">Documentation</a><br/>|
|S3 Bucket With Public Access<br/><sup><sub>c3e073c1-f65e-4d18-bd67-4a8f20ad1ab9</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Access Control|S3 Bucket allows public access|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/aws_s3_module.html#parameter-permission">Documentation</a><br/>|
|ECS Service Without Running Tasks<br/><sup><sub>f5c45127-1d28-4b49-a692-0b97da1c3a84</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Availability|ECS Service should have at least 1 task running|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/ecs_service_module.html#ansible-collections-community-aws-ecs-service-module">Documentation</a><br/>|
|Auto Scaling Group With No Associated ELB<br/><sup><sub>050f085f-a8db-4072-9010-2cca235cc02f</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Availability|AWS Auto Scaling Groups must have associated ELBs to ensure high availability and improve application performance. This means the attribute 'load_balancers' must be defined and not empty.|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/ec2_asg_module.html#parameter-load_balancers">Documentation</a><br/>|
|CMK Is Unusable<br/><sup><sub>133fee21-37ef-45df-a563-4d07edc169f4</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Availability|AWS Key Management Service (KMS) must only possess usable Customer Master Keys (CMK), which means the CMKs must have the attribute 'enabled' set to true and the attribute 'pending_window' must be undefined.|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/aws_kms_module.html#parameter-enabled">Documentation</a><br/>|
|Stack Retention Disabled<br/><sup><sub>17d5ba1d-7667-4729-b1a6-b11fde3db7f7</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Backup|Make sure that retain_stack is enabled to keep the Stack and it's associated resources during resource destruction|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/cloudformation_stack_set_module.html#parameter-purge_stacks">Documentation</a><br/>|
|RDS With Backup Disabled<br/><sup><sub>e69890e6-fce5-461d-98ad-cb98318dfc96</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Backup|RDS configured without backup|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/rds_instance_module.html#parameter-backup_retention_period">Documentation</a><br/>|
|IAM Password Without Minimum Length<br/><sup><sub>8bc2168c-1723-4eeb-a6f3-a1ba614b9a6d</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Best Practices|Check if IAM account password has the required minimum length|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/iam_password_policy_module.html">Documentation</a><br/>|
|Password Without Reuse Prevention<br/><sup><sub>6f5f5444-1422-495f-81ef-24cefd61ed2c</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Best Practices|Password policy `password_reuse_prevention` doesn't exist or is equal to 0|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/iam_password_policy_module.html#parameter-pw_reuse_prevent">Documentation</a><br/>|
|IAM Password Without Lowercase Letter<br/><sup><sub>8e3063f4-b511-45c3-b030-f3b0c9131951</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Best Practices|Check if IAM account password has at least one lowercase letter|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/iam_password_policy_module.html">Documentation</a><br/>|
|IAM Password Without Number<br/><sup><sub>9cf25d62-0b96-42c8-b66d-998cd6ee5bb8</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Best Practices|Check if IAM account password has at least one number|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/iam_password_policy_module.html">Documentation</a><br/>|
|Misconfigured Password Policy Expiration<br/><sup><sub>3f2cf811-88fa-4eda-be45-7a191a18aba9</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Best Practices|No password expiration policy|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/iam_password_policy_module.html">Documentation</a><br/>|
|Authentication Without MFA<br/><sup><sub>eee107f9-b3d8-45d3-b9c6-43b5a7263ce1</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Best Practices|Users should authenticate with MFA (Multi-factor Authentication)|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/iam_mfa_device_info_module.html">Documentation</a><br/>|
|Stack Without Template<br/><sup><sub>32d31f1f-0f83-4721-b7ec-1e6948c60145</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Build Process|AWS CloudFormation should have a template defined through the attribute template, template_url or attribute template_body|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/cloudformation_module.html">Documentation</a><br/>|
|EBS Volume Encryption Disabled<br/><sup><sub>4b6012e7-7176-46e4-8108-e441785eae57</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Encryption|EBS Encryption should be enabled|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/ec2_vol_module.html#parameter-encrypted">Documentation</a><br/>|
|CodeBuild Not Encrypted<br/><sup><sub>a1423864-2fbc-4f46-bfe1-fbbf125c71c9</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Encryption|CodeBuild Project should be encrypted|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/aws_codebuild_module.html">Documentation</a><br/>|
|Config Rule For Encrypted Volumes Disabled<br/><sup><sub>7674a686-e4b1-4a95-83d4-1fd53c623d84</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Encryption|Check if AWS config rules do not identify Encrypted Volumes as a source.|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/aws_config_rule_module.html#parameter-source/identifier">Documentation</a><br/>|
|Instance With No VPC<br/><sup><sub>61d1a2d0-4db8-405a-913d-5d2ce49dff6f</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Insecure Configurations|Instance should be configured in VPC (Virtual Private Cloud)|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/ec2_module.html">Documentation</a><br/>|
|ECR Image Tag Not Immutable<br/><sup><sub>60bfbb8a-c72f-467f-a6dd-a46b7d612789</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Insecure Configurations|ECR should have an image tag immutable|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/ecs_ecr_module.html">Documentation</a><br/>|
|AWS Password Policy With Unchangeable Passwords<br/><sup><sub>e28ceb92-d588-4166-aac5-766c8f5b7472</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Insecure Configurations|Unchangeable passwords in AWS password policy|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/iam_password_policy_module.html">Documentation</a><br/>|
|IAM Password Without Uppercase Letter<br/><sup><sub>83957b81-39c1-4191-8e12-671d2ce14354</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if IAM account password has at least one uppercase letter|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/iam_password_policy_module.html">Documentation</a><br/>|
|Certificate RSA Key Bytes Lower Than 256<br/><sup><sub>d5ec2080-340a-4259-b885-f833c4ea6a31</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Insecure Configurations|The certificate should use a RSA key with a length equal to or higher than 256 bytes|<a href="https://docs.ansible.com/ansible/2.10/collections/community/aws/aws_acm_module.html">Documentation</a><br/>|
|API Gateway Without SSL Certificate<br/><sup><sub>b47b98ab-e481-4a82-8bb1-1ab39fd36e33</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Insecure Configurations|SSL Client Certificate should be enabled in aws_api_gateway|<a href="https://docs.ansible.com/ansible/2.8/modules/aws_api_gateway_module.html">Documentation</a><br/>|
|Lambda Function Without Tags<br/><sup><sub>265d9725-2fb8-42a2-bc57-3279c5db82d5</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Insecure Configurations|AWS Lambda Functions must have associated tags.|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/lambda_module.html">Documentation</a><br/>|
|API Gateway Endpoint Config is Not Private<br/><sup><sub>559439b2-3e9c-4739-ac46-17e3b24ec215</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Networking and Firewall|The API Endpoint type in API Gateway should be set to PRIVATE so it's not exposed to the public internet|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/aws_api_gateway_module.html">Documentation</a><br/>|
|SQL Analysis Services Port 2383 (TCP) is Publicly Accessible<br/><sup><sub>7af1c447-c014-4f05-bd8b-ebe3a15734ac</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if port 2383 on TCP is publicly accessible by checking the CIDR block range that can access it.|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/ec2_group_module.html">Documentation</a><br/>|
|API Gateway without WAF<br/><sup><sub>f5f38943-664b-4acc-ab11-f292fa10ed0b</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Networking and Firewall|API Gateway should have WAF (Web Application Firewall) enabled|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/wafv2_resources_module.html#parameter-arn">Documentation</a><br/>|
|S3 Bucket Without Versioning<br/><sup><sub>9232306a-f839-40aa-b3ef-b352001da9a5</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Observability|S3 bucket should have versioning enabled|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/s3_bucket_module.html#parameter-versioning">Documentation</a><br/>|
|Cloudfront Logging Disabled<br/><sup><sub>d31cb911-bf5b-4eb6-9fc3-16780c77c7bd</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Observability|AWS Cloudfront distributions must have logging enabled, which means the attribute 'logging' must be defined with 'enabled' set to true|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/cloudfront_distribution_module.html">Documentation</a><br/>|
|CloudTrail SNS Topic Name Undefined<br/><sup><sub>5ba316a9-c466-4ec1-8d5b-bc6107dc9a92</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Observability|Check if SNS topic name is set for CloudTrail|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/cloudtrail_module.html">Documentation</a><br/>|
|CloudTrail Not Integrated With CloudWatch<br/><sup><sub>ebb2118a-03bc-4d53-ab43-d8750f5cb8d3</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Observability|CloudTrail should be integrated with CloudWatch|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/cloudtrail_module.html">Documentation</a><br/>|
|CloudTrail Multi Region Disabled<br/><sup><sub>6ad087d7-a509-4b20-b853-9ef6f5ebaa98</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Observability|Check if MultiRegion is Enabled|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/cloudtrail_module.html#parameter-is_multi_region_trail">Documentation</a><br/>|
|API Gateway X-Ray Disabled<br/><sup><sub>2059155b-27fd-441e-b616-6966c468561f</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Observability|API Gateway should have X-Ray Tracing enabled|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/aws_api_gateway_module.html#parameter-tracing_enabled">Documentation</a><br/>|
|API Gateway With CloudWatch Logging Disabled<br/><sup><sub>72a931c2-12f5-40d1-93cc-47bff2f7aa2a</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Observability|AWS CloudWatch Logs for APIs is not enabled|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/cloudwatchlogs_log_group_module.html#ansible-collections-community-aws-cloudwatchlogs-log-group-module">Documentation</a><br/>|
|CloudWatch Without Retention Period Specified<br/><sup><sub>e24e18d9-4c2b-4649-b3d0-18c088145e24</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Observability|AWS CloudWatch should have CloudWatch Logs enabled in order to monitor, store, and access log events|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/cloudwatchlogs_log_group_module.html">Documentation</a><br/>|
|Stack Notifications Disabled<br/><sup><sub>d39761d7-94ab-45b0-ab5e-27c44e381d58</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Observability|AWS CloudFormation should have stack notifications enabled|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/cloudformation_module.html#parameter-notification_arns">Documentation</a><br/>|
|No Stack Policy<br/><sup><sub>ffe0fd52-7a8b-4a5c-8fc7-49844418e6c9</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Resource Management|AWS CloudFormation Stack should have a stack policy in order to protect stack resources from update actions|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/cloudformation_module.html">Documentation</a><br/>|
|Hardcoded AWS Access Key In Lambda<br/><sup><sub>f34508b9-f574-4330-b42d-88c44cced645</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Secret Management|Lambda access key should not be in plaintext.|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/lambda_module.html">Documentation</a><br/>|
|IAM Policy Grants 'AssumeRole' Permission Across All Services<br/><sup><sub>12a7a7ce-39d6-49dd-923d-aeb4564eb66c</sub></sup>|Ansible|<span style="color:#CC0">Low</span>|Access Control|IAM role allows All services or principals to assume it|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/iam_managed_policy_module.html">Documentation</a><br/>|
|IAM Group Without Users<br/><sup><sub>f509931b-bbb0-443c-bd9b-10e92ecf2193</sub></sup>|Ansible|<span style="color:#CC0">Low</span>|Access Control|IAM Group should have at least one user associated|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/iam_group_module.html">Documentation</a><br/>|
|EC2 Instance Using Default Security Group<br/><sup><sub>8d03993b-8384-419b-a681-d1f55149397c</sub></sup>|Ansible|<span style="color:#CC0">Low</span>|Access Control|EC2 instances should not use default security group(s)|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/ec2_module.html#parameter-group">Documentation</a><br/>|
|IAM Role Allows All Principals To Assume<br/><sup><sub>babdedcf-d859-43da-9a7b-6d72e661a8fd</sub></sup>|Ansible|<span style="color:#CC0">Low</span>|Access Control|IAM role allows all services or principals to assume it|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/iam_managed_policy_module.html">Documentation</a><br/>|
|Lambda Permission Misconfigured<br/><sup><sub>3ddf3417-424d-420d-8275-0724dc426520</sub></sup>|Ansible|<span style="color:#CC0">Low</span>|Best Practices|Lambda permission may be misconfigured if the action field is not filled in by 'lambda:InvokeFunction'|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/lambda_policy_module.html">Documentation</a><br/>|
|IAM Policies Attached To User<br/><sup><sub>eafe4bc3-1042-4f88-b988-1939e64bf060</sub></sup>|Ansible|<span style="color:#CC0">Low</span>|Best Practices|IAM policies should be attached only to groups or roles|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/iam_policy_module.html">Documentation</a><br/>|
|CDN Configuration Is Missing<br/><sup><sub>b25398a2-0625-4e61-8e4d-a1bb23905bf6</sub></sup>|Ansible|<span style="color:#CC0">Low</span>|Best Practices|Content Delivery Network (CDN) service is used within an AWS account to secure and accelerate the delivery of websites. The use of a CDN can provide a layer of security between your origin content and the destination.|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/cloudfront_distribution_module.html">Documentation</a><br/>|
|EFS Without Tags<br/><sup><sub>b8a9852c-9943-4973-b8d5-77dae9352851</sub></sup>|Ansible|<span style="color:#CC0">Low</span>|Build Process|Amazon Elastic Filesystem should have filesystem tags associated|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/efs_module.html">Documentation</a><br/>|
|SQS with SSE disabled<br/><sup><sub>e1e7b278-2a8b-49bd-a26e-66a7f70b17eb</sub></sup>|Ansible|<span style="color:#CC0">Low</span>|Encryption| SQS Queue should be protected with CMK encryption|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/sqs_queue_module.html#ansible-collections-community-aws-sqs-queue-module">Documentation</a><br/>|
|RDS Using Default Port<br/><sup><sub>2cb674f6-32f9-40be-97f2-62c0dc38f0d5</sub></sup>|Ansible|<span style="color:#CC0">Low</span>|Networking and Firewall|RDS should not use the default port (an attacker can easily guess the port). For engines related to Aurora, MariaDB or MySQL, the default port is 3306. PostgreSQL default port is 5432, Oracle default port is 1521 and SQL Server default port is 1433|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/rds_instance_module.html#parameter-port">Documentation</a><br/>|
|EC2 Instance Using Default VPC<br/><sup><sub>8833f180-96f1-46f4-9147-849aafa56029</sub></sup>|Ansible|<span style="color:#CC0">Low</span>|Networking and Firewall|EC2 Instances should not be configured under a default VPC network|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/ec2_module.html#parameter-vpc_subnet_id">Documentation</a><br/>|
|Redshift Using Default Port<br/><sup><sub>e01de151-a7bd-4db4-b49b-3c4775a5e881</sub></sup>|Ansible|<span style="color:#CC0">Low</span>|Networking and Firewall|Redshift should not use the default port (5439) because an attacker can easily guess the port|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/redshift_module.html#parameter-port">Documentation</a><br/>|
|ElastiCache Without VPC<br/><sup><sub>5527dcfc-94f9-4bf6-b7d4-1b78850cf41f</sub></sup>|Ansible|<span style="color:#CC0">Low</span>|Networking and Firewall|ElastiCache should be launched in a Virtual Private Cloud (VPC)|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/elasticache_module.html#parameter-cache_subnet_group">Documentation</a><br/>|
|ElastiCache Using Default Port<br/><sup><sub>7cc6c791-5f68-4816-a564-b9b699f9d26e</sub></sup>|Ansible|<span style="color:#CC0">Low</span>|Networking and Firewall|ElastiCache should not use the default port (an attacker can easily guess the port). For engine set to Redis, the default port is 6379. The Memcached default port is 11211|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/elasticache_module.html#parameter-cache_port">Documentation</a><br/>|
|Cloudfront Without WAF<br/><sup><sub>22c80725-e390-4055-8d14-a872230f6607</sub></sup>|Ansible|<span style="color:#CC0">Low</span>|Networking and Firewall|All AWS CloudFront distributions should be integrated with the Web Application Firewall (AWS WAF) service|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/cloudfront_distribution_module.html">Documentation</a><br/>|
|Lambda Functions Without X-Ray Tracing<br/><sup><sub>71397b34-1d50-4ee1-97cb-c96c34676f74</sub></sup>|Ansible|<span style="color:#CC0">Low</span>|Observability|AWS Lambda functions should have TracingConfig enabled. For this, property 'tracing_mode' should have the value 'Active'|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/lambda_module.html">Documentation</a><br/>|
|S3 Bucket Logging Disabled<br/><sup><sub>c3b9f7b0-f5a0-49ec-9cbc-f1e346b7274d</sub></sup>|Ansible|<span style="color:#CC0">Low</span>|Observability|S3 bucket without debug_botocore_endpoint_logs|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/s3_bucket_module.html#parameter-debug_botocore_endpoint_logs">Documentation</a><br/>|
|CloudTrail Log File Validation Disabled<br/><sup><sub>4d8681a2-3d30-4c89-8070-08acd142748e</sub></sup>|Ansible|<span style="color:#CC0">Low</span>|Observability|CloudTrail Log Files should have validation enabled|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/cloudtrail_module.html">Documentation</a><br/>|
|Hardcoded AWS Access Key<br/><sup><sub>c2f15af3-66a0-4176-a56e-e4711e502e5c</sub></sup>|Ansible|<span style="color:#CC0">Low</span>|Secret Management|Check if the user data in the EC2 instance has the access key hardcoded|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/ec2_instance_module.html">Documentation</a><br/>|
|EC2 Not EBS Optimized<br/><sup><sub>338b6cab-961d-4998-bb49-e5b6a11c9a5c</sub></sup>|Ansible|<span style="color:#00C">Info</span>|Best Practices|It's considered a best practice for an EC2 instance to use an EBS optimized instance. This provides the best performance for your EBS volumes by minimizing contention between Amazon EBS I/O and other traffic from your instance|<a href="https://docs.ansible.com/ansible/latest/collections/amazon/aws/ec2_module.html#parameter-ebs_optimized">Documentation</a><br/>|
|SQL DB Instance Is Publicly Accessible<br/><sup><sub>7d7054c0-3a52-4e9b-b9ff-cbfe16a2378b</sub></sup>|Ansible|<span style="color:#C00">High</span>|Access Control|Check if any Cloud SQL instances are publicly accessible.|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_sql_instance_module.html">Documentation</a><br/>|
|VM With Full Cloud Access<br/><sup><sub>bc20bbc6-0697-4568-9a73-85af1dd97bdd</sub></sup>|Ansible|<span style="color:#C00">High</span>|Access Control|A VM instance is configured to use the default service account with full access to all Cloud APIs|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_compute_instance_module.html#parameter-service_accounts/scopes">Documentation</a><br/>|
|SQL DB Instance Backup Disabled<br/><sup><sub>0c82eae2-aca0-401f-93e4-fb37a0f9e5e8</sub></sup>|Ansible|<span style="color:#C00">High</span>|Backup|Checks if backup configuration is enabled for all Cloud SQL Database instances|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_sql_instance_module.html#parameter-settings/backup_configuration/enabled">Documentation</a><br/>|
|High KMS Rotation Period<br/><sup><sub>79f45008-60b3-4a0a-a302-8311fd3701b4</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|Check if any KMS rotation period surpasses 365 days.|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_kms_crypto_key_module.html">Documentation</a><br/>|
|DNSSEC Using RSASHA1<br/><sup><sub>6cf4c3a7-ceb0-4475-8892-3745b84be24a</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|DNSSEC should not use the RSASHA1 algorithm|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_dns_managed_zone_module.html#return-dnssecConfig/defaultKeySpecs/algorithm">Documentation</a><br/>|
|SQL DB Instance With SSL Disabled<br/><sup><sub>d0f7da39-a2d5-4c78-bb85-4b7f338b3cbb</sub></sup>|Ansible|<span style="color:#C00">High</span>|Encryption|Cloud SQL Database Instance should have SLL enabled|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_sql_instance_module.html#parameter-settings/ip_configuration/require_ssl">Documentation</a><br/>|
|GKE Legacy Authorization Enabled<br/><sup><sub>300a9964-b086-41f7-9378-b6de3ba1c32b</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Engine Clusters must have Legacy Authorization set to disabled, which means the attribute 'legacy_abac.enabled' must be false.|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_container_cluster_module.html">Documentation</a><br/>|
|BigQuery Dataset Is Public<br/><sup><sub>2263b286-2fe9-4747-a0ae-8b4768a2bbd2</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|BigQuery dataset is anonymously or publicly accessible|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_bigquery_dataset_module.html#parameter-access/special_group">Documentation</a><br/>|
|GKE Basic Authentication Enabled<br/><sup><sub>344bf8ab-9308-462b-a6b2-697432e40ba1</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|GCP - Google Kubernetes Engine (GKE) Basic Authentication must be disabled, which means the username and password provided in the master_auth block must be empty|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_container_cluster_module.html">Documentation</a><br/>|
|IP Aliasing Disabled<br/><sup><sub>ed672a9f-fbf0-44d8-a47d-779501b0db05</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Clusters must be created with Alias IP ranges enabled, which means the attribute 'ip_allocation_policy' must be defined and the subattribute 'use_ip_aliases' must be set to 'yes'.|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_container_cluster_module.html">Documentation</a><br/>|
|Cloud SQL Instance With Cross DB Ownership Chaining On<br/><sup><sub>9e0c33ed-97f3-4ed6-8be9-bcbf3f65439f</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|GCP SQL Instance should not have Cross DB Ownership Chaining On|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_sql_instance_module.html#parameter-settings/database_flags">Documentation</a><br/>|
|Cluster Master Authentication Disabled<br/><sup><sub>9df7f78f-ebe3-432e-ac3b-b67189c15518</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Engine Clusters must have Master Authentication set to enabled, which means the attribute 'master_auth' must have the subattributes 'username' and 'password' defined and not empty|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_container_cluster_module.html">Documentation</a><br/>|
|Private Cluster Disabled<br/><sup><sub>3b30e3d6-c99b-4318-b38f-b99db74578b5</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Clusters must be created with Private Clusters enabled, meaning the 'private_cluster_config' must be defined and the attributes 'enable_private_endpoint' and 'enable_private_nodes' must be true.|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_container_cluster_module.html">Documentation</a><br/>|
|MySQL Instance With Local Infile On<br/><sup><sub>a7b520bb-2509-4fb0-be05-bc38f54c7a4c</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|MySQL Instance should not have Local Infile On|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_sql_instance_module.html#parameter-settings/database_flags">Documentation</a><br/>|
|Client Certificate Disabled<br/><sup><sub>20180133-a0d0-4745-bfe0-94049fbb12a9</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Clusters must be created with Client Certificate enabled, which means 'master_auth' must have 'client_certificate_config' with the attribute 'issue_client_certificate' equal to true|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_container_cluster_module.html">Documentation</a><br/>|
|Cluster Labels Disabled<br/><sup><sub>fbe9b2d0-a2b7-47a1-a534-03775f3013f7</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Clusters must be configured with labels, which means the attribute 'resource_labels' must be defined|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_container_cluster_module.html">Documentation</a><br/>|
|PostgreSQL Misconfigured Logging Duration Flag<br/><sup><sub>aed98a2a-e680-497a-8886-277cea0f4514</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|PostgreSQL database 'log_min_duration_statement' flag isn't set to '-1'|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_sql_instance_module.html#parameter-settings/database_flags">Documentation</a><br/>|
|Network Policy Disabled<br/><sup><sub>98e04ca0-34f5-4c74-8fec-d2e611ce2790</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Engine Clusters must have Network Policy enabled, meaning that the attribute 'network_policy.enabled' must be true and the attribute 'addons_config.network_policy_config.disabled' must be false|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_container_cluster_module.html">Documentation</a><br/>|
|Cloud SQL Instance With Contained Database Authentication On<br/><sup><sub>6d34aff3-fdd2-460c-8190-756a3b4969e8</sub></sup>|Ansible|<span style="color:#C00">High</span>|Insecure Configurations|SQL Instance should not have Contained Database Authentication On|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_sql_instance_module.html#parameter-settings/database_flags">Documentation</a><br/>|
|Compute Instance Is Publicly Accessible<br/><sup><sub>829f1c60-2bab-44c6-8a21-5cd9d39a2c82</sub></sup>|Ansible|<span style="color:#C00">High</span>|Networking and Firewall|Compute instances shouldn't be accessible from the Internet.|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_compute_instance_module.html#parameter-network_interfaces/access_configs">Documentation</a><br/>|
|GKE Master Authorized Networks Disabled<br/><sup><sub>d43366c5-80b0-45de-bbe8-2338f4ab0a83</sub></sup>|Ansible|<span style="color:#C00">High</span>|Networking and Firewall|Master authorized networks must be enabled in GKE clusters|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_container_cluster_module.html#parameter-master_authorized_networks_config/enabled">Documentation</a><br/>|
|Cloud Storage Bucket Versioning Disabled<br/><sup><sub>7814ddda-e758-4a56-8be3-289a81ded929</sub></sup>|Ansible|<span style="color:#C00">High</span>|Observability|Object Versioning not fully enabled on Cloud Storage Bucket|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_storage_bucket_module.html#parameter-versioning">Documentation</a><br/>|
|PostgreSQL Log Connections Disabled<br/><sup><sub>d7a5616f-0a3f-4d43-bc2b-29d1a183e317</sub></sup>|Ansible|<span style="color:#C00">High</span>|Observability|PostgreSQL database instance should have a 'log_connections' flag with its value set to 'on'|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_sql_instance_module.html#parameter-settings/database_flags">Documentation</a><br/>|
|Stackdriver Logging Disabled<br/><sup><sub>19c9e2a0-fc33-4264-bba1-e3682661e8f7</sub></sup>|Ansible|<span style="color:#C00">High</span>|Observability|Kubernetes Engine Clusters must have Stackdriver Logging enabled, which means the attribute 'logging_service' must be defined and different from 'none'|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_container_cluster_module.html">Documentation</a><br/>|
|PostgreSQL Logging Of Temporary Files Disabled<br/><sup><sub>d6fae5b6-ada9-46c0-8b36-3108a2a2f77b</sub></sup>|Ansible|<span style="color:#C00">High</span>|Observability|PostgreSQL database 'log_temp_files' flag isn't set to '0'|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_sql_instance_module.html#parameter-settings/database_flags">Documentation</a><br/>|
|Cloud Storage Bucket Logging Not Enabled<br/><sup><sub>507df964-ad97-4035-ab14-94a82eabdfdd</sub></sup>|Ansible|<span style="color:#C00">High</span>|Observability|Cloud storage bucket with logging not enabled|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_storage_bucket_module.html#parameter-logging">Documentation</a><br/>|
|Stackdriver Monitoring Disabled<br/><sup><sub>20dcd953-a8b8-4892-9026-9afa6d05a525</sub></sup>|Ansible|<span style="color:#C00">High</span>|Observability|Kubernetes Engine Clusters must have Stackdriver Monitoring enabled, which means the attribute 'monitoring_service' must be defined and different than 'none'|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_container_cluster_module.html">Documentation</a><br/>|
|COS Node Image Not Used<br/><sup><sub>be41f891-96b1-4b9d-b74f-b922a918c778</sub></sup>|Ansible|<span style="color:#C00">High</span>|Resource Management|The node image should be Container-Optimized OS(COS)|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_container_node_pool_module.html#parameter-config/image_type">Documentation</a><br/>|
|Node Auto Upgrade Disabled<br/><sup><sub>d6e10477-2e19-4bcd-b8a8-19c65b89ccdf</sub></sup>|Ansible|<span style="color:#C00">High</span>|Resource Management|Node 'auto_upgrade' should be enabled for Kubernetes Clusters|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_container_node_pool_module.html#parameter-management/auto_upgrade">Documentation</a><br/>|
|Disk Encryption Disabled<br/><sup><sub>092bae86-6105-4802-99d2-99cd7e7431f3</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Encryption|VM disks for critical VMs must be encrypted with Customer Supplied Encryption Keys (CSEK) or with Customer-managed encryption keys (CMEK), which means the attribute 'disk_encryption_key' must be defined and its sub attributes 'raw_key' or 'kms_key_self_link' must also be defined|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_compute_disk_module.html">Documentation</a><br/>|
|Google Compute SSL Policy Weak Cipher In Use<br/><sup><sub>b28bcd2f-c309-490e-ab7c-35fc4023eb26</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Encryption|This query confirms if Google Compute SSL Policy Weak Chyper Suits is Enabled, to do so we need to check if TLS is TLS_1_2, because other version have Weak Chypers|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_compute_ssl_policy_module.html">Documentation</a><br/>|
|High Google KMS Crypto Key Rotation Period<br/><sup><sub>f9b7086b-deb8-4034-9330-d7fd38f1b8de</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Encryption|Make sure Encryption keys changes after 90 days|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_kms_crypto_key_module.html">Documentation</a><br/>|
|OSLogin Is Disabled In VM Instance<br/><sup><sub>66dae697-507b-4aef-be18-eec5bd707f33</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Insecure Configurations|VM instance should have OSLogin enabled|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_compute_instance_module.html">Documentation</a><br/>|
|Shielded VM Disabled<br/><sup><sub>18d3a83d-4414-49dc-90ea-f0387b2856cc</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Insecure Configurations|Compute instances must be launched with Shielded VM enabled, which means the attribute 'shielded_instance_config' must be defined and its sub attributes 'enable_secure_boot', 'enable_vtpm' and 'enable_integrity_monitoring' must be set to true|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_compute_instance_module.html">Documentation</a><br/>|
|Cloud Storage Anonymous or Publicly Accessible<br/><sup><sub>086031e1-9d4a-4249-acb3-5bfe4c363db2</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Insecure Configurations|Cloud Storage Buckets must not be anonymously or publicly accessible, which means the attribute 'entity' must not be 'allUsers' or 'allAuthenticatedUsers'|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_storage_bucket_module.html">Documentation</a><br/>|
|Google Container Node Pool Auto Repair Disabled<br/><sup><sub>d58c6f24-3763-4269-9f5b-86b2569a003b</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Insecure Configurations|Verifies if Google Container Node Pool Auto Repair is Enabled|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_container_node_pool_module.html">Documentation</a><br/>|
|GKE Using Default Service Account<br/><sup><sub>dc126833-125a-40fb-905a-ce5f2afde240</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Insecure Configurations|Kubernetes Engine Clusters should not be configured to use the default service account|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_container_cluster_module.html#parameter-node_config/service_account">Documentation</a><br/>|
|Cloud DNS Without DNSSEC<br/><sup><sub>80b15fb1-6207-40f4-a803-6915ae619a03</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Insecure Configurations|DNSSEC must be enabled for Cloud DNS|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_dns_managed_zone_module.html#return-dnssecConfig/state">Documentation</a><br/>|
|Using Default Service Account<br/><sup><sub>2775e169-e708-42a9-9305-b58aadd2c4dd</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Insecure Defaults|Instances must not be configured to use the Default Service Account, that has full access to all Cloud APIs, which means the attribute 'service_account_email' must be defined. Additionally, it must not be empty and must also not be a default Google Compute Engine service account.|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_compute_instance_module.html">Documentation</a><br/>|
|IP Forwarding Enabled<br/><sup><sub>11bd3554-cd56-4257-8e25-7aaf30cf8f5f</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Networking and Firewall|Instances must not have IP forwarding enabled, which means the attribute 'can_ip_forward' must not be true|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_compute_instance_module.html">Documentation</a><br/>|
|Google Compute Network Using Firewall Rule that Allows All Ports<br/><sup><sub>3602d273-3290-47b2-80fa-720162b1a8af</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Networking and Firewall|Google Compute Network should not use a firewall rule that allows all ports|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_compute_firewall_module.html#parameter-allowed">Documentation</a><br/>|
|Serial Ports Are Enabled For VM Instances<br/><sup><sub>c6fc6f29-dc04-46b6-99ba-683c01aff350</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if serial ports are enabled in Google Compute Engine VM instances|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_compute_instance_module.html">Documentation</a><br/>|
|Google Compute Network Using Default Firewall Rule<br/><sup><sub>29b8224a-60e9-4011-8ac2-7916a659841f</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Networking and Firewall|Google Compute Network should not use default firewall rule|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_compute_firewall_module.html#parameter-name">Documentation</a><br/>|
|RDP Access Is Not Restricted<br/><sup><sub>75418eb9-39ec-465f-913c-6f2b6a80dc77</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if the Google compute firewall allows unrestricted RDP access.|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_compute_firewall_module.html">Documentation</a><br/>|
|SSH Access Is Not Restricted<br/><sup><sub>b2fbf1df-76dd-4d78-a6c0-e538f4a9b016</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if Google Firewall allows SSH access (port 22) from the Internet (public CIDR block).|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_compute_firewall_module.html">Documentation</a><br/>|
|PostgreSQL log_checkpoints Flag Not Set To ON<br/><sup><sub>89afe3f0-4681-4ce3-89ed-896cebd4277c</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Observability|PostgreSQL database instance should have a 'log_checkpoints' flag with its value set to 'on'|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_sql_instance_module.html#parameter-settings/database_flags">Documentation</a><br/>|
|PostgreSQL Misconfigured Log Messages Flag<br/><sup><sub>28a757fc-3d8f-424a-90c0-4233363b2711</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Observability|PostgreSQL database 'log_min_messages' flag isn't set to a valid value|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_sql_instance_module.html#parameter-settings/database_flags">Documentation</a><br/>|
|Project-wide SSH Keys Are Enabled In VM Instances<br/><sup><sub>099b4411-d11e-4537-a0fc-146b19762a79</sub></sup>|Ansible|<span style="color:#C60">Medium</span>|Secret Management|VM Instance should block project-wide SSH keys|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_compute_instance_module.html">Documentation</a><br/>|
|Google Compute Network Using Firewall Rule that Allows Port Range<br/><sup><sub>7289eebd-a477-4064-8ad4-3c044bd70b00</sub></sup>|Ansible|<span style="color:#CC0">Low</span>|Networking and Firewall|Google Compute Network should not use a firewall rule that allows port range|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_compute_firewall_module.html#parameter-allowed">Documentation</a><br/>|
|Google Compute Subnetwork with Private Google Access Disabled<br/><sup><sub>6a4080ae-79bd-42f6-a924-8f534c1c018b</sub></sup>|Ansible|<span style="color:#CC0">Low</span>|Networking and Firewall|Google Compute Subnetwork should have 'private_ip_google_access' set to yes|<a href="https://docs.ansible.com/ansible/latest/collections/google/cloud/gcp_compute_subnetwork_module.html#parameter-private_ip_google_access">Documentation</a><br/>|
|Passwords And Secrets<br/><sup><sub>a88baa34-e2ad-44ea-ad6f-8cac87bc7c71</sub></sup>|Common|<span style="color:#C00">High</span>|Secret Management|Query to find passwords and secrets in infrastructure code.|<a href="https://kics.io/">Documentation</a><br/>|
|Serverless Function Environment Variables Not Encrypted<br/><sup><sub>a7f8ac28-eed1-483d-87c8-4c325f022572</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|AWS Serverless Function should encrypt environment variables|<a href="https://docs.aws.amazon.com/serverless-application-model/latest/developerguide/sam-resource-function.html#sam-function-kmskeyarn">Documentation</a><br/>|
|Serverless API Without Content Encoding<br/><sup><sub>a2f2800e-614b-4bc8-89e6-fec8afd24800</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Encryption|AWS Serverless API should enable Content Encoding through the attribute 'MinimumCompressionSize'. This value should be greater than -1 and smaller than 10485760|<a href="https://docs.aws.amazon.com/serverless-application-model/latest/developerguide/sam-resource-api.html#sam-api-minimumcompressionsize">Documentation</a><br/>|
|Serverless Function Without Tags<br/><sup><sub>a71ecabe-03b6-456a-b3bc-d1a39aa20c98</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Insecure Configurations|AWS Serverless Function must have associated tags|<a href="https://docs.aws.amazon.com/serverless-application-model/latest/developerguide/sam-resource-function.html#sam-function-tags">Documentation</a><br/>|
|Serverless Function Without Unique IAM Role<br/><sup><sub>4ba74f01-aba5-4be2-83bc-be79ff1a3b92</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Insecure Configurations|AWS Serverless Function should not share IAM Role to ensure it will have the minimum privileges needed to perform the required tasks|<a href="https://docs.aws.amazon.com/serverless-application-model/latest/developerguide/sam-resource-function.html#sam-function-role">Documentation</a><br/>|
|Serverless API Endpoint Config Not Private<br/><sup><sub>6b5b0313-771b-4319-ad7a-122ee78700ef</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Networking and Firewall|AWS Serverless API should set API Endpoint Config type to 'PRIVATE'. This way, it's not exposed to the public internet|<a href="https://docs.aws.amazon.com/serverless-application-model/latest/developerguide/sam-resource-api.html#sam-api-endpointconfiguration">Documentation</a><br/>|
|Serverless API X-Ray Tracing Disabled<br/><sup><sub>c757c6a3-ac87-4b9d-b28d-e5a5add6a315</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Observability|AWS Serverless API should have X-Ray Tracing enabled|<a href="https://docs.aws.amazon.com/serverless-application-model/latest/developerguide/sam-resource-api.html#sam-api-tracingenabled">Documentation</a><br/>|
|Serverless API Access Logging Setting Undefined<br/><sup><sub>0a994e04-c6dc-471d-817e-d37451d18a3b</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Observability|AWS Serverless API/AWS Serverless HTTP API should have Access Logging Setting(s) defined|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-apigateway-stage-accesslogsetting.html">Documentation</a><br/>|
|Serverless API Cache Cluster Disabled<br/><sup><sub>60a05ede-0a68-4d0d-a58f-f538cf55ff79</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Insecure Configurations|AWS Serverless API should have cache clustering enabled|<a href="https://docs.aws.amazon.com/serverless-application-model/latest/developerguide/sam-resource-api.html#sam-api-cacheclusterenabled">Documentation</a><br/>|
|Serverless Function Without Dead Letter Queue<br/><sup><sub>cb2f612b-ed42-4ff5-9fb9-255c73d39a18</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Insecure Configurations|AWS Serverless Function should be configured for a Dead Letter Queue(DLQ)|<a href="https://docs.aws.amazon.com/serverless-application-model/latest/developerguide/sam-resource-function.html#sam-function-deadletterqueue">Documentation</a><br/>|
|Serverless Function Without X-Ray Tracing<br/><sup><sub>dc1ab429-1481-4540-9b1d-280e3f15f1f8</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Observability|AWS Serverless Function should have Tracing enabled. For this, property 'Tracing' should have the value 'Active'|<a href="https://docs.aws.amazon.com/serverless-application-model/latest/developerguide/sam-resource-function.html#sam-function-tracing">Documentation</a><br/>|
|ECS Service Admin Role Is Present<br/><sup><sub>01986452-bdd8-4aaa-b5df-d6bf61d616ff</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Access Control|ECS Services must not have Admin roles, which means the attribute 'role' must not be an admin role|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ecs-service.html">Documentation</a><br/>|
|S3 Bucket ACL Allows Read to All Users<br/><sup><sub>219f4c95-aa50-44e0-97de-cf71f4641170</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Access Control|S3 Buckets sould not be readable and writable to all users|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket.html">Documentation</a><br/>|
|IAM Policies With Full Privileges<br/><sup><sub>953b3cdb-ce13-428a-aa12-318726506661</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Access Control|IAM policies shouldn't allow full administrative privileges|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-iam-policy.html">Documentation</a><br/>|
|Lambda Functions With Full Privileges<br/><sup><sub>a0ae0a4e-712b-4115-8112-51b9eeed9d69</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Access Control|AWS Lambda Functions should not have roles with policies granting full administrative privileges.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-lambda-function.html">Documentation</a><br/>|
|S3 Bucket Access to Any Principal<br/><sup><sub>7772bb8c-c0f3-42d4-8e4e-f1b8939ad085</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Access Control|The S3 Bucket should not have the (accessPublicBlock empty or accessPublicBlock.ignorePublicAcls = false or accessPublicBlock.restrictPublicBuckets = false ) and ( policy.Statement contain [Effect='Allow' and (Principal='*' or Principal.AWS='*')])|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket.html">Documentation</a><br/>|
|S3 Bucket Allows List Action From All Principals<br/><sup><sub>faa8fddf-c0aa-4b2d-84ff-e993e233ebe9</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow List Actions From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion. This means the 'Effect' must not be 'Allow' when the 'Action' is List, for all Principals.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket.html">Documentation</a><br/>|
|S3 Bucket ACL Allows Read Or Write to All Users<br/><sup><sub>07dda8de-d90d-469e-9b37-1aca53526ced</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Access Control|S3 Buckets sould not be readable and writable to all users|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket.html">Documentation</a><br/>|
|S3 Bucket Allows Put Action From All Principals<br/><sup><sub>f6397a20-4cf1-4540-a997-1d363c25ef58</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow Put Actions From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion. This means the 'Effect' must not be 'Allow' when the 'Action' is Put, for all Principals.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket.html">Documentation</a><br/>|
|S3 Bucket ACL Allows Read to Any Authenticated User<br/><sup><sub>835d5497-a526-4aea-a23f-98a9afd1635f</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Access Control|S3 Buckets sould not be readable and writable to all users|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket.html">Documentation</a><br/>|
|S3 Bucket Allows Restore Actions From All Principals<br/><sup><sub>456b00a3-1072-4149-9740-6b8bb60251b0</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow Restore Actions From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion. This means the 'Effect' must not be 'Allow' when the 'Action' is Restore, for all Principals.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket.html">Documentation</a><br/>|
|S3 Bucket Allows Get Action From All Principals<br/><sup><sub>f97b7d23-568f-4bcc-9ac9-02df0d57fbba</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow Get Actions From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion. This means the 'Effect' must not be 'Allow' when the 'Action' is Get, for all Principals.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket.html">Documentation</a><br/>|
|S3 Bucket With All Permissions<br/><sup><sub>4ae8af91-5108-42cb-9471-3bdbe596eac9</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not have all permissions, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion. This means the 'Effect' must not be 'Allow' when the 'Action' is '*', for all Principals.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket.html">Documentation</a><br/>|
|S3 Bucket Allows Delete Action From All Principals<br/><sup><sub>acc78859-765e-4011-a229-a65ea57db252</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow Delete Actions From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion. This means the 'Effect' must not be 'Allow' when the 'Action' is Delete, for all Principals.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket.html">Documentation</a><br/>|
|ELB Without Secure Protocol<br/><sup><sub>80908a75-586b-4c61-ab04-490f4f4525b8</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|Check if the ELB is setup with SSL or HTTPS for secure communication|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-elb.html">Documentation</a><br/>|
|CloudTrail Log Files Not Encrypted<br/><sup><sub>050a9ba8-d1cb-4c61-a5e8-8805a70d3b85</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|Logs delivered by CloudTrail should be encrypted using KMS|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-cloudtrail-trail.html#cfn-cloudtrail-trail-kmskeyid">Documentation</a><br/>|
|Kinesis SSE Not Configured<br/><sup><sub>7f65be75-90ab-4036-8c2a-410aef7bb650</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|AWS Kinesis Stream should have SSE (Server Side Encryption) defined|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-kinesis-stream.html">Documentation</a><br/>|
|API Gateway Cache Encrypted Disabled<br/><sup><sub>37cca703-b74c-48ba-ac81-595b53398e9b</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|'API::Gateway::Deployment' should have 'CacheDataEncrypted' enabled when 'CachingEnabled' is set to true|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-apigateway-deployment-stagedescription.html">Documentation</a><br/>|
|Memcached Disabled<br/><sup><sub>dd0971a6-09c3-4168-8474-a7ef8fbfd99d</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|Check if the Memcached is disabled on the ElastiCache|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-elasticache-cache-cluster.html#cfn-elasticache-cachecluster-engine">Documentation</a><br/>|
|ElastiCache With Disabled Transit Encryption<br/><sup><sub>3b02569b-fc6f-4153-b3a3-ba91022fed68</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|Ensure AWS ElastiCache Redis clusters have encryption for data at transit enabled|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-elasticache-replicationgroup.html">Documentation</a><br/>|
|Connection Between CloudFront Origin Not Encrypted<br/><sup><sub>a5366a50-932f-4085-896b-41402714a388</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|Checks if the connection between the CloudFront and the origin server is encrypted|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-cloudfront-distribution.html">Documentation</a><br/>|
|CMK Unencrypted Storage<br/><sup><sub>ffee2785-c347-451e-89f3-11aeb08e5c84</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|Ensure that storage is encrypted by KMS on instances that, based on their name, might host a database. |<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-rds-database-instance.html">Documentation</a><br/>|
|S3 Bucket SSE Disabled<br/><sup><sub>64ab651b-f5b2-4af0-8c89-ddd03c4d0e61</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|If algorithm is AES256 then the master key is null, empty or undefined, otherwise the master key is required|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket-serversideencryptionbydefault.html">Documentation</a><br/>|
|S3 Bucket Without SSL In Write Actions<br/><sup><sub>38c64e76-c71e-4d92-a337-60174d1de1c9</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|S3 Buckets should enforce encryption of data transfers using Secure Sockets Layer (SSL)|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket.html">Documentation</a><br/>|
|SageMaker Data Encryption Disabled<br/><sup><sub>709e6da6-fa1f-44cc-8f17-7f25f96dadbe</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|Amazon SageMaker's Notebook Instance must have its Data Encryption enabled, which means the attribute 'KmsKeyId' must be defined not empty or null.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-sagemaker-notebookinstance.html">Documentation</a><br/>|
|ELB Using Weak Ciphers<br/><sup><sub>809f77f8-d10e-4842-a84f-3be7b6ff1190</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|ELB Predefined or Custom Security Policies must not use insecure protocols, to reduce the risk of the SSL connection between the client and the load balancer being exploited. That means the ELB Listeners must not have Policies that posses Ciphers that coincide with any of a predefined list of weak ciphers.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-elb.html">Documentation</a><br/>|
|User Data Contains Encoded Private Key<br/><sup><sub>568cc372-ca64-420d-9015-ee347d00d288</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|User Data Base64 contains an encoded RSA Private Key|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-as-launchconfig.html">Documentation</a><br/>|
|EFS Without KMS<br/><sup><sub>6d087495-2a42-4735-abf7-02ef5660a7e6</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|Amazon Elastic Filesystem should have filesystem encryption enabled using KMS CMK customer-managed keys instead of AWS managed-keys|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-efs-filesystem.html">Documentation</a><br/>|
|DynamoDB With Aws Owned CMK<br/><sup><sub>c8dee387-a2e6-4a73-a942-183c975549ac</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|AWS DynamoDb should be encrypted using AWS Managed CMK, instead of AWS-owned CMK. To verify this, SSEEnabled must be verified if false for AWS-owned CMK or true for AWS-Managed CMK. Default value is false.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-dynamodb-table-ssespecification.html">Documentation</a><br/>|
|Secure Ciphers Disabled<br/><sup><sub>be96849c-3df6-49c2-bc16-778a7be2519c</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|Check if secure ciphers aren't used in CloudFront|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cloudfront-distribution-viewercertificate.html">Documentation</a><br/>|
|ELB Using Insecure Protocols<br/><sup><sub>61a94903-3cd3-4780-88ec-fc918819b9c8</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|ELB Predefined or Custom Security Policies must not use insecure protocols, to reduce the risk of the SSL connection between the client and the load balancer being exploited. That means the ELB Listeners must not have Policies that posses Protocols that coincide with any of a predefined list of insecure protocols.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-elb.html">Documentation</a><br/>|
|ECS Task Definition Container With Plaintext Password<br/><sup><sub>f9b10cdb-eaab-4e39-9793-e12b94a582ad</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|It's not recommended to use plaintext environment variables for sensitive information, such as credential data.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ecs-taskdefinition-containerdefinitions.html#cfn-ecs-taskdefinition-containerdefinition-environment">Documentation</a><br/>|
|EFS Not Encrypted<br/><sup><sub>2ff8e83c-90e1-4d68-a300-6d652112e622</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|Amazon Elastic Filesystem should have filesystem encryption enabled|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-efs-filesystem.html">Documentation</a><br/>|
|S3 Bucket Without Server-side-encryption<br/><sup><sub>b2e8752c-3497-4255-98d2-e4ae5b46bbf5</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|S3 Buckets should have server-side encryption at rest enabled to protect sensitive data|<a href="https://docs.aws.amazon.com/AmazonS3/latest/user-guide/default-bucket-encryption.html">Documentation</a><br/>|
|ECS Cluster Not Encrypted At Rest<br/><sup><sub>6c131358-c54d-419b-9dd6-1f7dd41d180c</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|Ensure that AWS ECS clusters are encrypted. Data encryption at rest, prevents unauthorized users from accessing sensitive data on your AWS ECS clusters and associated cache storage systems.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ecs-taskdefinition.html">Documentation</a><br/>|
|ElastiCache With Disabled at Rest Encryption<br/><sup><sub>e4ee3903-9225-4b6a-bdfb-e62dbadef821</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|Ensure AWS ElastiCache Redis clusters have encryption for data at rest enabled|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-elasticache-replicationgroup.html#cfn-elasticache-replicationgroup-atrestencryptionenabled">Documentation</a><br/>|
|RDS Storage Not Encrypted<br/><sup><sub>5beacce3-4020-4a3d-9e1d-a36f953df630</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|AWS RDS DB Instance should be encrypted|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-rds-database-instance.html">Documentation</a><br/>|
|CloudFormation Specifying Credentials Not Safe<br/><sup><sub>9ecb6b21-18bc-4aa7-bd07-db20f1c746db</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|Specifying credentials in the template itself is probably not safe to do.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-authentication.html">Documentation</a><br/>|
|Viewer Protocol Policy Allows HTTP<br/><sup><sub>31733ee2-fef0-4e87-9778-65da22a8ecf1</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|Ensure that the Viewer Protocol is only HTTPS Compliant|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-cloudfront-distribution.html">Documentation</a><br/>|
|Redshift Cluster Without KMS CMK<br/><sup><sub>de76a0d6-66d5-45c9-9022-f05545b85c78</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|AWS Redshift Cluster should have KMS CMK defined|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-redshift-cluster.html">Documentation</a><br/>|
|MSK Cluster Encryption Disabled<br/><sup><sub>a976d63f-af0e-46e8-b714-8c1a9c4bf768</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|Ensure MSK Cluster encryption in rest and transit is enabled.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-msk-cluster.html">Documentation</a><br/>|
|User Data Shell Script Is Encoded<br/><sup><sub>48c3bc58-6959-4f27-b647-4fedeace23be</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|User Data Shell Script must be encoded|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-launchtemplate-launchtemplatedata.html#cfn-ec2-launchtemplate-launchtemplatedata-userdata">Documentation</a><br/>|
|IAM Database Auth Not Enabled<br/><sup><sub>9fcd0a0a-9b6f-4670-a215-d94e6bf3f184</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|IAM Database Auth Enabled must be configured to true|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-rds-database-instance.html#cfn-rds-dbinstance-enableiamdatabaseauthentication">Documentation</a><br/>|
|Redshift Not Encrypted<br/><sup><sub>3b316b05-564c-44a7-9c3f-405bb95e211e</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Encryption|AWS Redshift Cluster should be encrypted|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-redshift-cluster.html">Documentation</a><br/>|
|S3 Bucket with Unsecured CORS Rule<br/><sup><sub>3609d27c-3698-483a-9402-13af6ae80583</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Insecure Configurations|If the CORS (Cross-Origin Resource Sharing) rule is defined in an S3 bucket, it should be secure|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket-cors.html">Documentation</a><br/>|
|Redshift Publicly Accessible<br/><sup><sub>bdf8dcb4-75df-4370-92c4-606e4ae6c4d3</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Insecure Configurations|AWS Redshift Clusters must not be publicly accessible, which means the attribute 'PubliclyAccessible' must be set to false|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-redshift-cluster.html">Documentation</a><br/>|
|Root Account Has Active Access Keys<br/><sup><sub>4c137350-7307-4803-8c04-17c09a7a9fcf</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Insecure Configurations|Check if the root user has any access keys associated to it.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-iam-accesskey.html">Documentation</a><br/>|
|CloudFront Without Minimum Protocol TLS 1.2<br/><sup><sub>dc17ee4b-ddf2-4e23-96e8-7a36abad1303</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Insecure Configurations|CloudFront Minimum Protocol version should be at least TLS 1.2|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-cloudfront-distribution.html">Documentation</a><br/>|
|Batch Job Definition With Privileged Container Properties<br/><sup><sub>76ddf32c-85b1-4808-8935-7eef8030ab36</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Insecure Configurations|Batch Job Definition should not have Privileged Container Properties|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-batch-jobdefinition.html">Documentation</a><br/>|
|ECS Task Definition Network Mode Not Recommended<br/><sup><sub>027a4b7a-8a59-4938-a04f-ed532512cf45</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Insecure Configurations|Network_Mode should be 'awsvpc' in ecs_task_definition. AWS VPCs provides the controls to facilitate a formal process for approving and testing all network connections and changes to the firewall and router configurations|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ecs-taskdefinition.html#cfn-ecs-taskdefinition-networkmode">Documentation</a><br/>|
|KMS Key With Vulnerable Policy<br/><sup><sub>da905474-7454-43c0-b8d2-5756ab951aba</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Insecure Configurations|Checks if the policy is vulnerable and needs updating|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-kms-key.html#cfn-kms-key-keypolicy">Documentation</a><br/>|
|DB Instance Publicly Accessible<br/><sup><sub>de38e1d5-54cb-4111-a868-6f7722695007</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Insecure Configurations|RDS must not be defined with public interface, which means the attribute 'PubliclyAccessible' must be set to false.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-rds-database-instance.html">Documentation</a><br/>|
|API Gateway Without Security Policy<br/><sup><sub>8275fab0-68ec-4705-bbf4-86975edb170e</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Insecure Configurations|API Gateway should have a Security Policy defined and use TLS 1.2.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigateway-domainname.html#cfn-apigateway-domainname-securitypolicy">Documentation</a><br/>|
|S3 Static Website Host Enabled<br/><sup><sub>90501b1b-cded-4cc1-9e8b-206b85cda317</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Insecure Configurations|It's dangerous disabling a block public access settings in bucket or writing a bucket policy that grants public read access|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket-publicaccessblockconfiguration.html">Documentation</a><br/>|
|Vulnerable Default SSL Certificate<br/><sup><sub>b4d9c12b-bfba-4aeb-9cb8-2358546d8041</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Insecure Defaults|CloudFront web distributions should use custom (and not default) SSL certificates. Custom SSL certificates allow only defined users to access content by using an alternate domain name instead of the default one.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-cloudfront-distribution.html">Documentation</a><br/>|
|Permissive Web ACL Default Action<br/><sup><sub>6d64f311-3da6-45f3-80f1-14db9771ea40</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Insecure Defaults|WebAcl DefaultAction should not be ALLOW|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-waf-webacl.html">Documentation</a><br/>|
|Remote Desktop Port Open<br/><sup><sub>c9846969-d066-431f-9b34-8c4abafe422a</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Networking and Firewall|The Remote Desktop port is open in a Security Group|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-security-group.html">Documentation</a><br/>|
|EC2 Network ACL Overlapping Ports<br/><sup><sub>77b6f1e2-bde4-4a6a-ae7e-a40659ff1576</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Networking and Firewall|NetworkACL Entries are reusing or overlapping ports which may create ineffective rules|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-networkaclentry-portrange.html">Documentation</a><br/>|
|Default Security Groups With Unrestricted Traffic<br/><sup><sub>ea33fcf7-394b-4d11-a228-985c5d08f205</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Networking and Firewall|Security Groups set as default must be denied traffic.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-security-group.html">Documentation</a><br/>|
|Security Groups Allows Unrestricted Outbound Traffic<br/><sup><sub>66f2d8f9-a911-4ced-ae27-34f09690bb2c</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Networking and Firewall|No security group should allow unrestricted egress access|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-security-group.html">Documentation</a><br/>|
|HTTP Port Open<br/><sup><sub>ddfc4eaa-af23-409f-b96c-bf5c45dc4daa</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Networking and Firewall|The HTTP port is open in a Security Group|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-security-group.html">Documentation</a><br/>|
|DB Security Group Open To Large Scope<br/><sup><sub>0104165b-02d5-426f-abc9-91fb48189899</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Networking and Firewall|The IP address in a DB Security Group must not have more than 256 hosts.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-rds-database-instance.html">Documentation</a><br/>|
|Security Groups With Meta IP<br/><sup><sub>adcd0082-e90b-4b63-862b-21899f6e6a48</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Networking and Firewall|Security Groups allows 0.0.0.0/0 for all ports and protocols.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-security-group.html">Documentation</a><br/>|
|EC2 Public Instance Exposed Through Subnet<br/><sup><sub>c44c95fc-ae92-4bb8-bdf8-bb9bc412004a</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Networking and Firewall|EC2 instances with public IP addresses shouldn't allow for unrestricted traffic to their subnets|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-route.html">Documentation</a><br/>|
|Security Groups With Exposed Admin Ports<br/><sup><sub>cdbb0467-2957-4a77-9992-7b55b29df7b7</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Networking and Firewall|Security Groups should not have ports open in (20, 21, 22, 23, 115, 137, 138, 139, 2049, 3389)|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-security-group.html">Documentation</a><br/>|
|ALB Listening on HTTP<br/><sup><sub>275a3217-ca37-40c1-a6cf-bb57d245ab32</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Networking and Firewall|All Application Load Balancers (ALB) should block connection requests over HTTP|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-elb-listener.html#cfn-ec2-elb-listener-protocol">Documentation</a><br/>|
|Fully Open Ingress<br/><sup><sub>e415f8d3-fc2b-4f52-88ab-1129e8c8d3f5</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Networking and Firewall|ECS Service's security group should not allow unrestricted access to all ports from all IPv4 addresses|<a href="https://docs.aws.amazon.com/AmazonECS/latest/developerguide/get-set-up-for-amazon-ecs.html#create-a-base-security-group">Documentation</a><br/>|
|DB Security Group with Public Scope<br/><sup><sub>9564406d-e761-4e61-b8d7-5926e3ab8e79</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Networking and Firewall|The IP address in a DB Security Group must not be '0.0.0.0/0' (IPv4) or '::/0' (IPv6).|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-rds-database-instance.html">Documentation</a><br/>|
|RDS Associated with Public Subnet<br/><sup><sub>4e88adee-a8eb-4605-a78d-9fb1096e3091</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Networking and Firewall|RDS should not run in public subnet|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-rds-database-instance.html#cfn-rds-dbinstance-dbsubnetgroupname">Documentation</a><br/>|
|SageMaker Notebook Not Placed In VPC<br/><sup><sub>9c7028d9-04c2-45be-b8b2-1188ccaefb36</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Networking and Firewall|SageMaker Notebook must be placed in a VPC|<a href="https://docs.aws.amazon.com/sagemaker/latest/dg/security_iam_id-based-policy-examples.html#sagemaker-condition-nbi-lockdown">Documentation</a><br/>|
|ELB Sensitive Port Is Exposed To Entire Network<br/><sup><sub>78055456-f670-4d2e-94d5-392d1cf4f5e4</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Networking and Firewall|The load balancer of the application with a sensitive port connection is exposed to the entire internet.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-elb.html">Documentation</a><br/>|
|Security Group Unrestricted Access To RDP<br/><sup><sub>3ae83918-7ec7-4cb8-80db-b91ef0f94002</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Networking and Firewall|Security Groups does not allow 0.0.0.0/0 for rdp (port:3389)|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-security-group.html">Documentation</a><br/>|
|Unknown Port Exposed To Internet<br/><sup><sub>829ce3b8-065c-41a3-ad57-e0accfea82d2</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Networking and Firewall|AWS Security Group should not have an unknown port exposed to the entire Internet|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-security-group.html">Documentation</a><br/>|
|EC2 Sensitive Port Is Publicly Exposed<br/><sup><sub>494b03d3-bf40-4464-8524-7c56ad0700ed</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Networking and Firewall|The EC2 instance has a sensitive port connection exposed to the entire network|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-security-group.html">Documentation</a><br/>|
|EKS node group remote access<br/><sup><sub>73d59e76-a12c-4b74-a3d8-d3e1e19c25b3</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Networking and Firewall|Ensure Amazon EKS Node group has implict SSH access|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-eks-nodegroup.html">Documentation</a><br/>|
|Security Group With Unrestricted Access To SSH<br/><sup><sub>6e856af2-62d7-4ba2-adc1-73b62cef9cc1</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Networking and Firewall|Security Groups allows all traffic for SSH (port:22)|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-security-group.html">Documentation</a><br/>|
|Route53 Record Undefined<br/><sup><sub>24d932e1-91f0-46ea-836f-fdbd81694151</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Networking and Firewall|Route53 HostedZone must have the Record Set defined.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-route53-hostedzone.html">Documentation</a><br/>|
|CMK Rotation Disabled<br/><sup><sub>1c07bfaf-663c-4f6f-b22b-8e2d481e4df5</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Observability|Customer Master Keys (CMK) must have rotation enabled, which means the attribute 'EnableKeyRotation' must be set to 'true' when the key is enabled.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-kms-key.html">Documentation</a><br/>|
|CloudTrail Logging Disabled<br/><sup><sub>5c0b06d5-b7a4-484c-aeb0-75a836269ff0</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Observability|Checks if logging is enabled for CloudTrail.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-cloudtrail-trail.html#cfn-cloudtrail-trail-islogging">Documentation</a><br/>|
|Configuration Aggregator to All Regions Disabled<br/><sup><sub>9f3cf08e-72a2-4eb1-8007-e3b1b0e10d4d</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Observability|AWS Config Configuration Aggregator All Regions must be set to True|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-config-configurationaggregator.html">Documentation</a><br/>|
|S3 Bucket CloudTrail Logging Disabled<br/><sup><sub>c3ce69fd-e3df-49c6-be78-1db3f802261c</sub></sup>|CloudFormation|<span style="color:#C00">High</span>|Observability|Server Access Logging must be enabled on S3 Buckets so that all changes are logged and trackable when the Service used is CloudTrail|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket.html#cfn-s3-bucket-loggingconfig">Documentation</a><br/>|
|API Gateway Method Does Not Contains An API Key<br/><sup><sub>3641d5b4-d339-4bc2-bfb9-208fe8d3477f</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Access Control|An API Key should be required on a method request.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigateway-method.html">Documentation</a><br/>|
|Cross-Account IAM Assume Role Policy Without ExternalId or MFA<br/><sup><sub>85138beb-ce7c-4ca3-a09f-e8fbcc57ddd7</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Access Control|Cross-Account IAM Assume Role Policy should require external ID or MFA to protect cross-account access|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-iam-role.html#cfn-iam-role-assumerolepolicydocument">Documentation</a><br/>|
|IoT Policy Allows Wildcard Resource<br/><sup><sub>be5b230d-4371-4a28-a441-85dc760e2aa3</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Access Control|IoT Policy should not allow Resource to be set as *|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-iot-policy.html">Documentation</a><br/>|
|IoT Policy Allows Action as Wildcard<br/><sup><sub>4d32780f-43a4-424a-a06d-943c543576a5</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Access Control|IoT Policy should not allow Action to be set as *|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-iot-policy.html">Documentation</a><br/>|
|SQS Policy With Public Access<br/><sup><sub>9b6a3f5b-5fd6-40ee-9bc0-ed604911212d</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Access Control|Checks for dangerous permissions in Action statements in an SQS Queue Policy. This is deemed a potential security risk as it would allow various attacks to the queue|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-sqs-policy.html">Documentation</a><br/>|
|Empty Roles For ECS Cluster Task Definitions<br/><sup><sub>7f384a5f-b5a2-4d84-8ca3-ee0a5247becb</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Access Control|Check if any ECS cluster has not defined proper roles for services' task definitions.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ecs-service.html">Documentation</a><br/>|
|Neptune Cluster With IAM Database Authentication Disabled<br/><sup><sub>a3aa0087-8228-4e7e-b202-dc9036972d02</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Access Control|Neptune Cluster should have IAM Database Authentication enabled|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-neptune-dbcluster.html#cfn-neptune-dbcluster-iamauthenabled">Documentation</a><br/>|
|SNS Topic Publicity Has Allow and NotAction Simultaneously<br/><sup><sub>818f38ed-8446-4132-9c03-474d49e10195</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Access Control|SNS topic Publicity Should not have Allow and NotAction at the same time, if it has Allow it should have Action|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/quickref-iam.html#scenario-sns-policy">Documentation</a><br/>|
|EC2 Network ACL Ineffective Denied Traffic<br/><sup><sub>2623d682-dccb-44cd-99d0-54d9fd62f8f2</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Access Control|Ineffective deny rules. A deny rule should be applied to all IP addresses.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-network-acl-entry.html">Documentation</a><br/>|
|SQS Queue Policy Allows NotAction<br/><sup><sub>4fbfee74-8186-40d5-a24e-4baa76a855de</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Access Control|AWS SQS Queue Policy should not allow NotAction since the actions specified in this element are the only actions in that are limited|<a href="https://docs.aws.amazon.com/IAM/latest/UserGuide/reference_policies_elements_notaction.html">Documentation</a><br/>|
|IAM Access Analyzer Undefined<br/><sup><sub>8d29754a-2a18-460d-a1ba-9509f8d359da</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Access Control|IAM Access Analyzer should be defined to identify unintentional access|<a href="https://docs.amazonaws.cn/en_us/AWSCloudFormation/latest/UserGuide/aws-resource-accessanalyzer-analyzer.html">Documentation</a><br/>|
|ECR Repository Is Publicly Accessible<br/><sup><sub>75be209d-1948-41f6-a8c8-e22dd0121134</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Access Control|Amazon ECR image repositories shouldn't have public access|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ecr-repository.html">Documentation</a><br/>|
|API Gateway Without Configured Authorizer<br/><sup><sub>7fd0d461-5b8c-4815-898c-f2b4b117eb28</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Access Control|API Gateway REST API should have an API Gateway Authorizer|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigateway-authorizer.html">Documentation</a><br/>|
|KMS Allows Wildcard Principal<br/><sup><sub>f6049677-ec4a-43af-8779-5190b6d03cba</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Access Control|KMS Should not allow Principal parameter to be set as *|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-kms-key.html">Documentation</a><br/>|
|Public Lambda via API Gateway<br/><sup><sub>57b12981-3816-4c31-b190-a1e614361dd2</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Access Control|Allowing to run lambda function using public API Gateway|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-lambda-permission.html">Documentation</a><br/>|
|Lambda Permission Principal Is Wildcard<br/><sup><sub>1d6e16f1-5d8a-4379-bfb3-2dadd38ed5a7</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Access Control|Lambda Permission Principal should not be wildcard.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-lambda-permission.html">Documentation</a><br/>|
|EC2 Instance Has No IAM Role<br/><sup><sub>f914357d-8386-4d56-9ba6-456e5723f9a6</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Access Control|Check if an EC2 instance refers to an IAM profile, which represents an IAM Role.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-instance.html">Documentation</a><br/>|
|Elasticsearch Without IAM Authentication<br/><sup><sub>5c666ed9-b586-49ab-9873-c495a833b705</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Access Control|AWS Elasticsearch should ensure IAM Authentication|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-elasticsearch-domain.html#cfn-elasticsearch-domain-accesspolicies">Documentation</a><br/>|
|SQS Queue Policy Allows NotPrincipal<br/><sup><sub>4a8fc9a2-2b2f-4b3f-aa8d-401425872034</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Access Control|Checks if an SQS Queue policy has an Allow and a NotPrincipal. AWS strongly recommends against using `NotPrincipal` in the same policy statement as `"Effect": "Allow"`.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-sqs-policy.html">Documentation</a><br/>|
|IAM Policy On User<br/><sup><sub>e4239438-e639-44aa-adb8-866e400e3ade</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Access Control|IAM policies should be applied to groups and not to users|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-iam-policy.html">Documentation</a><br/>|
|ECS Service Without Running Tasks<br/><sup><sub>79d745f0-d5f3-46db-9504-bef73e9fd528</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Availability|ECS Service should have at least 1 task running|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ecs-service.html#cfn-ecs-service-deploymentconfiguration">Documentation</a><br/>|
|Auto Scaling Group With No Associated ELB<br/><sup><sub>ad21e616-5026-4b9d-990d-5b007bfe679c</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Availability|AWS Auto Scaling Groups must have associated ELBs to ensure high availability and improve application performance. This means the attribute 'LoadBalancerNames' must be defined and not empty.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-as-group.html">Documentation</a><br/>|
|ElastiCache Nodes Not Created Across Multi AZ<br/><sup><sub>cfdef2e5-1fe4-4ef4-bea8-c56e08963150</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Availability|Check if ElastiCache nodes are not being created across multi AZ|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-elasticache-cache-cluster.html">Documentation</a><br/>|
|EBS Volume Not Attached To Instances<br/><sup><sub>1819ac03-542b-4026-976b-f37addd59f3b</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Availability|EBS Volumes that are unattached to instances may contain sensitive data|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-ebs-volumeattachment.html">Documentation</a><br/>|
|CMK Is Unusable<br/><sup><sub>2844c749-bd78-4cd1-90e8-b179df827602</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Availability|AWS Key Management Service (KMS) must only possess usable Customer Master Keys (CMK), which means the CMKs must have the attribute 'Enabled' set to true and the attribute 'PendingWindowInDays' must be undefined.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-kms-key.html">Documentation</a><br/>|
|Low RDS Backup Retention Period<br/><sup><sub>e649a218-d099-4550-86a4-1231e1fcb60d</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Backup|AWS RDS backup retention policy should be at least 7 days|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-rds-dbcluster.html">Documentation</a><br/>|
|Stack Retention Disabled<br/><sup><sub>fe974ae9-858e-4991-bbd5-e040a834679f</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Backup|Make sure that retain_stack is enabled to keep the Stack and it's associated resources during resource destruction|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cloudformation-stackset-autodeployment.html#cfn-cloudformation-stackset-autodeployment-retainstacksonaccountremoval">Documentation</a><br/>|
|RDS Multi-AZ Deployment Disabled<br/><sup><sub>2b1d4935-9acf-48a7-8466-10d18bf51a69</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Backup|AWS RDS Instance should have a multi-az deployment|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-rds-database-instance.html">Documentation</a><br/>|
|RDS With Backup Disabled<br/><sup><sub>8c415f6f-7b90-4a27-a44a-51047e1506f9</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Backup|Make sure the AWS RDS configuration has automatic backup configured. If the retention period is equal to 0 there is no backup|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-rds-database-instance.html">Documentation</a><br/>|
|IAM Password Without Minimum Length<br/><sup><sub>b1b20ae3-8fa7-4af5-a74d-a2145920fcb1</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Best Practices|IAM user resource Login Profile Password should have at least 14 characters|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/quickref-iam.html#scenario-iam-user">Documentation</a><br/>|
|Cognito UserPool Without MFA<br/><sup><sub>74a18d1a-cf02-4a31-8791-ed0967ad7fdc</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Best Practices|AWS Cognito UserPool should have MFA (Multi-Factor Authentication) defined to users|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-cognito-userpool.html">Documentation</a><br/>|
|IAM Password Without Uppercase Letter<br/><sup><sub>445020f6-b69e-4484-847f-02d4b7768902</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Best Practices|IAM user resource Login Profile Password should have at least one uppercase letter|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/quickref-iam.html#scenario-iam-user">Documentation</a><br/>|
|IAM Password Without Lowercase Letter<br/><sup><sub>f4cf35d6-da92-48de-ab70-57be2b2e6497</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Best Practices|IAM user resource Login Profile Password should have lowercase letter|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/quickref-iam.html#scenario-iam-user">Documentation</a><br/>|
|Automatic Minor Upgrades Disabled<br/><sup><sub>f0104061-8bfc-4b45-8a7d-630eb502f281</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Best Practices|AWS RDS should have automatic minor upgrades enabled, which means the attribute 'AutoMinorVersionUpgrade' must be set to true.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-rds-database-instance.html">Documentation</a><br/>|
|High Access Key Rotation Period<br/><sup><sub>800fa019-49dd-421b-9042-7331fdd83fa2</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Best Practices|Check if there is a rule that enforces access keys to be rotated within 90 days.|<a href="https://docs.amazonaws.cn/en_us/config/latest/developerguide/access-keys-rotated.html">Documentation</a><br/>|
|IAM Password Without Number<br/><sup><sub>839f238f-2e3a-4a72-b945-8abdf91af955</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Best Practices|IAM user resource Login Profile Password should have at least one number|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/quickref-iam.html#scenario-iam-user">Documentation</a><br/>|
|IAM Password Without Symbol<br/><sup><sub>d72a7869-e8b9-4e12-bcd2-e8be10b39fa7</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Best Practices|IAM user resource Login Profile Password should have at least one symbol|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/quickref-iam.html#scenario-iam-user">Documentation</a><br/>|
|ECS No Load Balancer Attached<br/><sup><sub>fb2b0ecf-1492-491a-a70d-ba1df579175d</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Best Practices|Amazon ECS service should be configured to use Load Balancing to distribute traffic evenly across the tasks, which means there must exist at least one LoadBalancer.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ecs-service.html">Documentation</a><br/>|
|IAM Managed Policy Applied to a User<br/><sup><sub>0e5872b4-19a0-4165-8b2f-56d9e14b909f</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Best Practices|Make sure that any managed IAM policies are implemented in a group and not in a user.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-iam-managedpolicy.html#cfn-iam-managedpolicy-groups">Documentation</a><br/>|
|IAM User Without Password Reset<br/><sup><sub>a964d6e3-8e1e-4d93-8120-61fa640dd55a</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Best Practices|IAM User Login Profile should exist and have PasswordResetRequired property set to true|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-iam-user-loginprofile.html">Documentation</a><br/>|
|Neptune Database Cluster Encryption Disabled<br/><sup><sub>bf4473f1-c8a2-4b1b-8134-bd32efabab93</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Encryption|Neptune database cluster storage should have encryption enabled|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-neptune-dbcluster.html">Documentation</a><br/>|
|Workspace Without Encryption<br/><sup><sub>89827c57-5a8a-49eb-9731-976a606d70db</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Encryption|Workspaces should have encryption enabled|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-workspaces-workspace.html">Documentation</a><br/>|
|IAM Group Inline Policies<br/><sup><sub>a58d1a2d-4078-4b80-855b-84cc3f7f4540</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Encryption|IAM Groups should not use inline policies and instead use managed policies. If a group is deleted, the inline policy is also deleted|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-iam-group.html">Documentation</a><br/>|
|EBS Volume Encryption Disabled<br/><sup><sub>80b7ac3f-d2b7-4577-9b10-df7913497162</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Encryption|EBS volumes should be encrypted|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-ebs-volume.html">Documentation</a><br/>|
|Alexa Skill Plaintext Client Secret Exposed<br/><sup><sub>3c3b7a58-b018-4d07-9444-d9ee7156e111</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Encryption|Alexa skills' client secrets should not be defined as a plaintext string. It should either use 'AWS Systems Manager Parameter Store' or 'AWS Secrets Manager' to retrieve sensitive information|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ask-skill.html#cfn-ask-skill-authenticationconfiguration">Documentation</a><br/>|
|CodeBuild Not Encrypted<br/><sup><sub>d7467bb6-3ed1-4c82-8095-5e7a818d0aad</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Encryption|CodeBuild Should have EncryptionKey defined|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-codebuild-project.html">Documentation</a><br/>|
|SageMaker EndPoint Config Should Specify KmsKeyId Attribute<br/><sup><sub>44034eda-1c3f-486a-831d-e09a7dd94354</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Encryption|KmsKeyId attribute should be defined|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-sagemaker-endpointconfig.html">Documentation</a><br/>|
|ElasticSearch Not Encrypted At Rest<br/><sup><sub>86a248ab-0e01-4564-a82a-878303e253bb</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Encryption|Check if ElasticSearch encryption is disabled at Rest|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-elasticsearch-domain.html#cfn-elasticsearch-domain-encryptionatrestoptions">Documentation</a><br/>|
|API Gateway Without Content Encoding<br/><sup><sub>d6653eee-2d4d-4e6a-976f-6794a497999a</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Encryption|Enable Content Encoding through the attribute 'MinimumCompressionSize'. This value should be greater than -1 and smaller than 10485760.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigateway-restapi.html">Documentation</a><br/>|
|ElasticSearch Encryption With KMS Disabled<br/><sup><sub>d926aa95-0a04-4abc-b20c-acf54afe38a1</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Encryption|Check if any ElasticSearch domain isn't encrypted with KMS.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-elasticsearch-domain.html#cfn-elasticsearch-domain-encryptionatrestoptions">Documentation</a><br/>|
|Unscanned ECR Image<br/><sup><sub>9025b2b3-e554-4842-ba87-db7aeec36d35</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Encryption|Checks if the ECR Image has been scanned|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ecr-repository.html#cfn-ecr-repository-imagescanningconfiguration">Documentation</a><br/>|
|RDS Storage Encryption Disabled<br/><sup><sub>65844ba3-03a1-40a8-b3dd-919f122e8c95</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Encryption|RDS DBCluster should have storage encrypted set to true|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-rds-dbcluster.html#cfn-rds-dbcluster-storageencrypted">Documentation</a><br/>|
|Config Rule For Encrypted Volumes Disabled<br/><sup><sub>1b6322d9-c755-4f8c-b804-32c19250f2d9</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Encryption|Check if AWS config rules do not identify Encrypted Volumes as a source.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-config-configrule.html#cfn-config-configrule-source">Documentation</a><br/>|
|KMS Key Rotation Disabled<br/><sup><sub>235ca980-eb71-48f4-9030-df0c371029eb</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Encryption|EnableKeyRotation should not be false or undefined|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-kms-key.html">Documentation</a><br/>|
|EMR Security Configuration Encryption Disabled<br/><sup><sub>5b033ec8-f079-4323-b5c8-99d4620433a9</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Encryption|EMR SecurityConfiguration should enable and properly configure encryption at rest and in transit.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-emr-securityconfiguration.html">Documentation</a><br/>|
|AmazonMQ Broker Encryption Disabled<br/><sup><sub>316278b3-87ac-444c-8f8f-a733a28da60f</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Encryption|AmazonMQ Broker should have Encryption Options defined|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-amazonmq-broker.html#cfn-amazonmq-broker-encryptionoptions">Documentation</a><br/>|
|Instance With No VPC<br/><sup><sub>8a6d36cd-0bc6-42b7-92c4-67acc8576861</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Insecure Configurations|EC2 Instances should be configured under a VPC network. AWS VPCs provide the controls to facilitate a formal process for approving and testing all network connections and changes to the firewall and router configurations.|<a href="https://docs.aws.amazon.com/AWSEC2/latest/UserGuide/using-vpc.html">Documentation</a><br/>|
|MQ Broker Is Publicly Accessible<br/><sup><sub>68b6a789-82f8-4cfd-85de-e95332fe6a61</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if any MQ Broker is not publicly accessible|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-amazonmq-broker.html#cfn-amazonmq-broker-publiclyaccessible">Documentation</a><br/>|
|IAM User Has Too Many Access Keys<br/><sup><sub>48677914-6fdf-40ec-80c4-2b0e94079f54</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Insecure Configurations|Any IAM User should not have more than one access key since it increases the risk of unauthorized access and compromise credentials|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-iam-accesskey.html">Documentation</a><br/>|
|SageMaker Enabling Internet Access<br/><sup><sub>88d55d94-315d-4564-beee-d2d725feab11</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Insecure Configurations|SageMaker must have disabled internet access and root access for Creating Notebook Instances.|<a href="https://docs.aws.amazon.com/sagemaker/latest/dg/security_iam_id-based-policy-examples.html#sagemaker-condition-nbi-lockdown">Documentation</a><br/>|
|ECR Image Tag Not Immutable<br/><sup><sub>33f41d31-86b1-46a4-81f7-9c9a671f59ac</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Insecure Configurations|ECR should have an image tag be immutable|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ecr-repository.html">Documentation</a><br/>|
|IAM User LoginProfile Password Is In Plaintext<br/><sup><sub>06adef8c-c284-4de7-aad2-af43b07a8ca1</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Insecure Configurations|IAM User LoginProfile Password must not be a plaintext string|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-iam-user.html">Documentation</a><br/>|
|EC2 Instance Has Public IP<br/><sup><sub>b3de4e4c-14be-4159-b99d-9ad194365e4c</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Insecure Configurations|EC2 Subnet should not have MapPublicIpOnLaunch set to true|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-subnet.html#cfn-ec2-subnet-mappubliciponlaunch">Documentation</a><br/>|
|EMR Cluster Without Security Configuration<br/><sup><sub>48af92a5-c89b-4936-bc62-1086fe2bab23</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Insecure Configurations|EMR Cluster should have security configuration defined.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-elasticmapreduce-cluster.html#cfn-elasticmapreduce-cluster-securityconfiguration">Documentation</a><br/>|
|Inline Policies Are Attached To ECS Service<br/><sup><sub>9e8c89b3-7997-4d15-93e4-7911b9db99fd</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if any ECS service has inline policies attached, which are embedded directly into an entity (user, group,...), instead of the equivalent recommended managed policies.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ecs-service.html">Documentation</a><br/>|
|API Gateway Without SSL Certificate<br/><sup><sub>ed4c48b8-eccc-4881-95c1-09fdae23db25</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Insecure Configurations|SSL Client Certificate should be enabled|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigateway-stage.html">Documentation</a><br/>|
|Lambda Function Without Tags<br/><sup><sub>8df8e857-bd59-44fa-9f4c-d77594b95b46</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Insecure Configurations|AWS Lambda Functions must have associated tags.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-lambda-function.html">Documentation</a><br/>|
|Lambda Functions Without Unique IAM Roles<br/><sup><sub>ae03f542-1423-402f-9cef-c834e7ee9583</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Insecure Configurations|AWS Lambda Functions should not share IAM roles to ensure they will have the minimum privileges needed to perform the required tasks|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-lambda-function.html">Documentation</a><br/>|
|GitHub Repository Set To Public<br/><sup><sub>5906092d-5f74-490d-9a03-78febe0f65e1</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Insecure Configurations|Repositories must be set to private, which means the attribute 'visibility' must be set to 'private' and/or the attribute 'private' must be set to true (the attribute 'visibility' overrides 'private')|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-codestar-githubrepository.html">Documentation</a><br/>|
|API Gateway With Open Access<br/><sup><sub>1056dfbb-5802-4762-bf2b-8b9b9684b1b0</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Insecure Configurations|API Gateway Method should restrict an authorization type, except for the HTTP OPTIONS method.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigateway-method.html">Documentation</a><br/>|
|S3 Bucket Should Have Bucket Policy<br/><sup><sub>37fa8188-738b-42c8-bf82-6334ea567738</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Insecure Defaults|Checks if S3 Bucket has the same name as a Bucket Policy, if it has, S3 Bucket has a Bucket Policy associated|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket.html">Documentation</a><br/>|
|RouterTable with Default Routing<br/><sup><sub>4f0908b9-eb66-433f-9145-134274e1e944</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Insecure Defaults|NAT gateways are recommended, and not the default route which permits all traffic, in Route Tables.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-route-table.html">Documentation</a><br/>|
|GameLift Fleet EC2 InboundPermissions With Port Range<br/><sup><sub>43356255-495d-4148-ad8d-f6af5eac09dd</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Networking and Firewall|AWS GameLift Fleet EC2InboundPermissions should have a single port|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-gamelift-fleet.html">Documentation</a><br/>|
|Security Group Ingress With All Protocols<br/><sup><sub>1a427b25-2e9e-4298-9530-0499a55e736b</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Networking and Firewall|AWS Security Group Ingress should not specify all protocols to prevent allow traffic on all ports|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-security-group-ingress.html">Documentation</a><br/>|
|Unrestricted Security Group Ingress<br/><sup><sub>4a1e6b34-1008-4e61-a5f2-1f7c276f8d14</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Networking and Firewall|AWS Security Group Ingress CIDR should not be open to the world|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-security-group-ingress.html">Documentation</a><br/>|
|Security Group Egress With Port Range<br/><sup><sub>dae9c373-8287-462f-8746-6f93dad93610</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Networking and Firewall|AWS Security Group Egress should have a single port|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-security-group-egress.html">Documentation</a><br/>|
|Security Group Ingress With Port Range<br/><sup><sub>87482183-a8e7-4e42-a566-7a23ec231c16</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Networking and Firewall|AWS Security Group Ingress should have a single port|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-security-group-ingress.html">Documentation</a><br/>|
|ELB With Security Group Without Outbound Rules<br/><sup><sub>01d5a458-a6c4-452a-ac50-054d59275b7c</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Networking and Firewall|An AWS Elastic Load Balancer (ELB) shouldn´t have security groups without outbound rules|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-security-group.html#cfn-ec2-securitygroup-securitygroupegress">Documentation</a><br/>|
|Security Group Egress With All Protocols<br/><sup><sub>ee464fc2-54a6-4e22-b10a-c6dcd2474d0c</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Networking and Firewall|AWS Security Group Egress should not specify all protocols to prevent allow traffic on all ports|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-security-group-egress.html">Documentation</a><br/>|
|API Gateway Endpoint Config is Not Private<br/><sup><sub>4a8daf95-709d-4a36-9132-d3e19878fa34</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Networking and Firewall|The API Endpoint type in API Gateway should be set to PRIVATE so it's not exposed to the public internet|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-apigateway-restapi-endpointconfiguration.html#cfn-apigateway-restapi-endpointconfiguration-types">Documentation</a><br/>|
|ALB Is Not Integrated With WAF<br/><sup><sub>105ba098-1e34-48cd-b0f2-a8a43a51bf9b</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Networking and Firewall|All Application Load Balancers (ALB) must be protected with Web Application Firewall (WAF) service|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-wafregional-webaclassociation.html">Documentation</a><br/>|
|VPC Without Network Firewall<br/><sup><sub>3e293410-d5b8-411f-85fd-7d26294f20c9</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Networking and Firewall|VPC should have a Network Firewall associated|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-networkfirewall-firewall.html#cfn-networkfirewall-firewall-vpcid">Documentation</a><br/>|
|Security Groups Without VPC Attached<br/><sup><sub>493d9591-6249-47bf-8dc0-5c10161cc558</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Networking and Firewall|Security Groups must have a VPC.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-security-group.html">Documentation</a><br/>|
|ELB With Security Group Without Inbound Rules<br/><sup><sub>e200a6f3-c589-49ec-9143-7421d4a2c845</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Networking and Firewall|An AWS Elastic Load Balancer (ELB) shouldn´t have security groups without outbound rules|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-security-group.html#cfn-ec2-securitygroup-securitygroupingress">Documentation</a><br/>|
|Security Group Egress CIDR Open To World<br/><sup><sub>1cc2fbd7-816c-4fbf-ad6d-38a4afa4312a</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Networking and Firewall|AWS Security Group Egress CIDR should not be open to the world|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-security-group-egress.html">Documentation</a><br/>|
|TCP/UDP Protocol Network ACL Entry Allows All Ports<br/><sup><sub>f57f849c-883b-4cb7-85e7-f7b199dff163</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Networking and Firewall|TCP/UDP protocol AWS Network ACL Entry should not allow all ports|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-network-acl-entry.html#cfn-ec2-networkaclentry-portrange">Documentation</a><br/>|
|API Gateway without WAF<br/><sup><sub>fcbf9019-566c-4832-a65c-af00d8137d2b</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Networking and Firewall|API Gateway should have WAF (Web Application Firewall) enabled|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-wafv2-webaclassociation.html#cfn-wafv2-webaclassociation-resourcearn">Documentation</a><br/>|
|EC2 Permissive Network ACL Protocols<br/><sup><sub>03879981-efa2-47a0-a818-c843e1441b88</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Networking and Firewall|To avoid opening all ports for Allow rules, EC2 NetworkACL Entry Protocol should be either 6 (for TCP), 17 (for UDP), 1 (for ICMP), or 58 (for ICMPv6, which must include an IPv6 CIDR block, ICMP type, and code).|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-network-acl-entry.html">Documentation</a><br/>|
|S3 Bucket Without Versioning<br/><sup><sub>a227ec01-f97a-4084-91a4-47b350c1db54</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Observability|S3 bucket should have versioning enabled|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket.html">Documentation</a><br/>|
|CloudFront Logging Disabled<br/><sup><sub>de77cd9f-0e8b-46cc-b4a4-b6b436838642</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Observability|Make sure AWS CloudFront distribution has access log enabled|<a href="https://docs.aws.amazon.com/AmazonCloudFront/latest/DeveloperGuide/logging-and-monitoring.html">Documentation</a><br/>|
|Redshift Cluster Logging Disabled<br/><sup><sub>3de2d4ff-fe53-4fc9-95d3-2f8a69bf90d6</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Observability|Make sure Logging is enabled for Redshift Cluster|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-redshift-cluster.html#cfn-redshift-cluster-loggingproperties">Documentation</a><br/>|
|ELBv2 ALB Access Log Disabled<br/><sup><sub>c62e8b7d-1fdf-4050-ac4c-76ba9e1d9621</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Observability|ELBv2 ALBs should have access log enabled to capture detailed information about requests sent to your load balancer.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-elasticloadbalancingv2-loadbalancer-loadbalancerattributes.html#cfn-elasticloadbalancingv2-loadbalancer-loadbalancerattributes-key">Documentation</a><br/>|
|CloudTrail SNS Topic Name Undefined<br/><sup><sub>3e09413f-471e-40f3-8626-990c79ae63f3</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Observability|Check if SNS topic name is set for CloudTrail|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-cloudtrail-trail.html#cfn-cloudtrail-trail-snstopicname">Documentation</a><br/>|
|CloudTrail Not Integrated With CloudWatch<br/><sup><sub>65d07da5-9af5-44df-8983-52d2e6f24c44</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Observability|CloudTrail should be integrated with CloudWatch|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-cloudtrail-trail.html">Documentation</a><br/>|
|ELB Access Log Disabled<br/><sup><sub>ee12ad32-2863-4c0f-b13f-28272d115028</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Observability|ELB should have access log enabled|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-elb-accessloggingpolicy.html">Documentation</a><br/>|
|MQ Broker Logging Disabled<br/><sup><sub>e519ed6a-8328-4b69-8eb7-8fa549ac3050</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Observability|Check if MQ Brokers don't have logging enabled in any of the two options possible (audit and general).|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-amazonmq-broker.html#cfn-amazonmq-broker-logs">Documentation</a><br/>|
|CloudWatch Logging Disabled<br/><sup><sub>0f0fb06b-0f2f-4374-8588-f2c7c348c7a0</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Observability|Check if CloudWatch logging is disabled for Route53 hosted zones|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-route53-hostedzone.html#cfn-route53-hostedzone-queryloggingconfig">Documentation</a><br/>|
|MSK Cluster Logging Disabled<br/><sup><sub>fc7c2c15-f5d0-4b80-adb2-c89019f8f62b</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Observability|Ensure MSK Cluster Logging is enabled|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-msk-cluster.html">Documentation</a><br/>|
|CloudTrail Multi Region Disabled<br/><sup><sub>058ac855-989f-4378-ba4d-52d004020da7</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Observability|AWS CloudTrail should have IsMultiRegionTrail set to true|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-cloudtrail-trail.html#cfn-cloudtrail-trail-ismultiregiontrail">Documentation</a><br/>|
|CloudWatch Metrics Disabled<br/><sup><sub>5d3c1807-acb3-4bb0-be4e-0440230feeaf</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Observability|Checks if CloudWatch Metrics is Enabled|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cw-alarm.html">Documentation</a><br/>|
|GuardDuty Detector Disabled<br/><sup><sub>a25cd877-375c-4121-a640-730929936fac</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Observability|Make sure that Amazon GuardDuty is Enabled.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-guardduty-detector.html">Documentation</a><br/>|
|API Gateway V2 Stage Access Logging Settings Not Defined<br/><sup><sub>80d45af4-4920-4236-a56e-b7ef419d1941</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Observability|API Gateway V2 Stage should have Access Logging Settings defined.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigatewayv2-stage.html#cfn-apigatewayv2-stage-accesslogsettings">Documentation</a><br/>|
|API Gateway X-Ray Disabled<br/><sup><sub>4ab10c48-bedb-4deb-8f3b-ff12783b61de</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Observability|X-Ray Tracing is not enabled|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigateway-stage.html#cfn-apigateway-stage-tracingenabled">Documentation</a><br/>|
|ElasticSearch Without Slow Logs<br/><sup><sub>086ea2eb-14a6-4fd4-914b-38e0bc8703e8</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Observability|Ensure that AWS Elasticsearch enables support for slow logs|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-elasticsearch-domain.html#cfn-elasticsearch-domain-logpublishingoptions">Documentation</a><br/>|
|API Gateway Deployment Without Access Log Setting<br/><sup><sub>06ec63e3-9f72-4fe2-a218-2eb9200b8db5</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Observability|API Gateway Deployment should have access log setting defined when connected to an API Gateway Stage.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigateway-deployment.html">Documentation</a><br/>|
|Stack Notifications Disabled<br/><sup><sub>837e033c-4717-40bd-807e-6abaa30161b7</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Observability|Enable AWS CloudFormation Stack Notifications|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-stack.html">Documentation</a><br/>|
|DocDB Cluster Master Password In Plaintext<br/><sup><sub>39423ce4-9011-46cd-b6b1-009edcd9385d</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Secret Management|DocDB DB Cluster master user password must not be in a plain text string or referenced in a parameter as a default value.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-docdb-dbcluster.html">Documentation</a><br/>|
|DMS Endpoint MongoDB Settings Password Exposed<br/><sup><sub>f988a17f-1139-46a3-8928-f27eafd8b024</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Secret Management|DMS Endpoint MongoDbSettings Password must not be a plaintext string or a Ref to a Parameter with a Default value.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-dms-endpoint-mongodbsettings.html">Documentation</a><br/>|
|Directory Service Microsoft AD Password Set to Plaintext or Default Ref<br/><sup><sub>06b9f52a-8cd5-459b-bdc6-21a22521e1be</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Secret Management|Directory Service Microsoft AD password must not be a plaintext string or a Ref to a Parameter with a Default value.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-directoryservice-microsoftad.html">Documentation</a><br/>|
|Amplify App Basic Auth Config Password Exposed<br/><sup><sub>71493c8b-3014-404c-9802-078b74496fb7</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Secret Management|Amplify App BasicAuthConfig Password must not be a plaintext string or a Ref to a Parameter with a Default value.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-amplify-app-basicauthconfig.html">Documentation</a><br/>|
|RefreshToken Is Exposed<br/><sup><sub>5b48c507-0d1f-41b0-a630-76817c6b4189</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Secret Management|Alexa ASK Skill AuthenticationConfiguration RefreshToken should not be a plaintext string|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ask-skill.html#cfn-ask-skill-authenticationconfiguration">Documentation</a><br/>|
|Directory Service Simple AD Password Exposed<br/><sup><sub>6685d912-d81f-4cfa-95ad-e316ea31c989</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Secret Management|DirectoryService SimpleAD password must not be a plaintext string or a Ref to a Parameter with a Default value.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-directoryservice-simplead.html">Documentation</a><br/>|
|Amplify App OAuth Token Exposed<br/><sup><sub>03b38885-8f4e-480c-a0e4-12c1affd15db</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Secret Management|Amplify App OAuth Token must not be a plaintext string or a Ref to a Parameter with a Default value.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-amplify-app-basicauthconfig.html">Documentation</a><br/>|
|DMS Endpoint Password Exposed<br/><sup><sub>5f700072-b7ce-4e84-b3f3-497bf1c24a4d</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Secret Management|DMS Endpoint password must not be a plaintext string or a Ref to a Parameter with a Default value.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-dms-endpoint.html">Documentation</a><br/>|
|Secrets Manager Should Specify KmsKeyId<br/><sup><sub>c8ae9ba9-c2f7-4e5c-b32e-a4b7712d4d22</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Secret Management|Secrets Manager Secret should explicitly specify KmsKeyId, this will allow the secret to be shared cross-account|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-secretsmanager-secret.html">Documentation</a><br/>|
|Amplify Branch Basic Auth Config Password Exposed<br/><sup><sub>dfb56e5d-ee68-446e-b32a-657b62befe69</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Secret Management|Amplify Branch BasicAuthConfig Password must not be a plaintext string or a Ref to a Parameter with a Default value.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-amplify-branch.html#cfn-amplify-branch-basicauthconfig">Documentation</a><br/>|
|Hardcoded AWS Access Key In Lambda<br/><sup><sub>2564172f-c92b-4261-9acd-464aed511696</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Secret Management|Lambda hardcoded AWS access/secret keys|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-lambda-function.html#cfn-lambda-function-environment">Documentation</a><br/>|
|EBS Volume Without KmsKeyId<br/><sup><sub>b7063015-6c31-4658-a8e7-14f98f37fd42</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Secret Management|EBS Volume should specify a KmsKeyId value|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-ebs-volume.html">Documentation</a><br/>|
|Amplify App Access Token Exposed<br/><sup><sub>73980e43-f399-4fcc-a373-658228f7adf7</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Secret Management|Amplify App Access Token must not be in a plain text string or referenced in a parameter as a default value.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-amplify-app.html">Documentation</a><br/>|
|SNS Topic Without KmsMasterKeyId<br/><sup><sub>9d13b150-a2ab-42a1-b6f4-142e41f81e52</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Secret Management|KmsMasterKeyId attribute should not be undefined|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-sns-topic.html">Documentation</a><br/>|
|SQS with SSE disabled<br/><sup><sub>12726829-93ed-4d51-9cbe-13423f4299e1</sub></sup>|CloudFormation|<span style="color:#C60">Medium</span>|Secret Management|AWS SQS Queue should have a KMS Master Key defined|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-sqs-queues.html#aws-sqs-queue-kmsmasterkeyid">Documentation</a><br/>|
|IAM Policy Grants 'AssumeRole' Permission Across All Services<br/><sup><sub>e835bd0d-65da-49f7-b6d1-b646da8727e6</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Access Control|Check if any IAM Policy grants 'AssumeRole' permission across all services.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-iam-policy.html">Documentation</a><br/>|
|IAM Group Without Users<br/><sup><sub>8f957abd-9703-413d-87d3-c578950a753c</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Access Control|IAM Group should have at least one user associated|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-iam-group.html">Documentation</a><br/>|
|IAM Policy Grants Full Permissions<br/><sup><sub>f62aa827-4ade-4dc4-89e4-1433d384a368</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Access Control|Check if an IAM policy is granting full permissions to resources from the get-go, instead of granting permissions gradually as necessary.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-iam-policy.html">Documentation</a><br/>|
|EC2 Instance Using Default Security Group<br/><sup><sub>08b81bb3-0985-4023-8602-b606ad81d279</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Access Control|EC2 instances should not use default security group(s)|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-instance.html#cfn-ec2-instance-securitygroups">Documentation</a><br/>|
|Support Has No Role Associated<br/><sup><sub>d71b5fd7-9020-4b2d-9ec8-b3839faa2744</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Access Control|Check if any AWS Support policy does not have any role and users and group associated, which means that is not being managed.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-iam-policy.html">Documentation</a><br/>|
|IAM User With No Group<br/><sup><sub>06933df4-0ea7-461c-b9b5-104d27390e0e</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Access Control|A IAM user should belong to a group|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/quickref-iam.html#scenario-iam-policy">Documentation</a><br/>|
|IAM Role Allows All Principals To Assume<br/><sup><sub>f80e3aa7-7b34-4185-954e-440a6894dde6</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Access Control|IAM role allows all services or principals to assume it|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-iam-role.html#cfn-iam-role-assumerolepolicydocument">Documentation</a><br/>|
|VPC Attached With Too Many Gateways<br/><sup><sub>97e94d17-e2c7-4109-a53b-6536ac1bb64e</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Availability|The number of gateways approaches or goes beyond the limit in a particular VPC|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-vpc-gateway-attachment.html">Documentation</a><br/>|
|RDS With Deletion Protection Disabled<br/><sup><sub>2c161e58-cb52-454f-abea-6470c37b5e6e</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Backup|RDS DBInstance should have deletion protection set to true|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-rds-database-instance.html#cfn-rds-dbinstance-deletionprotection">Documentation</a><br/>|
|Lambda Permission Misconfigured<br/><sup><sub>9b83114b-b2a1-4534-990d-06da015e47aa</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Best Practices|Lambda permission may be misconfigured if the action field is not filled in by 'lambda: InvokeFunction'|<a href="https://docs.aws.amazon.com/pt_br/AWSCloudFormation/latest/UserGuide/aws-resource-lambda-permission.html">Documentation</a><br/>|
|IAM Policies Attached To User<br/><sup><sub>edc95c10-7366-4f30-9b4b-f995c84eceb5</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Best Practices|IAM User should embed managed policies instead of inline policies|<a href="https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_managed-vs-inline.html">Documentation</a><br/>|
|Security Group Ingress Has CIDR Not Recommended<br/><sup><sub>a3e4e39a-e5fc-4ee9-8cf5-700febfa86dd</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Best Practices|AWS Security Group Ingress CIDR should not be /32 in case of IPV4 or /128 in case of IPV6|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-security-group-ingress.html">Documentation</a><br/>|
|CDN Configuration Is Missing<br/><sup><sub>e4f54ff4-d352-40e8-a096-5141073c37a2</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Best Practices|Content Delivery Network (CDN) service is used within AWS account to secure and accelerate the delivery of websites. The use of a CDN can provide a layer of security between your origin content and the destination.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cloudfront-distribution-distributionconfig.html">Documentation</a><br/>|
|Security Group Rule Without Description<br/><sup><sub>5e6c9c68-8a82-408e-8749-ddad78cbb9c5</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Best Practices|AWS Security Group Rule should have description defined|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-security-group.html">Documentation</a><br/>|
|Geo Restriction Disabled<br/><sup><sub>7f8843f0-9ea5-42b4-a02b-753055113195</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Best Practices|Geo Restriction feature should be enabled, to restrict or allow users in specific locations accessing web application content|<a href="https://docs.aws.amazon.com/AmazonCloudFront/latest/DeveloperGuide/georestrictions.html">Documentation</a><br/>|
|IAM Policies Without Groups<br/><sup><sub>5e7acff5-095b-40ac-9073-ac2e4ad8a512</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Best Practices|IAM policy should not apply directly to users, should be with a group|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/quickref-iam.html#scenario-iam-policy">Documentation</a><br/>|
|EFS Without Tags<br/><sup><sub>08e39832-5e42-4304-98a0-aa5b43393162</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Build Process|Amazon Elastic Filesystem should have filesystem tags associated|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-efs-filesystem.html">Documentation</a><br/>|
|DynamoDB With Not Recommented Table Billing Mode<br/><sup><sub>c333e906-8d8b-4275-b999-78b6318f8dc6</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Build Process|Checks if DynamoDB Table Billing Mode is set to either PAY_PER_REQUEST or PROVISIONED|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-dynamodb-table.html#cfn-dynamodb-table-attributedef">Documentation</a><br/>|
|API Gateway Cache Cluster Disabled<br/><sup><sub>52790cad-d60d-41d5-8483-146f9f21208d</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Insecure Configurations|AWS API Gateway should have cache clustering enabled|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigateway-stage.html#cfn-apigateway-stage-cacheclusterenabled">Documentation</a><br/>|
|Open Access To Resources Through API<br/><sup><sub>60112997-8bd0-4c4c-9140-e5111706ea6f</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Insecure Configurations|Open access to back-end resources through API|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigateway-method.html">Documentation</a><br/>|
|Wildcard In ACM Certificate Domain Name<br/><sup><sub>cc8b294f-006f-4f8f-b5bb-0a9140c33131</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Insecure Configurations|ACM Certificate should not use wildcards (*) in the domain name|<a href="https://docs.aws.amazon.com/acm/latest/userguide/acm-overview.html">Documentation</a><br/>|
|Lambda Function Without Dead Letter Queue<br/><sup><sub>c2eae442-d3ba-4cb1-84ca-1db4f80eae3d</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Insecure Configurations|AWS Lambda Function should be configured for a Dead Letter Queue(DLQ)|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-lambda-function.html#cfn-lambda-function-deadletterconfig">Documentation</a><br/>|
|RDS Using Default Port<br/><sup><sub>1fe9d958-ddce-4228-a124-05265a959a8b</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Networking and Firewall|RDS should not use the default port (an attacker can easily guess the port). For engines related to Aurora, MariaDB or MySQL, the default port is 3306. PostgreSQL default port is 5432, Oracle default port is 1521 and SQL Server default port is 1433|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-rds-database-instance.html#cfn-rds-dbinstance-port">Documentation</a><br/>|
|EC2 Network ACL Duplicate Rule<br/><sup><sub>045ddb54-cfc5-4abb-9e05-e427b2bc96fe</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Networking and Firewall|A Network ACL's rule numbers cannot be repeated unless one is egress and the other is ingress|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-network-acl-entry.html#cfn-ec2-networkaclentry-rulenumber">Documentation</a><br/>|
|EC2 Instance Using Default VPC<br/><sup><sub>e42a3ef0-5325-4667-84bf-075ba1c9d58e</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Networking and Firewall|EC2 Instances should not be configured under a default VPC network|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-instance.html#cfn-ec2-instance-subnetid">Documentation</a><br/>|
|Redshift Using Default Port<br/><sup><sub>a478af30-8c3a-404d-aa64-0b673cee509a</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Networking and Firewall|Redshift should not use the default port (5439) because an attacker can easily guess the port|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-redshift-cluster.html#cfn-redshift-cluster-port">Documentation</a><br/>|
|ElastiCache Without VPC<br/><sup><sub>ba766c53-fe71-4bbb-be35-b6803f2ef13e</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Networking and Firewall|ElastiCache should be launched in a Virtual Private Cloud (VPC)|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-elasticache-cache-cluster.html#cfn-elasticache-cachecluster-cachesubnetgroupname">Documentation</a><br/>|
|ElastiCache Using Default Port<br/><sup><sub>323db967-c68e-44e6-916c-a777f95af34b</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Networking and Firewall|ElastiCache should not use the default port (an attacker can easily guess the port). For engine set to Redis, the default port is 6379. The Memcached default port is 11211|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-elasticache-replicationgroup.html#cfn-elasticache-replicationgroup-port">Documentation</a><br/>|
|Shield Advanced Not In Use<br/><sup><sub>ad7444cf-817a-4765-a79e-2145f7981faf</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Networking and Firewall|AWS Shield Advanced should be used for Amazon Route 53 hosted zone, AWS Global Accelerator accelerator, Elastic IP Address, Elastic Load Balancing, and Amazon CloudFront Distribution to protect these resources against robust DDoS attacks|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-fms-policy.html">Documentation</a><br/>|
|EMR Without VPC<br/><sup><sub>bf89373a-be40-4c04-99f5-746742dfd7f3</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Networking and Firewall|Elastic MapReduce Cluster (EMR) should be launched in a Virtual Private Cloud (VPC)|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-elasticmapreduce-cluster-jobflowinstancesconfig.html#cfn-elasticmapreduce-cluster-jobflowinstancesconfig-ec2subnetid">Documentation</a><br/>|
|CloudFront Without WAF<br/><sup><sub>0f139403-303f-467c-96bd-e717e6cfd62d</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Networking and Firewall|All AWS CloudFront distributions should be integrated with the Web Application Firewall (AWS WAF) service|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cloudfront-distribution-distributionconfig.html#cfn-cloudfront-distribution-distributionconfig-webaclid">Documentation</a><br/>|
|API Gateway Deployment Without API Gateway UsagePlan Associated<br/><sup><sub>783860a3-6dca-4c8b-81d0-7b62769ccbca</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Observability|API Gateway Deployment should have API Gateway UsagePlan defined and associated.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigateway-deployment.html">Documentation</a><br/>|
|SNS Topic is Publicly Accessible For Subscription<br/><sup><sub>ae53ce91-42b5-46bf-a84f-9a13366a4f13</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Observability|Ensure appropriate subscribers to each SNS topic|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-sns-topic.html#cfn-sns-topic-subscription">Documentation</a><br/>|
|VPC FlowLogs Disabled<br/><sup><sub>f6d299d2-21eb-41cc-b1e1-fe12d857500b</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Observability|VPC hasn't got any FlowLog associated|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-flowlog.html">Documentation</a><br/>|
|ECS Task Definition HealthCheck Missing<br/><sup><sub>d24389b4-b209-4ff0-8345-dc7a4569dcdd</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Observability|Amazon ECS must have the HealthCheck property defined to give more control over monitoring the health of tasks|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ecs-taskdefinition-healthcheck.html">Documentation</a><br/>|
|Lambda Functions Without X-Ray Tracing<br/><sup><sub>9488c451-074e-4cd3-aee3-7db6104f542c</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Observability|AWS Lambda functions should have TracingConfig enabled. For this, property 'tracingConfig.mode' should have the value 'Active'|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-lambda-function-tracingconfig.html">Documentation</a><br/>|
|S3 Bucket Logging Disabled<br/><sup><sub>4552b71f-0a2a-4bc4-92dd-ed7ec1b4674c</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Observability|Server Access Logging must be enabled on S3 Buckets so that all changes are logged and trackable|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket.html#cfn-s3-bucket-loggingconfig">Documentation</a><br/>|
|CloudTrail Log File Validation Disabled<br/><sup><sub>2a3560fe-52ca-4443-b34f-bf0ed5eb74c8</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Observability|CloudTrail log file validation should be enabled|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-cloudtrail-trail.html#cfn-cloudtrail-trail-enablelogfilevalidation">Documentation</a><br/>|
|API Gateway Stage Without API Gateway UsagePlan Associated<br/><sup><sub>7f8f1b60-43df-4c28-aa21-fb836dbd8071</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Resource Management|API Gateway Stage should have API Gateway UsagePlan defined and associated.|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-apigateway-stage.html">Documentation</a><br/>|
|ECS Task Definition Invalid CPU or Memory<br/><sup><sub>f4c9b5f5-68b8-491f-9e48-4f96644a1d51</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Resource Management|In ECS Task Definition of FARGATE launch type if you specify an invalid CPU or Memory value, you will receive an error|<a href="https://docs.aws.amazon.com/AmazonECS/latest/developerguide/task-cpu-memory-error.html">Documentation</a><br/>|
|VPC Without Attached Subnet<br/><sup><sub>3b3b4411-ad1f-40e7-b257-a78a6bb9673a</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Resource Management|VPCs without attached subnets may indicate that they are not being used|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-subnet.html">Documentation</a><br/>|
|SDB Domain Declared As A Resource<br/><sup><sub>6ea57c8b-f9c0-4ec7-bae3-bd75a9dee27d</sub></sup>|CloudFormation|<span style="color:#CC0">Low</span>|Resource Management|SimpleDB Domain resource should not be declared|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-simpledb.html">Documentation</a><br/>|
|EC2 Not EBS Optimized<br/><sup><sub>8dd0ff1f-0da4-48df-9bb3-7f338ae36a40</sub></sup>|CloudFormation|<span style="color:#00C">Info</span>|Best Practices|It's considered a best practice for an EC2 instance to use an EBS optimized instance. This provides the best performance for your EBS volumes by minimizing contention between Amazon EBS I/O and other traffic from your instance|<a href="https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-instance.html#cfn-ec2-instance-ebsoptimized">Documentation</a><br/>|
|BOM - MSK<br/><sup><sub>2730c169-51d7-4ae7-99b5-584379eff1bb</sub></sup>|CloudFormation|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of MSK resources specified. Amazon Managed Streaming for Apache Kafka (Amazon MSK) is a fully managed service that enables you to build and run applications that use Apache Kafka to process streaming data.|<a href="https://kics.io">Documentation</a><br/>|
|BOM - AWS EBS<br/><sup><sub>0b0556ea-9cd9-476f-862e-20679dda752b</sub></sup>|CloudFormation|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of EBS resources found. Amazon Elastic Block Store (Amazon EBS) is an easy-to-use, scalable, high-performance block-storage service designed for Amazon Elastic Compute Cloud (Amazon EC2).|<a href="https://kics.io">Documentation</a><br/>|
|BOM - SQS<br/><sup><sub>59a849c2-1127-4023-85a5-ef906dcd458c</sub></sup>|CloudFormation|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of SQS resources specified. Amazon Simple Queue Service (SQS) is a fully managed message queuing service that enables you to decouple and scale microservices, distributed systems, and serverless applications.|<a href="https://kics.io">Documentation</a><br/>|
|BOM - AWS MQ<br/><sup><sub>209189f3-c879-48a7-9703-fbcfa96d0cef</sub></sup>|CloudFormation|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of MQ resources found. Amazon MQ is a managed message broker service for Apache ActiveMQ and RabbitMQ that makes it easy to set up and operate message brokers on AWS.|<a href="https://kics.io">Documentation</a><br/>|
|BOM - AWS Elasticache<br/><sup><sub>c689f51b-9203-43b3-9d8b-caed123f706c</sub></sup>|CloudFormation|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of Elasticache resources found. Amazon ElastiCache is a fully managed, in-memory caching service supporting flexible, real-time use cases. You can use ElastiCache for caching, which accelerates application and database performance, or as a primary data store for use cases that don't require durability like session stores, gaming leaderboards, streaming, and analytics. ElastiCache is compatible with Redis and Memcached.|<a href="https://kics.io">Documentation</a><br/>|
|BOM - AWS EFS<br/><sup><sub>ef05a925-8568-4054-8ff1-f5ba82631c16</sub></sup>|CloudFormation|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of EFS resources found. Amazon Elastic File System (Amazon EFS) automatically grows and shrinks as you add and remove files with no need for management or provisioning.|<a href="https://kics.io">Documentation</a><br/>|
|BOM - SNS<br/><sup><sub>42e7dca3-8cce-4325-8df0-108888259136</sub></sup>|CloudFormation|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of SNS resources specified. Amazon Simple Notification Service (Amazon SNS) is a fully managed messaging service for both application-to-application (A2A) and application-to-person (A2P) communication.|<a href="https://kics.io">Documentation</a><br/>|
|BOM - AWS S3 Buckets<br/><sup><sub>b5d6a2e0-8f15-4664-bd5b-68ec5c9bab83</sub></sup>|CloudFormation|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of S3 resources found. Amazon Simple Storage Service (Amazon S3) is an object storage service that offers industry-leading scalability, data availability, security, and performance.|<a href="https://kics.io">Documentation</a><br/>|
|Run Using apt<br/><sup><sub>a1bc27c6-7115-48d8-bf9d-5a7e836845ba</sub></sup>|Buildah|<span style="color:#C60">Medium</span>|Supply-Chain|apt is discouraged by the linux distributions as an unattended tool as its interface may suffer changes between versions. Better use the more stable apt-get and apt-cache|<a href="https://github.com/containers/buildah/blob/main/docs/buildah-run.1.md">Documentation</a><br/>|
|Volume Mounted In Multiple Containers<br/><sup><sub>baa452f0-1f21-4a25-ace5-844e7a5f410d</sub></sup>|DockerCompose|<span style="color:#C00">High</span>|Build Process|Volume mounts should not be shared, which means that 'propagation' should not be set to 'shared', 'rshared', 'slave', or 'rslave'|<a href="https://docs.docker.com/compose/compose-file/compose-file-v3/#volumes">Documentation</a><br/>|
|Volume Has Sensitive Host Directory<br/><sup><sub>1c1325ff-831d-43a1-973e-839ae57dfcc0</sub></sup>|DockerCompose|<span style="color:#C00">High</span>|Build Process|Container has sensitive host directory mounted as a volume|<a href="https://docs.docker.com/compose/compose-file/compose-file-v3/#volume-configuration-reference">Documentation</a><br/>|
|Docker Socket Mounted In Container<br/><sup><sub>d6355c88-1e8d-49e9-b2f2-f8a1ca12c75b</sub></sup>|DockerCompose|<span style="color:#C00">High</span>|Build Process|Docker socket docker.sock should not be mounted on host. If the docker socket is mounted, it can allow its processes to execute docker commands.|<a href="https://docs.docker.com/compose/compose-file/#volumes">Documentation</a><br/>|
|No New Privileges Not Set<br/><sup><sub>27fcc7d6-c49b-46e0-98f1-6c082a6a2750</sub></sup>|DockerCompose|<span style="color:#C00">High</span>|Resource Management|Ensuring the process does not gain any new privileges lessens the risk associated with many operations.|<a href="https://docs.docker.com/engine/reference/run/#security-configuration">Documentation</a><br/>|
|Privileged Containers Enabled<br/><sup><sub>ae5b6871-7f45-42e0-bb4c-ab300c4d2026</sub></sup>|DockerCompose|<span style="color:#C00">High</span>|Resource Management|Privileged containers should be used with extreme caution, they have all of the capabilities that the linux kernel offers for docker.|<a href="https://docs.docker.com/compose/compose-file/compose-file-v3/#domainname-hostname-ipc-mac_address-privileged-read_only-shm_size-stdin_open-tty-user-working_dir">Documentation</a><br/>|
|Healthcheck Not Set<br/><sup><sub>698ed579-b239-4f8f-a388-baa4bcb13ef8</sub></sup>|DockerCompose|<span style="color:#C60">Medium</span>|Availability|Check containers periodically to see if they are running properly.|<a href="https://docs.docker.com/compose/compose-file/compose-file-v3/#healthcheck">Documentation</a><br/>|
|Restart Policy On Failure Not Set To 5<br/><sup><sub>2fc99041-ddad-49d5-853f-e35e70a48391</sub></sup>|DockerCompose|<span style="color:#C60">Medium</span>|Build Process|Attribute 'restart:on-failure' should be set to 5. Restart policies in general should be used, and 5 retries is the recommended by CIS.|<a href="https://docs.docker.com/config/containers/start-containers-automatically/#use-a-restart-policy">Documentation</a><br/>|
|Cgroup Not Default<br/><sup><sub>4d9f44c6-2f4a-4317-9bb5-267adbea0232</sub></sup>|DockerCompose|<span style="color:#C60">Medium</span>|Build Process|Control groups restrict the access processes and containers have to system resources such as CPU, RAM, IOPS and network. Not having a cgroup well configured may prove to be a security fault.|<a href="https://docs.docker.com/compose/compose-file/compose-file-v3/#cgroup_parent">Documentation</a><br/>|
|Container Traffic Not Bound To Host Interface<br/><sup><sub>451d79dc-0588-476a-ad03-3c7f0320abb3</sub></sup>|DockerCompose|<span style="color:#C60">Medium</span>|Networking and Firewall|Incoming container traffic should be bound to a specific host interface|<a href="https://docs.docker.com/compose/compose-file/compose-file-v3/#ports">Documentation</a><br/>|
|Privileged Ports Mapped In Container<br/><sup><sub>bc2908f3-f73c-40a9-8793-c1b7d5544f79</sub></sup>|DockerCompose|<span style="color:#C60">Medium</span>|Networking and Firewall|Privileged ports (1 to 1023) should not be mapped. Also you should drop net_bind_service linux capability from the container unless you absolutely need to use priviledged ports.|<a href="https://docs.docker.com/compose/compose-file/compose-file-v3/#cap_add-cap_drop">Documentation</a><br/>|
|Shared Host Network Namespace<br/><sup><sub>071a71ff-f868-47a4-ac0b-3c59e4ab5443</sub></sup>|DockerCompose|<span style="color:#C60">Medium</span>|Networking and Firewall|Container should not share the host network namespace|<a href="https://docs.docker.com/compose/compose-file/compose-file-v3/#network_mode">Documentation</a><br/>|
|Networks Not Set<br/><sup><sub>ce14a68b-1668-41a0-ab7d-facd9f784742</sub></sup>|DockerCompose|<span style="color:#C60">Medium</span>|Networking and Firewall|Setting networks in services ensures you are not using dockers default bridge (docker0), which shares traffic bewteen all containers.|<a href="https://docs.docker.com/compose/compose-file/compose-file-v3/#networks">Documentation</a><br/>|
|Shared Host User Namespace<br/><sup><sub>8af7162d-6c98-482f-868e-0d33fb675ca8</sub></sup>|DockerCompose|<span style="color:#C60">Medium</span>|Resource Management|The host's user namespace should not be shared.|<a href="https://docs.docker.com/compose/compose-file/compose-file-v3/#userns_mode">Documentation</a><br/>|
|Memory Not Limited<br/><sup><sub>bb9ac4f7-e13b-423d-a010-c74a1bfbe492</sub></sup>|DockerCompose|<span style="color:#C60">Medium</span>|Resource Management|Memory limits should be defined for each container. This prevents potential resource exhaustion by ensuring that containers consume not more than the designated amount of memory|<a href="https://docs.docker.com/compose/compose-file/compose-file-v3/#resources">Documentation</a><br/>|
|Security Opt Not Set<br/><sup><sub>610e266e-6c12-4bca-9925-1ed0cd29742b</sub></sup>|DockerCompose|<span style="color:#C60">Medium</span>|Resource Management|Attribute 'security_opt' should be defined.|<a href="https://docs.docker.com/compose/compose-file/compose-file-v3/#security_opt">Documentation</a><br/>|
|Host Namespace is Shared<br/><sup><sub>4f31dd9f-2cc3-4751-9b53-67e4af83dac0</sub></sup>|DockerCompose|<span style="color:#C60">Medium</span>|Resource Management|The hosts process namespace should not be shared by containers|<a href="https://docs.docker.com/compose/compose-file/compose-file-v3/#pid">Documentation</a><br/>|
|Shared Host IPC Namespace<br/><sup><sub>baa3890f-bed7-46f5-ab8f-1da8fc91c729</sub></sup>|DockerCompose|<span style="color:#C60">Medium</span>|Resource Management|The host IPC namespace should not be shared.|<a href="https://docs.docker.com/compose/compose-file/compose-file-v3/#domainname-hostname-ipc-mac_address-privileged-read_only-shm_size-stdin_open-tty-user-working_dir">Documentation</a><br/>|
|Pids Limit Not Set<br/><sup><sub>221e0658-cb2a-44e3-b08a-db96a341d6fa</sub></sup>|DockerCompose|<span style="color:#C60">Medium</span>|Resource Management|'pids_limit' should be set and different than -1|<a href="https://docs.docker.com/compose/compose-file/compose-file-v3/#domainname-hostname-ipc-mac_address-privileged-read_only-shm_size-stdin_open-tty-user-working_dir">Documentation</a><br/>|
|Default Seccomp Profile Disabled<br/><sup><sub>404fde2c-bc4b-4371-9747-7054132ac953</sub></sup>|DockerCompose|<span style="color:#C60">Medium</span>|Resource Management|Seccomp offers a whitelist of common system calls, blocking all others. Having less kernel exposed to an app then increases security.|<a href="https://docs.docker.com/compose/compose-file/compose-file-v3/#security_opt">Documentation</a><br/>|
|Container Capabilities Unrestricted<br/><sup><sub>ce76b7d0-9e77-464d-b86f-c5c48e03e22d</sub></sup>|DockerCompose|<span style="color:#CC0">Low</span>|Resource Management|Some capabilities are not needed in certain (or any) containers. Make sure that you only add capabilities that your container needs. Drop unnecessary capabilities as well.|<a href="https://docs.docker.com/compose/compose-file/compose-file-v3/#cap_add-cap_drop">Documentation</a><br/>|
|Cpus Not Limited<br/><sup><sub>6b610c50-99fb-4ef0-a5f3-e312fd945bc3</sub></sup>|DockerCompose|<span style="color:#CC0">Low</span>|Resource Management|CPU limits should be set because if the system has CPU time free, a container is guaranteed to be allocated as much CPU as it requests|<a href="https://docs.docker.com/compose/compose-file/compose-file-v3/#resources">Documentation</a><br/>|
|Always Admit Admission Control Plugin Set<br/><sup><sub>ce30e584-b33f-4c7d-b418-a3d7027f8f60</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Access Control|When using kube-apiserver command, the '--enable-admission-plugins' flag should not have 'AlwaysAdmit' plugin|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Client Certificate Authentication Not Setup Properly<br/><sup><sub>e0e00aba-5f1c-4981-a542-9a9563c0ee20</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Access Control|Client Certificate Authentication should be Setup with a .pem file|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kubelet/">Documentation</a><br/>|
|Token Auth File Is Set<br/><sup><sub>32ecd76e-7bbf-402e-bf48-8b9485749558</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Access Control|When using kube-apiserver command, the 'token-auth-file' flag should not be set|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Service Account Lookup Set To False<br/><sup><sub>a5530bd7-225a-48f9-91bb-f40b04200165</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Access Control|When using kube-apiserver command, the '--service-account-lookup' flag should be set to true|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Node Restriction Admission Control Plugin Not Set<br/><sup><sub>33fc6923-6553-4fe6-9d3a-4efa51eb874b</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Access Control|When using kube-apiserver command, the --enable-admission-plugins flag should have 'NodeRestriction' plugin and the plugin should be correctly configured in AdmissionControl Config file|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Use Service Account Credentials Not Set To True<br/><sup><sub>1acd93f1-5a37-45c0-aaac-82ece818be7d</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Access Control|When using kube-controller-manager commands, the '--use-service-account-credentials' should be set to true|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-controller-manager/">Documentation</a><br/>|
|Basic Auth File Is Set<br/><sup><sub>5da47109-f8d6-4585-9e2b-96a8958a12f5</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Access Control|When using kube-apiserver command, the 'basic-auth-file' flag should not be set|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Pod Security Policy Admission Control Plugin Not Set<br/><sup><sub>afa36afb-39fe-4d94-b9b6-afb236f7a03d</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Build Process|When using kube-apiserver command, the '--enable-admission-plugins' flag should have 'PodSecurityPolicy' plugin and the plugin should be correctly configured in AdmissionControl Config file|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Service Account Private Key File Not Defined<br/><sup><sub>ccc98ff7-68a7-436e-9218-185cb0b0b780</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Encryption|When using kube-controller-manager commands, the '--service-account-private-key-file' should be defined|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-controller-manager/">Documentation</a><br/>|
|Cluster Allows Unsafe Sysctls<br/><sup><sub>9127f0d9-2310-42e7-866f-5fd9d20dcbad</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Insecure Configurations|A Kubernetes Cluster must not allow unsafe sysctls, to prevent a pod from having any influence on any other pod on the node, harming the node's health or gaining CPU or memory resources outside of the resource limits of a pod. This means 'spec.securityContext.sysctls' must not specify unsafe sysctls and the attribute 'allowedUnsafeSysctls' must be undefined.|<a href="https://kubernetes.io/docs/tasks/administer-cluster/sysctl-cluster/">Documentation</a><br/>|
|Shared Host PID Namespace<br/><sup><sub>302736f4-b16c-41b8-befe-c0baffa0bd9d</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Insecure Configurations|Container should not share the host process ID namespace|<a href="https://kubernetes.io/docs/concepts/policy/pod-security-policy/">Documentation</a><br/>|
|Tiller (Helm v2) Is Deployed<br/><sup><sub>6d173be7-545a-46c6-a81d-2ae52ed1605d</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Insecure Configurations|Check if Tiller is deployed.|<a href="https://kubernetes.io/docs/concepts/containers/images/">Documentation</a><br/>|
|NET_RAW Capabilities Not Being Dropped<br/><sup><sub>dbbc6705-d541-43b0-b166-dd4be8208b54</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Insecure Configurations|Containers should drop 'ALL' or at least 'NET_RAW' capabilities|<a href="https://kubernetes.io/docs/tasks/configure-pod-container/security-context/">Documentation</a><br/>|
|Container Is Privileged<br/><sup><sub>dd29336b-fe57-445b-a26e-e6aa867ae609</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Insecure Configurations|Privileged containers lack essential security restrictions and should be avoided by removing the 'privileged' flag or by changing its value to false|<a href="https://kubernetes.io/docs/concepts/workloads/pods/#privileged-mode-for-containers">Documentation</a><br/>|
|Shared Host Network Namespace<br/><sup><sub>6b6bdfb3-c3ae-44cb-88e4-7405c1ba2c8a</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Insecure Configurations|Container should not share the host network namespace|<a href="https://kubernetes.io/docs/concepts/policy/pod-security-policy/">Documentation</a><br/>|
|PSP Allows Containers To Share The Host Network Namespace<br/><sup><sub>a33e9173-b674-4dfb-9d82-cf3754816e4b</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Insecure Configurations|Check if Pod Security Policies allow containers to share the host network namespace.|<a href="https://kubernetes.io/docs/concepts/policy/pod-security-policy/">Documentation</a><br/>|
|Privilege Escalation Allowed<br/><sup><sub>5572cc5e-1e4c-4113-92a6-7a8a3bd25e6d</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Insecure Configurations|Containers should not run with allowPrivilegeEscalation in order to prevent them from gaining more privileges than their parent process|<a href="https://kubernetes.io/docs/tasks/configure-pod-container/security-context/">Documentation</a><br/>|
|Shared Host IPC Namespace<br/><sup><sub>cd290efd-6c82-4e9d-a698-be12ae31d536</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Insecure Configurations|Container should not share the host IPC namespace|<a href="https://kubernetes.io/docs/concepts/policy/pod-security-policy/">Documentation</a><br/>|
|Tiller Service Is Not Deleted<br/><sup><sub>8b862ca9-0fbd-4959-ad72-b6609bdaa22d</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Insecure Configurations|Check if there is any Tiller Service present|<a href="https://kubernetes.io/docs/concepts/services-networking/service">Documentation</a><br/>|
|Object Is Using A Deprecated API Version<br/><sup><sub>94b76ea5-e074-4ca2-8a03-c5a606e30645</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Insecure Configurations|Check if any objects are using a deprecated version of API.|<a href="https://kubernetes.io/docs/reference/using-api/deprecation-policy/">Documentation</a><br/>|
|Role Binding To Default Service Account<br/><sup><sub>1e749bc9-fde8-471c-af0c-8254efd2dee5</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Insecure Defaults|No role nor cluster role should bind to a default service account|<a href="https://kubernetes.io/docs/tasks/configure-pod-container/configure-service-account/">Documentation</a><br/>|
|Tiller Deployment Is Accessible From Within The Cluster<br/><sup><sub>e17fa86a-6222-4584-a914-56e8f6c87e06</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Networking and Firewall|Check if any Tiller Deployment container allows access from within the cluster.|<a href="https://kubernetes.io/docs/concepts/containers/images/">Documentation</a><br/>|
|Insecure Bind Address Set<br/><sup><sub>b9380fd3-5ffe-4d10-9290-13e18e71eee1</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Networking and Firewall|When using kube-apiserver command, the '--insecure-bind-address' flag should not be set|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Secure Port Set To Zero<br/><sup><sub>3d24b204-b73d-42cb-b0bf-1a5438c5f71e</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Networking and Firewall|When using kube-apiserver command, the --secure-port flag should not be 0|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|TSL Connection Certificate Not Setup<br/><sup><sub>fa750c81-93c2-4fab-9c6d-d3fd3ce3b89f</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Networking and Firewall|TSL Connection Certificate files should be Setup|<a href="https://kubernetes.io/docs/tasks/inject-data-application/define-command-argument-container/">Documentation</a><br/>|
|Kubelet HTTPS Set To False<br/><sup><sub>cdc8b54e-6b16-4538-a1b0-35849dbe29cf</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Networking and Firewall|When using kube-apiserver command, the '--kubelet-https' flag should not be set to false|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Insecure Port Not Properly Set<br/><sup><sub>fa4def8c-1898-4a35-a139-7b76b1acdef0</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Networking and Firewall|When using kube-apiserver command, the '--insecure-port' flag should be defined and set to 0|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Etcd Peer TLS Certificate Files Not Properly Set<br/><sup><sub>09bb9e96-8da3-4736-b89a-b36814acca60</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Networking and Firewall|When using etcd commands, the '--peer-cert-file' and '--peer-key-file' should be defined|<a href="https://etcd.io/docs/v3.4/op-guide/security/">Documentation</a><br/>|
|Bind Address Not Properly Set<br/><sup><sub>46a2e9ec-6a5f-4faa-9d39-4ea44d5d87a2</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Networking and Firewall|When using kube-controller-manager or kube-scheduler commands, the '--bind-address' should not be set to 127.0.0.1|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Etcd TLS Certificate Files Not Properly Set<br/><sup><sub>075ca296-6768-4322-aea2-ba5063b969a9</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Networking and Firewall|When using etcd commands, the '--cert-file' and '--key-file' should be defined|<a href="https://etcd.io/docs/v3.4/op-guide/security/">Documentation</a><br/>|
|Etcd TLS Certificate Not Properly Configured<br/><sup><sub>895a5a95-3756-4b04-9924-2f3bc93181bd</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Networking and Firewall|When using kube-apiserver commands, the '--etcd-certfile' and '--etcd-keyfile' flags should be defined|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|PSP With Unrestricted Access to Host Path<br/><sup><sub>de4421f1-4e35-43b4-9783-737dd4e4a47e</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Resource Management|PodSecurityPolicy should set 'readOnly' to true in every host path allowed|<a href="https://kubernetes.io/docs/concepts/policy/pod-security-policy/#volumes-and-file-systems">Documentation</a><br/>|
|Peer Auto TLS Set To True<br/><sup><sub>ae8827e2-4af9-4baa-9998-87539ae0d6f0</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Secret Management|When using etcd commands, the '--peer-auto-tls' should be set to false|<a href="https://etcd.io/docs/v3.4/op-guide/security/">Documentation</a><br/>|
|Auto TLS Set To True<br/><sup><sub>98ce8b81-7707-4734-aa39-627c6db3d84b</sub></sup>|Kubernetes|<span style="color:#C00">High</span>|Secret Management|When using etcd commands, the '--auto-tls' should be set to false|<a href="https://etcd.io/docs/v3.4/op-guide/security/">Documentation</a><br/>|
|Service Account Admission Control Plugin Disabled<br/><sup><sub>9587c890-0524-40c2-9ce2-663af7c2f063</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Access Control|When using kube-apiserver command, the '--disable-admission-plugins' flag should not have 'ServiceAccount' plugin|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|RBAC Roles with Read Secrets Permissions<br/><sup><sub>b7bca5c4-1dab-4c2c-8cbe-3050b9d59b14</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Access Control|Minimize access to secrets (RBAC)|<a href="https://kubernetes.io/docs/reference/access-authn-authz/rbac/">Documentation</a><br/>|
|Authorization Mode Set To Always Allow<br/><sup><sub>f1f4d8da-1ac4-47d0-b1aa-91e69d33f7d5</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Access Control|When using the kubelet command, the authorization-mode flag should not have 'AlwaysAllow' mode|<a href="https://kubernetes.io/docs/tasks/inject-data-application/define-command-argument-container/">Documentation</a><br/>|
|Non Kube System Pod With Host Mount<br/><sup><sub>aa8f7a35-9923-4cad-bd61-a19b7f6aac91</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Access Control|A non kube-system workload should not have hostPath mounted|<a href="https://kubernetes.io/docs/concepts/storage/volumes/">Documentation</a><br/>|
|Permissive Access to Create Pods<br/><sup><sub>592ad21d-ad9b-46c6-8d2d-fad09d62a942</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Access Control|The permission to create pods in a cluster should be restricted because it allows privilege escalation.|<a href="https://kubernetes.io/docs/reference/access-authn-authz/rbac/#privilege-escalation-prevention-and-bootstrapping">Documentation</a><br/>|
|Anonymous Auth Is Not Set To False<br/><sup><sub>1de5cc51-f376-4638-a940-20f2e85ae238</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Access Control|When using the kubelet or kube-apiserver command, the 'anonymous-auth' flag should be set to false (--anonymous-auth=false)|<a href="https://kubernetes.io/docs/tasks/inject-data-application/define-command-argument-container/">Documentation</a><br/>|
|Authorization Mode RBAC Not Set<br/><sup><sub>1aa4a1ae-5dbb-48a1-9aa2-630ea4be208e</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Access Control|When using kube-apiserver command, the 'authorization-mode' flag should have 'RBAC' mode|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Request Timeout Not Properly Set<br/><sup><sub>d89a15bb-8dba-4c71-9529-bef6729b9c09</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Availability|When using kube-apiserver command, the '--request-timeout' flag value should not be too long|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Readiness Probe Is Not Configured<br/><sup><sub>a659f3b5-9bf0-438a-bd9a-7d3a6427f1e3</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Availability|Check if Readiness Probe is not configured.|<a href="https://kubernetes.io/docs/tasks/configure-pod-container/configure-liveness-readiness-startup-probes/#define-readiness-probes">Documentation</a><br/>|
|Terminated Pod Garbage Collector Threshold Not Properly Set<br/><sup><sub>49113af4-29ca-458e-b8d4-724c01a4a24f</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Availability|When using kube-controller-manager commands, the '--terminated-pod-gc-threshold' should be set between 0 and 12501|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-controller-manager/">Documentation</a><br/>|
|Container Running As Root<br/><sup><sub>cf34805e-3872-4c08-bf92-6ff7bb0cfadb</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Best Practices|Containers should only run as non-root user. This limits the exploitability of security misconfigurations and restricts an attacker's possibilities in case of compromise|<a href="https://kubernetes.io/docs/tasks/configure-pod-container/security-context/">Documentation</a><br/>|
|Root Containers Admitted<br/><sup><sub>e3aa0612-4351-4a0d-983f-aefea25cf203</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Best Practices|Containers must not be allowed to run with root privileges, which means the attributes 'privileged','allowPrivilegeEscalation' and 'readOnlyRootFilesystem' must be set to false, 'runAsUser.rule' must be set to 'MustRunAsNonRoot', and adding the root group must be forbidden|<a href="https://kubernetes.io/docs/concepts/policy/pod-security-policy/">Documentation</a><br/>|
|Container Running With Low UID<br/><sup><sub>02323c00-cdc3-4fdc-a310-4f2b3e7a1660</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Best Practices|Check if containers are running with low UID, which might cause conflicts with the host's user table.|<a href="https://kubernetes.io/docs/tasks/configure-pod-container/security-context/">Documentation</a><br/>|
|Not Limited Capabilities For Pod Security Policy<br/><sup><sub>caa93370-791f-4fc6-814b-ba6ce0cb4032</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Build Process|Limit capabilities for a Pod Security Policy|<a href="https://kubernetes.io/docs/concepts/policy/pod-security-policy/">Documentation</a><br/>|
|Always Pull Images Admission Control Plugin Not Set<br/><sup><sub>a77f4d07-c6e0-4a48-8b35-0eeb51576f4f</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Build Process|When using kube-apiserver command, the '--enable-admission-plugins' flag should have 'AlwaysPullImages' plugin and the plugin should be correctly configured in AdmissionControl Config file|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Incorrect Volume Claim Access Mode ReadWriteOnce<br/><sup><sub>3878dc92-8e5d-47cf-9cdd-7590f71d21b9</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Build Process|Stateful Sets must have one Volume Claim template with the access mode 'ReadWriteOnce'|<a href="https://kubernetes.io/docs/concepts/workloads/controllers/statefulset/">Documentation</a><br/>|
|Encryption Provider Not Properly Configured<br/><sup><sub>10efce34-5af6-4d83-b414-9e096d5a06a9</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Encryption|The EncryptionConfiguration should be configured to have at least one 'aescbc', 'kms' or 'secretbox' provider|<a href="https://kubernetes.io/docs/tasks/administer-cluster/encrypt-data/#understanding-the-encryption-at-rest-configuration">Documentation</a><br/>|
|Weak TLS Cipher Suites<br/><sup><sub>510d5810-9a30-443a-817d-5c1fa527b110</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Encryption|TLS Connection should use strong Cipher Suites|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kubelet/">Documentation</a><br/>|
|Encryption Provider Config Is Not Defined<br/><sup><sub>cbd2db69-0b21-4c14-8a40-7710a50571a9</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Encryption|When using kube-apiserver commands, the '--encryption-provider-config' flag should be defined and the encryption should be correctly configured in Encryption Configuration file|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Root CA File Not Defined<br/><sup><sub>05fb986f-ac73-4ebb-a5b2-7faafa93d882</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Encryption|When using kube-controller-manager commands, the '--root-ca-file' should be defined|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-controller-manager/">Documentation</a><br/>|
|PSP Set To Privileged<br/><sup><sub>c48e57d3-d642-4e0b-90db-37f807b41b91</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Insecure Configurations|Do not allow pod to request execution as privileged.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod_security_policy#privileged">Documentation</a><br/>|
|PSP Allows Sharing Host PID<br/><sup><sub>91dacd0e-d189-4a9c-8272-5999a3cc32d9</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Insecure Configurations|Pod Security Policy allows containers to share the host process ID namespace|<a href="https://kubernetes.io/docs/concepts/policy/pod-security-policy/">Documentation</a><br/>|
|Ingress Controller Exposes Workload<br/><sup><sub>69bbc5e3-0818-4150-89cc-1e989b48f23b</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Insecure Configurations|Ingress Controllers should not expose workload in order to avoid vulnerabilities and DoS attacks|<a href="https://kubernetes.io/docs/concepts/services-networking/ingress-controllers/">Documentation</a><br/>|
|NET_RAW Capabilities Disabled for PSP<br/><sup><sub>2270987f-bb51-479f-b8be-3ca73e5ad648</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Insecure Configurations|Containers need to have NET_RAW or All as drop capabilities|<a href="https://kubernetes.io/docs/concepts/policy/pod-security-policy/">Documentation</a><br/>|
|Containers With Added Capabilities<br/><sup><sub>19ebaa28-fc86-4a58-bcfa-015c9e22fe40</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Insecure Configurations|Containers should not have added capability|<a href="https://kubernetes.io/docs/tasks/configure-pod-container/security-context/">Documentation</a><br/>|
|Using Unrecommended Namespace<br/><sup><sub>611ab018-c4aa-4ba2-b0f6-a448337509a6</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Insecure Configurations|Namespaces like 'default', 'kube-system' or 'kube-public' should not be used|<a href="https://kubernetes.io/docs/concepts/overview/working-with-objects/kubernetes-objects/">Documentation</a><br/>|
|PSP Allows Privilege Escalation<br/><sup><sub>87554eef-154d-411d-bdce-9dbd91e56851</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Insecure Configurations|PodSecurityPolicy should not allow privilege escalation|<a href="https://kubernetes.io/docs/concepts/policy/pod-security-policy/">Documentation</a><br/>|
|Authorization Mode Node Not Set<br/><sup><sub>4d7ee40f-fc5d-427d-8cac-dffbe22d42d1</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Insecure Configurations|When using kube-apiserver command, the 'authorization-mode' flag should have 'Node' mode|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Not Limited Capabilities For Container<br/><sup><sub>2f1a0619-b12b-48a0-825f-993bb6f01d58</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Insecure Configurations|Limit the capabilities for a Container.|<a href="https://kubernetes.io/docs/tasks/configure-pod-container/security-context/">Documentation</a><br/>|
|Workload Mounting With Sensitive OS Directory<br/><sup><sub>5308a7a8-06f8-45ac-bf10-791fe21de46e</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Insecure Configurations|Workload is mounting a volume with sensitive OS Directory|<a href="https://kubernetes.io/docs/concepts/policy/pod-security-policy/">Documentation</a><br/>|
|Container Runs Unmasked<br/><sup><sub>f922827f-aab6-447c-832a-e1ff63312bd3</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if a container has full access (unmasked) to the host’s /proc command, which would allow to retrieve sensitive information and possibly change the kernel parameters in runtime.|<a href="https://kubernetes.io/docs/concepts/policy/pod-security-policy/#allowedprocmounttypes">Documentation</a><br/>|
|Seccomp Profile Is Not Configured<br/><sup><sub>f377b83e-bd07-4f48-a591-60c82b14a78b</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if any resource does not configure Seccomp default profile properly|<a href="https://kubernetes.io/docs/concepts/policy/pod-security-policy/#seccomp">Documentation</a><br/>|
|Security Context Deny Admission Control Plugin Not Set<br/><sup><sub>6a68bebe-c021-492e-8ddb-55b0567fb768</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Insecure Configurations|When using kube-apiserver command, the '--enable-admission-plugins' flag should have 'SecurityContextDeny' plugin and the plugin should be correctly configured in AdmissionControl Config file when 'PodSecurityPolicy' plugin is not set|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Kubelet Protect Kernel Defaults Set To False<br/><sup><sub>6cf42c97-facd-4fda-b8af-ea4529123355</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Insecure Configurations|--protect-kernel-defaults should be set to true|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kubelet/">Documentation</a><br/>|
|PSP Allows Sharing Host IPC<br/><sup><sub>80f93444-b240-4ebb-a4c6-5c40b76c04ea</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Insecure Configurations|Pod Security Policy allows containers to share the host IPC namespace|<a href="https://kubernetes.io/docs/concepts/policy/pod-security-policy/">Documentation</a><br/>|
|Containers With Sys Admin Capabilities<br/><sup><sub>235236ee-ad78-4065-bd29-61b061f28ce0</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Insecure Configurations|Containers should not have CAP_SYS_ADMIN Linux capability|<a href="https://kubernetes.io/docs/tasks/configure-pod-container/security-context/">Documentation</a><br/>|
|PSP With Added Capabilities<br/><sup><sub>7307579a-3abb-46ad-9ce5-2a915634d5c8</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Insecure Configurations|PodSecurityPolicy should not have added capabilities|<a href="https://kubernetes.io/docs/concepts/policy/pod-security-policy/">Documentation</a><br/>|
|Service Account Name Undefined Or Empty<br/><sup><sub>591ade62-d6b0-4580-b1ae-209f80ba1cd9</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Insecure Defaults|A Pod should have a Service Account defined so to restrict Kubernetes API access, which means the attribute 'serviceAccountName' should be defined and not empty.|<a href="https://kubernetes.io/docs/tasks/configure-pod-container/configure-service-account/">Documentation</a><br/>|
|Service Account Token Automount Not Disabled<br/><sup><sub>48471392-d4d0-47c0-b135-cdec95eb3eef</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Insecure Defaults|Service Account Tokens are automatically mounted even if not necessary|<a href="https://kubernetes.io/docs/tasks/configure-pod-container/configure-service-account/#use-the-default-service-account-to-access-the-api-server">Documentation</a><br/>|
|Kubelet Streaming Connection Timeout Disabled<br/><sup><sub>ed89b97d-04e9-4fd4-919f-ee5b27e555e9</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Networking and Firewall|The flag --streaming-connection-idle-timeout should not be set to 0|<a href="https://kubernetes.io/docs/tasks/inject-data-application/define-command-argument-container/">Documentation</a><br/>|
|Service With External Load Balance<br/><sup><sub>26763a1c-5dda-4772-b507-5fca7fb5f165</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Networking and Firewall|Service has an external load balancer, which may cause accessibility from other networks and the Internet|<a href="https://kubernetes.io/docs/tasks/access-application-cluster/create-external-load-balancer/">Documentation</a><br/>|
|Pod Misconfigured Network Policy<br/><sup><sub>0401f71b-9c1e-4821-ab15-a955caa621be</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if any pod is not being targeted by a proper network policy.|<a href="https://kubernetes.io/docs/concepts/services-networking/network-policies/">Documentation</a><br/>|
|Kubelet Not Managing Ip Tables<br/><sup><sub>5f89001f-6dd9-49ff-9b15-d8cd71b617f4</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Networking and Firewall|Kubelet argument --make-iptables-util-chains should be true|<a href="https://kubernetes.io/docs/tasks/inject-data-application/define-command-argument-container/">Documentation</a><br/>|
|Kubelet Read Only Port Is Not Set To Zero<br/><sup><sub>2940d48a-dc5e-4178-a3f8-bfbd80720b41</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Networking and Firewall|When using the kubelet command, the read-only port should be set to zero (--read-only-port=0)|<a href="https://kubernetes.io/docs/tasks/inject-data-application/define-command-argument-container/">Documentation</a><br/>|
|Network Policy Is Not Targeting Any Pod<br/><sup><sub>85ab1c5b-014e-4352-b5f8-d7dea3bb4fd3</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if any network policy is not targeting any pod.|<a href="https://kubernetes.io/docs/concepts/services-networking/network-policies/">Documentation</a><br/>|
|Audit Policy File Not Defined<br/><sup><sub>13a49a2e-488e-4309-a7c0-d6b05577a5fb</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Observability|When using kube-apiserver command, the '--audit-policy-file' flag should be defined|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Audit Log Path Not Set<br/><sup><sub>73e251f0-363d-4e53-86e2-0a93592437eb</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Observability|When using kube-apiserver command, the 'audit-log-path' flag should be defined|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Volume Mount With OS Directory Write Permissions<br/><sup><sub>b7652612-de4e-4466-a0bf-1cd81f0c6063</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Resource Management|Containers can mount sensitive folders from the hosts, giving them potentially dangerous access to critical host configurations and binaries.|<a href="https://kubernetes.io/docs/concepts/storage/volumes/">Documentation</a><br/>|
|Memory Requests Not Defined<br/><sup><sub>229588ef-8fde-40c8-8756-f4f2b5825ded</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Resource Management|Memory requests should be defined for each container. This allows the kubelet to reserve the requested amount of system resources and prevents over-provisioning on individual nodes|<a href="https://kubernetes.io/docs/tasks/configure-pod-container/assign-memory-resource/">Documentation</a><br/>|
|Memory Limits Not Defined<br/><sup><sub>b14d1bc4-a208-45db-92f0-e21f8e2588e9</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Resource Management|Memory limits should be defined for each container. This prevents potential resource exhaustion by ensuring that containers consume not more than the designated amount of memory|<a href="https://kubernetes.io/docs/tasks/configure-pod-container/assign-memory-resource/">Documentation</a><br/>|
|CPU Requests Not Set<br/><sup><sub>ca469dd4-c736-448f-8ac1-30a642705e0a</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Resource Management|CPU requests should be set to ensure the sum of the resource requests of the scheduled Containers is less than the capacity of the node|<a href="https://kubernetes.io/docs/concepts/configuration/manage-resources-containers/#">Documentation</a><br/>|
|CPU Limits Not Set<br/><sup><sub>4ac0e2b7-d2d2-4af7-8799-e8de6721ccda</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Resource Management|CPU limits should be set because if the system has CPU time free, a container is guaranteed to be allocated as much CPU as it requests|<a href="https://kubernetes.io/docs/concepts/configuration/manage-resources-containers/">Documentation</a><br/>|
|Shared Service Account<br/><sup><sub>c1032cf7-3628-44e2-bd53-38c17cf31b6b</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Secret Management|A Service Account token is shared between workloads|<a href="https://kubernetes.io/docs/tasks/configure-pod-container/configure-service-account/">Documentation</a><br/>|
|Etcd Peer Client Certificate Authentication Set To False<br/><sup><sub>b7d0181d-0a9b-4611-9d1c-1ad4f0b620ff</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Secret Management|When using etcd commands, the '--peer-client-cert-auth' flag should be set to true|<a href="https://etcd.io/docs/v3.4/op-guide/security/">Documentation</a><br/>|
|Etcd Client Certificate File Not Defined<br/><sup><sub>3f5ff8a7-5ad6-4d02-86f5-666307da1b20</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Secret Management|When using kube-apiserver commands, the '--etcd-cafile' flag should be defined|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|ServiceAccount Allows Access Secrets<br/><sup><sub>056ac60e-fe07-4acc-9b34-8e1d51716ab9</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Secret Management|Roles and ClusterRoles when binded, should not use get, list or watch as verbs|<a href="https://kubernetes.io/docs/reference/access-authn-authz/rbac/">Documentation</a><br/>|
|Service Account Key File Not Properly Set<br/><sup><sub>dab4ec72-ce2e-4732-b7c3-1757dcce01a1</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Secret Management|When using kube-apiserver command, the '--service-account-key-file' flag should be defined|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Kubelet Client Certificate Or Key Not Set<br/><sup><sub>36a27826-1bf5-49da-aeb0-a60a30c0e834</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Secret Management|When using kube-apiserver command, the 'kubelet-client-key' and 'kubelet-client-certificate' flags should be set|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Not Unique Certificate Authority<br/><sup><sub>cb7e695d-6a85-495c-b15f-23aed2519303</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Secret Management|Certificate Authority should be unique for etcd|<a href="https://kubernetes.io/docs/tasks/inject-data-application/define-command-argument-container/">Documentation</a><br/>|
|Kubelet Client Periodic Certificate Switch Disabled<br/><sup><sub>52d70f2e-3257-474c-b3dc-8ad9ba6a061a</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Secret Management|Kubelet argument --rotate-certificates should be true|<a href="https://kubernetes.io/docs/tasks/inject-data-application/define-command-argument-container/">Documentation</a><br/>|
|Etcd Client Certificate Authentication Set To False<br/><sup><sub>9391103a-d8d7-4671-ac5d-606ba7ccb0ac</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Secret Management|When using etcd commands, the '--client-cert-auth' flag should be defined|<a href="https://etcd.io/docs/v3.4/op-guide/security/">Documentation</a><br/>|
|Rotate Kubelet Server Certificate Not Active<br/><sup><sub>1c621b8e-2c6a-44f5-bd6a-fb0fb7ba33e2</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Secret Management|The RotateKubeletServerCertificate argument should be true|<a href="https://kubernetes.io/docs/tasks/inject-data-application/define-command-argument-container/">Documentation</a><br/>|
|Kubelet Certificate Authority Not Set<br/><sup><sub>ec18a0d3-0069-4a58-a7fb-fbfe0b4bbbe0</sub></sup>|Kubernetes|<span style="color:#C60">Medium</span>|Secret Management|When using kube-apiserver command, the 'kubelet-certificate-authority' flag should be set|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Missing AppArmor Profile<br/><sup><sub>8b36775e-183d-4d46-b0f7-96a6f34a723f</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Access Control|Containers should be configured with an AppArmor profile to enforce fine-grained access control over low-level system resources|<a href="https://kubernetes.io/docs/tutorials/clusters/apparmor/">Documentation</a><br/>|
|Docker Daemon Socket is Exposed to Containers<br/><sup><sub>a6f34658-fdfb-4154-9536-56d516f65828</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Access Control|Sees if Docker Daemon Socket is not exposed to Containers|<a href="https://kubernetes.io/docs/concepts/storage/volumes/">Documentation</a><br/>|
|Cluster Admin Rolebinding With Superuser Permissions<br/><sup><sub>249328b8-5f0f-409f-b1dd-029f07882e11</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Access Control|Ensure that the cluster-admin role is only used where required (RBAC)|<a href="https://kubernetes.io/docs/reference/access-authn-authz/rbac/#user-facing-roles">Documentation</a><br/>|
|RBAC Wildcard In Rule<br/><sup><sub>6b896afb-ca07-467a-b256-1a0077a1c08e</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Access Control|Kubernetes Roles and ClusterRoles should not use wildcards in rules (objects or actions)|<a href="https://kubernetes.io/docs/reference/access-authn-authz/rbac/">Documentation</a><br/>|
|Deployment Without PodDisruptionBudget<br/><sup><sub>b23e9b98-0cb6-4fc9-b257-1f3270442678</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Availability|Deployments should be assigned with a PodDisruptionBudget to ensure high availability|<a href="https://kubernetes.io/docs/tasks/run-application/configure-pdb/">Documentation</a><br/>|
|StatefulSet Without Service Name<br/><sup><sub>bb241e61-77c3-4b97-9575-c0f8a1e008d0</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Availability|Check if the StatefulSets have a headless 'serviceName'|<a href="https://kubernetes.io/docs/concepts/workloads/controllers/statefulset/">Documentation</a><br/>|
|HPA Targeted Deployments With Configured Replica Count<br/><sup><sub>5744cbb8-5946-4b75-a196-ade44449525b</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Availability|Deployments targeted by HorizontalPodAutoscaler should not have a statically configured replica count set|<a href="https://kubernetes.io/docs/tasks/run-application/horizontal-pod-autoscale-walkthrough/">Documentation</a><br/>|
|StatefulSet Without PodDisruptionBudget<br/><sup><sub>1db3a5a5-bf75-44e5-9e44-c56cfc8b1ac5</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Availability|StatefulSets should be assigned with a PodDisruptionBudget to ensure high availability|<a href="https://kubernetes.io/docs/tasks/run-application/configure-pdb/">Documentation</a><br/>|
|Event Rate Limit Admission Control Plugin Not Set<br/><sup><sub>e0099af2-fe17-411f-9991-0de28fe15f3c</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Availability|When using kube-apiserver command, the --enable-admission-plugins flag should have 'EventRateLimit' plugin and the plugin should be correctly configured in AdmissionControl Config file|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|HPA Targets Invalid Object<br/><sup><sub>2f652c42-619d-4361-b361-9f599688f8ca</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Availability|The Horizontal Pod Autoscale must target a valid object|<a href="https://kubernetes.io/docs/tasks/run-application/horizontal-pod-autoscale-walkthrough/">Documentation</a><br/>|
|Metadata Label Is Invalid<br/><sup><sub>1123031a-f921-4c5b-bd86-ef354ecfd37a</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Best Practices|Check if any label in the metadata is invalid.|<a href="https://kubernetes.io/docs/concepts/overview/working-with-objects/labels/">Documentation</a><br/>|
|No Drop Capabilities for Containers<br/><sup><sub>268ca686-7fb7-4ae9-b129-955a2a89064e</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Best Practices|Sees if Kubernetes Drop Capabilities exists to ensure containers security context|<a href="https://kubernetes.io/docs/concepts/workloads/pods/init-containers/">Documentation</a><br/>|
|Namespace Lifecycle Admission Control Plugin Disabled<br/><sup><sub>1ffe7bf7-563b-4b3d-a71d-ba6bd8d49b37</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Build Process|When using kube-apiserver command, the '--disable-admission-plugins' flag should not have 'NamespaceLifecycle' plugin|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Root Container Not Mounted Read-only<br/><sup><sub>a9c2f49d-0671-4fc9-9ece-f4e261e128d0</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Build Process|Check if the root container filesystem is not being mounted read-only.|<a href="https://kubernetes.io/docs/tasks/configure-pod-container/security-context/">Documentation</a><br/>|
|StatefulSet Requests Storage<br/><sup><sub>8cf4671a-cf3d-46fc-8389-21e7405063a2</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Build Process|A StatefulSet requests volume storage.|<a href="https://kubernetes.io/docs/concepts/workloads/controllers/statefulset/">Documentation</a><br/>|
|Image Policy Webhook Admission Control Plugin Not Set<br/><sup><sub>14abda69-8e91-4acb-9931-76e2bee90284</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Build Process|When using kube-apiserver command, the --enable-admission-plugins flag should have 'ImagePolicyWebhook' plugin and the plugin should be correctly configured in AdmissionControl Config file|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Dashboard Is Enabled<br/><sup><sub>d2ad057f-0928-41ef-a83c-f59203bb855b</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Insecure Configurations|If not needed, disabling the dashboard can prevent from being used as an attack vector|<a href="https://kubernetes.io/docs/tasks/access-application-cluster/web-ui-dashboard/">Documentation</a><br/>|
|Image Pull Policy Of The Container Is Not Set To Always<br/><sup><sub>caa3479d-885d-4882-9aac-95e5e78ef5c2</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Insecure Configurations|Image Pull Policy of the container must be defined and set to Always|<a href="https://kubernetes.io/docs/concepts/containers/images/#updating-images">Documentation</a><br/>|
|Service Does Not Target Pod<br/><sup><sub>3ca03a61-3249-4c16-8427-6f8e47dda729</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Insecure Configurations|Service should Target a Pod|<a href="https://kubernetes.io/docs/concepts/services-networking/service/">Documentation</a><br/>|
|Pod or Container Without ResourceQuota<br/><sup><sub>48a5beba-e4c0-4584-a2aa-e6894e4cf424</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Insecure Configurations|Pod or Container should have a ResourceQuota associated|<a href="https://kubernetes.io/docs/concepts/policy/resource-quotas/">Documentation</a><br/>|
|Image Without Digest<br/><sup><sub>7c81d34c-8e5a-402b-9798-9f442630e678</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Insecure Configurations|Images should be specified together with their digests to ensure integrity|<a href="https://kubernetes.io/docs/concepts/containers/images/#updating-images">Documentation</a><br/>|
|Kubelet Hostname Override Is Set<br/><sup><sub>bf36b900-b5ef-4828-adb7-70eb543b7cfb</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Insecure Configurations|Hostnames should not be overrided|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kubelet/">Documentation</a><br/>|
|Pod or Container Without Security Context<br/><sup><sub>a97a340a-0063-418e-b3a1-3028941d0995</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Insecure Configurations|A security context defines privilege and access control settings for a Pod or Container|<a href="https://kubernetes.io/docs/tasks/configure-pod-container/security-context/">Documentation</a><br/>|
|Pod or Container Without LimitRange<br/><sup><sub>4a20ebac-1060-4c81-95d1-1f7f620e983b</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Insecure Configurations|Pod or Container should have a LimitRange associated|<a href="https://kubernetes.io/docs/tasks/administer-cluster/manage-resources/cpu-constraint-namespace/#create-a-limitrange-and-a-pod">Documentation</a><br/>|
|Service Type is NodePort<br/><sup><sub>845acfbe-3e10-4b8e-b656-3b404d36dfb2</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Networking and Firewall|Service type should not be NodePort|<a href="https://kubernetes.io/docs/concepts/services-networking/service/">Documentation</a><br/>|
|Workload Host Port Not Specified<br/><sup><sub>2b1836f1-dcce-416e-8e16-da8c71920633</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Networking and Firewall|Verifies if Kubernetes workload's host port is specified|<a href="https://kubernetes.io/docs/concepts/services-networking/connect-applications-service/#exposing-the-service">Documentation</a><br/>|
|Audit Log Maxage Not Properly Set<br/><sup><sub>da9f3aa8-fbfb-472f-b5a1-576127944218</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Observability|When using kube-apiserver command, the '--audit-log-maxage' flag should be defined and set to 30 or more days|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Audit Log Maxsize Not Properly Set<br/><sup><sub>35c0a471-f7c8-4993-aa2c-503a3c712a66</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Observability|When using kube-apiserver command, the '--audit-log-maxsize' flag should be defined and set to 100 or more MegaBytes|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Audit Log Maxbackup Not Properly Set<br/><sup><sub>768aab52-2504-4a2f-a3e3-329d5a679848</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Observability|When using kube-apiserver command, the '--audit-log-maxbackup' flag should be defined and set to 10 or more files|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Profiling Not Set To False<br/><sup><sub>2f491173-6375-4a84-b28e-a4e2b9a58a69</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Observability|When using kube-apiserver or kube-controller-manager or kube-scheduler command, the '--profiling' flag should be defined and set to false|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kube-apiserver/">Documentation</a><br/>|
|Kubelet Event QPS Not Properly Set<br/><sup><sub>1a07a446-8e61-4e4d-bc16-b0781fcb8211</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Observability|When using the kubelet command, the '--event-qps' should be set to 0|<a href="https://kubernetes.io/docs/reference/command-line-tools-reference/kubelet/">Documentation</a><br/>|
|Audit Policy Not Cover Key Security Concerns<br/><sup><sub>1828a670-5957-4bc5-9974-47da228f75e2</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Observability|Audit Policy should cover key security concerns about the sensitive data logged in Kubernetes audit policies|<a href="https://kubernetes.io/docs/tasks/debug-application-cluster/audit/">Documentation</a><br/>|
|CronJob Deadline Not Configured<br/><sup><sub>192fe40b-b1c3-448a-aba2-6cc19a300fe3</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Resource Management|Cronjobs must have a configured deadline, which means the attribute 'startingDeadlineSeconds' must be defined|<a href="https://kubernetes.io/docs/concepts/workloads/controllers/cron-jobs/">Documentation</a><br/>|
|Container CPU Requests Not Equal To It's Limits<br/><sup><sub>9d43040e-e703-4e16-8bfe-8d4da10fa7e6</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Resource Management|A Pod's Containers must have the same CPU requests as limits set, which is recommended to avoid resource DDOS of the node during spikes. This means the 'requests.cpu' must equal 'limits.cpu', and both be defined.|<a href="https://kubernetes.io/docs/concepts/configuration/manage-resources-containers/">Documentation</a><br/>|
|StatefulSet Has No PodAntiAffinity<br/><sup><sub>d740d048-8ed3-49d3-b77b-6f072f3b669e</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Resource Management|Check if StatefulSet resources don't have a podAntiAffinity policy, which prevents multiple pods from being scheduled on the same node.|<a href="https://kubernetes.io/docs/concepts/scheduling-eviction/assign-pod-node/">Documentation</a><br/>|
|Container Memory Requests Not Equal To It's Limits<br/><sup><sub>aafa7d94-62de-4fbf-8838-b69ee217b0e6</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Resource Management|A Pod's Containers must have the same Memory requests as limits set, which is recommended to avoid resource DDOS of the node during spikes. This means the 'requests.memory' must equal 'limits.memory', and both be defined.|<a href="https://kubernetes.io/docs/concepts/configuration/manage-resources-containers/">Documentation</a><br/>|
|Deployment Has No PodAntiAffinity<br/><sup><sub>a31b7b82-d994-48c4-bd21-3bab6c31827a</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Resource Management|Check if Deployment resources don't have a podAntiAffinity policy, which prevents multiple pods from being scheduled on the same node.|<a href="https://kubernetes.io/docs/concepts/scheduling-eviction/assign-pod-node/">Documentation</a><br/>|
|Container Requests Not Equal To It's Limits<br/><sup><sub>aee3c7d2-a811-4201-90c7-11c028be9a46</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Resource Management|Containers must have the same resource requests set as limits. This is recommended to avoid resource DDoS of the node during spikes and means that 'requests.memory' and 'requests.cpu' must equal 'limits.memory' and 'limits.cpu', respectively|<a href="https://kubernetes.io/docs/concepts/configuration/manage-resources-containers/">Documentation</a><br/>|
|Secrets As Environment Variables<br/><sup><sub>3d658f8b-d988-41a0-a841-40043121de1e</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Secret Management|Container should not use secrets as environment variables|<a href="https://kubernetes.io/docs/concepts/configuration/secret/#using-secrets-as-environment-variables">Documentation</a><br/>|
|Invalid Image Tag<br/><sup><sub>583053b7-e632-46f0-b989-f81ff8045385</sub></sup>|Kubernetes|<span style="color:#CC0">Low</span>|Supply-Chain|Image tag must be defined and not be empty or equal to latest.|<a href="https://kubernetes.io/docs/concepts/containers/images/#updating-images">Documentation</a><br/>|
|Liveness Probe Is Not Defined<br/><sup><sub>ade74944-a674-4e00-859e-c6eab5bde441</sub></sup>|Kubernetes|<span style="color:#00C">Info</span>|Availability|In case of an unresponsive container, a Liveness Probe can help your application become more available since it restarts the container. However, it can lead to cascading failures. Define one if you really need it|<a href="https://kubernetes.io/docs/concepts/workloads/pods/pod-lifecycle/#when-should-you-use-a-liveness-probe">Documentation</a><br/>|
|Ram Policy Admin Access Not Attached to Users Groups Roles<br/><sup><sub>e8e62026-da63-4904-b402-65adfe3ca975</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|Ram policies with admin access should not be associated to users, groups or roles|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_policy">Documentation</a><br/>|
|RAM Security Preference Not Enforce MFA Login<br/><sup><sub>dcda2d32-e482-43ee-a926-75eaabeaa4e0</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|RAM Security preferences should enforce MFA login for RAM users|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_security_preference#enforce_mfa_for_login">Documentation</a><br/>|
|OSS Bucket Public Access Enabled<br/><sup><sub>62232513-b16f-4010-83d7-51d0e1d45426</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|OSS Bucket should have public access disabled|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/oss_bucket#acl">Documentation</a><br/>|
|Disk Encryption Disabled<br/><sup><sub>39750e32-3fe9-453b-8c33-dd277acdb2cc</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Disks should have encryption enabled|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/disk#encrypted">Documentation</a><br/>|
|RDS Instance TDE Status Disabled<br/><sup><sub>44d434ca-a9bf-4203-8828-4c81a8d5a598</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|tde_status parameter should be Enabled for supported RDS instances|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/db_instance#tde_status">Documentation</a><br/>|
|Ecs Data Disk Kms Key Id Undefined<br/><sup><sub>f262118c-1ac6-4bb3-8495-cc48f1775b85</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Ecs Data Disk Kms Key Id should be set|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/disk#kms_key_id">Documentation</a><br/>|
|RDS Instance Publicly Accessible<br/><sup><sub>1b4565c0-4877-49ac-ab03-adebbccd42ae</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|'0.0.0.0' or '0.0.0.0/0' should not be in 'security_ips' list|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/db_instance#security_ips">Documentation</a><br/>|
|Public Security Group Rule All Ports or Protocols<br/><sup><sub>60587dbd-6b67-432e-90f7-a8cf1892d968</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|Alicloud Security Group Rule should not allow all ports or all protocols to the public|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/security_group_rule#cidr_ip">Documentation</a><br/>|
|OSS Bucket Ip Restriction Disabled<br/><sup><sub>6107c530-7178-464a-88bc-df9cdd364ac8</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|OSS Bucket should have ip restricted access|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/oss_bucket#policy">Documentation</a><br/>|
|Public Security Group Rule Sensitive Port<br/><sup><sub>2ae9d554-23fb-4065-bfd1-fe43d5f7c419</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|A sensitive port, such as port 23 or port 110, is open to the public in either TCP or UDP protocol|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/security_group_rule#port_range">Documentation</a><br/>|
|OSS Buckets Secure Transport Disabled<br/><sup><sub>c01d10de-c468-4790-b3a0-fc887a56f289</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|OSS Buckets should have secure transport enabled|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/oss_bucket#policy">Documentation</a><br/>|
|API Gateway API Protocol Not HTTPS<br/><sup><sub>1bcdf9f0-b1aa-40a4-b8c6-cd7785836843</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|API Gateway API protocol should be set to HTTPS|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/api_gateway_api#protocol">Documentation</a><br/>|
|RDS Instance Events Not Logged<br/><sup><sub>b9c524a4-fe76-4021-a6a2-cb978fb4fde1</sub></sup>|Terraform|<span style="color:#C00">High</span>|Observability|All RDS Instance events trackers should be 'true'|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/log_audit">Documentation</a><br/>|
|ActionTrail Trail OSS Bucket is Publicly Accessible<br/><sup><sub>69b5d7da-a5db-4db9-a42e-90b65d0efb0b</sub></sup>|Terraform|<span style="color:#C00">High</span>|Observability|ActionTrail Trail OSS Bucket should not be publicly accessible|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/actiontrail_trail">Documentation</a><br/>|
|Ram Account Password Policy Max Login Attempts Unrecommended<br/><sup><sub>e76fd7ab-7333-40c6-a2d8-ea28af4a319e</sub></sup>|Terraform|<span style="color:#C00">High</span>|Secret Management|Ram Account Password Policy should have 'max_login_attempts' to a maximum of 5 incorrect login attempts|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_account_password_policy#max_login_attempts">Documentation</a><br/>|
|Ram Account Password Policy Not Required Minimum Length<br/><sup><sub>a9dfec39-a740-4105-bbd6-721ba163c053</sub></sup>|Terraform|<span style="color:#C00">High</span>|Secret Management|Ram Account Password Policy should have 'minimum_password_length' defined and set to 14 or above|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_account_password_policy#minimum_password_length">Documentation</a><br/>|
|Ram Policy Attached to User<br/><sup><sub>66505003-7aba-45a1-8d83-5162d5706ef5</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Ram policies should not be attached to users|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_user_policy_attachment">Documentation</a><br/>|
|OSS Bucket Versioning Disabled<br/><sup><sub>70919c0b-2548-4e6b-8d7a-3d84ab6dabba</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Backup|OSS Bucket should have versioning enabled|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/oss_bucket#versioning">Documentation</a><br/>|
|OSS Bucket Encryption Using CMK Disabled<br/><sup><sub>f20e97f9-4919-43f1-9be9-f203cd339cdd</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|OSS Bucket should have encryption enabled using Customer Master Key|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/oss_bucket#server_side_encryption_rule">Documentation</a><br/>|
|Public Security Group Rule Unknown Port<br/><sup><sub>dd706080-b7a8-47dc-81fb-3e8184430ec0</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|A unknown port, such as port 24 or port 111, is open to the public in either TCP or UDP or ALL protocol/protocols mentioned|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/security_group_rule#port_range">Documentation</a><br/>|
|Kubernetes Cluster Without Terway as CNI Network Plugin<br/><sup><sub>b9b7ada8-3868-4a35-854e-6100a2bb863d</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|Kubernetes Cluster should have Terway as CNI Network Plugin to configure network policies|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/cs_kubernetes#cluster_network_type">Documentation</a><br/>|
|OSS Bucket Logging Disabled<br/><sup><sub>05db341e-de7d-4972-a106-3e2bd5ee53e1</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|OSS Bucket should have logging enabled, for better visibility of resources and objects.|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/oss_bucket#logging">Documentation</a><br/>|
|RDS Instance Retention Period Not Recommended<br/><sup><sub>dc158941-28ce-481d-a7fa-dc80761edf46</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|RDS Instance SQL Retention Period should be greater than 180|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/db_instance#sql_collector_config_value">Documentation</a><br/>|
|Action Trail Logging For All Regions Disabled<br/><sup><sub>c065b98e-1515-4991-9dca-b602bd6a2fbb</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Action Trail Logging for all regions should be enabled|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/actiontrail_trail#trail_region">Documentation</a><br/>|
|RAM Account Password Policy without Reuse Prevention<br/><sup><sub>a8128dd2-89b0-464b-98e9-5d629041dfe0</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Secret Management|RAM Account Password Policy 'password_reuse_prevention' should be defined and set to 24 or less|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_account_password_policy#password_reuse_prevention">Documentation</a><br/>|
|RAM Account Password Policy Not Require at Least one Uppercase Character<br/><sup><sub>5e0fb613-ba9b-44c3-88f0-b44188466bfd</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Secret Management|Ram Account Password Policy should have 'require_uppercase_characters' set to true|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_account_password_policy#require_uppercase_characters">Documentation</a><br/>|
|Ram Account Password Policy Not Require At Least one Lowercase Character<br/><sup><sub>89143358-cec6-49f5-9392-920c591c669c</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Secret Management|Ram Account Password Policy should have 'require_lowercase_characters' set to true|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_account_password_policy#require_lowercase_characters">Documentation</a><br/>|
|Ram Account Password Policy Max Password Age Unrecommended<br/><sup><sub>2bb13841-7575-439e-8e0a-cccd9ede2fa8</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Secret Management|Ram Account Password Policy Password 'max_password_age' should be higher than 0 and lower than 91|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_account_password_policy#max_password_age">Documentation</a><br/>|
|RAM Account Password Policy Not Required Symbols<br/><sup><sub>41a38329-d81b-4be4-aef4-55b2615d3282</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Secret Management|RAM account password security should require at least one symbol|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_account_password_policy#require_symbols">Documentation</a><br/>|
|Ram Account Password Policy Not Required Numbers<br/><sup><sub>063234c0-91c0-4ab5-bbd0-47ddb5f23786</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Secret Management|Ram Account Password Policy should have 'require_numbers' set to true|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_account_password_policy#require_numbers">Documentation</a><br/>|
|OSS Bucket Transfer Acceleration Disabled<br/><sup><sub>8f98334a-99aa-4d85-b72a-1399ca010413</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Availability|OSS Bucket should have transfer acceleration enabled|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/oss_bucket#transfer_acceleration">Documentation</a><br/>|
|OSS Bucket Lifecycle Rule Disabled<br/><sup><sub>7db8bd7e-9772-478c-9ec5-4bc202c5686f</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Backup|OSS Bucket should have lifecycle rule enabled and set to true|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/oss_bucket#lifecycle_rule">Documentation</a><br/>|
|RDS Instance Log Disconnections Disabled<br/><sup><sub>d53f4123-f8d8-4224-8cb3-f920b151cc98</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Observability|log_disconnections parameter should be set to ON for RDS instances|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/db_instance#parameters">Documentation</a><br/>|
|RDS Instance Log Duration Disabled<br/><sup><sub>a597e05a-c065-44e7-9cc8-742f572a504a</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Observability|log_duration parameter should be set to ON for RDS instances|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/db_instance#parameters">Documentation</a><br/>|
|RDS Instance Log Connections Disabled<br/><sup><sub>140869ea-25f2-40d4-a595-0c0da135114e</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Observability|'log_connections' parameter should be set to ON for RDS instances|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/db_instance#parameters">Documentation</a><br/>|
|Role Assignment Not Limit Guest User Permissions<br/><sup><sub>8e75e431-449f-49e9-b56a-c8f1378025cf</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|Role Assignment should limit guest user permissions|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/role_assignment">Documentation</a><br/>|
|Public Storage Account<br/><sup><sub>17f75827-0684-48f4-8747-61129c7e4198</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|Storage Account should not be public|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/storage_account">Documentation</a><br/>|
|Role Assignment Of Guest Users<br/><sup><sub>2bc626a8-0751-446f-975d-8139214fc790</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|There is a role assignment for guest user|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/role_assignment">Documentation</a><br/>|
|Admin User Enabled For Container Registry<br/><sup><sub>b897dfbf-322c-45a8-b67c-1e698beeaa51</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|Admin user is enabled for Container Registry|<a href="https://www.terraform.io/docs/providers/azurerm/r/container_registry.html">Documentation</a><br/>|
|Storage Container Is Publicly Accessible<br/><sup><sub>dd5230f8-a577-4bbb-b7ac-f2c2fe7d5299</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|Anonymous, public read access to a container and its blobs are enabled in Azure Blob Storage|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/storage_container#container_access_type">Documentation</a><br/>|
|Function App Authentication Disabled<br/><sup><sub>e65a0733-94a0-4826-82f4-df529f4c593f</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|Azure Function App authentication settings should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/function_app#auth_settings">Documentation</a><br/>|
|Geo Redundancy Is Disabled<br/><sup><sub>8b042c30-e441-453f-b162-7696982ebc58</sub></sup>|Terraform|<span style="color:#C00">High</span>|Backup|Make sure that on PostgreSQL Geo Redundant Backups is enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_server">Documentation</a><br/>|
|SSL Enforce Disabled<br/><sup><sub>0437633b-daa6-4bbc-8526-c0d2443b946e</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Make sure that for PosgreSQL, the 'Enforce SSL connection' is set to 'ENABLED'|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_server">Documentation</a><br/>|
|Function App Not Using Latest TLS Encryption Version<br/><sup><sub>45fc717a-bd86-415c-bdd8-677901be1aa6</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Ensure Function App is using the latest version of TLS encryption|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/function_app#min_tls_version">Documentation</a><br/>|
|MySQL SSL Connection Disabled<br/><sup><sub>73e42469-3a86-4f39-ad78-098f325b4e9f</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Make sure that for MySQL Database Server, 'Enforce SSL connection' is enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/mysql_server">Documentation</a><br/>|
|Storage Account Not Forcing HTTPS<br/><sup><sub>12944ec4-1fa0-47be-8b17-42a034f937c2</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|See that Storage Accounts forces the use of HTTPS|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/storage_account">Documentation</a><br/>|
|App Service Not Using Latest TLS Encryption Version<br/><sup><sub>b7b9d1c7-2d3b-49b4-b867-ebbe68d0b643</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Ensure App Service is using the latest version of TLS encryption|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/app_service#min_tls_version">Documentation</a><br/>|
|Azure Container Registry With No Locks<br/><sup><sub>a187ac47-8163-42ce-8a63-c115236be6fb</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Azurerm Container Registry Must Contain Associated Locks |<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/container_registry">Documentation</a><br/>|
|Web App Accepting Traffic Other Than HTTPS<br/><sup><sub>11e9a948-c6c3-4a0f-8dcf-b5cf1763cdbe</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Web app should only accept HTTPS traffic in Azure Web App Service.|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/app_service#https_only">Documentation</a><br/>|
|Trusted Microsoft Services Not Enabled<br/><sup><sub>5400f379-a347-4bdd-a032-446465fdcc6f</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Trusted MIcrosoft Services are not enabled for Storage Account access|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/storage_account#bypass">Documentation</a><br/>|
|Function App FTPS Enforce Disabled<br/><sup><sub>9dab0179-433d-4dff-af8f-0091025691df</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Azure Function App should only enforce FTPS when 'ftps_state' is enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/function_app#ftps_state">Documentation</a><br/>|
|App Service FTPS Enforce Disabled<br/><sup><sub>85da374f-b00f-4832-9d44-84a1ca1e89f8</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Azure App Service should only enforce FTPS when 'ftps_state' is enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/app_service#ftps_state">Documentation</a><br/>|
|VM Not Attached To Network<br/><sup><sub>bbf6b3df-4b65-4f87-82cc-da9f30f8c033</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|No Network Security Group is attached to the Virtual Machine|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/virtual_machine#network_interface_ids">Documentation</a><br/>|
|Network Watcher Flow Disabled<br/><sup><sub>b90842e5-6779-44d4-9760-972f4c03ba1c</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Check if enable field in the resource azurerm_network_watcher_flow_log is false.|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/network_watcher_flow_log">Documentation</a><br/>|
|AD Admin Not Configured For SQL Server<br/><sup><sub>a3a055d2-9a2e-4cc9-b9fb-12850a1a3a4b</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|The Active Directory Administrator is not configured for a SQL server|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/sql_active_directory_administrator">Documentation</a><br/>|
|Redis Not Updated Regularly<br/><sup><sub>b947809d-dd2f-4de9-b724-04d101c515aa</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Redis Cache is not configured to be updated regularly with security and operational updates|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/redis_cache#patch_schedule">Documentation</a><br/>|
|SQLServer Ingress From Any IP<br/><sup><sub>25c0ea09-f1c5-4380-b055-3b83863f2bb8</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|Check if all IPs are allowed, check from start 0.0.0.0 to end 255.255.255.255.|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/sql_firewall_rule">Documentation</a><br/>|
|Redis Entirely Accessible<br/><sup><sub>fd8da341-6760-4450-b26c-9f6d8850575e</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|Firewall rule allowing unrestricted access to Redis from the Internet|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/redis_firewall_rule">Documentation</a><br/>|
|Azure App Service Client Certificate Disabled<br/><sup><sub>a81573f9-3691-4d83-88a0-7d4af63e17a3</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|Azure App Service client certificate should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/app_service#client_cert_enabled">Documentation</a><br/>|
|MSSQL Server Public Network Access Enabled<br/><sup><sub>ade36cf4-329f-4830-a83d-9db72c800507</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|MSSQL Server public network access should be disabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/mssql_server#public_network_access_enabled">Documentation</a><br/>|
|Sensitive Port Is Exposed To Entire Network<br/><sup><sub>594c198b-4d79-41b8-9b36-fde13348b619</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|A sensitive port, such as port 23 or port 110, is open for the whole network in either TCP or UDP protocol|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/network_security_rule">Documentation</a><br/>|
|RDP Is Exposed To The Internet<br/><sup><sub>efbf6449-5ec5-4cfe-8f15-acc51e0d787c</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|Port 3389 (Remote Desktop) is exposed to the internet|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/network_security_rule">Documentation</a><br/>|
|SSH Is Exposed To The Internet<br/><sup><sub>3e3c175e-aadf-4e2b-a464-3fdac5748d24</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|Port 22 (SSH) is exposed to the internet|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/network_security_rule">Documentation</a><br/>|
|CosmosDB Account IP Range Filter Not Set<br/><sup><sub>c2a3efb6-8a58-481c-82f2-bfddf34bb4b7</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|The Ip Range Must Contain Ips|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/cosmosdb_account#ip_range_filter">Documentation</a><br/>|
|Redis Publicly Accessible<br/><sup><sub>5089d055-53ff-421b-9482-a5267bdce629</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|Firewall rule allowing unrestricted access to Redis from other Azure sources|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/redis_firewall_rule">Documentation</a><br/>|
|MySQL Server Public Access Enabled<br/><sup><sub>f118890b-2468-42b1-9ce9-af35146b425b</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|MySQL Server public access should be disabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/mysql_server#public_network_access_enabled">Documentation</a><br/>|
|Vault Auditing Disabled<br/><sup><sub>38c71c00-c177-4cd7-8d36-cd1007cdb190</sub></sup>|Terraform|<span style="color:#C00">High</span>|Observability|Ensure that logging for Azure KeyVault is 'Enabled'|<a href="https://www.terraform.io/docs/providers/azurerm/r/key_vault.html">Documentation</a><br/>|
|App Service Managed Identity Disabled<br/><sup><sub>b61cce4b-0cc4-472b-8096-15617a6d769b</sub></sup>|Terraform|<span style="color:#C00">High</span>|Resource Management|Azure App Service should have managed identity enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/app_service#identity">Documentation</a><br/>|
|SQL Database Audit Disabled<br/><sup><sub>83a229ba-483e-47c6-8db7-dc96969bce5a</sub></sup>|Terraform|<span style="color:#C00">High</span>|Resource Management|Ensure that 'Threat Detection' is enabled for Azure SQL Database|<a href="https://www.terraform.io/docs/providers/azurerm/r/sql_database.html">Documentation</a><br/>|
|PostgreSQL Server Threat Detection Policy Disabled<br/><sup><sub>c407c3cf-c409-4b29-b590-db5f4138d332</sub></sup>|Terraform|<span style="color:#C00">High</span>|Resource Management|PostgreSQL Server Threat Detection Policy should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_server#threat_detection_policy">Documentation</a><br/>|
|Key Expiration Not Set<br/><sup><sub>4d080822-5ee2-49a4-8984-68f3d4c890fc</sub></sup>|Terraform|<span style="color:#C00">High</span>|Secret Management|Make sure that for all keys the expiration date is set|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/key_vault_key">Documentation</a><br/>|
|Secret Expiration Not Set<br/><sup><sub>dfa20ffa-f476-428f-a490-424b41e91c7f</sub></sup>|Terraform|<span style="color:#C00">High</span>|Secret Management|Make sure that for all secrets the expiration date is set|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/key_vault_secret">Documentation</a><br/>|
|AKS RBAC Disabled<br/><sup><sub>86f92117-eed8-4614-9c6c-b26da20ff37f</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Azure Container Service (AKS) instance should have role-based access control (RBAC) enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/kubernetes_cluster#role_based_access_control">Documentation</a><br/>|
|Role Definition Allows Custom Role Creation<br/><sup><sub>3fa5900f-9aac-4982-96b2-a6143d9c99fb</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Role Definition should not allow custom role creation|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/role_definition#actions">Documentation</a><br/>|
|Storage Share File Allows All ACL Permissions<br/><sup><sub>48bbe0fd-57e4-4678-a4a1-119e79c90fc3</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Azure Storage Share File should not allow all ACL (Access Control List) permissions - r (read), w (write), d (delete), and l (list).|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/storage_share_file">Documentation</a><br/>|
|Storage Table Allows All ACL Permissions<br/><sup><sub>3ac3e75c-6374-4a32-8ba0-6ed69bda404e</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Azure Storage Table should not allow all ACL (Access Control List) permissions - r (read), w (write), d (delete), and l (list).|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/storage_table#permissions">Documentation</a><br/>|
|Virtual Network with DDoS Protection Plan disabled<br/><sup><sub>b4cc2c52-34a6-4b43-b57c-4bdeb4514a5a</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Availability|Virtual Network should have DDoS Protection Plan enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/virtual_network#ddos_protection_plan">Documentation</a><br/>|
|SQL Server Predictable Active Directory Account Name<br/><sup><sub>bcd3fc01-5902-4f2a-b05a-227f9bbf5450</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Best Practices|Azure SQL Server must avoid using predictable Active Directory Administrator Account names, like 'Admin', which means the attribute 'login' must be set to a name that is not easy to predict|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/sql_active_directory_administrator">Documentation</a><br/>|
|Unrestricted SQL Server Access<br/><sup><sub>d7ba74da-2da0-4d4b-83c8-2fd72a3f6c28</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Best Practices|Azure SQL Server Accessibility must be set to a minimal address range, which means the difference between the values of the 'end_ip_address' and 'start_ip_address' must be lesser than 256. Additionally, both ips must be different from '0.0.0.0'|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/sql_firewall_rule">Documentation</a><br/>|
|SQL Server Predictable Admin Account Name<br/><sup><sub>2ab6de9a-0136-415c-be92-79d2e4fd750f</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Best Practices|Azure SQL Server's Admin account login must avoid using names like 'Admin', that are too predictable, which means the attribute 'administrator_login' must be set to a name that is not easy to predict|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/sql_server">Documentation</a><br/>|
|Security Contact Email<br/><sup><sub>34664094-59e0-4524-b69f-deaa1a68cce3</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Best Practices|Security Contact Email should be defined|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/security_center_contact#email">Documentation</a><br/>|
|Cosmos DB Account Without Tags<br/><sup><sub>56dad03e-e94f-4dd6-93a4-c253a03ff7a0</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Build Process|Cosmos DB Account must have a mapping of tags.|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/cosmosdb_account">Documentation</a><br/>|
|AKS Disk Encryption Set ID Undefined<br/><sup><sub>b17d8bb8-4c08-4785-867e-cb9e62a622aa</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|Azure Container Service (AKS) should use Disk Encryption Set ID|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/kubernetes_cluster#disk_encryption_set_id">Documentation</a><br/>|
|Encryption On Managed Disk Disabled<br/><sup><sub>a99130ab-4c0e-43aa-97f8-78d4fcb30024</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|Ensure that the encryption is active on the disk|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/managed_disk#encryption_settings">Documentation</a><br/>|
|Storage Account Not Using Latest TLS Encryption Version<br/><sup><sub>8263f146-5e03-43e0-9cfe-db960d56d1e7</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|Ensure Storage Account is using the latest version of TLS encryption|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/storage_account">Documentation</a><br/>|
|Redis Cache Allows Non SSL Connections<br/><sup><sub>e29a75e6-aba3-4896-b42d-b87818c16b58</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|Check if any Redis Cache resource allows non-SSL connections.|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/redis_cache">Documentation</a><br/>|
|Small Flow Logs Retention Period<br/><sup><sub>7750fcca-dd03-4d38-b663-4b70289bcfd4</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Flow logs enable capturing information about IP traffic flowing in and out of the network security groups. Network Security Group Flow Logs must be enabled with retention period greater than or equal to 90 days. This is important, because these logs are used to check for anomalies and give information of suspected breaches|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/network_watcher_flow_log">Documentation</a><br/>|
|Function App Managed Identity Disabled<br/><sup><sub>c87749b3-ff10-41f5-9df2-c421e8151759</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Azure Function App should have managed identity enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/function_app#identity">Documentation</a><br/>|
|Security Group is Not Configured<br/><sup><sub>5c822443-e1ea-46b8-84eb-758ec602e844</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Azure Virtual Network subnet must be configured with a Network Security Group, which means the attribute 'security_group' must be defined and not empty|<a href="https://www.terraform.io/docs/providers/azure/r/virtual_network.html">Documentation</a><br/>|
|AKS Network Policy Misconfigured<br/><sup><sub>f5342045-b935-402d-adf1-8dbbd09c0eef</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if the Azure Kubernetes Service doesn't have the proper network policy configuration.|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/data-sources/kubernetes_cluster">Documentation</a><br/>|
|Security Center Pricing Tier Is Not Standard<br/><sup><sub>819d50fd-1cdf-45c3-9936-be408aaad93e</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Make sure that the 'Standard' pricing tiers were selected.|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/security_center_subscription_pricing">Documentation</a><br/>|
|Function App Client Certificates Unrequired<br/><sup><sub>9bb3c639-5edf-458c-8ee5-30c17c7d671d</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Azure Function App should have 'client_cert_mode' set to required|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/function_app#client_cert_mode">Documentation</a><br/>|
|Default Azure Storage Account Network Access Is Too Permissive<br/><sup><sub>a5613650-32ec-4975-a305-31af783153ea</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Defaults|Default Azure Storage Account network access should be set to Deny|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/storage_account_network_rules#default_action">Documentation</a><br/>|
|Default Network Access is Allowed<br/><sup><sub>9be09caf-2ba4-4fa9-9787-a670dc32c639</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Defaults|Default Network Access rule for Storage Accounts must be set to deny, which means the attribute 'default_action' must be 'Deny'|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/storage_account_network_rules">Documentation</a><br/>|
|WAF Is Disabled For Azure Application Gateway<br/><sup><sub>2e48d91c-50e4-45c8-9312-27b625868a72</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if Web Application Firewall is disabled or not configured for Azure's Application Gateway.|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/application_gateway">Documentation</a><br/>|
|Sensitive Port Is Exposed To Wide Private Network<br/><sup><sub>c6c7b33d-d7f6-4ab8-8c82-ca0431ecdb7e</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|A sensitive port, such as port 23 or port 110, is open for wide private network in either TCP or UDP protocol|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/network_security_rule">Documentation</a><br/>|
|MariaDB Server Public Network Access Enabled<br/><sup><sub>7f0a8696-7159-4337-ad0d-8a3ab4a78195</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|MariaDB Server Public Network Access should be disabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/mariadb_server#public_network_access_enabled">Documentation</a><br/>|
|Firewall Rule Allows Too Many Hosts To Access Redis Cache<br/><sup><sub>a829b715-cf75-4e92-b645-54c9b739edfb</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if any firewall rule allows too many hosts to access Redis Cache|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/redis_firewall_rule">Documentation</a><br/>|
|Azure Cognitive Search Public Network Access Enabled<br/><sup><sub>4a9e0f00-0765-4f72-a0d4-d31110b78279</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|Public Network Access should be disabled for Azure Cognitive Search|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/search_service#public_network_access_enabled">Documentation</a><br/>|
|Network Interfaces With Public IP<br/><sup><sub>c1573577-e494-4417-8854-7e119368dc8b</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|Network Interfaces must not be exposed with a public IP address|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/network_interface#public_ip_address_id">Documentation</a><br/>|
|Sensitive Port Is Exposed To Small Public Network<br/><sup><sub>e9dee01f-2505-4df2-b9bf-7804d1fd9082</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|A sensitive port, such as port 23 or port 110, is open for small public network in either TCP or UDP protocol|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/network_security_rule">Documentation</a><br/>|
|PostgreSQL Log Connections Not Set<br/><sup><sub>c640d783-10c5-4071-b6c1-23507300d333</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Make sure that for PostgreSQL Database, server parameter 'log_connections' is set to 'ON'|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_configuration">Documentation</a><br/>|
|Email Alerts Disabled<br/><sup><sub>9db38e87-f6aa-4b5e-a1ec-7266df259409</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Make sure that alerts notifications are set to 'On' in the Azure Security Center Contact|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/security_center_contact">Documentation</a><br/>|
|PostgreSQL Log Duration Not Set<br/><sup><sub>16e0879a-c4ae-4ff8-a67d-a2eed5d67b8f</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Make sure that for PostgreSQL Database, server parameter 'log_duration' is set to 'ON'|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_configuration">Documentation</a><br/>|
|PostgreSQL Server Without Connection Throttling<br/><sup><sub>2b3c671f-1b76-4741-8789-ed1fe0785dc4</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Ensure that Connection Throttling is set for the PostgreSQL server|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_configuration">Documentation</a><br/>|
|SQL Server Auditing Disabled<br/><sup><sub>f7e296b0-6660-4bc5-8f87-22ac4a815edf</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Make sure that for SQL Servers, 'Auditing' is set to 'On'|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/sql_server">Documentation</a><br/>|
|MSSQL Server Auditing Disabled<br/><sup><sub>609839ae-bd81-4375-9910-5bce72ae7b92</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Make sure that for MSSQL Servers, that 'Auditing' is set to 'On'|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/mssql_server">Documentation</a><br/>|
|Small MSSQL Audit Retention Period<br/><sup><sub>9c301481-e6ec-44f7-8a49-8ec63e2969ea</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Make sure that for MSSQL Server, the Auditing Retention is greater than 90 days|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/mssql_server">Documentation</a><br/>|
|Log Retention Is Not Set<br/><sup><sub>ffb02aca-0d12-475e-b77c-a726f7aeff4b</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Make sure that for PostgreSQL Database, server parameter 'log_retention' is set to 'ON'|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_configuration">Documentation</a><br/>|
|Small PostgreSQL DB Server Log Retention Period<br/><sup><sub>261a83f8-dd72-4e8c-b5e1-ebf06e8fe606</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Check if PostgreSQL Database Server retains logs for less than 3 Days|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_configuration">Documentation</a><br/>|
|Small Activity Log Retention Period<br/><sup><sub>2b856bf9-8e8c-4005-875f-303a8cba3918</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Ensure that Activity Log Retention is set 365 days or greater|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/monitor_log_profile">Documentation</a><br/>|
|PostgreSQL Log Checkpoints Disabled<br/><sup><sub>3790d386-be81-4dcf-9850-eaa7df6c10d9</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Make sure that for Postgre SQL Database Server, parameter 'log_checkpoints' is set to 'ON'|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_configuration">Documentation</a><br/>|
|PostgreSQL Log Disconnections Not Set<br/><sup><sub>07f7134f-9f37-476e-8664-670c218e4702</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Make sure that for PostgreSQL Database, server parameter 'log_disconnections' is set to 'ON'|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_configuration">Documentation</a><br/>|
|Small MSSQL Server Audit Retention<br/><sup><sub>59acb56b-2b10-4c2c-ba38-f2223c3f5cfc</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Make sure for SQL Servers that Auditing Retention is greater than 90 days|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/sql_server">Documentation</a><br/>|
|Azure Active Directory Authentication<br/><sup><sub>a21c8da9-41bf-40cf-941d-330cf0d11fc7</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Access Control|Azure Active Directory must be used for authentication for Service Fabric|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/service_fabric_cluster#tenant_id">Documentation</a><br/>|
|MariaDB Server Geo-redundant Backup Disabled<br/><sup><sub>0a70d5f3-1ecd-4c8e-9292-928fc9a8c4f1</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Backup|MariaDB Server Geo-redundant Backup should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/mariadb_server#geo_redundant_backup_enabled">Documentation</a><br/>|
|Key Vault Secrets Content Type Undefined<br/><sup><sub>f8e08a38-fc6e-4915-abbe-a7aadf1d59ef</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Best Practices|Key Vault Secrets should have set Content Type|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/key_vault_secret#content_type">Documentation</a><br/>|
|AKS Uses Azure Policies Add-On Disabled<br/><sup><sub>43789711-161b-4708-b5bb-9d1c626f7492</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Best Practices|Azure Container Service (AKS) should use Azure Policies Add-On|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/kubernetes_cluster#azure_policy">Documentation</a><br/>|
|PostgreSQL Server Infrastructure Encryption Disabled<br/><sup><sub>6425c98b-ca4e-41fe-896a-c78772c131f8</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Encryption|PostgreSQL Server Infrastructure Encryption should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_server#infrastructure_encryption_enabled">Documentation</a><br/>|
|Dashboard Is Enabled<br/><sup><sub>61c3cb8b-0715-47e4-b788-86dde40dd2db</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Insecure Configurations|Check if the Kubernetes Dashboard is enabled.|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/kubernetes_cluster">Documentation</a><br/>|
|App Service HTTP2 Disabled<br/><sup><sub>525b53be-62ed-4244-b4df-41aecfcb4071</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Insecure Configurations|App Service should have 'http2_enabled' enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/app_service#http2_enabled">Documentation</a><br/>|
|Function App HTTP2 Disabled<br/><sup><sub>ace823d1-4432-4dee-945b-cdf11a5a6bd0</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Insecure Configurations|Function App should have 'http2_enabled' enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/function_app#http2_enabled">Documentation</a><br/>|
|Azure Front Door WAF Disabled<br/><sup><sub>835a4f2f-df43-437d-9943-545ccfc55961</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Networking and Firewall|Azure Front Door WAF should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/frontdoor#web_application_firewall_policy_link_id">Documentation</a><br/>|
|Network Interfaces IP Forwarding Enabled<br/><sup><sub>4216ebac-d74c-4423-b437-35025cb88af5</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Networking and Firewall|Network Interfaces IP Forwarding should be disabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/network_interface#enable_ip_forwarding">Documentation</a><br/>|
|AKS Private Cluster Disabled<br/><sup><sub>599318f2-6653-4569-9e21-041d06c63a89</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Networking and Firewall|Azure Kubernetes Service (AKS) API should not be exposed to the internet|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/kubernetes_cluster#private_cluster_enabled">Documentation</a><br/>|
|App Service Authentication Disabled<br/><sup><sub>c7fc1481-2899-4490-bbd8-544a3a61a2f3</sub></sup>|Terraform|<span style="color:#00C">Info</span>|Access Control|Azure App Service authentication settings should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/app_service#enabled">Documentation</a><br/>|
|SQL Server Alert Email Disabled<br/><sup><sub>55975007-f6e7-4134-83c3-298f1fe4b519</sub></sup>|Terraform|<span style="color:#00C">Info</span>|Best Practices|SQL Server alert email should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/mssql_server_security_alert_policy#email_account_admins">Documentation</a><br/>|
|Generic Git Module Without Revision<br/><sup><sub>3a81fc06-566f-492a-91dd-7448e409e2cd</sub></sup>|Terraform|<span style="color:#00C">Info</span>|Best Practices|All generic git repositories should reference a revision.|<a href="https://www.terraform.io/docs/language/modules/sources.html#selecting-a-revision">Documentation</a><br/>|
|Variable Without Type<br/><sup><sub>fc5109bf-01fd-49fb-8bde-4492b543c34a</sub></sup>|Terraform|<span style="color:#00C">Info</span>|Best Practices|All variables should contain a valid type.|<a href="https://www.terraform.io/docs/language/values/variables.html#input-variable-documentation">Documentation</a><br/>|
|Name Is Not Snake Case<br/><sup><sub>1e434b25-8763-4b00-a5ca-ca03b7abbb66</sub></sup>|Terraform|<span style="color:#00C">Info</span>|Best Practices|All names should follow snake case pattern.|<a href="https://www.terraform.io/docs/extend/best-practices/naming.html#naming">Documentation</a><br/>|
|Variable Without Description<br/><sup><sub>2a153952-2544-4687-bcc9-cc8fea814a9b</sub></sup>|Terraform|<span style="color:#00C">Info</span>|Best Practices|All variables should contain a valid description.|<a href="https://www.terraform.io/docs/language/values/variables.html#input-variable-documentation">Documentation</a><br/>|
|Output Without Description<br/><sup><sub>59312e8a-a64e-41e7-a252-618533dd1ea8</sub></sup>|Terraform|<span style="color:#00C">Info</span>|Best Practices|All outputs should contain a valid description.|<a href="https://www.terraform.io/docs/language/values/outputs.html#description-output-value-documentation">Documentation</a><br/>|
|Not Limited Capabilities For Pod Security Policy<br/><sup><sub>2acb555f-f4ad-4b1b-b984-84e6588f4b05</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Limit capabilities for a Pod Security Policy|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod_security_policy#required_drop_capabilities">Documentation</a><br/>|
|Cluster Allows Unsafe Sysctls<br/><sup><sub>a9174d31-d526-4ad9-ace4-ce7ddbf52e03</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|A Kubernetes Cluster must not allow unsafe sysctls, to prevent a pod from having any influence on any other pod on the node, harming the node's health or gaining CPU or memory resources outside of the resource limits of a pod. This means the 'spec.security_context.sysctl' must not have an unsafe sysctls and that the attribute 'allowed_unsafe_sysctls' must be undefined.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod_security_policy#allowed_unsafe_sysctls">Documentation</a><br/>|
|Tiller (Helm v2) Is Deployed<br/><sup><sub>ca2fba76-c1a7-4afd-be67-5249f861cb0e</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Check if Tiller is deployed.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#image">Documentation</a><br/>|
|NET_RAW Capabilities Not Being Dropped<br/><sup><sub>e5587d53-a673-4a6b-b3f2-ba07ec274def</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Containers should drop 'NET_RAW' or 'ALL' capabilities|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#drop">Documentation</a><br/>|
|PSP Allows Containers To Share The Host Network Namespace<br/><sup><sub>4950837c-0ce5-4e42-9bee-a25eae73740b</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Check if Pod Security Policies allow containers to share the host network namespace.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod_security_policy#host_network">Documentation</a><br/>|
|Container Is Privileged<br/><sup><sub>87065ef8-de9b-40d8-9753-f4a4303e27a4</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Do not allow container to be privileged.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#privileged">Documentation</a><br/>|
|Shared Host Network Namespace<br/><sup><sub>ac1564a3-c324-4747-9fa1-9dfc234dace0</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Container should not share the host network namespace|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#host_network">Documentation</a><br/>|
|Privilege Escalation Allowed<br/><sup><sub>c878abb4-cca5-4724-92b9-289be68bd47c</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Admission of privileged containers should be minimized|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#allow_privilege_escalation">Documentation</a><br/>|
|Shared Host IPC Namespace<br/><sup><sub>e94d3121-c2d1-4e34-a295-139bfeb73ea3</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Container should not share the host IPC namespace|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#host_ipc">Documentation</a><br/>|
|Role Binding To Default Service Account<br/><sup><sub>3360c01e-c8c0-4812-96a2-a6329b9b7f9f</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Defaults|No role nor cluster role should bind to a default service account|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/role_binding#subject">Documentation</a><br/>|
|RBAC Roles with Read Secrets Permissions<br/><sup><sub>826abb30-3cd5-4e0b-a93b-67729b4f7e63</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Minimize access to secrets (RBAC)|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/role#rule">Documentation</a><br/>|
|Non Kube System Pod With Host Mount<br/><sup><sub>86a947ea-f577-4efb-a8b0-5fc00257d521</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|A non kube-system workload should not have hostPath mounted|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod">Documentation</a><br/>|
|Readiness Probe Is Not Configured<br/><sup><sub>8657197e-3f87-4694-892b-8144701d83c1</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Availability|Check if Readiness Probe is not configured.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#readiness_probe">Documentation</a><br/>|
|Liveness Probe Is Not Defined<br/><sup><sub>5b6d53dd-3ba3-4269-b4d7-f82e880e43c3</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Availability|Liveness Probe must be defined|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#liveness_probe">Documentation</a><br/>|
|Root Containers Admitted<br/><sup><sub>4c415497-7410-4559-90e8-f2c8ac64ee38</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Best Practices|Containers must not be allowed to run with root privileges, which means the attributes 'privileged' and 'allow_privilege_escalation' must be set to false, 'run_as_user.rule' must be set to 'MustRunAsNonRoot', and adding the root group must be forbidden|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod_security_policy#run_as_user">Documentation</a><br/>|
|Incorrect Volume Claim Access Mode ReadWriteOnce<br/><sup><sub>26b047a9-0329-48fd-8fb7-05bbe5ba80ee</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Build Process|Kubernetes Stateful Sets must have one Volume Claim template with the access mode 'ReadWriteOnce'|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/stateful_set#volume_claim_template">Documentation</a><br/>|
|Default Service Account In Use<br/><sup><sub>737a0dd9-0aaa-4145-8118-f01778262b8a</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Default service accounts should not be actively used|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/service_account#automount_service_account_token">Documentation</a><br/>|
|PSP Set To Privileged<br/><sup><sub>a6a4d4fc-4e8f-47d1-969f-e9d4a084f3b9</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Do not allow pod to request execution as privileged|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#privileged">Documentation</a><br/>|
|Ingress Controller Exposes Workload<br/><sup><sub>e2c83c1f-84d7-4467-966c-ed41fd015bb9</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Ingress Controllers should not expose workload in order to avoid vulnerabilities and DoS attacks|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/ingress#http">Documentation</a><br/>|
|NET_RAW Capabilities Disabled for PSP<br/><sup><sub>9aa32890-ac1a-45ee-81ca-5164e2098556</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Containers need to have NET_RAW or All as drop capabilities|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod_security_policy#required_drop_capabilities">Documentation</a><br/>|
|Container Resources Limits Undefined<br/><sup><sub>60af03ff-a421-45c8-b214-6741035476fa</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Kubernetes container should have resource limitations defined such as CPU and memory|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod">Documentation</a><br/>|
|Container Host Pid Is True<br/><sup><sub>587d5d82-70cf-449b-9817-f60f9bccb88c</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Minimize the admission of containers wishing to share the host process ID namespace|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#host_pid">Documentation</a><br/>|
|PSP Allows Privilege Escalation<br/><sup><sub>2bff9906-4e9b-4f71-9346-8ebedfdf43ef</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|PodSecurityPolicy should not allow privilege escalation|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod_security_policy#allow_privilege_escalation">Documentation</a><br/>|
|Workload Mounting With Sensitive OS Directory<br/><sup><sub>a737be28-37d8-4bff-aa6d-1be8aa0a0015</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Workload is mounting a volume with sensitive OS Directory|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#host_path">Documentation</a><br/>|
|Seccomp Profile Is Not Configured<br/><sup><sub>455f2e0c-686d-4fcb-8b5f-3f953f12c43c</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if any resource does not configure Seccomp default profile properly|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#annotations">Documentation</a><br/>|
|Containers With Added Capabilities<br/><sup><sub>fe771ff7-ba15-4f8f-ad7a-8aa232b49a28</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Kubernetes Pod should not have extra capabilities allowed|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#capabilities-1">Documentation</a><br/>|
|Using Default Namespace<br/><sup><sub>abcb818b-5af7-4d72-aba9-6dd84956b451</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|The default namespace should not be used|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#namespace">Documentation</a><br/>|
|Container Runs Unmasked<br/><sup><sub>0ad60203-c050-4115-83b6-b94bde92541d</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if a container has full access (unmasked) to the host’s /proc command, which would allow to retrieve sensitive information and possibly change the kernel parameters in runtime.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod_security_policy#allowed_proc_mount_types">Documentation</a><br/>|
|PSP Allows Sharing Host IPC<br/><sup><sub>51bed0ac-a8ae-407a-895e-90c6cb0610ce</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Pod Security Policy allows containers to share the host IPC namespace|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod_security_policy#host_ipc">Documentation</a><br/>|
|Containers With Sys Admin Capabilities<br/><sup><sub>3f55386d-75cd-4e9a-ac47-167b26c04724</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Containers should not have CAP_SYS_ADMIN Linux capability|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#capabilities-1">Documentation</a><br/>|
|PSP With Added Capabilities<br/><sup><sub>48388bd2-7201-4dcc-b56d-e8a9efa58fad</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|PodSecurityPolicy should not have added capabilities|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod_security_policy#allowed_capabilities">Documentation</a><br/>|
|Service Account Name Undefined Or Empty<br/><sup><sub>24b132df-5cc7-4823-8029-f898e1c50b72</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Defaults|A Kubernetes Pod should have a Service Account defined so to restrict Kubernetes API access, which means the attribute 'service_account_name' should be defined and not empty.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#service_account_name">Documentation</a><br/>|
|Service Account Token Automount Not Disabled<br/><sup><sub>a9a13d4f-f17a-491b-b074-f54bffffcb4a</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Defaults|Service Account Tokens are automatically mounted even if not necessary|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#automount_service_account_token">Documentation</a><br/>|
|Service With External Load Balance<br/><sup><sub>2a52567c-abb8-4651-a038-52fa27c77aed</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|Service has an external load balancer, which may cause accessibility from other networks and the Internet|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/service">Documentation</a><br/>|
|Network Policy Is Not Targeting Any Pod<br/><sup><sub>b80b14c6-aaa2-4876-b651-8a48b6c32fbf</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if any network policy is not targeting any pod.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/network_policy#match_labels">Documentation</a><br/>|
|Volume Mount With OS Directory Write Permissions<br/><sup><sub>a62a99d1-8196-432f-8f80-3c100b05d62a</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Resource Management|Containers can mount sensitive folders from the hosts, giving them potentially dangerous access to critical host configurations and binaries.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#volume_mount">Documentation</a><br/>|
|Memory Requests Not Defined<br/><sup><sub>21719347-d02b-497d-bda4-04a03c8e5b61</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Resource Management|Memory requests should be specified|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#requests">Documentation</a><br/>|
|Memory Limits Not Defined<br/><sup><sub>fd097ed0-7fe6-4f58-8b71-fef9f0820a21</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Resource Management|Memory limits should be specified|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#limits">Documentation</a><br/>|
|CPU Requests Not Set<br/><sup><sub>577ac19c-6a77-46d7-9f14-e049cdd15ec2</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Resource Management|CPU requests should be set to ensure the sum of the resource requests of the scheduled Containers is less than the capacity of the node|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#requests">Documentation</a><br/>|
|CPU Limits Not Set<br/><sup><sub>5f4735ce-b9ba-4d95-a089-a37a767b716f</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Resource Management|CPU limits should be set because if the system has CPU time free, a container is guaranteed to be allocated as much CPU as it requests|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#limits">Documentation</a><br/>|
|Shared Service Account<br/><sup><sub>f74b9c43-161a-4799-bc95-0b0ec81801b9</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Secret Management|A Service Account token is shared between workloads|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#service_account_name">Documentation</a><br/>|
|Service Account Allows Access Secrets<br/><sup><sub>07fc3413-e572-42f7-9877-5c8fc6fccfb5</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Secret Management|Kubernetes_role and Kubernetes_cluster_role when binded, should not use get, list or watch as verbs|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/role_binding#subject">Documentation</a><br/>|
|Missing App Armor Config<br/><sup><sub>bd6bd46c-57db-4887-956d-d372f21291b6</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Access Control|Containers should be configured with AppArmor for any application to reduce its potential attack|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#annotations">Documentation</a><br/>|
|Docker Daemon Socket is Exposed to Containers<br/><sup><sub>4e203a65-c8d8-49a2-b749-b124d43c9dc1</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Access Control|Sees if Docker Daemon Socket is not exposed to Containers|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#host_path">Documentation</a><br/>|
|Cluster Admin Rolebinding With Superuser Permissions<br/><sup><sub>17172bc2-56fb-4f17-916f-a014147706cd</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Access Control|Ensure that the cluster-admin role is only used where required (RBAC)|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/cluster_role_binding#name">Documentation</a><br/>|
|Permissive Access to Create Pods<br/><sup><sub>522d4a64-4dc9-44bd-9240-7d8a0d5cb5ba</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Access Control|The permission to create pods in a cluster should be restricted because it allows privilege escalation.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/role#rule">Documentation</a><br/>|
|Deployment Without PodDisruptionBudget<br/><sup><sub>a05331ee-1653-45cb-91e6-13637a76e4f0</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Availability|Deployments should be assigned with a PodDisruptionBudget to ensure high availability|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/deployment#selector">Documentation</a><br/>|
|StatefulSet Without Service Name<br/><sup><sub>420e6360-47bb-46f6-9072-b20ed22c842d</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Availability|Check if the StatefulSet have a headless 'serviceName'|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/stateful_set#selector">Documentation</a><br/>|
|StatefulSet Without PodDisruptionBudget<br/><sup><sub>7249e3b0-9231-4af3-bc5f-5daf4988ecbf</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Availability|StatefulSets should be assigned with a PodDisruptionBudget to ensure high availability|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/stateful_set#selector">Documentation</a><br/>|
|HPA Targets Invalid Object<br/><sup><sub>17e52ca3-ddd0-4610-9d56-ce107442e110</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Availability|The Horizontal Pod Autoscale must target a valid object|<a href="hhttps://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/horizontal_pod_autoscaler#metric">Documentation</a><br/>|
|Metadata Label Is Invalid<br/><sup><sub>bc3dabb6-fd50-40f8-b9ba-7429c9f1fb0e</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Best Practices|Check if any label in the metadata is invalid.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#labels">Documentation</a><br/>|
|No Drop Capabilities for Containers<br/><sup><sub>21cef75f-289f-470e-8038-c7cee0664164</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Best Practices|Sees if Kubernetes Drop Capabilities exists to ensure containers security context|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#drop">Documentation</a><br/>|
|Root Container Not Mounted As Read-only<br/><sup><sub>d532566b-8d9d-4f3b-80bd-361fe802f9c2</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Build Process|Check if the root container filesystem is not being mounted as read-only.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#read_only_root_filesystem">Documentation</a><br/>|
|StatefulSet Requests Storage<br/><sup><sub>fcc2612a-1dfe-46e4-8ce6-0320959f0040</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Build Process|A StatefulSet requests volume storage.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/stateful_set#volume_claim_template">Documentation</a><br/>|
|Image Pull Policy Of The Container Is Not Set To Always<br/><sup><sub>aa737abf-6b1d-4aba-95aa-5c160bd7f96e</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Insecure Configurations|Image Pull Policy of the container must be defined and set to Always|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#image_pull_policy">Documentation</a><br/>|
|Image Without Digest<br/><sup><sub>228c4c19-feeb-4c18-848c-800ac70fdfb7</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Insecure Configurations|Sees if Kubernetes image has digest on|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#image">Documentation</a><br/>|
|Pod or Container Without Security Context<br/><sup><sub>ad69e38a-d92e-4357-a8da-f2f29d545883</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Insecure Configurations|A security context defines privilege and access control settings for a Pod or Container|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#security_context">Documentation</a><br/>|
|Service Type is NodePort<br/><sup><sub>5c281bf8-d9bb-47f2-b909-3f6bb11874ad</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Networking and Firewall|Service type should not be NodePort|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/service#type">Documentation</a><br/>|
|Workload Host Port Not Specified<br/><sup><sub>4e74cf4f-ff65-4c1a-885c-67ab608206ce</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Networking and Firewall|Verifies if Kubernetes workload's host port is specified|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#host_port">Documentation</a><br/>|
|CronJob Deadline Not Configured<br/><sup><sub>58876b44-a690-4e9f-9214-7735fa0dd15d</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Resource Management|Cronjobs must have a configured deadline, which means the attribute 'starting_deadline_seconds' must be defined|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/cron_job#starting_deadline_seconds">Documentation</a><br/>|
|Deployment Has No PodAntiAffinity<br/><sup><sub>461ed7e4-f8d5-4bc1-b3c6-64ddb4fd00a3</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Resource Management|Check if Deployment resources don't have a podAntiAffinity policy, which prevents multiple pods from being scheduled on the same node.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/deployment#affinity">Documentation</a><br/>|
|Secrets As Environment Variables<br/><sup><sub>6d8f1a10-b6cd-48f0-b960-f7c535d5cdb8</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Secret Management|Container should not use secrets as environment variables|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#secret_key_ref">Documentation</a><br/>|
|Invalid Image<br/><sup><sub>e76cca7c-c3f9-4fc9-884c-b2831168ebd8</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Supply-Chain|Image must be defined and not be empty or equal to latest.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#image">Documentation</a><br/>|
|ECS Service Admin Role is Present<br/><sup><sub>3206240f-2e87-4e58-8d24-3e19e7c83d7c</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|ECS Services must not have Admin roles, which means the attribute 'iam_role' must not be an admin role|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecs_service">Documentation</a><br/>|
|S3 Bucket Allows List Action From All Principals<br/><sup><sub>66c6f96f-2d9e-417e-a998-9058aeeecd44</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow List Action From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion. This means the 'Effect' must not be 'Allow' when the 'Action' is List, for all Principals.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_policy">Documentation</a><br/>|
|SQS Queue Exposed<br/><sup><sub>abb06e5f-ef9a-4a99-98c6-376d396bfcdf</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|Checks if the SQS Queue is exposed|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/sqs_queue#policy">Documentation</a><br/>|
|IAM Policies With Full Privileges<br/><sup><sub>2f37c4a3-58b9-4afe-8a87-d7f1d2286f84</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|IAM policies that allow full administrative privileges (for all resources)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_role_policy">Documentation</a><br/>|
|S3 Bucket Allows Delete Action From All Principals<br/><sup><sub>ffdf4b37-7703-4dfe-a682-9d2e99bc6c09</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow Delete Action From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion. This means the 'Effect' must not be 'Allow' when the 'Action' is Delete, for all Principals.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_policy">Documentation</a><br/>|
|EFS With Vulnerable Policy<br/><sup><sub>fae52418-bb8b-4ac2-b287-0b9082d6a3fd</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|EFS (Elastic File System) policy should avoid wildcard in 'Action' and 'Principal'.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/efs_file_system_policy#policy">Documentation</a><br/>|
|S3 Bucket Allows Get Action From All Principals<br/><sup><sub>1df37f4b-7197-45ce-83f8-9994d2fcf885</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow Get Action From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion. This means the 'Effect' must not be 'Allow' when the 'Action' is Get, for all Principals.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_policy">Documentation</a><br/>|
|S3 Bucket Allows Public Policy<br/><sup><sub>1a4bc881-9f69-4d44-8c9a-d37d08f54c50</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|S3 bucket allows public policy|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_public_access_block">Documentation</a><br/>|
|IAM Role With Full Privileges<br/><sup><sub>b1ffa705-19a3-4b73-b9d0-0c97d0663842</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|IAM role policy that allow full administrative privileges (for all resources)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_role">Documentation</a><br/>|
|Neptune Cluster Instance is Publicly Accessible<br/><sup><sub>9ba198e0-fef4-464a-8a4d-75ea55300de7</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|Neptune Cluster Instance should not be publicly accessible|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/neptune_cluster_instance#publicly_accessible">Documentation</a><br/>|
|S3 Bucket Access to Any Principal<br/><sup><sub>7af43613-6bb9-4a0e-8c4d-1314b799425e</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow Actions From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion. This means the 'Effect' must not be 'Allow' when there are All Principals|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_policy">Documentation</a><br/>|
|S3 Bucket Allows WriteACP Action From All Principals<br/><sup><sub>64a222aa-7793-4e40-915f-4b302c76e4d4</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow Write_ACP Action From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion. This means the 'Effect' must not be 'Allow' when the 'Action' is Write_ACP, for all Principals.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_policy">Documentation</a><br/>|
|S3 Bucket Allows All Actions From All Principals<br/><sup><sub>51cf6f14-6a52-4642-97fb-10db078382d3</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow All Actions (wildcard) From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion. This means the 'Effect' must not be 'Allow' when the 'Action' is *, for all Principals.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_policy">Documentation</a><br/>|
|S3 Bucket ACL Allows Read Or Write to All Users<br/><sup><sub>38c5ee0d-7f22-4260-ab72-5073048df100</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|S3 bucket with public READ/WRITE access|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket">Documentation</a><br/>|
|S3 Bucket ACL Allows Read to Any Authenticated User<br/><sup><sub>57b9893d-33b1-4419-bcea-a717ea87e139</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|Misconfigured S3 buckets can leak private information to the entire internet or allow unauthorized data tampering / deletion|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket#acl">Documentation</a><br/>|
|S3 Bucket Allows Put Action From All Principals<br/><sup><sub>d24c0755-c028-44b1-b503-8e719c898832</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow Put Action From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion. This means the 'Effect' must not be 'Allow' when the 'Action' is Put, for all Principals.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_policy">Documentation</a><br/>|
|S3 Bucket With All Permissions<br/><sup><sub>a4966c4f-9141-48b8-a564-ffe9959945bc</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not have all permissions, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket">Documentation</a><br/>|
|Kinesis SSE Not Configured<br/><sup><sub>5c6dd5e7-1fe0-4cae-8f81-4c122717cef3</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|AWS Kinesis Server data at rest should have Server Side Encryption (SSE) enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/kinesis_firehose_delivery_stream#server_side_encryption">Documentation</a><br/>|
|DOCDB Cluster Without KMS<br/><sup><sub>4766d3ea-241c-4ee6-93ff-c380c996bd1a</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|AWS DOCDB Cluster should be encrypted with a KMS encryption key|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/docdb_cluster#kms_key_id">Documentation</a><br/>|
|EKS Cluster Encryption Disabled<br/><sup><sub>63ebcb19-2739-4d3f-aa5c-e8bbb9b85281</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|EKS Cluster should be encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/eks_cluster#encryption_config">Documentation</a><br/>|
|Memcached Disabled<br/><sup><sub>4bd15dd9-8d5e-4008-8532-27eb0c3706d3</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Check if the Memcached is disabled on the ElastiCache|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticache_cluster#engine">Documentation</a><br/>|
|RDS Database Cluster not Encrypted<br/><sup><sub>656880aa-1388-488f-a6d4-8f73c23149b2</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|RDS Database Cluster Encryption should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_cluster_snapshot">Documentation</a><br/>|
|Launch Configuration Is Not Encrypted<br/><sup><sub>4de9de27-254e-424f-bd70-4c1e95790838</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Data stored in the Launch configuration EBS is not securely encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/launch_configuration#encrypted">Documentation</a><br/>|
|Sagemaker Endpoint Configuration Encryption Disabled<br/><sup><sub>58b35504-0287-4154-bf69-02c0573deab8</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Sagemaker endpoint configuration should encrypt data|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/sagemaker_endpoint_configuration#kms_key_arn">Documentation</a><br/>|
|Glue Security Configuration Encryption Disabled<br/><sup><sub>ad5b4e97-2850-4adf-be17-1d293e0b85ee</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Glue Security Configuration Encryption should have 'cloudwatch_encryption', 'job_bookmarks_encryption' and 's3_encryption' enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/glue_security_configuration#encryption_configuration">Documentation</a><br/>|
|Glue Data Catalog Encryption Disabled<br/><sup><sub>01d50b14-e933-4c99-b314-6d08cd37ad35</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Glue Data Catalog Encryption Settings should have 'connection_password_encryption' and 'encryption_at_rest' enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/glue_data_catalog_encryption_settings#data_catalog_encryption_settings">Documentation</a><br/>|
|IAM Database Auth Not Enabled<br/><sup><sub>88fd05e0-ac0e-43d2-ba6d-fc0ba60ae1a6</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|IAM Database Auth Enabled must be configured to true|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_instance#iam_database_authentication_enabled">Documentation</a><br/>|
|S3 Bucket SSE Disabled<br/><sup><sub>6726dcc0-5ff5-459d-b473-a780bef7665c</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|If algorithm is AES256 then the master key is null, empty or undefined, otherwise the master key is required|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket#server_side_encryption_configuration">Documentation</a><br/>|
|Kinesis Not Encrypted With KMS<br/><sup><sub>862fe4bf-3eec-4767-a517-40f378886b88</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|AWS Kinesis Streams and metadata should be protected with KMS|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/kinesis_stream">Documentation</a><br/>|
|Workspaces Workspace Volume Not Encrypted<br/><sup><sub>b9033580-6886-401a-8631-5f19f5bb24c7</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|AWS Workspaces Workspace data stored in volumes should be encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/workspaces_workspace#root_volume_encryption_enabled">Documentation</a><br/>|
|EBS Default Encryption Disabled<br/><sup><sub>3d3f6270-546b-443c-adb4-bb6fb2187ca6</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|EBS Encryption should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ebs_encryption_by_default">Documentation</a><br/>|
|ELB Using Weak Ciphers<br/><sup><sub>4a800e14-c94a-442d-9067-5a2e9f6c0a4c</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|ELB Predefined or Custom Security Policies must not use weak ciphers, to reduce the risk of the SSL connection between the client and the load balancer being exploited. That means the 'name' of 'policy_attributes' must not coincide with any of a predefined list of weak ciphers.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/load_balancer_policy">Documentation</a><br/>|
|DOCDB Cluster Not Encrypted<br/><sup><sub>bc1f9009-84a0-490f-ae09-3e0ea6d74ad6</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|AWS DOCDB Cluster storage should be encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/docdb_cluster#storage_encrypted">Documentation</a><br/>|
|User Data Contains Encoded Private Key<br/><sup><sub>443488f5-c734-460b-a36d-5b3f330174dc</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|User Data Base64 contains an encoded RSA Private Key|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/launch_configuration#user_data_base64">Documentation</a><br/>|
|DAX Cluster Not Encrypted<br/><sup><sub>f11aec39-858f-4b6f-b946-0a1bf46c0c87</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|AWS DAX Cluster should have server-side encryption at rest|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/dax_cluster#enabled">Documentation</a><br/>|
|EFS Without KMS<br/><sup><sub>25d251f3-f348-4f95-845c-1090e41a615c</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Elastic File System (EFS) must have KMS Key ID|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/efs_file_system#kms_key_id">Documentation</a><br/>|
|Secure Ciphers Disabled<br/><sup><sub>5c0003fb-9aa0-42c1-9da3-eb0e332bef21</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Check if secure ciphers aren't used in CloudFront|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudfront_distribution">Documentation</a><br/>|
|Sagemaker Notebook Instance Without KMS<br/><sup><sub>f3674e0c-f6be-43fa-b71c-bf346d1aed99</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|AWS SageMaker should encrypt model artifacts at rest using Amazon S3 server-side encryption with an AWS KMS|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/sagemaker_notebook_instance#kms_key_id">Documentation</a><br/>|
|Athena Workgroup Not Encrypted<br/><sup><sub>d364984a-a222-4b5f-a8b0-e23ab19ebff3</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Athena Workgroup query results should be encrypted, for all queries that run in the workgroup|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/athena_workgroup#encryption_configuration">Documentation</a><br/>|
|ELB Using Insecure Protocols<br/><sup><sub>126c1788-23c2-4a10-906c-ef179f4f96ec</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|ELB Predefined or Custom Security Policies must not use insecure protocols, to reduce the risk of the SSL connection between the client and the load balancer being exploited. That means the 'name' of 'policy_attributes' must not coincide with any of a predefined list of insecure protocols.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/load_balancer_policy">Documentation</a><br/>|
|Automatic Minor Upgrades Disabled<br/><sup><sub>3b6d777b-76e3-4133-80a3-0d6f667ade7f</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|RDS Instance Auto Minor Version Upgrade feature in Aws Db Instance must be true|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_instance#auto_minor_version_upgrade">Documentation</a><br/>|
|AMI Not Encrypted<br/><sup><sub>8bbb242f-6e38-4127-86d4-d8f0b2687ae2</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|AWS AMI Encryption is not enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/data-sources/ami">Documentation</a><br/>|
|ECS Task Definition Container With Plaintext Password<br/><sup><sub>d40210ea-64b9-4cce-a4fb-e8604f3c062c</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|It's not recommended to use plaintext environment variables for sensitive information, such as credential data.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecs_task_definition">Documentation</a><br/>|
|CodeBuild Project Encrypted With AWS Managed Key<br/><sup><sub>3deec14b-03d2-4d27-9670-7d79322e3340</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|CodeBuild Project should be encrypted with customer-managed KMS keys instead of AWS managed keys|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/codebuild_project#encryption_key">Documentation</a><br/>|
|EFS Not Encrypted<br/><sup><sub>48207659-729f-4b5c-9402-f884257d794f</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Elastic File System (EFS) must be encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/efs_file_system#encrypted">Documentation</a><br/>|
|Athena Database Not Encrypted<br/><sup><sub>b2315cae-b110-4426-81e0-80bb8640cdd3</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|AWS Athena Database data in S3 should be encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/athena_database#encryption_configuration">Documentation</a><br/>|
|EBS Volume Snapshot Not Encrypted<br/><sup><sub>e6b4b943-6883-47a9-9739-7ada9568f8ca</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|The value on AWS EBS Volume Snapshot Encryptation must be true|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/data-sources/ebs_snapshot#encrypted">Documentation</a><br/>|
|RDS Storage Not Encrypted<br/><sup><sub>3199c26c-7871-4cb3-99c2-10a59244ce7f</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Check if RDS Cluster Storage isn't encrypted. Happens when 'storage_encrypted' is not set to 'true'|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/rds_cluster#storage_encrypted">Documentation</a><br/>|
|Viewer Protocol Policy Allows HTTP<br/><sup><sub>55af1353-2f62-4fa0-a8e1-a210ca2708f5</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Checks if the connection between the CloudFront and the origin server is encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudfront_distribution">Documentation</a><br/>|
|S3 Bucket Object Not Encrypted<br/><sup><sub>5fb49a69-8d46-4495-a2f8-9c8c622b2b6e</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|S3 Bucket Object should have server-side encryption enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_object#server_side_encryption">Documentation</a><br/>|
|CloudWatch Log Group Not Encrypted<br/><sup><sub>0afbcfe9-d341-4b92-a64c-7e6de0543879</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|AWS CloudWatch Log groups should be encrypted using KMS|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_group">Documentation</a><br/>|
|ECS Task Definition Volume Not Encrypted<br/><sup><sub>4d46ff3b-7160-41d1-a310-71d6d370b08f</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|AWS ECS Task Definition EFS data in transit between AWS ECS host and AWS EFS server should be encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecs_task_definition#transit_encryption">Documentation</a><br/>|
|MSK Cluster Encryption Disabled<br/><sup><sub>6db52fa6-d4da-4608-908a-89f0c59e743e</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Ensure MSK Cluster encryption in rest and transit is enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/msk_cluster#encryption_info">Documentation</a><br/>|
|DB Instance Storage Not Encrypted<br/><sup><sub>08bd0760-8752-44e1-9779-7bb369b2b4e4</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|The parameter storage_encrypted in aws_db_instance must be set to 'true' (the default is 'false').|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_instance#storage_encrypted">Documentation</a><br/>|
|API Gateway Method Settings Cache Not Encrypted<br/><sup><sub>b7c9a40c-23e4-4a2d-8d39-a3352f10f288</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|API Gateway Method Settings Cache should be encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_method_settings#cache_data_encrypted">Documentation</a><br/>|
|User Data Shell Script Is Encoded<br/><sup><sub>9cf718ce-46f9-430e-89ec-c456f8b469ee</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Base64 Shell Script must be encoded|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/launch_configuration#user_data_base64">Documentation</a><br/>|
|Redshift Not Encrypted<br/><sup><sub>cfdcabb0-fc06-427c-865b-c59f13e898ce</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Check if 'encrypted' field is false or undefined (default is false)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/redshift_cluster#encrypted">Documentation</a><br/>|
|CA certificate Identifier is outdated<br/><sup><sub>9f40c07e-699e-4410-8856-3ba0f2e3a2dd</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|The CA certificate Identifier must be 'rds-ca-2019'.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_instance">Documentation</a><br/>|
|Redis Not Compliant<br/><sup><sub>254c932d-e3bf-44b2-bc9d-eb5fdb09f8d4</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Check if the redis version is compliant with the necessary AWS PCI DSS requirements|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticache_cluster#engine_version">Documentation</a><br/>|
|S3 Bucket with Unsecured CORS Rule<br/><sup><sub>98a8f708-121b-455b-ae2f-da3fb59d17e1</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|If the CORS (Cross-Origin Resource Sharing) rule is defined in an S3 bucket, it should be secure|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket#cors_rule">Documentation</a><br/>|
|Redshift Publicly Accessible<br/><sup><sub>af173fde-95ea-4584-b904-bb3923ac4bda</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Check if 'publicly_accessible' field is true or undefined (default is true)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/redshift_cluster">Documentation</a><br/>|
|Root Account Has Active Access Keys<br/><sup><sub>970d224d-b42a-416b-81f9-8f4dfe70c4bc</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|The AWS Root Account must not have active access keys associated, which means if there are access keys associated to the Root Account, they must be inactive.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_access_key">Documentation</a><br/>|
|CloudFront Without Minimum Protocol TLS 1.2<br/><sup><sub>00e5e55e-c2ff-46b3-a757-a7a1cd802456</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|CloudFront Minimum Protocol version should be at least TLS 1.2|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudfront_distribution">Documentation</a><br/>|
|Batch Job Definition With Privileged Container Properties<br/><sup><sub>66cd88ac-9ddf-424a-b77e-e55e17630bee</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Batch Job Definition should not have Privileged Container Properties|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/batch_job_definition">Documentation</a><br/>|
|ECS Task Definition Network Mode Not Recommended<br/><sup><sub>9f4a9409-9c60-4671-be96-9716dbf63db1</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Network_Mode should be 'awsvpc' in ecs_task_defenition. AWS VPCs provides the controls to facilitate a formal process for approving and testing all network connections and changes to the firewall and router configurations|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecs_task_definition#network_mode">Documentation</a><br/>|
|KMS Key With Vulnerable Policy<br/><sup><sub>7ebc9038-0bde-479a-acc4-6ed7b6758899</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Checks if the policy is vulnerable and needs updating.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/kms_key">Documentation</a><br/>|
|S3 Bucket Without Restriction Of Public Bucket<br/><sup><sub>1ec253ab-c220-4d63-b2de-5b40e0af9293</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|S3 bucket without restriction of public bucket|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_public_access_block">Documentation</a><br/>|
|DB Instance Publicly Accessible<br/><sup><sub>35113e6f-2c6b-414d-beec-7a9482d3b2d1</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|The field 'publicly_accessible' should not be set to 'true' (default is 'false').|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_instance#publicly_accessible">Documentation</a><br/>|
|IAM User Policy Without MFA<br/><sup><sub>b5681959-6c09-4f55-b42b-c40fa12d03ec</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Check if the root user is authenticated with MFA|<a href="https://docs.aws.amazon.com/IAM/latest/UserGuide/id_credentials_mfa_configure-api-require.html">Documentation</a><br/>|
|API Gateway Without Security Policy<br/><sup><sub>4e1cc5d3-2811-4fb2-861c-ee9b3cb7f90b</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|API Gateway should have a Security Policy defined and use TLS 1.2.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_domain_name#security_policy">Documentation</a><br/>|
|No Password Policy Enabled<br/><sup><sub>b592ffd4-0577-44b6-bd35-8c5ee81b5918</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|IAM password policies should be set through the password minimum length and reset password attributes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_user_login_profile">Documentation</a><br/>|
|S3 Static Website Host Enabled<br/><sup><sub>42bb6b7f-6d54-4428-b707-666f669d94fb</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Checks if any static websties are hosted on buckets|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket#website">Documentation</a><br/>|
|DB Security Group Has Public Interface<br/><sup><sub>f0d8781f-99bf-4958-9917-d39283b168a0</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|The CIDR IP should not be a public interface|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_security_group">Documentation</a><br/>|
|SQS With SSE Disabled<br/><sup><sub>6e8849c1-3aa7-40e3-9063-b85ee300f29f</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Amazon Simple Queue Service (SQS) queue is not protecting the contents of their messages using Server-Side Encryption (SSE)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/sqs_queue">Documentation</a><br/>|
|Authentication Without MFA<br/><sup><sub>3ddfa124-6407-4845-a501-179f90c65097</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Users should authenticate with MFA (Multi-factor Authentication)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_user_policy">Documentation</a><br/>|
|S3 Bucket Without Enabled MFA Delete<br/><sup><sub>c5b31ab9-0f26-4a49-b8aa-4cc064392f4d</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|S3 bucket without MFA Delete Enabled. MFA delete cannot be enabled through Terraform, it can be done by adding a MFA device (https://docs.aws.amazon.com/IAM/latest/UserGuide/id_credentials_mfa_enable.html) and enabling versioning and MFA delete by using AWS CLI: 'aws s3api put-bucket-versioning --versioning-configuration=Status=Enabled,MFADelete=Enabled --bucket=<BUCKET_NAME> --mfa=<MFA_SERIAL_NUMBER>'. Please, also notice that MFA delete can not be used with lifecycle configurations|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket#mfa_delete">Documentation</a><br/>|
|Lambda Function With Privileged role<br/><sup><sub>1b3af2f9-af8c-4dfc-a0f1-a03adb70deb2</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|It is not advisable for AWS Lambda Functions to have privileged permissions.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/lambda_function">Documentation</a><br/>|
|Vulnerable Default SSL Certificate<br/><sup><sub>3a1e94df-6847-4c0e-a3b6-6c6af4e128ef</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Defaults|CloudFront web distributions should use custom (and not default) SSL certificates. Custom SSL certificates allow only defined users to access content by using an alternate domain name instead of the default one.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudfront_distribution">Documentation</a><br/>|
|Remote Desktop Port Open<br/><sup><sub>151187cb-0efc-481c-babd-ad24e3c9bc22</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|The Remote Desktop port is open in a Security Group|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group">Documentation</a><br/>|
|Default Security Groups With Unrestricted Traffic<br/><sup><sub>46883ce1-dc3e-4b17-9195-c6a601624c73</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|Check if default security group does not restrict all inbound and outbound traffic.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/default_security_group">Documentation</a><br/>|
|Unrestricted Security Group Ingress<br/><sup><sub>4728cd65-a20c-49da-8b31-9c08b423e4db</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|Security groups allow ingress from 0.0.0.0:0|<a href="https://www.terraform.io/docs/providers/aws/r/security_group.html">Documentation</a><br/>|
|EKS Cluster Has Public Access CIDRs<br/><sup><sub>61cf9883-1752-4768-b18c-0d57f2737709</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|Amazon EKS public endpoint is enables and accessible to all: 0.0.0.0/0"|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/eks_cluster">Documentation</a><br/>|
|VPC Default Security Group Accepts All Traffic<br/><sup><sub>9a4ef195-74b9-4c58-b8ed-2b2fe4353a75</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|Default Security Group attached to every VPC should restrict all traffic|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/default_security_group">Documentation</a><br/>|
|HTTP Port Open<br/><sup><sub>ffac8a12-322e-42c1-b9b9-81ff85c39ef7</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|The HTTP port is open in a Security Group|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group">Documentation</a><br/>|
|DB Security Group Open To Large Scope<br/><sup><sub>4f615f3e-fb9c-4fad-8b70-2e9f781806ce</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|The IP address in a DB Security Group must not have more than 256 hosts.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_security_group">Documentation</a><br/>|
|Sensitive Port Is Exposed To Entire Network<br/><sup><sub>381c3f2a-ef6f-4eff-99f7-b169cda3422c</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|A sensitive port, such as port 23 or port 110, is open for the whole network in either TCP or UDP protocol|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group">Documentation</a><br/>|
|Network ACL With Unrestricted Access To RDP<br/><sup><sub>a20be318-cac7-457b-911d-04cc6e812c25</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|'RDP' (TCP:3389) should not be public in AWS Network ACL|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/network_acl">Documentation</a><br/>|
|ALB Listening on HTTP<br/><sup><sub>de7f5e83-da88-4046-871f-ea18504b1d43</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|AWS Application Load Balancer (alb) should not listen on HTTP|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/lb_listener">Documentation</a><br/>|
|DB Security Group With Public Scope<br/><sup><sub>1e0ef61b-ad85-4518-a3d3-85eaad164885</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|The IP address in a DB Security Group must not be '0.0.0.0/0' (IPv4) or '::/0' (IPv6).|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_security_group">Documentation</a><br/>|
|RDS Associated with Public Subnet<br/><sup><sub>2f737336-b18a-4602-8ea0-b200312e1ac1</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|RDS should not run in public subnet|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_instance#db_subnet_group_name">Documentation</a><br/>|
|EKS node group remote access disabled<br/><sup><sub>ba40ace1-a047-483c-8a8d-bc2d3a67a82d</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|EKS node group remote access is disabled when 'SourceSecurityGroups' is missing|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/eks_node_group#remote_access">Documentation</a><br/>|
|EC2 Instance Has Public IP<br/><sup><sub>5a2486aa-facf-477d-a5c1-b010789459ce</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|EC2 Instance should not have a public IP address.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/instance#associate_public_ip_address">Documentation</a><br/>|
|Unknown Port Exposed To Internet<br/><sup><sub>590d878b-abdc-428f-895a-e2b68a0e1998</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|AWS Security Group should not have an unknown port exposed to the entire Internet|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group">Documentation</a><br/>|
|Security Group With Unrestricted Access To SSH<br/><sup><sub>65905cec-d691-4320-b320-2000436cb696</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|'SSH' (TCP:22) should not be public in AWS Security Group|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group">Documentation</a><br/>|
|Route53 Record Undefined<br/><sup><sub>25db74bf-fa3b-44da-934e-8c3e005c0453</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|Check if Record is set|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/route53_record">Documentation</a><br/>|
|Network ACL With Unrestricted Access To SSH<br/><sup><sub>3af7f2fd-06e6-4dab-b996-2912bea19ba4</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|'SSH' (TCP:22) should not be public in AWS Network ACL|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/network_acl">Documentation</a><br/>|
|VPC Peering Route Table with Unrestricted CIDR<br/><sup><sub>b3a41501-f712-4c4f-81e5-db9a7dc0e34e</sub></sup>|Terraform|<span style="color:#C00">High</span>|Networking and Firewall|VPC Peering Route Table should restrict CIDR|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/route">Documentation</a><br/>|
|CloudTrail Log Files Not Encrypted<br/><sup><sub>5d9e3164-9265-470c-9a10-57ae454ac0c7</sub></sup>|Terraform|<span style="color:#C00">High</span>|Observability|Logs delivered by CloudTrail should be encrypted using KMS|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudtrail#kms_key_id">Documentation</a><br/>|
|KMS Key With No Deletion Window<br/><sup><sub>0b530315-0ea4-497f-b34c-4ff86268f59d</sub></sup>|Terraform|<span style="color:#C00">High</span>|Observability|AWS KMS Key should have a valid deletion window|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/kms_key">Documentation</a><br/>|
|CMK Rotation Disabled<br/><sup><sub>22fbfeac-7b5a-421a-8a27-7a2178bb910b</sub></sup>|Terraform|<span style="color:#C00">High</span>|Observability|Customer Master Keys (CMK) must have rotation enabled, which means the attribute 'enable_key_rotation' must be set to 'true' when the key is enabled.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/kms_key#enable_key_rotation">Documentation</a><br/>|
|CloudTrail Logging Disabled<br/><sup><sub>4bb76f17-3d63-4529-bdca-2b454529d774</sub></sup>|Terraform|<span style="color:#C00">High</span>|Observability|Checks if logging is enabled for CloudTrail.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudtrail#enable_logging">Documentation</a><br/>|
|Configuration Aggregator to All Regions Disabled<br/><sup><sub>ac5a0bc0-a54c-45aa-90c3-15f7703b9132</sub></sup>|Terraform|<span style="color:#C00">High</span>|Observability|AWS Config Configuration Aggregator All Regions must be set to True|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/config_configuration_aggregator#all_regions">Documentation</a><br/>|
|CloudTrail Log Files S3 Bucket is Publicly Accessible<br/><sup><sub>bd0088a5-c133-4b20-b129-ec9968b16ef3</sub></sup>|Terraform|<span style="color:#C00">High</span>|Observability|CloudTrail Log Files S3 Bucket should not be publicly accessible|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudtrail#s3_bucket_name">Documentation</a><br/>|
|CloudWatch Console Sign-in Without MFA Alarm Missing<br/><sup><sub>44ceb4fa-0897-4fd2-b676-30e7a58f2933</sub></sup>|Terraform|<span style="color:#C00">High</span>|Observability|Ensure a log metric filter and alarm exist for management console sign-in without MFA|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|CloudWatch Root Account Use Missing<br/><sup><sub>8b1b1e67-6248-4dca-bbad-93486bb181c0</sub></sup>|Terraform|<span style="color:#C00">High</span>|Observability|Ensure a log metric filter and alarm exist for root acount usage|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|CloudTrail Log Files S3 Bucket with Logging Disabled<br/><sup><sub>ee9e50e8-b2ed-4176-ad42-8fc0cf7593f4</sub></sup>|Terraform|<span style="color:#C00">High</span>|Observability|CloudTrail Log Files S3 Bucket should have 'logging' enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudtrail#s3_bucket_name">Documentation</a><br/>|
|CloudWatch Unauthorized Access Alarm Missing<br/><sup><sub>4c18a45b-4ab1-4790-9f83-399ac695f1e5</sub></sup>|Terraform|<span style="color:#C00">High</span>|Observability|Ensure a log metric filter and alarm exist for unauthorized API calls|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|CloudWatch IAM Policy Changes Alarm Missing<br/><sup><sub>eaaba502-2f94-411a-a3c2-83d63cc1776d</sub></sup>|Terraform|<span style="color:#C00">High</span>|Observability|Ensure a log metric filter and alarm exist for IAM policy changes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|API Gateway Method Does Not Contains An API Key<br/><sup><sub>671211c5-5d2a-4e97-8867-30fc28b02216</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|An API Key should be required on a method request.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_method">Documentation</a><br/>|
|SES Policy With Allowed IAM Actions<br/><sup><sub>34b921bd-90a0-402e-a0a5-dc73371fd963</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|SES policy should not allow IAM actions to all principals|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ses_identity_policy#policy">Documentation</a><br/>|
|Cross-Account IAM Assume Role Policy Without ExternalId or MFA<br/><sup><sub>09c35abf-5852-4622-ac7a-b987b331232e</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Cross-Account IAM Assume Role Policy should require external ID or MFA to protect cross-account access|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_role#assume_role_policy">Documentation</a><br/>|
|REST API With Vulnerable Policy<br/><sup><sub>b161c11b-a59b-4431-9a29-4e19f63e6b27</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|REST API policy should avoid wildcard in 'Action' and 'Principal'|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_rest_api_policy#policy">Documentation</a><br/>|
|SQS Policy With Public Access<br/><sup><sub>730675f9-52ed-49b6-8ead-0acb5dd7df7f</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|SQS policy with public access|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/sqs_queue_policy">Documentation</a><br/>|
|Neptune Cluster With IAM Database Authentication Disabled<br/><sup><sub>c91d7ea0-d4d1-403b-8fe1-c9961ac082c5</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Neptune Cluster should have IAM Database Authentication enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/neptune_cluster#storage_encrypted">Documentation</a><br/>|
|SNS Topic Publicity Has Allow and NotAction Simultaneously<br/><sup><sub>5ea624e4-c8b1-4bb3-87a4-4235a776adcc</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|SNS topic Publicity should not have 'Effect: Allow' and argument 'NotAction' at the same time. If it has 'Effect: Allow', the argument stated should be 'Action'.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/sns_topic_policy">Documentation</a><br/>|
|Glue With Vulnerable Policy<br/><sup><sub>d25edb51-07fb-4a73-97d4-41cecdc53a22</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Glue policy should avoid wildcard in 'principals' and 'actions'|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/glue_resource_policy#policy">Documentation</a><br/>|
|SNS Topic is Publicly Accessible For Subscription<br/><sup><sub>b26d2b7e-60f6-413d-a3a1-a57db24aa2b3</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|This query checks if SNS Topic is Accessible For Subscription|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/sns_topic">Documentation</a><br/>|
|Public and Private EC2 Share Role<br/><sup><sub>c53c7a89-f9d7-4c7b-8b66-8a555be99593</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Public and private EC2 istances should not share the same role.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/instance#iam_instance_profile">Documentation</a><br/>|
|IAM Access Key Is Exposed<br/><sup><sub>7081f85c-b94d-40fd-8b45-a4f1cac75e46</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Check if IAM Access Key is active for some user besides 'root'|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_access_key">Documentation</a><br/>|
|IAM Role Policy passRole Allows All<br/><sup><sub>e39bee8c-fe54-4a3f-824d-e5e2d1cca40a</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Using the iam:passrole action with wildcards (*) in the resource can be overly permissive because it allows iam:passrole permissions on multiple resources|<a href="https://docs.aws.amazon.com/IAM/latest/UserGuide/access-analyzer-reference-policy-checks.html#access-analyzer-reference-policy-checks-security-warning-pass-role-with-star-in-resource">Documentation</a><br/>|
|CloudWatch Logs Destination With Vulnerable Policy<br/><sup><sub>db0ec4c4-852c-46a2-b4f3-7ec13cdb12a8</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|CloudWatch Logs destination policy should avoid wildcard in 'principals' and 'actions'|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_destination_policy#access_policy">Documentation</a><br/>|
|IAM Access Analyzer Undefined<br/><sup><sub>e592a0c5-5bdb-414c-9066-5dba7cdea370</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|IAM Access Analyzer should be defined to identify unintentional access|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/accessanalyzer_analyzer">Documentation</a><br/>|
|ECR Repository Is Publicly Accessible<br/><sup><sub>e86e26fc-489e-44f0-9bcd-97305e4ba69a</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Amazon ECR image repositories shouldn't have public access|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecr_repository_policy">Documentation</a><br/>|
|API Gateway Without Configured Authorizer<br/><sup><sub>ed35928e-195c-4405-a252-98ccb664ab7C</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|API Gateway REST API should have an API Gateway Authorizer|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_authorizer">Documentation</a><br/>|
|Lambda With Vulnerable Policy<br/><sup><sub>ad9dabc7-7839-4bae-a957-aa9120013f39</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|The attribute 'action' should not have wildcard|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/lambda_permission#action">Documentation</a><br/>|
|AMI Shared With Multiple Accounts<br/><sup><sub>ba4e0031-3e9d-4d7d-b0d6-bd8f003f8698</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Limits access to AWS AMIs by checking if more than one account is using the same image|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ami_launch_permission">Documentation</a><br/>|
|Elasticsearch Domain With Vulnerable Policy<br/><sup><sub>16c4216a-50d3-4785-bfb2-4adb5144a8ba</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Elasticsearch Domain policy should avoid wildcard in 'Action' and 'Principal'.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticsearch_domain_policy#access_policies">Documentation</a><br/>|
|Lambda Permission Principal Is Wildcard<br/><sup><sub>e08ed7eb-f3ef-494d-9d22-2e3db756a347</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Lambda Permission Principal should not contain a wildcard.|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/lambda_policy_module.html">Documentation</a><br/>|
|IAM Policy Grants Full Permissions<br/><sup><sub>575a2155-6af1-4026-b1af-d5bc8fe2a904</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|IAM policies allow all ('*') in a statement action|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_role_policy">Documentation</a><br/>|
|SQS Policy Allows All Actions<br/><sup><sub>816ea8cf-d589-442d-a917-2dd0ce0e45e3</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|SQS policy allows ALL (*) actions|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/sqs_queue_policy">Documentation</a><br/>|
|S3 Bucket Allows Public ACL<br/><sup><sub>d0cc8694-fcad-43ff-ac86-32331d7e867f</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|S3 bucket allows public ACL|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_public_access_block">Documentation</a><br/>|
|IAM User With Access To Console<br/><sup><sub>9ec311bf-dfd9-421f-8498-0b063c8bc552</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|AWS IAM Users should not have access to console|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_user_login_profile">Documentation</a><br/>|
|Certificate Has Expired<br/><sup><sub>c3831315-5ae6-4fa8-b458-3d4d5ab7a3f6</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Expired SSL/TLS certificates should be removed|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_rest_api">Documentation</a><br/>|
|Elasticsearch Without IAM Authentication<br/><sup><sub>e7530c3c-b7cf-4149-8db9-d037a0b5268e</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|AWS Elasticsearch should ensure IAM Authentication|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticsearch_domain">Documentation</a><br/>|
|Policy Without Principal<br/><sup><sub>bbe3dd3d-fea9-4b68-a785-cfabe2bbbc54</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|All policies, except IAM identity-based policies, should have the 'Principal' element defined|<a href="https://docs.aws.amazon.com/IAM/latest/UserGuide/reference_policies_elements_principal.html">Documentation</a><br/>|
|Secrets Manager With Vulnerable Policy<br/><sup><sub>fa00ce45-386d-4718-8392-fb485e1f3c5b</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Secrets Manager policy should avoid wildcard in 'Principal' and 'Action'|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/secretsmanager_secret_policy#policy">Documentation</a><br/>|
|ECS Service Without Running Tasks<br/><sup><sub>91f16d09-689e-4926-aca7-155157f634ed</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Availability|ECS Service should have at least 1 task running|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecs_service">Documentation</a><br/>|
|Auto Scaling Group With No Associated ELB<br/><sup><sub>8e94dced-9bcc-4203-8eb7-7e41202b2505</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Availability|AWS Auto Scaling Groups must have associated ELBs to ensure high availability and improve application performance. This means the attribute 'load_balancers' must be defined and not empty.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/autoscaling_group#load_balancers">Documentation</a><br/>|
|ElastiCache Nodes Not Created Across Multi AZ<br/><sup><sub>6db03a91-f933-4f13-ab38-a8b87a7de54d</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Availability|Check if ElastiCache nodes are not being created across multi AZ|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticache_cluster">Documentation</a><br/>|
|CMK Is Unusable<br/><sup><sub>7350fa23-dcf7-4938-916d-6a60b0c73b50</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Availability|AWS Key Management Service (KMS) must only possess usable Customer Master Keys (CMK), which means the CMKs must have the attribute 'is_enabled' set to true|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/kms_key#is_enabled">Documentation</a><br/>|
|ElastiCache Redis Cluster Without Backup<br/><sup><sub>8fdb08a0-a868-4fdf-9c27-ccab0237f1ab</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Backup|ElastiCache Redis cluster should have 'snapshot_retention_limit' higher than 0|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticache_cluster#snapshot_retention_limit">Documentation</a><br/>|
|Stack Retention Disabled<br/><sup><sub>6e0e2f68-3fd9-4cd8-a5e4-e2213ef0df97</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Backup|Make sure that retain_stack is enabled to keep the Stack and it's associated resources during resource destruction|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudformation_stack_set_instance#stack_set_name">Documentation</a><br/>|
|RDS With Backup Disabled<br/><sup><sub>1dc73fb4-5b51-430c-8c5f-25dcf9090b02</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Backup|RDS configured without backup|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_instance">Documentation</a><br/>|
|IAM Password Without Minimum Length<br/><sup><sub>1bc1c685-e593-450e-88fb-19db4c82aa1d</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Best Practices|Check if IAM account password has the required minimum length|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_account_password_policy">Documentation</a><br/>|
|Cognito UserPool Without MFA<br/><sup><sub>ec28bf61-a474-4dbe-b414-6dd3a067d6f0</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Best Practices|AWS Cognito UserPool should have MFA (Multi-Factor Authentication) defined to users|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cognito_user_pool">Documentation</a><br/>|
|ALB Not Dropping Invalid Headers<br/><sup><sub>6e3fd2ed-5c83-4c68-9679-7700d224d379</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Best Practices|It's considered a best practice when using Application Load Balancers to drop invalid header fields|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/lb#drop_invalid_header_fields">Documentation</a><br/>|
|Password Without Reuse Prevention<br/><sup><sub>89806cdc-9c2e-4bd1-a0dc-53f339bcfb2a</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Best Practices|Check if IAM account password has the reuse password configured with 24|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_account_password_policy#password_reuse_prevention">Documentation</a><br/>|
|RDS Cluster With Backup Disabled<br/><sup><sub>e542bd46-58c4-4e0f-a52a-1fb4f9548e02</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Best Practices|RDS Cluster backup retention period should be specifically defined|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/rds_cluster#backup_retention_period">Documentation</a><br/>|
|Misconfigured Password Policy Expiration<br/><sup><sub>ce60d060-efb8-4bfd-9cf7-ff8945d00d90</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Best Practices|No password expiration policy|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_account_password_policy">Documentation</a><br/>|
|IAM Password Without Symbol<br/><sup><sub>7a70eed6-de3a-4da2-94da-a2bbc8fe2a48</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Best Practices|Check if IAM account password has the required symbols|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_account_password_policy">Documentation</a><br/>|
|Stack Without Template<br/><sup><sub>91bea7b8-0c31-4863-adc9-93f6177266c4</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Build Process|AWS CloudFormation should have a template defined through the attribute template_url or attribute template_body|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudformation_stack">Documentation</a><br/>|
|SNS Topic Encrypted With AWS Managed Key<br/><sup><sub>b1a72f66-2236-4f3b-87ba-0da1b366956f</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|SNS (Simple Notification Service) Topic should be encrypted with customer-managed KMS keys instead of AWS managed keys|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/sns_topic#kms_master_key_id">Documentation</a><br/>|
|Neptune Database Cluster Encryption Disabled<br/><sup><sub>98d59056-f745-4ef5-8613-32bca8d40b7e</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|Check if Neptune Cluster Storage is securely encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/neptune_cluster#storage_encrypted">Documentation</a><br/>|
|SSM Session Transit Encryption Disabled<br/><sup><sub>ce60cc6b-6831-4bd7-84a2-cc7f8ee71433</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|SSM Session should be encrypted in transit|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ssm_document#content">Documentation</a><br/>|
|ECR Repository Not Encrypted<br/><sup><sub>0e32d561-4b5a-4664-a6e3-a3fa85649157</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|ECR (Elastic Container Registry) Repository encryption should be set|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecr_repository#encryption_configuration">Documentation</a><br/>|
|Secretsmanager Secret Encrypted With AWS Managed Key<br/><sup><sub>b0d3ef3f-845d-4b1b-83d6-63a5a380375f</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|Secrets Manager secret should be encrypted with customer-managed KMS keys instead of AWS managed keys|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/secretsmanager_secret#kms_key_id">Documentation</a><br/>|
|EBS Volume Encryption Disabled<br/><sup><sub>cc997676-481b-4e93-aa81-d19f8c5e9b12</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|The value on AWS EBS Volume Cluster Encryption must be true|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ebs_volume#encrypted">Documentation</a><br/>|
|SNS Topic Not Encrypted<br/><sup><sub>28545147-2fc6-42d5-a1f9-cf226658e591</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|SNS (Simple Notification Service) Topic should be encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/sns_topic#kms_master_key_id">Documentation</a><br/>|
|Elasticsearch Domain Not Encrypted Node To Node<br/><sup><sub>967eb3e6-26fc-497d-8895-6428beb6e8e2</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|Elasticsearch Domain encryption should be enabled node to node|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticsearch_domain#node_to_node_encryption">Documentation</a><br/>|
|ElastiCache Replication Group Not Encrypted At Transit<br/><sup><sub>1afbb3fa-cf6c-4a3d-b730-95e9f4df343e</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|ElastiCache Replication Group encryption should be enabled at Transit|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticache_replication_group#transit_encryption_enabled">Documentation</a><br/>|
|ElasticSearch Not Encrypted At Rest<br/><sup><sub>24e16922-4330-4e9d-be8a-caa90299466a</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|Check if ElasticSearch encryption is disabled at Rest|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticsearch_domain">Documentation</a><br/>|
|Config Rule For Encrypted Volumes Disabled<br/><sup><sub>abdb29d4-5ca1-4e91-800b-b3569bbd788c</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|Check if AWS config rules do not identify Encrypted Volumes as a source.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/config_config_rule">Documentation</a><br/>|
|ElastiCache Replication Group Not Encrypted At Rest<br/><sup><sub>76976de7-c7b1-4f64-a94f-90c1345914c2</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|ElastiCache Replication Group encryption should be enabled at Rest|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticache_replication_group#at_rest_encryption_enabled">Documentation</a><br/>|
|API Gateway Without Content Encoding<br/><sup><sub>ed35928e-195c-4405-a252-98ccb664ab7b</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|Enable Content Encoding through the attribute 'minimum_compression_size'. This value should be greater than -1 and smaller than 10485760|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_rest_api">Documentation</a><br/>|
|S3 Bucket Policy Accepts HTTP Requests<br/><sup><sub>4bc4dd4c-7d8d-405e-a0fb-57fa4c31b4d9</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|S3 Bucket policy should not accept HTTP Requests|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_policy#policy">Documentation</a><br/>|
|DynamoDB Table Not Encrypted<br/><sup><sub>ce089fd4-1406-47bd-8aad-c259772bb294</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|AWS DynamoDB Tables should have server-side encryption|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/dynamodb_table#server_side_encryption">Documentation</a><br/>|
|Unscanned ECR Image<br/><sup><sub>9630336b-3fed-4096-8173-b9afdfe346a7</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|Checks if the ECR Image has been scanned|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecr_repository#scan_on_push">Documentation</a><br/>|
|DOCDB Cluster Encrypted With AWS Managed Key<br/><sup><sub>2134641d-30a4-4b16-8ffc-2cd4c4ffd15d</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|DOCDB Cluster should be encrypted with customer-managed KMS keys instead of AWS managed keys|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/docdb_cluster#kms_key_id">Documentation</a><br/>|
|Secretsmanager Secret Without KMS<br/><sup><sub>a2f548f2-188c-4fff-b172-e9a6acb216bd</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|AWS Secretmanager should use AWS KMS customer master key (CMK) to encrypt the secret values in the versions stored in the secret|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/secretsmanager_secret#kms_key_id">Documentation</a><br/>|
|ElasticSearch Encryption With KMS Disabled<br/><sup><sub>7af2f4a3-00d9-47f3-8d15-ca0888f4e5b2</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|Check if any ElasticSearch domain isn't encrypted with KMS|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticsearch_domain">Documentation</a><br/>|
|AmazonMQ Broker Encryption Disabled<br/><sup><sub>3db3f534-e3a3-487f-88c7-0a9fbf64b702</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|AmazonMQ Broker should have Encryption Options defined|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/mq_broker">Documentation</a><br/>|
|Redshift Cluster Without VPC<br/><sup><sub>0a494a6a-ebe2-48a0-9d77-cf9d5125e1b3</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Redshift Cluster should be configured in VPC (Virtual Private Cloud)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/redshift_cluster#vpc_security_group_ids">Documentation</a><br/>|
|Instance With No VPC<br/><sup><sub>a31a5a29-718a-4ff4-8001-a69e5e4d029e</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Instance should be configured in VPC (Virtual Private Cloud)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/instance">Documentation</a><br/>|
|Service Control Policies Disabled<br/><sup><sub>5ba6229c-8057-433e-91d0-21cf13569ca9</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if the Amazon Organizations ensure that all features are enabled to achieve full control over the use of AWS services and actions across multiple AWS accounts using Service Control Policies (SCPs).|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/organizations_policy">Documentation</a><br/>|
|MQ Broker Is Publicly Accessible<br/><sup><sub>4eb5f791-c861-4afd-9f94-f2a6a3fe49cb</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if any MQ Broker is not publicly accessible|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/mq_broker">Documentation</a><br/>|
|IAM User Has Too Many Access Keys<br/><sup><sub>3561130e-9c5f-485b-9e16-2764c82763e5</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Any IAM User should not have more than one access key since it increases the risk of unauthorized access and compromise credentials|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_access_key#user">Documentation</a><br/>|
|ECR Image Tag Not Immutable<br/><sup><sub>d1846b12-20c5-4d45-8798-fc35b79268eb</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|ECR should have an image tag be immutable|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecr_repository">Documentation</a><br/>|
|EKS Cluster Has Public Access<br/><sup><sub>42f4b905-3736-4213-bfe9-c0660518cda8</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Amazon EKS public endpoint shoud be set to false|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/eks_cluster">Documentation</a><br/>|
|AWS Password Policy With Unchangeable Passwords<br/><sup><sub>9ef7d25d-9764-4224-9968-fa321c56ef76</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Unchangeable passwords in AWS password policy|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_account_password_policy">Documentation</a><br/>|
|IAM Password Without Uppercase Letter<br/><sup><sub>c5ff7bc9-d8ea-46dd-81cb-8286f3222249</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if IAM account password has at least one uppercase letter|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_account_password_policy">Documentation</a><br/>|
|IAM Password Without Lowercase Letter<br/><sup><sub>bbc7c137-6c7b-4fc4-984a-0c88e91fcaf9</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if IAM account password has at least one lowercase letter|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_account_password_policy">Documentation</a><br/>|
|Public Lambda via API Gateway<br/><sup><sub>3ef8696c-e4ae-4872-92c7-520bb44dfe77</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Allowing to run lambda function using public API Gateway|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/lambda_permission">Documentation</a><br/>|
|Certificate RSA Key Bytes Lower Than 256<br/><sup><sub>874d68a3-bfbe-4a4b-aaa0-9e74d7da634b</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|The certificate should use a RSA key with a length equal to or higher than 256 bytes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_rest_api">Documentation</a><br/>|
|API Gateway Without SSL Certificate<br/><sup><sub>0b4869fc-a842-4597-aa00-1294df425440</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|SSL Client Certificate should be enabled in aws_api_gateway_stage resource|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_stage#client_certificate_id">Documentation</a><br/>|
|API Gateway With Open Access<br/><sup><sub>15ccec05-5476-4890-ad19-53991eba1db8</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|API Gateway Method should restrict the authorization type, except for the HTTP OPTIONS method.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_method">Documentation</a><br/>|
|VPC Subnet Assigns Public IP<br/><sup><sub>52f04a44-6bfa-4c41-b1d3-4ae99a2de05c</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|VPC Subnet should not assign public IP|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/subnet#map_public_ip_on_launch">Documentation</a><br/>|
|API Gateway Endpoint Config is Not Private<br/><sup><sub>6b2739db-9c49-4db7-b980-7816e0c248c1</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|The API Endpoint type in API Gateway should be set to PRIVATE so it's not exposed to the public internet|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_rest_api">Documentation</a><br/>|
|Sensitive Port Is Exposed To Wide Private Network<br/><sup><sub>92fe237e-074c-4262-81a4-2077acb928c1</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|A sensitive port, such as port 23 or port 110, is open for a wide private network in either TCP or UDP protocol|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group">Documentation</a><br/>|
|ALB Is Not Integrated With WAF<br/><sup><sub>0afa6ab8-a047-48cf-be07-93a2f8c34cf7</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|All Application Load Balancers (ALB) must be protected with Web Application Firewall (WAF) service|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/wafregional_web_acl_association">Documentation</a><br/>|
|VPC Without Network Firewall<br/><sup><sub>fd632aaf-b8a1-424d-a4d1-0de22fd3247a</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|VPC should have a Network Firewall associated|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/networkfirewall_firewall#vpc_id">Documentation</a><br/>|
|SQS VPC Endpoint Without DNS Resolution<br/><sup><sub>e9b7acf9-9ba0-4837-a744-31e7df1e434d</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|SQS VPC Endpoint should have DNS resolution enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/vpc#enable_dns_support">Documentation</a><br/>|
|SQL Analysis Services Port 2383 (TCP) Is Publicly Accessible<br/><sup><sub>54c417bf-c762-48b9-9d31-b3d87047e3f0</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if port 2383 on TCP is publicly accessible by checking the CIDR block range that can access it.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group">Documentation</a><br/>|
|API Gateway without WAF<br/><sup><sub>a186e82c-1078-4a7b-85d8-579561fde884</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|API Gateway should have WAF (Web Application Firewall) enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/wafregional_web_acl_association#resource_arn">Documentation</a><br/>|
|Dynamodb VPC Endpoint Without Route Table Association<br/><sup><sub>0bc534c5-13d1-4353-a7fe-b8665d5c1d7d</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|Dynamodb VPC Endpoint should be associated with Route Table Association|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/vpc_endpoint#vpc_id">Documentation</a><br/>|
|Sensitive Port Is Exposed To Small Public Network<br/><sup><sub>e35c16a2-d54e-419d-8546-a804d8e024d0</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|A sensitive port, such as port 23 or port 110, is open for a small public network in either TCP or UDP protocol|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group">Documentation</a><br/>|
|Elasticsearch Log is disabled<br/><sup><sub>acb6b4e2-a086-4f35-aefd-4db6ea51ada2</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|AWS Elasticsearch should have logs enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticsearch_domain#log_publishing_options">Documentation</a><br/>|
|S3 Bucket Without Versioning<br/><sup><sub>568a4d22-3517-44a6-a7ad-6a7eed88722c</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|S3 bucket should have versioning enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket#versioning">Documentation</a><br/>|
|Cloudwatch Cloudtrail Configuration Changes Alarm Missing<br/><sup><sub>0f6cbf69-41bb-47dc-93f3-3844640bf480</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Ensure a log metric filter and alarm exist for CloudTrail configuration changes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|CloudWatch Management Console Auth Failed Alarm Missing<br/><sup><sub>5864d189-ee9a-4009-ac0c-8a582e6b7919</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Ensure a log metric filter and alarm exist for AWS Management Console authentication failures|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|CloudWatch AWS Organizations Changes Missing Alarm<br/><sup><sub>38b85c45-e772-4de8-a247-69619ca137b3</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Ensure a log metric filter and alarm exist for AWS organizations changes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|S3 Bucket Object Level CloudTrail Logging Disabled<br/><sup><sub>a8fc2180-b3ac-4c93-bd0d-a55b974e4b07</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|S3 Bucket object-level CloudTrail logging should be enabled for read and write events|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudtrail#event_selector">Documentation</a><br/>|
|Cloudfront Logging Disabled<br/><sup><sub>94690d79-b3b0-43de-b656-84ebef5753e5</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|AWS Cloudfront distributions must be have logging enabled, which means the attribute 'logging_config' must be defined|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudfront_distribution">Documentation</a><br/>|
|Redshift Cluster Logging Disabled<br/><sup><sub>15ffbacc-fa42-4f6f-a57d-2feac7365caa</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Make sure Logging is enabled for Redshift Cluster|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/redshift_cluster#enable">Documentation</a><br/>|
|CloudTrail SNS Topic Name Undefined<br/><sup><sub>482b7d26-0bdb-4b5f-bf6f-545826c0a3dd</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Check if SNS topic name is set for CloudTrail|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudtrail">Documentation</a><br/>|
|CloudTrail Not Integrated With CloudWatch<br/><sup><sub>17b30f8f-8dfb-4597-adf6-57600b6cf25e</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|CloudTrail should be integrated with CloudWatch|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudtrail">Documentation</a><br/>|
|VPC FlowLogs Disabled<br/><sup><sub>f83121ea-03da-434f-9277-9cd247ab3047</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|VPC hasn't got any FlowLog associated|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/vpc">Documentation</a><br/>|
|CloudWatch Disabling Or Scheduled Deletion Of Customer Created CMK Alarm Missing<br/><sup><sub>56a585f5-555c-48b2-8395-e64e4740a9cf</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Ensure a log metric filter and alarm exist for disabling or scheduled deletion of customer created CMK|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|MQ Broker Logging Disabled<br/><sup><sub>31245f98-a6a9-4182-9fc1-45482b9d030a</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Check if MQ Brokers don't have logging enabled in any of the two options possible (audit and general).|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/mq_broker">Documentation</a><br/>|
|CloudWatch Logging Disabled<br/><sup><sub>7dbba512-e244-42dc-98bb-422339827967</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Check if CloudWatch logging is disabled for Route53 hosted zones|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/route53_query_log">Documentation</a><br/>|
|Default VPC Exists<br/><sup><sub>96ed3526-0179-4c73-b1b2-372fde2e0d13</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|It isn't recommended to use resources in default VPC|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/default_vpc">Documentation</a><br/>|
|MSK Cluster Logging Disabled<br/><sup><sub>2f56b7ab-7fba-4e93-82f0-247e5ddeb239</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Ensure MSK Cluster Logging is enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/msk_cluster#broker_logs">Documentation</a><br/>|
|CloudTrail Multi Region Disabled<br/><sup><sub>8173d5eb-96b5-4aa6-a71b-ecfa153c123d</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|CloudTrail should have 'is_multi_region_trail' and 'include_global_service_events' enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudtrail#is_multi_region_trail">Documentation</a><br/>|
|CloudWatch Metrics Disabled<br/><sup><sub>081069cb-588b-4ce1-884c-2a1ce3029fe5</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Checks if CloudWatch Metrics is Enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_method_settings#metrics_enabled">Documentation</a><br/>|
|GuardDuty Detector Disabled<br/><sup><sub>704dadd3-54fc-48ac-b6a0-02f170011473</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Make sure that Amazon GuardDuty is Enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/guardduty_detector#example-usage">Documentation</a><br/>|
|Elasticsearch Without Slow Logs<br/><sup><sub>e979fcbc-df6c-422d-9458-c33d65e71c45</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Ensure that AWS Elasticsearch enables support for slow logs|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticsearch_domain#log_publishing_options">Documentation</a><br/>|
|API Gateway X-Ray Disabled<br/><sup><sub>5813ef56-fa94-406a-b35d-977d4a56ff2b</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|X-ray Tracing is not enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_stage#xray_tracing_enabled">Documentation</a><br/>|
|API Gateway With CloudWatch Logging Disabled<br/><sup><sub>982aa526-6970-4c59-8b9b-2ce7e019fe36</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|AWS CloudWatch Logs for APIs is not enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_group">Documentation</a><br/>|
|CloudWatch S3 policy Change Alarm Missing<br/><sup><sub>27c6a499-895a-4dc7-9617-5c485218db13</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Ensure a log metric filter and alarm exist for S3 bucket policy changes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|CloudWatch Without Retention Period Specified<br/><sup><sub>ef0b316a-211e-42f1-888e-64efe172b755</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|AWS CloudWatch Log groups should have retention days specified|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_group">Documentation</a><br/>|
|Api Gateway Access Logging Disabled<br/><sup><sub>1b6799eb-4a7a-4b04-9001-8cceb9999326</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|RDS does not have any kind of logger|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_stage#access_log_settings">Documentation</a><br/>|
|API Gateway Deployment Without Access Log Setting<br/><sup><sub>625abc0e-f980-4ac9-a775-f7519ee34296</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|API Gateway Deployment should have access log setting defined when connected to an API Gateway Stage.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_deployment">Documentation</a><br/>|
|Stack Notifications Disabled<br/><sup><sub>b72d0026-f649-4c91-a9ea-15d8f681ac09</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Enable AWS CloudFormation Stack Notifications|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudformation_stack">Documentation</a><br/>|
|Cloudwatch Security Group Changes Alarm Missing<br/><sup><sub>4beaf898-9f8b-4237-89e2-5ffdc7ee6006</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|Ensure a log metric filter and alarm exist for security group changes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|No Stack Policy<br/><sup><sub>2f01fb2d-828a-499d-b98e-b83747305052</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Resource Management|AWS CloudFormation Stack should have a stack policy in order to protect stack resources from update actions|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudformation_stack">Documentation</a><br/>|
|Hardcoded AWS Access Key In Lambda<br/><sup><sub>1402afd8-a95c-4e84-8b0b-6fb43758e6ce</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Secret Management|Lambda hardcoded AWS access/secret keys|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/lambda_function">Documentation</a><br/>|
|S3 Bucket Public ACL Overridden By Public Access Block<br/><sup><sub>bf878b1a-7418-4de3-b13c-3a86cf894920</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Access Control|S3 bucket public access is overridden by S3 bucket Public Access Block when the following attributes are set to true - 'block_public_acls', 'block_public_policy', 'ignore_public_acls', and 'restrict_public_buckets'|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_public_access_block#bucket">Documentation</a><br/>|
|IAM Policy Grants 'AssumeRole' Permission Across All Services<br/><sup><sub>bcdcbdc6-a350-4855-ae7c-d1e6436f7c97</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Access Control|IAM role allows All services or principals to assume it|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_role">Documentation</a><br/>|
|IAM Group Without Users<br/><sup><sub>fc101ca7-c9dd-4198-a1eb-0fbe92e80044</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Access Control|IAM Group should have at least one user associated|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_group_membership#users">Documentation</a><br/>|
|EC2 Instance Using Default Security Group<br/><sup><sub>f1adc521-f79a-4d71-b55b-a68294687432</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Access Control|EC2 instances should not use default security group(s)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/instance#security_groups">Documentation</a><br/>|
|EC2 Instance Using API Keys<br/><sup><sub>0b93729a-d882-4803-bdc3-ac429a21f158</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Access Control|EC2 instances should use roles to be granted access to other AWS services|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/instance#iam_instance_profile">Documentation</a><br/>|
|IAM Role Allows All Principals To Assume<br/><sup><sub>12b7e704-37f0-4d1e-911a-44bf60c48c21</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Access Control|IAM role allows all services or principals to assume it|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_role">Documentation</a><br/>|
|Autoscaling Groups Supply Tags<br/><sup><sub>ba48df05-eaa1-4d64-905e-4a4b051e7587</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Availability|Autoscaling groups should supply tags to configurate|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/autoscaling_group#tag-and-tags">Documentation</a><br/>|
|ECR Repository Without Policy<br/><sup><sub>69e7c320-b65d-41bb-be02-d63ecc0bcc9d</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Best Practices|ECR Repository should have Policies attached to it|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecr_repository_policy">Documentation</a><br/>|
|Lambda Permission Misconfigured<br/><sup><sub>75ec6890-83af-4bf1-9f16-e83726df0bd0</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Best Practices|Lambda permission may be misconfigured if the action field is not filled in by 'lambda:InvokeFunction'|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/lambda_permission">Documentation</a><br/>|
|IAM Policies Attached To User<br/><sup><sub>b4378389-a9aa-44ee-91e7-ef183f11079e</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Best Practices|IAM policies should be attached only to groups or roles|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_policy_attachment">Documentation</a><br/>|
|CDN Configuration Is Missing<br/><sup><sub>1bc367f6-901d-4870-ad0c-71d79762ef52</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Best Practices|Content Delivery Network (CDN) service is used within an AWS account to secure and accelerate the delivery of websites. The use of a CDN can provide a layer of security between your origin content and the destination.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudfront_distribution">Documentation</a><br/>|
|Open Access To Resources Through API<br/><sup><sub>108aa260-6dab-4a75-ae3f-de917d634840</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Insecure Configurations|Open access to back-end resources through API|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_method">Documentation</a><br/>|
|S3 Bucket Without Ignore Public ACL<br/><sup><sub>4fa66806-0dd9-4f8d-9480-3174d39c7c91</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Insecure Configurations|S3 bucket without ignore public ACL|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_public_access_block">Documentation</a><br/>|
|ALB Deletion Protection Disabled<br/><sup><sub>afecd1f1-6378-4f7e-bb3b-60c35801fdd4</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Insecure Configurations|Application Load Balancer should have deletion protection enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/lb#enable_deletion_protection">Documentation</a><br/>|
|RDS Using Default Port<br/><sup><sub>bca7cc4d-b3a4-4345-9461-eb69c68fcd26</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Networking and Firewall|RDS should not use the default port (an attacker can easily guess the port). For engines related to Aurora, MariaDB or MySQL, the default port is 3306. PostgreSQL default port is 5432, Oracle default port is 1521 and SQL Server default port is 1433|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_instance#port">Documentation</a><br/>|
|EC2 Instance Using Default VPC<br/><sup><sub>7e4a6e76-568d-43ef-8c4e-36dea481bff1</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Networking and Firewall|EC2 Instances should not be configured under a default VPC network|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/instance#subnet_id">Documentation</a><br/>|
|EMR Without VPC<br/><sup><sub>2b3c8a6d-9856-43e6-ab1d-d651094f03b4</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Networking and Firewall|Elastic MapReduce Cluster (EMR) should be launched in a Virtual Private Cloud (VPC)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/emr_cluster#subnet_id">Documentation</a><br/>|
|Redshift Using Default Port<br/><sup><sub>41abc6cc-dde1-4217-83d3-fb5f0cc09d8f</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Networking and Firewall|Redshift should not use the default port (5439) because an attacker can easily guess the port|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/redshift_cluster#port">Documentation</a><br/>|
|ElastiCache Without VPC<br/><sup><sub>8c849af7-a399-46f7-a34c-32d3dc96f1fc</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Networking and Firewall|ElastiCache should be launched in a Virtual Private Cloud (VPC)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticache_cluster#subnet_group_name">Documentation</a><br/>|
|ElastiCache Using Default Port<br/><sup><sub>5d89db57-8b51-4b38-bb76-b9bd42bd40f0</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Networking and Firewall|ElastiCache should not use the default port (an attacker can easily guess the port). For engine set to Redis, the default port is 6379. The Memcached default port is 11211|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticache_cluster#port">Documentation</a><br/>|
|Shield Advanced Not In Use<br/><sup><sub>084c6686-2a70-4710-91b1-000393e54c12</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Networking and Firewall|AWS Shield Advanced should be used for Amazon Route 53 hosted zone, AWS Global Accelerator accelerator, Elastic IP Address, Elastic Load Balancing, and Amazon CloudFront Distribution to protect these resources against robust DDoS attacks|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/shield_protection#resource_arn">Documentation</a><br/>|
|Cloudfront Without WAF<br/><sup><sub>1419b4c6-6d5c-4534-9cf6-6a5266085333</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Networking and Firewall|All AWS CloudFront distributions should be integrated with the Web Application Firewall (AWS WAF) service|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudfront_distribution">Documentation</a><br/>|
|CloudWatch Route Table Changes Alarm Missing<br/><sup><sub>2285e608-ddbc-47f3-ba54-ce7121e31216</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Observability|Ensure a log metric filter and alarm exist for route table changes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|CloudWatch Network Gateways Changes Alarm Missing<br/><sup><sub>6b6874fe-4c2f-4eea-8b90-7cceaa4a125e</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Observability|Ensure a log metric filter and alarm exist for network gateways changes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|API Gateway Deployment Without API Gateway UsagePlan Associated<br/><sup><sub>b3a59b8e-94a3-403e-b6e2-527abaf12034</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Observability|API Gateway Deployment should have API Gateway UsagePlan defined and associated.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_deployment">Documentation</a><br/>|
|Global Accelerator Flow Logs Disabled<br/><sup><sub>96e8183b-e985-457b-90cd-61c0503a3369</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Observability|Global Accelerator should have flow logs enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/globalaccelerator_accelerator#flow_logs_enabled">Documentation</a><br/>|
|Missing Cluster Log Types<br/><sup><sub>66f130d9-b81d-4e8e-9b08-da74b9c891df</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Observability|Amazon EKS control plane logging don't enabled for all log types|<a href="https://www.terraform.io/docs/providers/aws/r/eks_cluster.html">Documentation</a><br/>|
|CloudWatch Changes To NACL Alarm Missing<br/><sup><sub>0a8e8dc5-b6fc-44fc-b5a1-969ec950f9b0</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Observability|Ensure a log metric filter and alarm exist for changes to NACL|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|ECS Cluster with Container Insights Disabled<br/><sup><sub>97cb0688-369a-4d26-b1f7-86c4c91231bc</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Observability|ECS Cluster should enable container insights|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecs_cluster#setting">Documentation</a><br/>|
|CloudWatch AWS Config Configuration Changes Alarm Missing<br/><sup><sub>5b8d7527-de8e-4114-b9dd-9d988f1f418f</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Observability|Ensure a log metric filter and alarm exist for AWS Config configuration changes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|Lambda Functions Without X-Ray Tracing<br/><sup><sub>8152e0cf-d2f0-47ad-96d5-d003a76eabd1</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Observability|AWS Lambda functions should have TracingConfig enabled. For this, property 'tracing_Config.mode' should have the value 'Active'|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/lambda_function#tracing_config">Documentation</a><br/>|
|S3 Bucket Logging Disabled<br/><sup><sub>f861041c-8c9f-4156-acfc-5e6e524f5884</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Observability|S3 bucket without logging|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket">Documentation</a><br/>|
|DocDB Logging Is Disabled<br/><sup><sub>56f6a008-1b14-4af4-b9b2-ab7cf7e27641</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Observability|DocDB logging should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/docdb_cluster#enabled_cloudwatch_logs_exports">Documentation</a><br/>|
|EKS cluster logging is not enabled<br/><sup><sub>37304d3f-f852-40b8-ae3f-725e87a7cedf</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Observability|Amazon EKS control plane logging is not enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/eks_cluster#enabled_cluster_log_types">Documentation</a><br/>|
|CloudTrail Log File Validation Disabled<br/><sup><sub>52ffcfa6-6c70-4ea6-8376-d828d3961669</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Observability|CloudTrail log file validation should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudtrail#enable_log_file_validation">Documentation</a><br/>|
|CloudWatch VPC Changes Alarm Missing<br/><sup><sub>9d0d4512-1959-43a2-a17f-72360ff06d1b</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Observability|Ensure a log metric filter and alarm exist for VPC changes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|API Gateway Stage Without API Gateway UsagePlan Associated<br/><sup><sub>c999cf62-0920-40f8-8dda-0caccd66ed7e</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Resource Management|API Gateway Stage should have API Gateway UsagePlan defined and associated.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_stage">Documentation</a><br/>|
|Hardcoded AWS Access Key<br/><sup><sub>d7b9d850-3e06-4a75-852f-c46c2e92240b</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Secret Management|Hard-coded AWS access key / secret key exists in EC2 user data|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/instance">Documentation</a><br/>|
|Security Group Not Used<br/><sup><sub>4849211b-ac39-479e-ae78-5694d506cb24</sub></sup>|Terraform|<span style="color:#00C">Info</span>|Access Control|Security group must be used or not declared|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group">Documentation</a><br/>|
|DynamoDB Table Point In Time Recovery Disabled<br/><sup><sub>741f1291-47ac-4a85-a07b-3d32a9d6bd3e</sub></sup>|Terraform|<span style="color:#00C">Info</span>|Best Practices|It's considered a best practice to have point in time recovery enabled for DynamoDB Table|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/dynamodb_table#point_in_time_recovery">Documentation</a><br/>|
|EC2 Not EBS Optimized<br/><sup><sub>60224630-175a-472a-9e23-133827040766</sub></sup>|Terraform|<span style="color:#00C">Info</span>|Best Practices|It's considered a best practice for an EC2 instance to use an EBS optimized instance. This provides the best performance for your EBS volumes by minimizing contention between Amazon EBS I/O and other traffic from your instance|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/instance#ebs_optimized">Documentation</a><br/>|
|Resource Not Using Tags<br/><sup><sub>e38a8e0a-b88b-4902-b3fe-b0fcb17d5c10</sub></sup>|Terraform|<span style="color:#00C">Info</span>|Best Practices|AWS services resource tags are an essential part of managing components|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/guides/resource-tagging">Documentation</a><br/>|
|Security Group Without Description<br/><sup><sub>cb3f5ed6-0d18-40de-a93d-b3538db31e8c</sub></sup>|Terraform|<span style="color:#00C">Info</span>|Best Practices|It's considered a best practice for AWS Security Group to have a description|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group#description">Documentation</a><br/>|
|Security Group Rules Without Description<br/><sup><sub>68eb4bf3-f9bf-463d-b5cf-e029bb446d2e</sub></sup>|Terraform|<span style="color:#00C">Info</span>|Best Practices|It's considered a best practice for all rules in AWS Security Group to have a description|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group#description">Documentation</a><br/>|
|EC2 Instance Monitoring Disabled<br/><sup><sub>23b70e32-032e-4fa6-ba5c-82f56b9980e6</sub></sup>|Terraform|<span style="color:#00C">Info</span>|Observability|EC2 Instance should have detailed monitoring enabled. With detailed monitoring enabled data is available in 1-minute periods|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/instance#monitoring">Documentation</a><br/>|
|RDS Without Logging<br/><sup><sub>8d7f7b8c-6c7c-40f8-baa6-62006c6c7b56</sub></sup>|Terraform|<span style="color:#00C">Info</span>|Observability|RDS does not have any kind of logger|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_instance#enabled_cloudwatch_logs_exports">Documentation</a><br/>|
|Neptune Logging Is Disabled<br/><sup><sub>45cff7b6-3b80-40c1-ba7b-2cf480678bb8</sub></sup>|Terraform|<span style="color:#00C">Info</span>|Observability|Neptune logging should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/neptune_cluster#enable_cloudwatch_logs_exports">Documentation</a><br/>|
|ELB Access Logging Disabled<br/><sup><sub>20018359-6fd7-4d05-ab26-d4dffccbdf79</sub></sup>|Terraform|<span style="color:#00C">Info</span>|Observability|ELB should have logging enabled to help on error investigation|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elb#enabled">Documentation</a><br/>|
|BOM - MSK<br/><sup><sub>051f2063-2517-4295-ad8e-ba88c1bf5cfc</sub></sup>|Terraform|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of MSK resources specified. Amazon Managed Streaming for Apache Kafka (Amazon MSK) is a fully managed service that enables you to build and run applications that use Apache Kafka to process streaming data.|<a href="https://kics.io">Documentation</a><br/>|
|BOM - AWS EBS<br/><sup><sub>86571149-eef3-4280-a645-01e60df854b0</sub></sup>|Terraform|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of EBS resources found. Amazon Elastic Block Store (Amazon EBS) is an easy-to-use, scalable, high-performance block-storage service designed for Amazon Elastic Compute Cloud (Amazon EC2).|<a href="https://kics.io">Documentation</a><br/>|
|BOM - SQS<br/><sup><sub>baecd2da-492a-4d59-b9dc-29540a1398e0</sub></sup>|Terraform|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of SQS resources specified. Amazon Simple Queue Service (SQS) is a fully managed message queuing service that enables you to decouple and scale microservices, distributed systems, and serverless applications.|<a href="https://kics.io">Documentation</a><br/>|
|BOM - AWS MQ<br/><sup><sub>fcb1b388-f558-4b7f-9b6e-f4e98abb7380</sub></sup>|Terraform|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of MQ resources found. Amazon MQ is a managed message broker service for Apache ActiveMQ and RabbitMQ that makes it easy to set up and operate message brokers on AWS.|<a href="https://kics.io">Documentation</a><br/>|
|BOM - AWS Elasticache<br/><sup><sub>54229498-850b-4f78-b3a7-218d24ef2c37</sub></sup>|Terraform|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of Elasticache resources found. Amazon ElastiCache is a fully managed, in-memory caching service supporting flexible, real-time use cases. You can use ElastiCache for caching, which accelerates application and database performance, or as a primary data store for use cases that don't require durability like session stores, gaming leaderboards, streaming, and analytics. ElastiCache is compatible with Redis and Memcached.|<a href="https://kics.io">Documentation</a><br/>|
|BOM - AWS EFS<br/><sup><sub>f53f16d6-46a9-4277-9fbe-617b1e24cdca</sub></sup>|Terraform|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of EFS resources found. Amazon Elastic File System (Amazon EFS) automatically grows and shrinks as you add and remove files with no need for management or provisioning.|<a href="https://kics.io">Documentation</a><br/>|
|BOM - SNS<br/><sup><sub>eccc4d59-74b9-4974-86f1-74386e0c7f33</sub></sup>|Terraform|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of SNS resources specified. Amazon Simple Notification Service (Amazon SNS) is a fully managed messaging service for both application-to-application (A2A) and application-to-person (A2P) communication.|<a href="https://kics.io">Documentation</a><br/>|
|BOM - AWS S3 Buckets<br/><sup><sub>2d16c3fb-35ba-4ec0-b4e4-06ee3cbd4045</sub></sup>|Terraform|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of S3 resources found. Amazon Simple Storage Service (Amazon S3) is an object storage service that offers industry-leading scalability, data availability, security, and performance.|<a href="https://kics.io">Documentation</a><br/>|
|Github Organization Webhook With SSL Disabled<br/><sup><sub>ce7c874e-1b88-450b-a5e4-cb76ada3c8a9</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|Check if insecure SSL is being used in the GitHub organization webhooks|<a href="https://registry.terraform.io/providers/hashicorp/github/latest/docs/resources/organization_webhook">Documentation</a><br/>|
|GitHub Repository Set To Public<br/><sup><sub>15d8a7fd-465a-4d15-a868-add86552f17b</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Repositories must be set to private, which means the attribute 'visibility' must be set to 'private' and/or the attribute 'private' must be set to true (the attribute 'visibility' overrides 'private')|<a href="https://www.terraform.io/docs/providers/github/r/repository.html">Documentation</a><br/>|
|Cloud Storage Bucket Is Publicly Accessible<br/><sup><sub>c010082c-76e0-4b91-91d9-6e8439e455dd</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|Cloud Storage Bucket is anonymously or publicly accessible|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/storage_bucket_iam#member/members">Documentation</a><br/>|
|BigQuery Dataset Is Public<br/><sup><sub>e576ce44-dd03-4022-a8c0-3906acca2ab4</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|BigQuery dataset is anonymously or publicly accessible|<a href="https://www.terraform.io/docs/providers/google/r/bigquery_dataset.html">Documentation</a><br/>|
|SQL DB Instance Is Publicly Accessible<br/><sup><sub>b187edca-b81e-4fdc-aff4-aab57db45edb</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|Check if any Cloud SQL instances are publicly accessible.|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/sql_database_instance">Documentation</a><br/>|
|OSLogin Disabled<br/><sup><sub>32ecd6eb-0711-421f-9627-1a28d9eff217</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|Verifies that the OSLogin is enabled|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_project_metadata#metadata">Documentation</a><br/>|
|VM With Full Cloud Access<br/><sup><sub>bc280331-27b9-4acb-a010-018e8098aa5d</sub></sup>|Terraform|<span style="color:#C00">High</span>|Access Control|A VM instance is configured to use the default service account with full access to all Cloud APIs|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_instance#scopes">Documentation</a><br/>|
|SQL DB Instance Backup Disabled<br/><sup><sub>cf3c7631-cd1e-42f3-8801-a561214a6e79</sub></sup>|Terraform|<span style="color:#C00">High</span>|Backup|Checks if backup configuration is enabled for all Cloud SQL Database instances|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/sql_database_instance">Documentation</a><br/>|
|High KMS Rotation Period<br/><sup><sub>352271ca-842f-408a-8b24-f6f2b76eb027</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Check that keys aren't the same for a period greater than 365 days.|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/kms_crypto_key">Documentation</a><br/>|
|KMS Crypto Key is Publicly Accessible<br/><sup><sub>16cc87d1-dd47-4f46-b3ce-4dfcac8fd2f5</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|KMS Crypto Key should not be publicly accessible. In other words, the KMS Crypto Key policy should not set 'allUsers' or 'allAuthenticatedUsers' in the attribute 'member'/'members'|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/google_kms_crypto_key_iam#google_kms_crypto_key_iam_policy">Documentation</a><br/>|
|DNSSEC Using RSASHA1<br/><sup><sub>ccc3100c-0fdd-4a5e-9908-c10107291860</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Checks if, within the 'dnssec_config' block, the 'default_key_specs' block exists with the 'algorithm' field is 'rsasha1' which is bad.|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/dns_managed_zone#algorithm">Documentation</a><br/>|
|SQL DB Instance With SSL Disabled<br/><sup><sub>02474449-71aa-40a1-87ae-e14497747b00</sub></sup>|Terraform|<span style="color:#C00">High</span>|Encryption|Cloud SQL Database Instance should have SLL enabled|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/sql_database_instance#require_ssl">Documentation</a><br/>|
|Pod Security Policy Disabled<br/><sup><sub>9192e0f9-eca5-4056-9282-ae2a736a4088</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Clusters must have Pod Security Policy controller enabled, which means there must be a 'pod_security_policy_config' with the 'enabled' attribute equal to true|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|GKE Legacy Authorization Enabled<br/><sup><sub>5baa92d2-d8ee-4c75-88a4-52d9d8bb8067</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Engine Clusters must have Legacy Authorization set to disabled, which means the attribute 'enable_legacy_abac' must not be true|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|GKE Basic Authentication Enabled<br/><sup><sub>70cdf849-b7d9-4569-b87d-5d82ffd44719</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|GCP - Google Kubernetes Engine (GKE) Basic Authentication must be disabled, which means the username and password provided in the master_auth block must be empty|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|COS Node Image Not Used<br/><sup><sub>8a893e46-e267-485a-8690-51f39951de58</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|The node image should be Container-Optimized OS(COS)|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_node_pool#node_config">Documentation</a><br/>|
|IP Aliasing Disabled<br/><sup><sub>c606ba1d-d736-43eb-ac24-e16108f3a9e0</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Clusters must be created with Alias IP ranges enabled, which means the attribut 'ip_allocation_policy' must be defined and, if defined, the attribute 'networking_mode' must be VPC_NATIVE |<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|Cluster Master Authentication Disabled<br/><sup><sub>1baba08e-3c8a-4be7-95eb-dced5833de21</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Engine Clusters must have Master Authentication set to enabled, which means the attribute 'master_auth' must have the subattributes 'username' and 'password' defined and not empty|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|Private Cluster Disabled<br/><sup><sub>6ccb85d7-0420-4907-9380-50313f80946b</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Clusters must be created with Private Clusters enabled, meaning the 'private_cluster_config' must be defined and the attributes 'enable_private_nodes' and 'enable_private_endpoint' must be true|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|Client Certificate Disabled<br/><sup><sub>73fb21a1-b19a-45b1-b648-b47b1678681e</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Clusters must be created with Client Certificate enabled, which means 'master_auth' must have 'client_certificate_config' with the attribute 'issue_client_certificate' equal to true|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|Cluster Labels Disabled<br/><sup><sub>65c1bc7a-4835-4ac4-a2b6-13d310b0648d</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Clusters must be configured with labels, which means the attribute 'resource_labels' must be defined|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|Network Policy Disabled<br/><sup><sub>11e7550e-c4b6-472e-adff-c698f157cdd7</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Engine Clusters must have Network Policy enabled, meaning that the attribute 'network_policy.enabled' must be true and the attribute 'addons_config.network_policy_config.disabled' must be false |<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|Not Proper Email Account In Use<br/><sup><sub>9356962e-4a4f-4d06-ac59-dc8008775eaa</sub></sup>|Terraform|<span style="color:#C00">High</span>|Insecure Configurations|Gmail accounts are being used instead of corporate credentials|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/google_project_iam#google_project_iam_binding">Documentation</a><br/>|
|Cloud Storage Bucket Versioning Disabled<br/><sup><sub>e7e961ac-d17e-4413-84bc-8a1fbe242944</sub></sup>|Terraform|<span style="color:#C00">High</span>|Observability|Object Versioning Not Enabled on Cloud Storage Bucket|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/storage_bucket#enabled">Documentation</a><br/>|
|Stackdriver Logging Disabled<br/><sup><sub>4c7ebcb2-eae2-461e-bc83-456ee2d4f694</sub></sup>|Terraform|<span style="color:#C00">High</span>|Observability|Kubernetes Engine Clusters must have Stackdriver Logging enabled, which means the attribute 'logging_service' must be defined and different from 'none'|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|Cloud Storage Bucket Logging Not Enabled<br/><sup><sub>d6cabc3a-d57e-48c2-b341-bf3dd4f4a120</sub></sup>|Terraform|<span style="color:#C00">High</span>|Observability|Cloud storage bucket with logging not enabled|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/storage_bucket#log_bucket">Documentation</a><br/>|
|Stackdriver Monitoring Disabled<br/><sup><sub>30e8dfd2-3591-4d19-8d11-79e93106c93d</sub></sup>|Terraform|<span style="color:#C00">High</span>|Observability|Kubernetes Engine Clusters must have Stackdriver Monitoring enabled, which means the attribute 'monitoring_service' must be defined and different than 'none'|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|IAM Audit Not Properly Configured<br/><sup><sub>89fe890f-b480-460c-8b6b-7d8b1468adb4</sub></sup>|Terraform|<span style="color:#C00">High</span>|Observability|Audit Logging Configuration is defective|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/google_project_iam#google_project_iam_audit_config">Documentation</a><br/>|
|Node Auto Upgrade Disabled<br/><sup><sub>b139213e-7d24-49c2-8025-c18faa21ecaa</sub></sup>|Terraform|<span style="color:#C00">High</span>|Resource Management|Node 'auto_upgrade' should be enabled for Kubernetes Clusters|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_node_pool#auto_upgrade">Documentation</a><br/>|
|KMS Admin and CryptoKey Roles In Use<br/><sup><sub>92e4464a-4139-4d57-8742-b5acc0347680</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Google Project IAM Policy should not assign a KMS admin role and CryptoKey role to the same member|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/google_project_iam#policy_data">Documentation</a><br/>|
|Cloud Storage Anonymous or Publicly Accessible<br/><sup><sub>a6cd52a1-3056-4910-96a5-894de9f3f3b3</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Cloud Storage Buckets must not be anonymously or publicly accessible, which means the attribute 'members' must not possess 'allUsers' or 'allAuthenticatedUsers'|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/storage_bucket_iam#google_storage_bucket_iam_binding">Documentation</a><br/>|
|Google Project IAM Member Service Account Has Admin Role<br/><sup><sub>84d36481-fd63-48cb-838e-635c44806ec2</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Verifies that Google Project IAM Member Service Account doesn't have an Admin Role associated|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/google_project_iam#google_project_iam_member">Documentation</a><br/>|
|Google Project IAM Binding Service Account has Token Creator or Account User Role<br/><sup><sub>617ef6ff-711e-4bd7-94ae-e965911b1b40</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Verifies if Google Project IAM Binding Service Account doesn't have an Account User or Token Creator Role associated|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/google_project_iam#google_project_iam_binding">Documentation</a><br/>|
|Google Project IAM Member Service Account has Token Creator or Account User Role<br/><sup><sub>c68b4e6d-4e01-4ca1-b256-1e18e875785c</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Access Control|Verifies if Google Poject IAM Member Service Account doesn't have a Account User or Token Creator associated|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/google_project_iam#google_project_iam_member">Documentation</a><br/>|
|Disk Encryption Disabled<br/><sup><sub>b1d51728-7270-4991-ac2f-fc26e2695b38</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|VM disks for critical VMs must be encrypted with Customer Supplied Encryption Keys (CSEK) or with Customer-managed encryption keys (CMEK), which means the attribute 'disk_encryption_key' must be defined and its sub attributes 'raw_key' or 'kms_key_self_link' must also be defined|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_disk">Documentation</a><br/>|
|Google Compute SSL Policy Weak Cipher In Use<br/><sup><sub>14a457f0-473d-4d1d-9e37-6d99b355b336</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|This query confirms if Google Compute SSL Policy Weak Chyper Suits is Enabled, to do so we need to check if TLS is TLS_1_2, because other version have Weak Chypers|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_ssl_policy">Documentation</a><br/>|
|High Google KMS Crypto Key Rotation Period<br/><sup><sub>d8c57c4e-bf6f-4e32-a2bf-8643532de77b</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Encryption|Make sure Encryption keys change after 90 days|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/kms_crypto_key">Documentation</a><br/>|
|Google Project Auto Create Network Disabled<br/><sup><sub>59571246-3f62-4965-a96f-c7d97e269351</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Verifies if the Google Project Auto Create Network is Disabled|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/google_project">Documentation</a><br/>|
|Using Default Service Account<br/><sup><sub>3cb4af0b-056d-4fb1-8b95-fdc4593625ff</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Instances must not be configured to use the Default Service Account, that has full access to all Cloud APIs, which means the attribute 'service_account' and its sub attribute 'email' must be defined. Additionally, 'email' must not be empty and must also not be a default Google Compute Engine service account.|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_instance">Documentation</a><br/>|
|OSLogin Is Disabled For VM Instance<br/><sup><sub>d0b4d550-c001-46c3-bbdb-d5d75d33f05f</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if any VM instance disables OSLogin|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_instance">Documentation</a><br/>|
|Google Storage Bucket Level Access Disabled<br/><sup><sub>bb0db090-5509-4853-a827-75ced0b3caa0</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Google Storage Bucket Level Access should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/storage_bucket">Documentation</a><br/>|
|Shielded VM Disabled<br/><sup><sub>1b44e234-3d73-41a8-9954-0b154135280e</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Compute instances must be launched with Shielded VM enabled, which means the attribute 'shielded_instance_config' must be defined and its sub attributes 'enable_secure_boot', 'enable_vtpm' and 'enable_integrity_monitoring' must be set to true|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_instance#shielded_instance_config">Documentation</a><br/>|
|Serial Ports Are Enabled For VM Instances<br/><sup><sub>97fa667a-d05b-4f16-9071-58b939f34751</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if VM instance enables serial ports|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_instance">Documentation</a><br/>|
|Project-wide SSH Keys Are Enabled In VM Instances<br/><sup><sub>3e4d5ce6-3280-4027-8010-c26eeea1ec01</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|VM Instance should block project-wide SSH keys|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_instance">Documentation</a><br/>|
|Google Container Node Pool Auto Repair Disabled<br/><sup><sub>acfdbec6-4a17-471f-b412-169d77553332</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Verifies if Google Container Node Pool Auto Repair is Enabled|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_node_pool">Documentation</a><br/>|
|GKE Using Default Service Account<br/><sup><sub>1c8eef02-17b1-4a3e-b01d-dcc3292d2c38</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Kubernetes Engine Clusters should not be configured to use the default service account|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster#node_config">Documentation</a><br/>|
|Cloud DNS without DNSSEC<br/><sup><sub>5ef61c88-bbb4-4725-b1df-55d23c9676bb</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Insecure Configurations|Cloud DNS without DNSSEC|<a href="https://www.terraform.io/docs/providers/google/d/dns_managed_zone.html">Documentation</a><br/>|
|IP Forwarding Enabled<br/><sup><sub>f34c0c25-47b4-41eb-9c79-249b4dd47b89</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|Instances must not have IP forwarding enabled, which means the attribute 'can_ip_forward' must not be true|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/data-sources/compute_instance">Documentation</a><br/>|
|Google Compute Network Using Firewall Rule that Allows All Ports<br/><sup><sub>22ef1d26-80f8-4a6c-8c15-f35aab3cac78</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|Google Compute Network should not use a firewall rule that allows all ports|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_firewall#allow">Documentation</a><br/>|
|Google Compute Network Using Default Firewall Rule<br/><sup><sub>40abce54-95b1-478c-8e5f-ea0bf0bb0e33</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|Google Compute Network should not use default firewall rule|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_firewall#name">Documentation</a><br/>|
|RDP Access Is Not Restricted<br/><sup><sub>678fd659-96f2-454a-a2a0-c2571f83a4a3</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if Google Firewall ingress allows RDP access (port 3389)|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_firewall">Documentation</a><br/>|
|SSH Access Is Not Restricted<br/><sup><sub>c4dcdcdf-10dd-4bf4-b4a0-8f6239e6aaa0</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if Google Firewall allows SSH access (port 22) from the Internet (public CIDR block)|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_firewall">Documentation</a><br/>|
|Google Compute Subnetwork Logging Disabled<br/><sup><sub>40430747-442d-450a-a34f-dc57149f4609</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Observability|This query checks if logs are enabled for a Google Compute Subnetwork resource.|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_subnetwork">Documentation</a><br/>|
|Service Account with Improper Privileges<br/><sup><sub>cefdad16-0dd5-4ac5-8ed2-a37502c78672</sub></sup>|Terraform|<span style="color:#C60">Medium</span>|Resource Management|Service account should not have improper privileges like admin, editor, owner, or write roles|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/data-sources/iam_policy#role">Documentation</a><br/>|
|User with IAM Role<br/><sup><sub>704fcc44-a58f-4af5-82e2-93f2a58ef918</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Best Practices|As a best practice, it is better to assign an IAM Role to a group than to a user|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/data-sources/iam_policy#role">Documentation</a><br/>|
|Google Compute Subnetwork with Private Google Access Disabled<br/><sup><sub>ee7b93c1-b3f8-4a3b-9588-146d481814f5</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Networking and Firewall|Google Compute Subnetwork should have 'private_ip_google_access' set to true|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_subnetwork#private_ip_google_access">Documentation</a><br/>|
|Google Compute Network Using Firewall Rule that Allows Port Range<br/><sup><sub>e6f61c37-106b-449f-a5bb-81bfcaceb8b4</sub></sup>|Terraform|<span style="color:#CC0">Low</span>|Networking and Firewall|Google Compute Network should not use a firewall rule that allows port range|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_firewall#allow">Documentation</a><br/>|
|UNIX Ports Out Of Range<br/><sup><sub>71bf8cf8-f0a1-42fa-b9d2-d10525e0a38e</sub></sup>|Dockerfile|<span style="color:#C00">High</span>|Availability|Exposing UNIX ports out of range from 0 to 65535|<a href="https://docs.docker.com/engine/reference/builder/#expose">Documentation</a><br/>|
|Multiple ENTRYPOINT Instructions Listed<br/><sup><sub>6938958b-3f1a-451c-909b-baeee14bdc97</sub></sup>|Dockerfile|<span style="color:#C00">High</span>|Build Process|There can only be one ENTRYPOINT instruction in a Dockerfile. Only the last ENTRYPOINT instruction in the Dockerfile will have an effect|<a href="https://docs.docker.com/engine/reference/builder/#entrypoint">Documentation</a><br/>|
|Missing User Instruction<br/><sup><sub>fd54f200-402c-4333-a5a4-36ef6709af2f</sub></sup>|Dockerfile|<span style="color:#C00">High</span>|Build Process|A user should be specified in the dockerfile, otherwise the image will run as root|<a href="https://docs.docker.com/engine/reference/builder/#user">Documentation</a><br/>|
|COPY '--from' References Current FROM Alias<br/><sup><sub>cdddb86f-95f6-4fc4-b5a1-483d9afceb2b</sub></sup>|Dockerfile|<span style="color:#C00">High</span>|Build Process|COPY '--from' should not mention the current FROM alias, since it is impossible to copy from itself|<a href="https://docs.docker.com/develop/develop-images/multistage-build/">Documentation</a><br/>|
|WORKDIR Path Not Absolute<br/><sup><sub>6b376af8-cfe8-49ab-a08d-f32de23661a4</sub></sup>|Dockerfile|<span style="color:#C00">High</span>|Build Process|For clarity and reliability, you should always use absolute paths for your WORKDIR|<a href="https://docs.docker.com/develop/develop-images/dockerfile_best-practices/#workdir">Documentation</a><br/>|
|Copy With More Than Two Arguments Not Ending With Slash<br/><sup><sub>6db6e0c2-32a3-4a2e-93b5-72c35f4119db</sub></sup>|Dockerfile|<span style="color:#C00">High</span>|Build Process|When a COPY command has more than two arguments, the last one should end with a slash|<a href="https://docs.docker.com/engine/reference/builder/#copy">Documentation</a><br/>|
|Same Alias In Different Froms<br/><sup><sub>f2daed12-c802-49cd-afed-fe41d0b82fed</sub></sup>|Dockerfile|<span style="color:#C00">High</span>|Build Process|Different FROMS cant have the same alias defined|<a href="https://docs.docker.com/develop/develop-images/multistage-build/">Documentation</a><br/>|
|Run Using Sudo<br/><sup><sub>8ada6e80-0ade-439e-b176-0b28f6bce35a</sub></sup>|Dockerfile|<span style="color:#C00">High</span>|Insecure Configurations|Avoid RUN with sudo command as it leads to unpredictable behavior|<a href="https://docs.docker.com/engine/reference/builder/#run">Documentation</a><br/>|
|Last User Is 'root'<br/><sup><sub>67fd0c4a-68cf-46d7-8c41-bc9fba7e40ae</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Best Practices|Leaving the last user as root can cause security risks. Change to another user after running the commands the need privileges|<a href="https://docs.docker.com/engine/reference/builder/#user">Documentation</a><br/>|
|Not Using JSON In CMD And ENTRYPOINT Arguments<br/><sup><sub>b86987e1-6397-4619-81d5-8807f2387c79</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Build Process|Ensure that we are using JSON in the CMD and ENTRYPOINT Arguments|<a href="https://docs.docker.com/engine/reference/builder/#entrypoint">Documentation</a><br/>|
|Multiple CMD Instructions Listed<br/><sup><sub>41c195f4-fc31-4a5c-8a1b-90605538d49f</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Build Process|There can only be one CMD instruction in a Dockerfile. If you list more than one CMD then only the last CMD will take effect|<a href="https://docs.docker.com/engine/reference/builder/#cmd">Documentation</a><br/>|
|COPY '--from' Without FROM Alias Defined Previously<br/><sup><sub>68a51e22-ae5a-4d48-8e87-b01a323605c9</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Build Process|COPY command with the flag '--from' should mention a previously defined FROM alias|<a href="https://docs.docker.com/develop/develop-images/multistage-build/">Documentation</a><br/>|
|Update Instruction Alone<br/><sup><sub>9bae49be-0aa3-4de5-bab2-4c3a069e40cd</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Build Process|Instruction 'RUN <package-manager> update' should always be followed by '<package-manager> install' in the same RUN statement|<a href="https://docs.docker.com/develop/develop-images/dockerfile_best-practices/#run">Documentation</a><br/>|
|RUN Instruction Using 'cd' Instead of WORKDIR<br/><sup><sub>f4a6bcd3-e231-4acf-993c-aa027be50d2e</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Build Process|Use WORKDIR instead of proliferating instructions like RUN cd … && do-something, which are hard to read, troubleshoot, and maintain.|<a href="https://docs.docker.com/develop/develop-images/dockerfile_best-practices/#workdir">Documentation</a><br/>|
|Changing Default Shell Using SHELL Command<br/><sup><sub>8a301064-c291-4b20-adcb-403fe7fd95fd</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Insecure Defaults|Using the command SHELL to override the default shell instead of the RUN command|<a href="https://docs.docker.com/engine/reference/builder/#shell">Documentation</a><br/>|
|Shell Running A Pipe Without Pipefail Flag<br/><sup><sub>efbf148a-67e9-42d2-ac47-02fa1c0d0b22</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Insecure Defaults|Check if shell commands with pipes (except Powershell) have the pipefail flag set (-o).|<a href="https://docs.docker.com/engine/reference/builder/#run">Documentation</a><br/>|
|APT-GET Missing '-y' To Avoid Manual Input<br/><sup><sub>77783205-c4ca-4f80-bb80-c777f267c547</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Supply-Chain|Check if apt-get calls use the flag -y to avoid user manual input.|<a href="https://docs.docker.com/engine/reference/builder/#run">Documentation</a><br/>|
|Missing Version Specification In dnf install<br/><sup><sub>93d88cf7-f078-46a8-8ddc-178e03aeacf1</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Supply-Chain|Specifying a package version allows to reduce failures due to unanticipated changes in required packages.|<a href="https://docs.docker.com/develop/develop-images/dockerfile_best-practices/">Documentation</a><br/>|
|Missing Zypper Non-interactive Switch<br/><sup><sub>45e1fca5-f90e-465d-825f-c2cb63fa3944</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Supply-Chain|Omitting the non-interactive switch causes the command to fail during the build process, because zypper would expect manual input|<a href="https://docs.docker.com/develop/develop-images/dockerfile_best-practices/#run">Documentation</a><br/>|
|Apt Get Install Pin Version Not Defined<br/><sup><sub>965a08d7-ef86-4f14-8792-4a3b2098937e</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Supply-Chain|When installing a package, its pin version should be defined|<a href="https://docs.docker.com/develop/develop-images/dockerfile_best-practices/">Documentation</a><br/>|
|Yum install Without Version<br/><sup><sub>6452c424-1d92-4deb-bb18-a03e95d579c4</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Supply-Chain|Not specifying the package version can cause failures due to unanticipated changes in required packages|<a href="https://docs.docker.com/develop/develop-images/dockerfile_best-practices/#run">Documentation</a><br/>|
|Unpinned Package Version in Pip Install<br/><sup><sub>02d9c71f-3ee8-4986-9c27-1a20d0d19bfc</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Supply-Chain|Package version pinning reduces the range of versions that can be installed, reducing the chances of failure due to unanticipated changes|<a href="https://docs.docker.com/develop/develop-images/dockerfile_best-practices/">Documentation</a><br/>|
|Missing Dnf Clean All<br/><sup><sub>295acb63-9246-4b21-b441-7c1f1fb62dc0</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Supply-Chain|Cached package data should be cleaned after installation to reduce image size|<a href="https://docs.docker.com/develop/develop-images/dockerfile_best-practices/">Documentation</a><br/>|
|Run Using apt<br/><sup><sub>b84a0b47-2e99-4c9f-8933-98bcabe2b94d</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Supply-Chain|apt is discouraged by the linux distributions as an unattended tool as its interface may suffer changes between versions. Better use the more stable apt-get and apt-cache|<a href="https://docs.docker.com/develop/develop-images/dockerfile_best-practices/#run">Documentation</a><br/>|
|Run Using 'wget' and 'curl'<br/><sup><sub>fc775e75-fcfb-4c98-b2f2-910c5858b359</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Supply-Chain|Shouldn't use both 'wget' and 'curl' since they are two tools that have the same effect|<a href="https://docs.docker.com/develop/develop-images/dockerfile_best-practices/#run">Documentation</a><br/>|
|Pip install Keeping Cached Packages<br/><sup><sub>f2f903fb-b977-461e-98d7-b3e2185c6118</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Supply-Chain|When installing packages with pip, the '--no-cache-dir' flag should be set to make Docker images smaller|<a href="https://docs.docker.com/develop/develop-images/dockerfile_best-practices/">Documentation</a><br/>|
|Gem Install Without Version<br/><sup><sub>22cd11f7-9c6c-4f6e-84c0-02058120b341</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Supply-Chain|Instead of 'gem install <gem>' we should use 'gem install <gem>:<version>'|<a href="https://docs.docker.com/develop/develop-images/dockerfile_best-practices/#run">Documentation</a><br/>|
|Yum Clean All Missing<br/><sup><sub>00481784-25aa-4a55-8633-3136dfcf4f37</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Supply-Chain|Need to use 'yum clean all' after using a 'yum install' command to clean package cached data and reduce image size|<a href="https://docs.docker.com/develop/develop-images/dockerfile_best-practices/#run">Documentation</a><br/>|
|Image Version Using 'latest'<br/><sup><sub>f45ea400-6bbe-4501-9fc7-1c3d75c32067</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Supply-Chain|When building images, always tag them with useful tags which codify version information, intended destination (prod or test, for instance), stability, or other information that is useful when deploying the application in different environments. Do not rely on the automatically-created latest tag|<a href="https://docs.docker.com/develop/dev-best-practices/">Documentation</a><br/>|
|Missing Flag From Dnf Install<br/><sup><sub>7ebd323c-31b7-4e5b-b26f-de5e9e477af8</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Supply-Chain|The '-y' or '--assumeyes' flag should be added when invoking dnf install. If omitted, it can cause the command to fail during the build process, because dnf would expect manual input.|<a href="https://docs.docker.com/develop/develop-images/dockerfile_best-practices/#run">Documentation</a><br/>|
|Using Platform Flag with FROM Command<br/><sup><sub>b16e8501-ef3c-44e1-a543-a093238099c9</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Supply-Chain|Don't use '--platform' flag with FROM|<a href="https://docs.docker.com/engine/reference/builder/#from">Documentation</a><br/>|
|NPM Install Command Without Pinned Version<br/><sup><sub>e36d8880-3f78-4546-b9a1-12f0745ca0d5</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Supply-Chain|Check if packages installed by npm are pinning a specific version.|<a href="https://docs.docker.com/engine/reference/builder/#run">Documentation</a><br/>|
|Yum Install Allows Manual Input<br/><sup><sub>6e19193a-8753-436d-8a09-76dcff91bb03</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Supply-Chain|Need to use -y to avoid manual input 'yum install -y <package>'|<a href="https://docs.docker.com/engine/reference/builder/#run">Documentation</a><br/>|
|Zypper Install Without Version<br/><sup><sub>562952e4-0348-4dea-9826-44f3a2c6117b</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Supply-Chain|Not specifying the package version can cause failures due to unanticipated changes in required packages|<a href="https://docs.docker.com/develop/develop-images/dockerfile_best-practices/#run">Documentation</a><br/>|
|Image Version Not Explicit<br/><sup><sub>9efb0b2d-89c9-41a3-91ca-dcc0aec911fd</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Supply-Chain|Always tag the version of an image explicitly|<a href="https://docs.docker.com/engine/reference/builder/#from">Documentation</a><br/>|
|Missing Zypper Clean<br/><sup><sub>38300d1a-feb2-4a48-936a-d1ef1cd24313</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Supply-Chain|Reduce layer and image size by deleting unneeded caches after running zypper|<a href="https://docs.docker.com/develop/develop-images/dockerfile_best-practices/#run">Documentation</a><br/>|
|Unpinned Package Version in Apk Add<br/><sup><sub>d3499f6d-1651-41bb-a9a7-de925fea487b</sub></sup>|Dockerfile|<span style="color:#C60">Medium</span>|Supply-Chain|Package version pinning reduces the range of versions that can be installed, reducing the chances of failure due to unanticipated changes|<a href="https://docs.docker.com/develop/develop-images/dockerfile_best-practices/">Documentation</a><br/>|
|MAINTAINER Instruction Being Used<br/><sup><sub>99614418-f82b-4852-a9ae-5051402b741c</sub></sup>|Dockerfile|<span style="color:#CC0">Low</span>|Best Practices|The MAINTAINER instruction sets the Author field of the generated images. The LABEL instruction is a much more flexible version of this and you should use it instead, as it enables setting any metadata you require, and can be viewed easily|<a href="https://docs.docker.com/engine/reference/builder/#maintainer-deprecated">Documentation</a><br/>|
|Exposing Port 22 (SSH)<br/><sup><sub>5907595b-5b6d-4142-b173-dbb0e73fbff8</sub></sup>|Dockerfile|<span style="color:#CC0">Low</span>|Best Practices|Expose only the ports that your application needs and avoid exposing ports like SSH (22)|<a href="https://sysdig.com/blog/dockerfile-best-practices/">Documentation</a><br/>|
|Curl or Wget Instead of Add<br/><sup><sub>4b410d24-1cbe-4430-a632-62c9a931cf1c</sub></sup>|Dockerfile|<span style="color:#CC0">Low</span>|Best Practices|Use Curl or Wget instead of Add to fetch packages from remote URLs, because using Add is strongly discouraged|<a href="https://docs.docker.com/develop/develop-images/dockerfile_best-practices/">Documentation</a><br/>|
|Multiple RUN, ADD, COPY, Instructions Listed<br/><sup><sub>0008c003-79aa-42d8-95b8-1c2fe37dbfe6</sub></sup>|Dockerfile|<span style="color:#CC0">Low</span>|Best Practices|Multiple commands (RUN, Copy, And) should be grouped in order to reduce the number of layers.|<a href="https://sysdig.com/blog/dockerfile-best-practices/">Documentation</a><br/>|
|Chown Flag Exists<br/><sup><sub>aa93e17f-b6db-4162-9334-c70334e7ac28</sub></sup>|Dockerfile|<span style="color:#CC0">Low</span>|Best Practices|It is considered a best practice for every executable in a container to be owned by the root user even if it is executed by a non-root user, only execution permissions are required on the file, not ownership|<a href="https://docs.docker.com/develop/develop-images/dockerfile_best-practices/">Documentation</a><br/>|
|Add Instead of Copy<br/><sup><sub>9513a694-aa0d-41d8-be61-3271e056f36b</sub></sup>|Dockerfile|<span style="color:#CC0">Low</span>|Build Process|Should use COPY instead of ADD unless, running a tar file|<a href="https://docs.docker.com/engine/reference/builder/#add">Documentation</a><br/>|
|Healthcheck Instruction Missing<br/><sup><sub>b03a748a-542d-44f4-bb86-9199ab4fd2d5</sub></sup>|Dockerfile|<span style="color:#CC0">Low</span>|Insecure Configurations|Ensure that HEALTHCHECK is being used. The HEALTHCHECK instruction tells Docker how to test a container to check that it is still working|<a href="https://docs.docker.com/engine/reference/builder/#healthcheck">Documentation</a><br/>|
|Apk Add Using Local Cache Path<br/><sup><sub>ae9c56a6-3ed1-4ac0-9b54-31267f51151d</sub></sup>|Dockerfile|<span style="color:#00C">Info</span>|Supply-Chain|When installing packages, use the '--no-cache' switch to avoid the need to use '--update' and remove '/var/cache/apk/*'|<a href="https://docs.docker.com/engine/reference/builder/#run">Documentation</a><br/>|
|Apt Get Install Lists Were Not Deleted<br/><sup><sub>df746b39-6564-4fed-bf85-e9c44382303c</sub></sup>|Dockerfile|<span style="color:#00C">Info</span>|Supply-Chain|After using apt-get install, it is needed to delete apt-get lists|<a href="https://docs.docker.com/develop/develop-images/dockerfile_best-practices/">Documentation</a><br/>|
|Run Utilities And POSIX Commands<br/><sup><sub>9b6b0f38-92a2-41f9-b881-3a1083d99f1b</sub></sup>|Dockerfile|<span style="color:#00C">Info</span>|Supply-Chain|Some POSIX commands and interactive utilities shouldn't run inside a Docker Container|<a href="https://docs.docker.com/engine/reference/builder/#run">Documentation</a><br/>|
|APT-GET Not Avoiding Additional Packages<br/><sup><sub>7384dfb2-fcd1-4fbf-91cd-6c44c318c33c</sub></sup>|Dockerfile|<span style="color:#00C">Info</span>|Supply-Chain|Check if any apt-get installs don't use '--no-install-recommends' flag to avoid installing additional packages.|<a href="https://docs.docker.com/engine/reference/builder/#run">Documentation</a><br/>|
|Cloud Storage Bucket Is Publicly Accessible<br/><sup><sub>77c1fa3f-83dc-4c9d-bfed-e1d0cc8fd9dc</sub></sup>|GoogleDeploymentManager|<span style="color:#C00">High</span>|Access Control|Cloud Storage Bucket is anonymously or publicly accessible|<a href="https://cloud.google.com/storage/docs/json_api/v1/bucketAccessControls">Documentation</a><br/>|
|SQL DB Instance Backup Disabled<br/><sup><sub>a5bf1a1c-92c7-401c-b4c6-ebdc8b686c01</sub></sup>|GoogleDeploymentManager|<span style="color:#C00">High</span>|Backup|Checks if backup configuration is enabled for all Cloud SQL Database instances|<a href="https://cloud.google.com/sql/docs/mysql/admin-api/rest/v1beta4/instances">Documentation</a><br/>|
|DNSSEC Using RSASHA1<br/><sup><sub>6d7b121a-a2ed-4e37-bd2f-80d9df1dfd35</sub></sup>|GoogleDeploymentManager|<span style="color:#C00">High</span>|Encryption|DNSSEC should not use the RSASHA1 algorithm|<a href="https://cloud.google.com/dns/docs/reference/v1/managedZones">Documentation</a><br/>|
|SQL DB Instance With SSL Disabled<br/><sup><sub>660360d3-9ca7-46d1-b147-3acc4002953f</sub></sup>|GoogleDeploymentManager|<span style="color:#C00">High</span>|Encryption|Cloud SQL Database Instance should have SLL enabled|<a href="https://cloud.google.com/sql/docs/mysql/admin-api/rest/v1beta4/instances">Documentation</a><br/>|
|GKE Legacy Authorization Enabled<br/><sup><sub>df58d46c-783b-43e0-bdd0-d99164f712ee</sub></sup>|GoogleDeploymentManager|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Engine Clusters must have Legacy Authorization set to disabled, which means the attribute 'legacyAbac.enabled' must be false.|<a href="https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters#Cluster.LegacyAbac">Documentation</a><br/>|
|BigQuery Dataset Is Public<br/><sup><sub>83103dff-d57f-42a8-bd81-40abab64c1a7</sub></sup>|GoogleDeploymentManager|<span style="color:#C00">High</span>|Insecure Configurations|BigQuery dataset is anonymously or publicly accessible. Attribute access.specialGroup should not contain 'allAuthenticatedUsers'|<a href="https://cloud.google.com/bigquery/docs/reference/rest/v2/datasets">Documentation</a><br/>|
|COS Node Image Not Used<br/><sup><sub>dbe058d7-b82e-430b-8426-992b2e4677e7</sub></sup>|GoogleDeploymentManager|<span style="color:#C00">High</span>|Insecure Configurations|The node image should be Container-Optimized OS(COS)|<a href="https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.zones.clusters.nodePools">Documentation</a><br/>|
|IP Aliasing Disabled<br/><sup><sub>28727987-e398-49b8-aef1-8a3e7789d111</sub></sup>|GoogleDeploymentManager|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Clusters must be created with Alias IP ranges enabled, which means the attribute 'ipAllocationPolicy' must be defined and the subattribute 'useIpAliases' must be set to 'true'.|<a href="https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters">Documentation</a><br/>|
|Cluster Master Authentication Disabled<br/><sup><sub>7ef7d141-9fbb-4679-a977-fd0883436906</sub></sup>|GoogleDeploymentManager|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Engine Clusters must have Master Authentication set to enabled, which means the attribute 'masterAuth' must have the subattributes 'username' and 'password' defined and not empty|<a href="https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.clusters">Documentation</a><br/>|
|Private Cluster Disabled<br/><sup><sub>48c61fbd-09c9-46cc-a521-012e0c325412</sub></sup>|GoogleDeploymentManager|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Clusters must be created with Private Clusters enabled, meaning the 'privateClusterConfig' must be defined and the attributes 'enablePrivateEndpoint' and 'enablePrivateNodes' must be true.|<a href="https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.zones.clusters">Documentation</a><br/>|
|MySQL Instance With Local Infile On<br/><sup><sub>c759d6f2-4dd3-4160-82d3-89202ef10d87</sub></sup>|GoogleDeploymentManager|<span style="color:#C00">High</span>|Insecure Configurations|MySQL Instance should not have Local Infile On|<a href="https://cloud.google.com/sql/docs/mysql/admin-api/rest/v1beta4/instances">Documentation</a><br/>|
|Client Certificate Disabled<br/><sup><sub>dd690686-2bf9-4012-a821-f61912dd77be</sub></sup>|GoogleDeploymentManager|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Clusters must be created with Client Certificate enabled, which means 'masterAuth' must have 'clientCertificateConfig' with the attribute 'issueClientCertificate' equal to true|<a href="https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.zones.clusters">Documentation</a><br/>|
|Cluster Labels Disabled<br/><sup><sub>8810968b-4b15-421d-918b-d91eb4bb8d1d</sub></sup>|GoogleDeploymentManager|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Clusters must be configured with labels, which means the attribute 'resourceLabels' must be defined|<a href="https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.zones.clusters">Documentation</a><br/>|
|Network Policy Disabled<br/><sup><sub>c47f90e8-4a19-43f0-8413-cc434d286c4e</sub></sup>|GoogleDeploymentManager|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Engine Clusters must have Network Policy enabled, meaning that the attribute 'networkPolicy.enabled' must be true and the attribute 'addonsConfig.networkPolicyConfig.disabled' must be false|<a href="https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.zones.clusters">Documentation</a><br/>|
|Not Proper Email Account In Use<br/><sup><sub>a21b8df3-c840-4b3d-a41a-10fb2afda171</sub></sup>|GoogleDeploymentManager|<span style="color:#C00">High</span>|Insecure Configurations|Gmail accounts are being used instead of corporate credentials|<a href="https://cloud.google.com/deployment-manager/docs/configuration/set-access-control-resources">Documentation</a><br/>|
|Compute Instance Is Publicly Accessible<br/><sup><sub>8212e2d7-e683-49bc-bf78-d6799075c5a7</sub></sup>|GoogleDeploymentManager|<span style="color:#C00">High</span>|Networking and Firewall|Compute instances shouldn't be accessible from the Internet.|<a href="https://cloud.google.com/compute/docs/reference/rest/v1/instances">Documentation</a><br/>|
|GKE Master Authorized Networks Disabled<br/><sup><sub>62c8cf50-87f0-4295-a974-8184ed78fe02</sub></sup>|GoogleDeploymentManager|<span style="color:#C00">High</span>|Networking and Firewall|Master authorized networks must be enabled in GKE clusters|<a href="https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.zones.clusters">Documentation</a><br/>|
|Cloud Storage Bucket Versioning Disabled<br/><sup><sub>ad0875c1-0b39-4890-9149-173158ba3bba</sub></sup>|GoogleDeploymentManager|<span style="color:#C00">High</span>|Observability|Cloud Storage Bucket should be enabled|<a href="https://cloud.google.com/storage/docs/json_api/v1/buckets">Documentation</a><br/>|
|Stackdriver Logging Disabled<br/><sup><sub>95601b9a-7fe8-4aee-9b58-d36fd9382dfc</sub></sup>|GoogleDeploymentManager|<span style="color:#C00">High</span>|Observability|Kubernetes Engine Clusters must have Stackdriver Logging enabled, which means the attribute 'loggingService' must be defined and different from 'none'|<a href="https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.zones.clusters">Documentation</a><br/>|
|Stackdriver Monitoring Disabled<br/><sup><sub>bbfc97ab-e92a-4a7b-954c-e88cec815011</sub></sup>|GoogleDeploymentManager|<span style="color:#C00">High</span>|Observability|Kubernetes Engine Clusters must have Stackdriver Monitoring enabled, which means the attribute 'monitoringService' must be defined and different than 'none'|<a href="https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.zones.clusters">Documentation</a><br/>|
|Node Auto Upgrade Disabled<br/><sup><sub>dc5c5fee-6c53-43b0-ab11-4c660e064aaf</sub></sup>|GoogleDeploymentManager|<span style="color:#C00">High</span>|Resource Management|Kubernetes nodes must have auto upgrades set to true, which means the attribute 'nodePools' must be defined and the subattribute 'managment' must be defined and have the attribute 'autoUpgrade' set to true|<a href="https://cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.zones.clusters">Documentation</a><br/>|
|Disk Encryption Disabled<br/><sup><sub>fc040fb6-4c23-4c0d-b12a-39edac35debb</sub></sup>|GoogleDeploymentManager|<span style="color:#C60">Medium</span>|Encryption|VM disks for critical VMs must be encrypted with Customer Supplied Encryption Keys (CSEK) or with Customer-managed encryption keys (CMEK), which means the attribute 'diskEncryptionKey' must be defined and its sub attributes 'rawKey' or 'kmsKeyName' must also be defined|<a href="https://cloud.google.com/compute/docs/reference/rest/v1/instances">Documentation</a><br/>|
|OSLogin Is Disabled In VM Instance<br/><sup><sub>e66e1b71-c810-4b4e-a737-0ab59e7f5e41</sub></sup>|GoogleDeploymentManager|<span style="color:#C60">Medium</span>|Insecure Configurations|VM instance should have OSLogin enabled|<a href="https://cloud.google.com/compute/docs/reference/rest/v1/instances">Documentation</a><br/>|
|Google Storage Bucket Level Access Disabled<br/><sup><sub>1239f54b-33de-482a-8132-faebe288e6a6</sub></sup>|GoogleDeploymentManager|<span style="color:#C60">Medium</span>|Insecure Configurations|Google Storage Bucket Level Access should be enabled|<a href="https://cloud.google.com/storage/docs/json_api/v1/buckets">Documentation</a><br/>|
|Shielded VM Disabled<br/><sup><sub>9038b526-4c19-4928-bca2-c03d503bdb79</sub></sup>|GoogleDeploymentManager|<span style="color:#C60">Medium</span>|Insecure Configurations|Compute instances must be launched with Shielded VM enabled, which means the attribute 'shieldedInstanceConfig' must be defined and its sub attributes 'enableSecureBoot', 'enableVtpm' and 'enableIntegrityMonitoring' must be set to true|<a href="https://cloud.google.com/compute/docs/reference/rest/v1/instances">Documentation</a><br/>|
|Cloud Storage Anonymous or Publicly Accessible<br/><sup><sub>63ae3638-a38c-4ff4-b616-6e1f72a31a6a</sub></sup>|GoogleDeploymentManager|<span style="color:#C60">Medium</span>|Insecure Configurations|Cloud Storage Buckets must not be anonymously or publicly accessible, which means the subattribute 'entity' from attributes 'acl' and 'defaultObjectAcl' must not be 'allUsers' or 'allAuthenticatedUsers'|<a href="https://cloud.google.com/storage/docs/json_api/v1/buckets">Documentation</a><br/>|
|Cloud DNS Without DNSSEC<br/><sup><sub>313d6deb-3b67-4948-b41d-35b699c2492e</sub></sup>|GoogleDeploymentManager|<span style="color:#C60">Medium</span>|Insecure Configurations|DNSSEC must be enabled for Cloud DNS|<a href="https://cloud.google.com/dns/docs/reference/v1/managedZones">Documentation</a><br/>|
|IP Forwarding Enabled<br/><sup><sub>7c98538a-81c6-444b-bf04-e60bc3ceeec0</sub></sup>|GoogleDeploymentManager|<span style="color:#C60">Medium</span>|Networking and Firewall|Instances must not have IP forwarding enabled, which means the attribute 'canIpForward' must not be true|<a href="https://cloud.google.com/compute/docs/reference/rest/v1/instances">Documentation</a><br/>|
|RDP Access Is Not Restricted<br/><sup><sub>50cb6c3b-c878-4b88-b50e-d1421bada9e8</sub></sup>|GoogleDeploymentManager|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if the Google compute firewall allows unrestricted RDP access. Allowed ports should not contain RDP port 3389|<a href="https://cloud.google.com/compute/docs/reference/rest/v1/firewalls">Documentation</a><br/>|
|SSH Access Is Not Restricted<br/><sup><sub>dee21308-2a7a-49de-8ff7-c9b87e188575</sub></sup>|GoogleDeploymentManager|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if Google Firewall allows SSH access (port 22) from the Internet (public CIDR block)|<a href="https://cloud.google.com/compute/docs/reference/rest/v1/firewalls">Documentation</a><br/>|
|Bucket Without Versioning<br/><sup><sub>227c2f58-70c6-4432-8e9a-a89c1a548cf5</sub></sup>|GoogleDeploymentManager|<span style="color:#C60">Medium</span>|Observability|Bucket should have versioning enabled|<a href="https://cloud.google.com/storage/docs/json_api/v1/buckets">Documentation</a><br/>|
|Project-wide SSH Keys Are Enabled In VM Instances<br/><sup><sub>6e2b1ec1-1eca-4eb7-9d4d-2882680b4811</sub></sup>|GoogleDeploymentManager|<span style="color:#C60">Medium</span>|Secret Management|VM Instance should block project-wide SSH keys|<a href="https://cloud.google.com/compute/docs/reference/rest/v1/instances">Documentation</a><br/>|
|Enum Name Not CamelCase<br/><sup><sub>daaace5f-c0dc-4835-b526-7a116b7f4b4e</sub></sup>|GRPC|<span style="color:#CC0">Low</span>|Best Practices|All Enum Names should follow CamelCase and start with Capital Letter|<a href="https://developers.google.com/protocol-buffers/docs/reference/proto3-spec#enum_definition">Documentation</a><br/>|
|Global Security Field Is Undefined (v2)<br/><sup><sub>74703c89-0ea2-49ab-a7db-bf04f19f5a57</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Access Control|Global security field should be defined to prevent API to have insecure paths and have this rules defined on securityDefinitions|<a href="https://swagger.io/specification/v2/#securityRequirementObject">Documentation</a><br/>|
|Global Security Field Is Undefined (v3)<br/><sup><sub>8af270ce-298b-4405-9922-82a10aee7a4f</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Access Control|Global security field should be defined to prevent API to have insecure paths and have this rules defined on securitySchemes|<a href="https://swagger.io/specification/#security-requirement-object">Documentation</a><br/>|
|Security Field On Operations Has An Empty Array (v2)<br/><sup><sub>5d29effc-5d68-481f-9721-d74e5919226b</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Access Control|Security object for operations, if defined, must define a security scheme, otherwise it should be considered an error|<a href="https://swagger.io/specification/v2/#operation-object">Documentation</a><br/>|
|Security Field On Operations Has An Empty Array (v3)<br/><sup><sub>663c442d-f918-4f62-b096-0bf5dcbeb655</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Access Control|Security object for operations, if defined, must define a security scheme, otherwise it should be considered an error|<a href="https://swagger.io/specification/#operation-object">Documentation</a><br/>|
|Cleartext API Key In Operation Security (v2)<br/><sup><sub>99733b39-6413-4ed8-8acf-dc7cdc9b4e51</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Access Control|API Keys should not be sent as cleartext over an unencrypted channel|<a href="https://swagger.io/specification/v2/#securityDefinitionsObject">Documentation</a><br/>|
|Cleartext API Key In Operation Security (v3)<br/><sup><sub>d90d4e40-44c1-4125-87a0-e072c3e195b5</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Access Control|API Keys should not be sent as cleartext over an unencrypted channel|<a href="https://swagger.io/specification/#security-scheme-object">Documentation</a><br/>|
|No Global And Operation Security Defined (v2)<br/><sup><sub>586abcee-9653-462d-ad7b-2638a32bd6e6</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Access Control|All paths should have security scheme, if it is omitted, global security field should be defined|<a href="https://swagger.io/specification/v2/#security-requirement-object">Documentation</a><br/>|
|No Global And Operation Security Defined (v3)<br/><sup><sub>96729c6b-7400-4d9e-9807-17f00cdde4d2</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Access Control|All paths should have security scheme, if it is omitted, global security field should be defined|<a href="https://swagger.io/specification/#security-requirement-object">Documentation</a><br/>|
|Security Field On Operations Has An Empty Object Definition (v2)<br/><sup><sub>74581e3b-1d55-4323-a139-5959a7b3abc5</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Access Control|Security object for operations should not be empty object or has any empty object definition|<a href="https://swagger.io/specification/v2/#operation-object">Documentation</a><br/>|
|Security Field On Operations Has An Empty Object Definition (v3)<br/><sup><sub>baade968-7467-41e4-bf22-83ca222f5800</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Access Control|Security object for operations should not be empty object or has any empty object definition|<a href="https://swagger.io/specification/#operation-object">Documentation</a><br/>|
|Global security field has an empty object (v2)<br/><sup><sub>292919fb-7b26-4454-bee9-ce29094768dd</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Access Control|Global security definition must not have empty objects|<a href="https://swagger.io/specification/v2/#security-requirement-object">Documentation</a><br/>|
|Global security field has an empty object (v3)<br/><sup><sub>543e38f4-1eee-479e-8eb0-15257013aa0a</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Access Control|Global security definition must not have empty objects|<a href="https://swagger.io/specification/#security-requirement-object">Documentation</a><br/>|
|Global Security Field Has An Empty Array (v2)<br/><sup><sub>da31d54b-ad54-41dc-95eb-8b3828629213</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Access Control|Security object need to have defined rules in its array and rules should be defined on securityScheme|<a href="https://swagger.io/specification/v2/#security-requirement-object">Documentation</a><br/>|
|Global Security Field Has An Empty Array (v3)<br/><sup><sub>d674aea4-ba8b-454b-bb97-88a772ea33f0</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Access Control|Security object need to have defined rules in its array and rules should be defined on securityScheme|<a href="https://swagger.io/specification/#security-requirement-object">Documentation</a><br/>|
|Array Without Maximum Number of Items (v2)<br/><sup><sub>99eb2c95-2040-4104-9e7c-e16f7474d218</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Insecure Configurations|Array schema/parameter should have the field 'maxItems' set|<a href="https://swagger.io/specification/v2/#parameterObject">Documentation</a><br/>|
|Array Without Maximum Number of Items (v3)<br/><sup><sub>6998389e-66b2-473d-8d05-c8d71ac4d04d</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Insecure Configurations|Array schema should have the field 'maxItems' set|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Array Items Has No Type (v2)<br/><sup><sub>8697a1a4-82c6-4603-8ac8-57529756744e</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Insecure Configurations|Schema/Parameter array items type should be defined|<a href="https://swagger.io/specification/v2/#format">Documentation</a><br/>|
|Array Items Has No Type (v3)<br/><sup><sub>be0e0df7-f3d9-42a1-9b6f-d425f94872c4</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Insecure Configurations|Schema array items type should be defined|<a href="https://swagger.io/docs/specification/data-models/data-types/#string">Documentation</a><br/>|
|Cleartext API Key In Global Security (v2)<br/><sup><sub>70d3873e-d537-46e5-ac3b-4e48fbdd29b4</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Access Control|API Keys should not be sent as cleartext over an unencrypted channel|<a href="https://swagger.io/specification/v2/#securityDefinitionsObject">Documentation</a><br/>|
|Cleartext API Key In Global Security (v3)<br/><sup><sub>9c238c97-1991-4c0b-9c7d-6c7912e1dc7c</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Access Control|API Keys should not be sent as cleartext over an unencrypted channel|<a href="https://swagger.io/specification/#security-scheme-object">Documentation</a><br/>|
|API Key Exposed In Global Security (v2)<br/><sup><sub>533a0d13-6e89-4551-ae33-bce14e5849c1</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Access Control|API Keys should not be transported over network|<a href="https://swagger.io/specification/v2/#securityDefinitionsObject">Documentation</a><br/>|
|API Key Exposed In Global Security (v3)<br/><sup><sub>aecee30b-8ea1-4776-a99c-d6d600f0862f</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Access Control|API Keys should not be transported over network|<a href="https://swagger.io/specification/#security-scheme-object">Documentation</a><br/>|
|Numeric Schema Without Format (v2)<br/><sup><sub>3ed8fc82-c2bb-49e0-811f-c53923674c49</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|Numeric schema (type set to 'integer' or 'number') should have 'format' defined.|<a href="https://swagger.io/specification/v2/#schemaObject">Documentation</a><br/>|
|Numeric Schema Without Format (v3)<br/><sup><sub>fbf699b5-ef74-4542-9cf1-f6eeac379373</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|Numeric schema (type set to 'integer' or 'number') should have 'format' defined.|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Maximum Length Undefined (v2)<br/><sup><sub>2ec86e48-ab90-4cb6-a131-0502afd1f442</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|String schema/parameter/header should have 'maxLength' defined.|<a href="https://swagger.io/specification/v2/#schemaObject">Documentation</a><br/>|
|Maximum Length Undefined (v3)<br/><sup><sub>8c8261c2-19a9-4ef7-ad37-b8bc7bdd4d85</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|String schema should have 'maxLength' defined.|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Numeric Schema Without Maximum (v2)<br/><sup><sub>203eee11-15b6-4d47-b888-4c7f534967ee</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|Numeric schema (type set to 'integer' or 'number') should have 'maximum' defined.|<a href="https://swagger.io/specification/v2/#schemaObject">Documentation</a><br/>|
|Numeric Schema Without Maximum (v3)<br/><sup><sub>2ea04bef-c769-409e-9179-ee3a50b5c0ac</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|Numeric schema (type set to 'integer' or 'number') should have 'maximum' defined.|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|String Schema with Broad Pattern (v2)<br/><sup><sub>e4a019f0-9af3-49c8-bf68-1939a6ff240d</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|String schema should restrict the pattern|<a href="https://swagger.io/specification/v2/#schema-object">Documentation</a><br/>|
|String Schema with Broad Pattern (v3)<br/><sup><sub>8c81d6c0-716b-49ec-afa5-2d62da4e3f3c</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|String schema should restrict the pattern|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Schema Object is Empty (v2)<br/><sup><sub>967575e5-eb44-4c24-aadb-7e33608ed30a</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|The Schema Object should not be empty to avoid accepting any JSON values|<a href="https://swagger.io/specification/v2/#schemaObject">Documentation</a><br/>|
|Schema Object is Empty (v3)<br/><sup><sub>500ce696-d501-41dd-86eb-eceb011a386f</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|The Schema Object should not be empty to avoid accepting any JSON values|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|JSON Object Schema Without Type (v2)<br/><sup><sub>62d52544-82ef-4b75-8308-cad49d50212b</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|Schema of the JSON object should have 'type' defined.|<a href="https://swagger.io/specification/v2/#schemaObject">Documentation</a><br/>|
|JSON Object Schema Without Type (v3)<br/><sup><sub>e2ffa504-d22a-4c94-b6c5-f661849d2db7</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|Schema of the JSON object should have 'type' defined.|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|JSON Object Schema Without Properties (v2)<br/><sup><sub>3d28f751-bc18-4f83-ace0-216b6086410b</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|Schema of the JSON object should have properties defined and 'additionalProperties' set to false.|<a href="https://swagger.io/specification/v2/#schemaObject">Documentation</a><br/>|
|JSON Object Schema Without Properties (v3)<br/><sup><sub>9d967a2b-9d64-41a6-abea-dfc4960299bd</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|Schema of the JSON object should have properties defined and 'additionalProperties' set to false.|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Numeric Schema Without Minimum (v2)<br/><sup><sub>efd1dfc8-da91-4909-a3f3-c23abc5ec799</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|Numeric schema (type set to 'integer' or 'number') should have 'minimum' defined.|<a href="https://swagger.io/specification/v2/#schemaObject">Documentation</a><br/>|
|Numeric Schema Without Minimum (v3)<br/><sup><sub>181bd815-767e-4e95-a24d-bb3c87328e19</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|Numeric schema (type set to 'integer' or 'number') should have 'minimum' defined.|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Pattern Undefined (v2)<br/><sup><sub>afde15cf-9444-4126-8c62-41cd79db1d1d</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|String schema/parameter/header should have 'pattern' defined.|<a href="https://swagger.io/specification/v2/#schemaObject">Documentation</a><br/>|
|Pattern Undefined (v3)<br/><sup><sub>00b78adf-b83f-419c-8ed8-c6018441dd3a</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|String schema should have 'pattern' defined.|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Response Code Missing (v2)<br/><sup><sub>6e96ed39-bf45-4089-99ba-f1fe7cf6966f</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|500, 429 and 400 responses should be defined for all operations, except head operation. 415 response should be defined for the post, put, and patch operations. 404 response should be defined for the get, put, head, delete operations. 200 response should be defined for options operation. 401 and 403 response should be defined for all operations when the security field is defined.|<a href="https://swagger.io/specification/v2/#operation-object">Documentation</a><br/>|
|Response Code Missing (v3)<br/><sup><sub>6c35d2c6-09f2-4e5c-a094-e0e91327071d</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|500, 429 and 400 responses should be defined for all operations, except head operation. 415 response should be defined for the post, put, and patch operations. 404 response should be defined for the get, put, head, delete operations. 200 response should be defined for options operation. 401 and 403 response should be defined for all operations when the security field is defined.|<a href="https://swagger.io/specification/#operation-object">Documentation</a><br/>|
|Default Response Undefined On Operations (v2)<br/><sup><sub>5f34c7ae-4f3f-4cbb-8fe3-a11d6961062f</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|Operations responses should have a default response defined|<a href="https://swagger.io/specification/v2/#responses-object">Documentation</a><br/>|
|Default Response Undefined On Operations (v3)<br/><sup><sub>86e3702f-c868-44b2-b61d-ea5316c18110</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|Operations responses should have a default response defined|<a href="https://swagger.io/specification/#responses-object">Documentation</a><br/>|
|Success Response Code Undefined for Delete Operation (v2)<br/><sup><sub>ad432855-b7fb-4429-92a3-93b5ce34f0b1</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|Delete should define at least one success response (200, 201, 202 or 204)|<a href="https://swagger.io/specification/v2/#operation-object">Documentation</a><br/>|
|Success Response Code Undefined for Delete Operation (v3)<br/><sup><sub>3b497874-ae59-46dd-8d72-1868a3b8f150</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|Delete should define at least one success response (200, 201, 202 or 204)|<a href="https://swagger.io/specification/#operation-object">Documentation</a><br/>|
|Success Response Code Undefined for Put Operation (v2)<br/><sup><sub>965a043f-5f3c-4d0a-be72-d9ce12fdb4d6</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|Put should define at least one success response (200, 201, 202 or 204)|<a href="https://swagger.io/specification/v2/#operation-object">Documentation</a><br/>|
|Success Response Code Undefined for Put Operation (v3)<br/><sup><sub>60b5f56b-66ff-4e1c-9b62-5753e16825bc</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|Put should define at least one success response (200, 201, 202 or 204)|<a href="https://swagger.io/specification/#operation-object">Documentation</a><br/>|
|Success Response Code Undefined for Get Operation (v2)<br/><sup><sub>9b633f3b-c94b-4fbb-a65b-1a4e9134fb63</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|Get should define at least one success response (200 or 202)|<a href="https://swagger.io/specification/v2/#operation-object">Documentation</a><br/>|
|Success Response Code Undefined for Get Operation (v3)<br/><sup><sub>b2f275be-7d64-4064-b418-be6b431363a7</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|Get should define at least one success response (200 or 202)|<a href="https://swagger.io/specification/#operation-object">Documentation</a><br/>|
|Success Response Code Undefined for Post Operation (v2)<br/><sup><sub>9fedee41-2e6d-4091-b011-4a16b4c18c70</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|Post should define at least one success response (200, 201, 202 or 204)|<a href="https://swagger.io/specification/v2/#operation-object">Documentation</a><br/>|
|Success Response Code Undefined for Post Operation (v3)<br/><sup><sub>f368dd2d-9344-4146-a05b-7c6faa1269ad</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|Post should define at least one success response (200, 201, 202 or 204)|<a href="https://swagger.io/specification/#operation-object">Documentation</a><br/>|
|Response on operations that should have a body has undefined schema (v2)<br/><sup><sub>31afbcb7-70e0-48bb-a31a-3374f95cf859</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|If a response is not head or its code is not 204 or 304, it should have a schema defined|<a href="https://swagger.io/specification/v2/#responses-object">Documentation</a><br/>|
|Response on operations that should have a body has undefined schema (v3)<br/><sup><sub>a92be1d5-d762-484a-86d6-8cd0907ba100</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|If a response is not head or its code is not 204 or 304, it should have a schema defined|<a href="https://swagger.io/docs/specification/describing-responses/">Documentation</a><br/>|
|Success Response Code Undefined for Patch Operation (v2)<br/><sup><sub>f36e87cc-a209-4f37-8571-66833e4aead7</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|Patch should define at least one success response (200, 201, 202 or 204)|<a href="https://swagger.io/specification/v2/#operation-object">Documentation</a><br/>|
|Success Response Code Undefined for Patch Operation (v3)<br/><sup><sub>1908a8ee-927d-4166-8f18-241152170cc1</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|Patch should define at least one success response (200, 201, 202 or 204)|<a href="https://swagger.io/specification/#operation-object">Documentation</a><br/>|
|Success Response Code Undefined for Head Operation (v2)<br/><sup><sub>4f0b30e3-a498-4dd7-b3f2-f4b6471a8d5a</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|Head should define at least one success response (200 or 202)|<a href="https://swagger.io/specification/v2/#operation-object">Documentation</a><br/>|
|Success Response Code Undefined for Head Operation (v3)<br/><sup><sub>3b066059-f411-4554-ac8d-96f32bff90da</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|Head should define at least one success response (200 or 202)|<a href="https://swagger.io/specification/#operation-object">Documentation</a><br/>|
|Response on operations that should not have a body has declared content (v2)<br/><sup><sub>268defd2-2839-4e15-8cbc-de86eb38c231</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|If a response is head or its code is 204 or 304, it shouldn't have a schema defined|<a href="https://swagger.io/docs/specification/2-0/describing-responses/">Documentation</a><br/>|
|Response on operations that should not have a body has declared content (v3)<br/><sup><sub>12a7210b-f4b4-47d0-acac-0a819e2a0ca3</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|If a response is head or its code is 204 or 304, it shouldn't have a content defined|<a href="https://swagger.io/docs/specification/describing-responses/">Documentation</a><br/>|
|API Key Exposed In Operation Security (v2)<br/><sup><sub>392599e4-a4e2-403d-bc56-3fe05755782d</sub></sup>|OpenAPI|<span style="color:#CC0">Low</span>|Access Control|API Keys should not be transported over network|<a href="https://swagger.io/specification/v2/#securityDefinitionsObject">Documentation</a><br/>|
|API Key Exposed In Operation Security (v3)<br/><sup><sub>281b8071-6226-4a43-911d-fec246d422c2</sub></sup>|OpenAPI|<span style="color:#CC0">Low</span>|Access Control|API Keys should not be transported over network|<a href="https://swagger.io/specification/#security-scheme-object">Documentation</a><br/>|
|Invalid Format (v2)<br/><sup><sub>caf1793e-95dd-4b18-8d90-8f3c0ab5bddf</sub></sup>|OpenAPI|<span style="color:#CC0">Low</span>|Insecure Configurations|The format should be valid for the type defined. For integer type must be int32 or int64, number type must be float or double, and for string type must be date, date-time, password, byte, binary, email, uuid, uri, hostname, ipv4 or ipv6|<a href="https://swagger.io/specification/v2/">Documentation</a><br/>|
|Invalid Format (v3)<br/><sup><sub>d929c031-078f-4241-b802-e224656ad890</sub></sup>|OpenAPI|<span style="color:#CC0">Low</span>|Insecure Configurations|The format should be valid for the type defined. For integer type must be int32 or int64, number type must be float or double, and for string type must be date, date-time, password, byte, binary, email, uuid, uri, hostname, ipv4 or ipv6|<a href="https://swagger.io/docs/specification/data-models/data-types/">Documentation</a><br/>|
|Path Without Operation (v2)<br/><sup><sub>609cd557-66b4-41fa-8edd-2abc6c7cfd08</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Path object should have at least one operation object defined|<a href="https://swagger.io/specification/v2/#pathItemObject">Documentation</a><br/>|
|Path Without Operation (v3)<br/><sup><sub>84c826c9-1893-4b34-8cdd-db97645b4bf3</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Path object should have at least one operation object defined|<a href="https://swagger.io/specification/#path-item-object">Documentation</a><br/>|
|JSON '$ref' alongside other properties (v2)<br/><sup><sub>f34c1c68-4773-4df0-a103-6e2ca32e585f</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Each field on Open API specification which accepts '$ref', infers that field is using a reference object, which has only '$ref' key|<a href="https://swagger.io/specification/v2/#referenceObject">Documentation</a><br/>|
|JSON '$ref' alongside other properties (v3)<br/><sup><sub>96beb800-566f-49a9-a0ea-dbdf4bc80429</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Each field on Open API specification which accepts '$ref', infers that field is using a reference object, which has only '$ref' key|<a href="https://swagger.io/specification/#reference-object">Documentation</a><br/>|
|Invalid Global External Documentation URL (v2)<br/><sup><sub>46d3b74d-9fe9-45bf-9e9e-efb7f701ee28</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Global External Documentation URL should be a valid URL|<a href="https://swagger.io/specification/v2/#externalDocumentationObject">Documentation</a><br/>|
|Invalid Global External Documentation URL (v3)<br/><sup><sub>b2d9dbf6-539c-4374-a1fd-210ddf5563a8</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Global External Documentation URL should be a valid URL|<a href="https://swagger.io/specification/#external-documentation-object">Documentation</a><br/>|
|Header Parameter Named as 'Authorization' (v2)<br/><sup><sub>e2e00c97-7171-4fb4-b461-d631df9a711c</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|The header Parameter should not be named as 'Authorization'. If so, it will be ignored.|<a href="https://swagger.io/specification/v2/#parameterObject">Documentation</a><br/>|
|Header Parameter Named as 'Authorization' (v3)<br/><sup><sub>8c84f75e-5048-4926-a4cb-33e7b3431300</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|The header Parameter should not be named as 'Authorization'. If so, it will be ignored.|<a href="https://swagger.io/specification/#parameter-object">Documentation</a><br/>|
|Operation Without Successful HTTP Status Code (v2)<br/><sup><sub>a1ee6ebe-3877-42ec-b9a6-e524e7d06aa2</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Operation Object should have at least one successful HTTP status code defined|<a href="https://swagger.io/specification/v2/#operationObject">Documentation</a><br/>|
|Operation Without Successful HTTP Status Code (v3)<br/><sup><sub>48e9e1fe-cf79-45b5-93e6-8b55ae5dadfd</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Operation Object should have at least one successful HTTP status code defined|<a href="https://swagger.io/specification/#operation-object">Documentation</a><br/>|
|Example Not Compliant With Schema Type (v2)<br/><sup><sub>448db771-06ea-4dee-b48c-1689cbfb4b43</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Examples values and fields should be compliant with the schema type|<a href="https://swagger.io/specification/v2/#example-object">Documentation</a><br/>|
|Example Not Compliant With Schema Type (v3)<br/><sup><sub>881a6e71-c2a7-4fe2-b9c3-dfcf08895331</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Examples values and fields should be compliant with the schema type|<a href="https://swagger.io/specification/#example-object">Documentation</a><br/>|
|Header Response Name Is Invalid (v2)<br/><sup><sub>86733e01-a435-4bd5-a8b0-5108be9dc1e4</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|The Header Response should not be named as 'Content-Type', 'Authorization' or 'Accept'. If so, it will be ignored.|<a href="https://swagger.io/specification/v2/#response-object">Documentation</a><br/>|
|Header Response Name Is Invalid (v3)<br/><sup><sub>d4e43db5-54d8-4dda-b3c2-0dc6f31a46bd</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|The Header Response should not be named as 'Content-Type', 'Authorization' or 'Accept'. If so, it will be ignored.|<a href="https://swagger.io/specification/#response-object">Documentation</a><br/>|
|Invalid Contact Email (v2)<br/><sup><sub>d83bebc8-4e5e-4241-b783-cba9fb5a1c9a</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Contact Object Email should be a valid email|<a href="https://swagger.io/specification/v2/#contactObject">Documentation</a><br/>|
|Invalid Contact Email (v3)<br/><sup><sub>b1a7fcb0-2afe-4d5c-a6a1-4e6311fc29e7</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Contact Object Email should be a valid email|<a href="https://swagger.io/specification/#contact-object">Documentation</a><br/>|
|Invalid Operation External Documentation URL (v2)<br/><sup><sub>25635c31-ee32-4708-88e5-fced87516f51</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Operation External Documentation URL should be a valid URL|<a href="https://swagger.io/specification/v2/#externalDocumentationObject">Documentation</a><br/>|
|Invalid Operation External Documentation URL (v3)<br/><sup><sub>5ea61624-3733-4a3a-8ca4-b96fec9c5aeb</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Operation External Documentation URL should be a valid URL|<a href="https://swagger.io/specification/#external-documentation-object">Documentation</a><br/>|
|Required Property With Default Value (v2)<br/><sup><sub>f7ab6c83-ef89-40e1-8a99-32e2599fb665</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Required properties receive value from requests, which makes unnecessary declare a default value|<a href="https://swagger.io/specification/v2/#schemaObject">Documentation</a><br/>|
|Required Property With Default Value (v3)<br/><sup><sub>013bdb4b-9246-4248-b0c3-7fb0fee42a29</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Required properties receive value from requests, which makes unnecessary declare a default value|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Invalid Tag External Documentation URL (v2)<br/><sup><sub>b4a7d925-738b-4219-99d9-87d6ee262a03</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Tag External Documentation URL should be a valid URL|<a href="https://swagger.io/specification/v2/#externalDocumentationObject">Documentation</a><br/>|
|Invalid Tag External Documentation URL (v3)<br/><sup><sub>5aea1d7e-b834-4749-b143-2c7ec3bd5922</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Tag External Documentation URL should be a valid URL|<a href="https://swagger.io/specification/#external-documentation-object">Documentation</a><br/>|
|Invalid License URL (v2)<br/><sup><sub>de2b4910-8484-46d6-a055-dc1e793ee3ff</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|License Object URL should be a valid URL|<a href="https://swagger.io/specification/v2/#licenseObject">Documentation</a><br/>|
|Invalid License URL (v3)<br/><sup><sub>9239c289-9e4c-4d92-8be1-9d506057c971</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|License Object URL should be a valid URL|<a href="https://swagger.io/specification/#license-object">Documentation</a><br/>|
|Invalid Contact URL (v2)<br/><sup><sub>c7000383-16d0-4509-8cd3-585e5ea2e2f2</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Contact Object URL should be a valid URL|<a href="https://swagger.io/specification/v2/#contactObject">Documentation</a><br/>|
|Invalid Contact URL (v3)<br/><sup><sub>332cf2ad-380d-4b90-b436-46f8e635cf38</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Contact Object URL should be a valid URL|<a href="https://swagger.io/specification/#contact-object">Documentation</a><br/>|
|Object Using Enum With Keyword (v2)<br/><sup><sub>7f15962a-d862-451c-ac9b-84ec13747aa6</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Schema/Parameter/Header Object properties should not contain 'enum' and schema keywords|<a href="https://swagger.io/specification/v2/#schemaObject">Documentation</a><br/>|
|Object Using Enum With Keyword (v3)<br/><sup><sub>2e9b6612-8f69-42e0-a5b8-ed17739c2f3a</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Schema Object properties should not contain 'enum' and schema keywords|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Invalid Schema External Documentation URL (v2)<br/><sup><sub>f7fa95b7-d819-484c-9a2b-665dd1bba25e</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Schema External Documentation URL should be a valid URL|<a href="https://swagger.io/specification/v2/#externalDocumentationObject">Documentation</a><br/>|
|Invalid Schema External Documentation URL (v3)<br/><sup><sub>6952a7e0-6e48-4285-bbc1-27c64e60f888</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Schema External Documentation URL should be a valid URL|<a href="https://swagger.io/specification/#external-documentation-object">Documentation</a><br/>|
|Header Parameter Named as 'Accept' (v2)<br/><sup><sub>3ddd74cc-6582-486c-8b0c-2b48cb38e0a3</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|The header Parameter should not be named as 'Accept'. If so, it will be ignored.|<a href="https://swagger.io/specification/v2/#parameterObject">Documentation</a><br/>|
|Header Parameter Named as 'Accept' (v3)<br/><sup><sub>f2702af5-6016-46cb-bbc8-84c766032095</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|The header Parameter should not be named as 'Accept'. If so, it will be ignored.|<a href="https://swagger.io/specification/#parameter-object">Documentation</a><br/>|
|Header Parameter Named as 'Content-Type' (v2)<br/><sup><sub>51978067-3b22-4c29-aaf3-96bf0bc28897</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|The header Parameter should not be named as 'Content-Type'. If so, it will be ignored.|<a href="https://swagger.io/specification/v2/#parameterObject">Documentation</a><br/>|
|Header Parameter Named as 'Content-Type' (v3)<br/><sup><sub>72d259ca-9741-48dd-9f62-eb11f2936b37</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|The header Parameter should not be named as 'Content-Type'. If so, it will be ignored.|<a href="https://swagger.io/specification/#parameter-object">Documentation</a><br/>|
|Non-Array Schema With Items (v2)<br/><sup><sub>9d47956b-29cd-43b1-9e6e-b39a4d484353</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Non-Array Schema should not have 'items' defined|<a href="https://swagger.io/specification/v2/#schema-object">Documentation</a><br/>|
|Non-Array Schema With Items (v3)<br/><sup><sub>20cb3159-b219-496b-8dac-54ae3ab2021a</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Non-Array Schema should not have 'items' defined|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Parameter Objects Headers With Duplicated Name (v2)<br/><sup><sub>bd2cbef5-62c4-40f1-af07-4b7f9ced6616</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Parameter Objects should not have duplicate names for 'header' location, since HTTP headers are not case sensitive.|<a href="https://swagger.io/specification/v2/#parameterObject">Documentation</a><br/>|
|Parameter Objects Headers With Duplicated Name (v3)<br/><sup><sub>05505192-ba2c-4a81-9b25-dcdbcc973746</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Parameter Objects should not have duplicate names for 'header' location, since HTTP headers are not case sensitive.|<a href="https://swagger.io/specification/#parameter-object">Documentation</a><br/>|
|Path Parameter With No Corresponding Template Path (v2)<br/><sup><sub>194ef1f8-360e-4c14-8ed2-e83e2bafa142</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|The path parameter must have a corresponding template path for a given operation|<a href="https://swagger.io/specification/v2/#pathTemplating">Documentation</a><br/>|
|Path Parameter With No Corresponding Template Path (v3)<br/><sup><sub>69d7aefd-149d-47b8-8d89-1c2181a8067b</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|The path parameter must have a corresponding template path for a given operation|<a href="https://github.com/OAI/OpenAPI-Specification/blob/main/versions/3.0.2.md#pathTemplating">Documentation</a><br/>|
|Schema Discriminator Mismatch Defined Properties (v2)<br/><sup><sub>addc0eab-27f6-4c26-8526-d2ccd3732662</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Schema discriminator values should match defined properties.|<a href="https://swagger.io/specification/v2/#schema-object">Documentation</a><br/>|
|Schema Discriminator Mismatch Defined Properties (v3)<br/><sup><sub>40d3df21-c170-4dbe-9c02-4289b51f994f</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Schema discriminator values should match defined properties.|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Template Path With No Corresponding Path Parameter (v2)<br/><sup><sub>e7656d8d-7288-4bbe-b07b-22b389be75ce</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|The template path must have a corresponding path parameter for a given operation|<a href="https://github.com/OAI/OpenAPI-Specification/blob/main/versions/2.0.md#path-templating">Documentation</a><br/>|
|Template Path With No Corresponding Path Parameter (v3)<br/><sup><sub>561710b1-b845-4562-95ce-2397a05ccef4</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|The template path must have a corresponding path parameter for a given operation|<a href="https://github.com/OAI/OpenAPI-Specification/blob/main/versions/3.0.2.md#pathTemplating">Documentation</a><br/>|
|Responses Object Is Empty (v2)<br/><sup><sub>6172e7ab-d2b7-45f8-a7db-1603931d8ba3</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Responses Object should not be empty|<a href="https://swagger.io/specification/v2/#responsesObject">Documentation</a><br/>|
|Responses Object Is Empty (v3)<br/><sup><sub>990eaf09-d6f1-4c3c-b174-a517b1de8917</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Responses Object should not be empty|<a href="https://swagger.io/specification/#responses-object">Documentation</a><br/>|
|Responses With Wrong HTTP Status Code (v2)<br/><sup><sub>069a5378-2091-43f0-aa3b-ee8f20996e99</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|HTTP Responses status code should be in range of [200-599]|<a href="https://swagger.io/specification/v2/#parameterObject">Documentation</a><br/>|
|Responses With Wrong HTTP Status Code (v3)<br/><sup><sub>d86655c0-92f6-4ffc-b4d5-5b5775804c27</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|HTTP Responses status code should be in range of [200-599]|<a href="https://swagger.io/specification/#responses-object">Documentation</a><br/>|
|Path Is Ambiguous (v2)<br/><sup><sub>b2468463-3ac4-4930-890c-f35b2bf4485d</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|All path should be unique, if has more than one operation, all operations should be part of same Path Object|<a href="https://swagger.io/specification/v2/#pathItemObject">Documentation</a><br/>|
|Path Is Ambiguous (v3)<br/><sup><sub>237402e2-c2f0-46c9-9cf5-286160cf7bfc</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|All path should be unique, if has more than one operation, all operations should be part of same Path Object|<a href="https://swagger.io/specification/#path-item-object">Documentation</a><br/>|
|Schema Object Properties With Duplicated Keys (v2)<br/><sup><sub>ded017bf-fb13-4f8d-868b-84aebcc572ad</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Schema Object Property key should be unique through out the fields 'properties', 'allOf', 'additionalProperties'|<a href="https://swagger.io/specification/v2/#schemaObject">Documentation</a><br/>|
|Schema Object Properties With Duplicated Keys (v3)<br/><sup><sub>10c61e4b-eed5-49cf-9c7d-d4bf02e9edfa</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Schema Object Property key should be unique through out the fields 'properties', 'allOf', 'additionalProperties'|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|OperationId Not Unique (v2)<br/><sup><sub>21245007-91c4-40e5-964e-40c85d1e5aa6</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|OperationId should be unique when defined|<a href="https://swagger.io/specification/v2/#operationObject">Documentation</a><br/>|
|OperationId Not Unique (v3)<br/><sup><sub>c254adc4-ef25-46e1-8270-b7944adb4198</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|OperationId should be unique when defined|<a href="https://swagger.io/specification/#operation-object">Documentation</a><br/>|
|Default Invalid (v2)<br/><sup><sub>78dfd8f0-a6ee-48ec-af8c-e4d9b3292a07</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|The field 'default' of Schema/Parameter/Header Object should be consistent with the schema's/parameter's/header's type|<a href="https://swagger.io/specification/v2/#schemaObject">Documentation</a><br/>|
|Default Invalid (v3)<br/><sup><sub>a96bbc06-8cde-4295-ad3c-ee343a7f658e</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|The field 'default' of Schema Object should be consistent with the schema's type|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Property Defining Minimum Greater Than Maximum (v2)<br/><sup><sub>b5102ea9-6527-4bb7-94fc-9b4076150e55</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Property defining minimum has greater value than maximum defined|<a href="https://swagger.io/specification/v2/#schemaObject">Documentation</a><br/>|
|Property Defining Minimum Greater Than Maximum (v3)<br/><sup><sub>ab2af219-cd08-4233-b5a1-a788aac88b51</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Property defining minimum has greater value than maximum defined|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Properties Missing Required Property (v2)<br/><sup><sub>71beb6ab-8b70-4816-a9ac-a0ff1fb22a62</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Schema Object should have all required properties defined|<a href="https://swagger.io/specification/v2/#schemaObject">Documentation</a><br/>|
|Properties Missing Required Property (v3)<br/><sup><sub>3fb03214-25d4-4bd4-867c-c2d8d708a483</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Schema Object should have all required properties defined|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Schema Discriminator Not Required (v2)<br/><sup><sub>be6a3722-af60-438c-b1b9-2a03e2958ab7</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|The discriminator property in the Schema Object should be a required property|<a href="https://swagger.io/specification/v2/#schema-object">Documentation</a><br/>|
|Schema Discriminator Not Required (v3)<br/><sup><sub>b481d46c-9c61-480f-86d9-af07146dc4a4</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|The discriminator property in the Schema Object should be a required property|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Items Undefined (v2)<br/><sup><sub>3e4d34d2-36cf-4449-976d-6c256db8fc49</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Schema/Parameter items should be defined when the schema/parameter is set to an array.|<a href="https://swagger.io/specification/v2/#schema-object">Documentation</a><br/>|
|Items Undefined (v3)<br/><sup><sub>a8e859da-4a43-4e7f-94b8-25d6e3bf8e90</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Schema/Parameter items should be defined when the schema/parameter is set to an array.|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Parameters Name In Combination Not Unique (v2)<br/><sup><sub>ab871897-ec02-4835-9818-702536ee1dda</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Parameters properties 'name' and 'in' should have unique combinations|<a href="https://swagger.io/specification/v2/#parameterObject">Documentation</a><br/>|
|Parameters Name In Combination Not Unique (v3)<br/><sup><sub>f5b2e6af-76f5-496d-8482-8f898c5fdb4a</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Parameters properties 'name' and 'in' should have unique combinations|<a href="https://swagger.io/specification/#parameters-object">Documentation</a><br/>|
|Type Has Invalid Keyword (v2)<br/><sup><sub>492c6cbb-f3f8-4807-aa4f-42b8b1c46b59</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Schema/Parameter/Header Object define type should not use a keyword of another type|<a href="https://swagger.io/specification/v2/#schemaObject">Documentation</a><br/>|
|Type Has Invalid Keyword (v3)<br/><sup><sub>a9228976-10cf-4b5f-b902-9e962aad037a</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Schema Object define type should not use a keyword of another type|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Schema Enum Invalid (v2)<br/><sup><sub>8fe6d18a-ad4c-4397-8884-e3a9da57f4c9</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|The field 'enum' of Schema Object should be consistent with the schema's type|<a href="https://swagger.io/specification/v2/#schema-object">Documentation</a><br/>|
|Schema Enum Invalid (v3)<br/><sup><sub>03856cb2-e46c-4daf-bfbf-214ec93c882b</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|The field 'enum' of Schema Object should be consistent with the schema's type|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Paths Object is Empty (v2)<br/><sup><sub>3e6c7b1c-8a8d-43ab-98b9-65159f44db4a</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Paths object may be empty due to ACL constraints, meaning they are not exposed|<a href="https://swagger.io/specification/v2/#pathsObject">Documentation</a><br/>|
|Paths Object is Empty (v3)<br/><sup><sub>815021c8-a50c-46d9-b192-24f71072c400</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Paths object may be empty due to ACL constraints, meaning they are not exposed|<a href="https://swagger.io/specification/#paths-object">Documentation</a><br/>|
|Schema Discriminator Property Not String (v2)<br/><sup><sub>949376f1-f560-4c6d-a016-63424ca931bb</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Schema discriminator property should be a string|<a href="https://swagger.io/specification/v2/#schema-object">Documentation</a><br/>|
|Schema Discriminator Property Not String (v3)<br/><sup><sub>dadc2f36-1f5a-46c0-8289-75e626583123</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Schema discriminator property should be a string|<a href="https://swagger.io/specification/#discriminator-object">Documentation</a><br/>|
|Schema Object With Circular Ref (v2)<br/><sup><sub>cbff2508-85c9-4448-a8b3-770070edf5ca</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Schema Object should not reference it self in 'allOf', 'oneOf', 'anyOf' and 'not' properties|<a href="https://swagger.io/specification/v2/#definitionsObject">Documentation</a><br/>|
|Schema Object With Circular Ref (v3)<br/><sup><sub>1a1aea94-745b-40a7-b860-0702ea6ee636</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Schema Object should not reference it self in 'allOf', 'oneOf', 'anyOf' and 'not' properties|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Path Parameter Not Required (v2)<br/><sup><sub>ccd0613f-cb77-4684-a892-183bd2674d12</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|The property 'required' determines whether the parameter is mandatory. If the parameter location is 'path', this property is required and its value must be true.|<a href="https://swagger.io/specification/v2/#parameterObject">Documentation</a><br/>|
|Path Parameter Not Required (v3)<br/><sup><sub>0de50145-e845-47f4-9a15-23bcf2125710</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|The property 'required' determines whether the parameter is mandatory. If the parameter location is 'path', this property is required and its value must be true.|<a href="https://swagger.io/specification/#parameter-object">Documentation</a><br/>|
|Path Template is Empty (v2)<br/><sup><sub>c201b7ad-6173-4598-a407-5edb04a1bcd7</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|All path templates should not be empty|<a href="https://swagger.io/specification/v2/#pathsObject">Documentation</a><br/>|
|Path Template is Empty (v3)<br/><sup><sub>ae13a37d-943b-47a7-a970-83c8598bcca3</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|All path templates should not be empty|<a href="https://swagger.io/specification/#paths-object">Documentation</a><br/>|
|Property 'allowEmptyValue' Improperly Defined (v2)<br/><sup><sub>0bc1477d-0922-478b-ae16-674a7634a1a8</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Property 'allowEmptyValue' should be only defined for query parameters and formData parameters|<a href="https://swagger.io/specification/v2/#parameterObject">Documentation</a><br/>|
|Property 'allowEmptyValue' Improperly Defined (v3)<br/><sup><sub>4bcbcd52-3028-469f-bc14-02c7dbba2df2</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Property 'allowEmptyValue' should be only defined for query parameters and formData parameters|<a href="https://swagger.io/specification/#parameter-object">Documentation</a><br/>|
|Schema Has A Required Property Undefined (v2)<br/><sup><sub>811762c8-2e99-4f70-88f9-a63875a953b1</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Schema Object should not be have a required property that is not defined on properties|<a href="https://swagger.io/specification/v2/#schemaObject">Documentation</a><br/>|
|Schema Has A Required Property Undefined (v3)<br/><sup><sub>2bd608ae-8a1f-457f-b710-c237883cb313</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Schema Object should not be have a required property that is not defined on properties|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Cleartext Credentials With Basic Authentication For Operation<br/><sup><sub>86b1fa30-9790-4980-994d-a27e0f6f27c1</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Access Control|Cleartext credentials over unencrypted channel should not be accepted for the operation|<a href="https://swagger.io/specification/#operation-object">Documentation</a><br/>|
|Field 'securityScheme' On Components Is Undefined<br/><sup><sub>8db5544e-4874-4baa-9322-e9f75a2d219e</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Access Control|Components' securityScheme field must have a valid scheme|<a href="https://swagger.io/specification/#security-scheme-object">Documentation</a><br/>|
|OAuth2 With Implicit Flow<br/><sup><sub>39cb32f2-3a42-4af0-8037-82a7a9654b6c</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Access Control|OAuth2 implicit flow is vulnerable to access token leakage and access token replay|<a href="https://swagger.io/specification/#oauth-flows-object">Documentation</a><br/>|
|Security Scheme Using HTTP Digest<br/><sup><sub>a4247b11-890b-45df-bf42-350a7a3af9be</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Access Control|Security Scheme HTTP should not be using digest authentication|<a href="https://swagger.io/specification/#security-scheme-object">Documentation</a><br/>|
|Implicit Flow in OAuth2 (v3)<br/><sup><sub>4a1f3d75-ab73-41b2-83e7-06a93dc3a75a</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Access Control|There is a 'securityScheme' using implicit flow on OAuth2, which is deprecated|<a href="https://swagger.io/specification/#oauth-flow-object">Documentation</a><br/>|
|Invalid OAuth2 Authorization URL (v3)<br/><sup><sub>52c0d841-60d6-4a81-88dd-c35fef36d315</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Access Control|The field authorizationUrl on implicit or authorizationCode fields from OAuth must be a valid URL|<a href="https://swagger.io/specification/#oauth-flow-object">Documentation</a><br/>|
|OAuth2 With Password Flow<br/><sup><sub>3979b0a4-532c-4ea7-86e4-34c090eaa4f2</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Access Control|OAuth2 password flow insecurely exposes the credentials of the resource owner to the client|<a href="https://swagger.io/specification/#oauth-flows-object">Documentation</a><br/>|
|Invalid OAuth2 Token URL (v3)<br/><sup><sub>3ba0cca1-b815-47bf-ac62-1e584eb64a05</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Access Control|OAuth2 security scheme flow requires a valid URL in the tokenUrl field|<a href="https://swagger.io/specification/#oauth-flow-object">Documentation</a><br/>|
|Security Scheme Using HTTP Negotiate<br/><sup><sub>f525cc92-9050-4c41-a75c-890dc6f64449</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Access Control|Security Scheme HTTP should not be using negotiate authentication|<a href="https://swagger.io/specification/#security-scheme-object">Documentation</a><br/>|
|Security Scheme Using HTTP Basic<br/><sup><sub>68e5fcac-390c-4939-a373-6074b7be7c71</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Access Control|Security Scheme HTTP should not be using basic authentication|<a href="https://swagger.io/specification/#security-scheme-object">Documentation</a><br/>|
|Security Scheme HTTP Unknown Scheme<br/><sup><sub>06764426-3c56-407e-981f-caa25db1c149</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Access Control|Security Scheme HTTP scheme should be registered in the IANA Authentication Scheme registry|<a href="https://swagger.io/specification/#security-scheme-object">Documentation</a><br/>|
|Global Server Object Uses HTTP<br/><sup><sub>2d8c175a-6d90-412b-8b0e-e034ea49a1fe</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Encryption|Global server object URL should use 'https' protocol instead of 'http'|<a href="https://swagger.io/specification/#server-object">Documentation</a><br/>|
|Path Server Object Uses HTTP (v3)<br/><sup><sub>9670f240-7b4d-4955-bd93-edaa9fa38b58</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Encryption|The property 'url' in the Path Server Object should only allow 'HTTPS' protocols to ensure an encrypted connection|<a href="https://swagger.io/specification/#server-object">Documentation</a><br/>|
|Additional Properties Too Restrictive<br/><sup><sub>a19c3bbd-c056-40d7-9e1c-eeb0634e320d</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|Objects should accept 'additionalProperties' if it is allOf or an object with anyOf or oneOf|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Additional Properties Too Permissive<br/><sup><sub>9f88c88d-824d-4d9a-b985-e22977046042</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|Objects should not accept 'additionalProperties' if it is possible|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Media Type Object Without Schema<br/><sup><sub>f79b9d26-e945-44e7-98a1-b93f0f7a68a0</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|The Media Type Object should have the attribute 'schema' defined|<a href="https://swagger.io/specification/#media-type-object">Documentation</a><br/>|
|Parameter Object Without Schema<br/><sup><sub>8fe1846f-52cc-4413-ace9-1933d7d23672</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|The Parameter Object should have the attribute 'schema' defined|<a href="https://swagger.io/specification/#parameter-object">Documentation</a><br/>|
|Success Response Code Undefined for Trace Operation<br/><sup><sub>105e20dd-8449-4d71-95c6-d5dac96639af</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|Trace should define the '200' successful code|<a href="https://swagger.io/specification/#operation-object">Documentation</a><br/>|
|Header Object Without Schema<br/><sup><sub>50de3b5b-6465-4e06-a9b0-b4c2ba34326b</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Networking and Firewall|The header object should have schema defined|<a href="https://swagger.io/specification/#header-object">Documentation</a><br/>|
|Security Scheme Using Oauth 1.0<br/><sup><sub>1bc3205c-0d60-44e6-84f3-44fbf4dac5b3</sub></sup>|OpenAPI|<span style="color:#CC0">Low</span>|Access Control|Oauth 1.0 is deprecated, OAuth2 should be used instead|<a href="https://swagger.io/specification/#security-scheme-object">Documentation</a><br/>|
|Undefined Scope 'securityScheme' On 'security' Field On Operations<br/><sup><sub>462d6a1d-fed9-4d75-bb9e-3de902f35e6e</sub></sup>|OpenAPI|<span style="color:#CC0">Low</span>|Access Control|Using an scope on security of operations that is undefined on 'securityScheme' can be defined by an attacker|<a href="https://swagger.io/specification/#oauth-flow-object">Documentation</a><br/>|
|Undefined Scope 'securityScheme' On Global 'security' Field<br/><sup><sub>23a9e2d9-8738-4556-a71c-2802b6ffa022</sub></sup>|OpenAPI|<span style="color:#CC0">Low</span>|Access Control|Using an scope on global security field that is undefined on 'securityScheme' can be defined by an attacker|<a href="https://swagger.io/specification/#oauth-flow-object">Documentation</a><br/>|
|API Key Exposed In Global Security Scheme<br/><sup><sub>40e1d1bf-11a9-4f63-a3a2-a8b84c602839</sub></sup>|OpenAPI|<span style="color:#CC0">Low</span>|Access Control|API Keys should not be transported over network|<a href="https://swagger.io/specification/#security-scheme-object">Documentation</a><br/>|
|Global Security Scheme Using Basic Authentication<br/><sup><sub>77276d82-4f45-4cf1-8e2b-4d345b936228</sub></sup>|OpenAPI|<span style="color:#CC0">Low</span>|Access Control|A security scheme is allowing basic authentication credentials to be transported over network|<a href="https://swagger.io/specification/#security-scheme-object">Documentation</a><br/>|
|Property 'allowEmptyValue' Ignored<br/><sup><sub>59c2f769-7cc2-49c8-a3de-4e211135cfab</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Property 'allowEmptyValue' is ignored in the following cases: {"sytle": "simple", "explode": false}, {"sytle": "simple", "explode": true}, {"sytle": "spaceDelimited", "explode": false}, {"sytle": "pipeDelimited", "explode": false}, and {"sytle": "deepObject", "explode": true}|<a href="https://swagger.io/specification/#parameter-object">Documentation</a><br/>|
|Components Callback Definition Is Unused<br/><sup><sub>d15db953-a553-4b8a-9a14-a3d62ea3d79d</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Components callbacks definitions should be referenced or removed from Open API definition|<a href="https://swagger.io/specification/#components-object">Documentation</a><br/>|
|Components Schema Definition Is Unused<br/><sup><sub>962fa01e-b791-4dcc-b04a-4a3e7389be5e</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Components schemas definitions should be referenced or removed from Open API definition|<a href="https://swagger.io/specification/#components-object">Documentation</a><br/>|
|Components Header Definition Is Unused<br/><sup><sub>a68da022-e95a-4bc2-97d3-481e0bd6d446</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Components headers definitions should be referenced or removed from Open API definition|<a href="https://swagger.io/specification/#components-object">Documentation</a><br/>|
|Components Request Body Definition Is Unused<br/><sup><sub>6b76f589-9713-44ab-97f5-59a3dba1a285</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Components request bodies definitions should be referenced or removed from Open API definition|<a href="https://swagger.io/specification/#components-object">Documentation</a><br/>|
|Components Response Definition Is Unused<br/><sup><sub>9c3ea128-7e9a-4b4c-8a32-75ad17a2d3ae</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Components responses definitions should be referenced or removed from Open API definition|<a href="https://swagger.io/specification/#components-object">Documentation</a><br/>|
|Components Example Definition Is Unused<br/><sup><sub>b05bb927-2df5-43cc-8d7b-6825c0e71625</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Components examples definitions should be referenced or removed from Open API definition|<a href="https://swagger.io/specification/#components-object">Documentation</a><br/>|
|Unknown Prefix (v3)<br/><sup><sub>a5375be3-521c-43bb-9eab-e2432e368ee4</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|The media type prefix should be set as 'application', 'audio', 'font', 'example', 'image', 'message', 'model', 'multipart', 'text' or 'video'|<a href="https://swagger.io/specification/#media-type-object">Documentation</a><br/>|
|Encoding Header 'Content-Type' Improperly Defined<br/><sup><sub>4cd8de87-b595-48b6-ab3c-1904567135ab</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Encoding Map Key should not define a 'Content-Type' in the 'headers' field. If so, it will be ignored.|<a href="https://swagger.io/specification/#media-type-object">Documentation</a><br/>|
|Invalid Media Type Value (v3)<br/><sup><sub>cf4a5f45-a27b-49df-843a-9911dbfe71d4</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|The Media Type value should match the following format: <type>/<subtype>[+suffix][;parameters]|<a href="https://swagger.io/specification/#media-type-object">Documentation</a><br/>|
|Property 'explode' of Encoding Object Ignored<br/><sup><sub>a4dd69b8-49fa-45d2-a060-c76655405b05</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Property 'explode' of the encoding object should be defined when the media type of the request body is 'application/x-www-form-urlencoded'. If not, it will be ignored.|<a href="https://swagger.io/specification/#encoding-object">Documentation</a><br/>|
|Components Parameter Definition Is Unused<br/><sup><sub>698a464e-bb3e-4ba8-ab5e-e6599b7644a0</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Components parameters definitions should be referenced or removed from Open API definition|<a href="https://swagger.io/specification/#components-object">Documentation</a><br/>|
|Property 'style' of Encoding Object Ignored<br/><sup><sub>d3ea644a-9a5c-4fee-941f-f8a6786c0470</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Property 'style' of the encoding object should be defined when the media type of the request body is 'application/x-www-form-urlencoded'. If not, it will be ignored.|<a href="https://swagger.io/specification/#encoding-object">Documentation</a><br/>|
|Components Link Definition Is Unused<br/><sup><sub>c19779a9-5774-4d2f-a3a1-a99831730375</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Components links definitions should be referenced or removed from Open API definition|<a href="https://swagger.io/specification/#components-object">Documentation</a><br/>|
|Property 'allowReserved' of Encoding Object Ignored<br/><sup><sub>4190dda7-af03-4cf0-a128-70ac1661ca09</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|Property 'allowReserved' of the encoding object should be defined when the media type of the request body is 'application/x-www-form-urlencoded'. If not, it will be ignored.|<a href="https://swagger.io/specification/#encoding-object">Documentation</a><br/>|
|Response Object With Incorrect Ref (v3)<br/><sup><sub>b3871dd8-9333-4d6c-bd52-67eb898b71ab</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Response Object reference must always point to '#/components/responses'|<a href="https://swagger.io/specification/#responses-object">Documentation</a><br/>|
|Link Object OperationId Does Not Target Operation Object<br/><sup><sub>c5bb7461-aa57-470b-a714-3bc3d74f4669</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Link object 'OperationId' should target an existing operation object in the OpenAPI definition|<a href="https://swagger.io/specification/#link-object">Documentation</a><br/>|
|Link Object Incorrect Ref<br/><sup><sub>b9db8a10-020c-49ca-88c6-780e5fdb4328</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Link object reference must always point to '#/components/links'|<a href="https://swagger.io/specification/#link-object">Documentation</a><br/>|
|Parameter Object With Schema And Content<br/><sup><sub>31dd6fc0-f274-493b-9614-e063086c19fc</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|A Parameter Object must contain either a 'schema' property, or a 'content' property, but not both since they are mutually exclusive|<a href="https://swagger.io/specification/#parameter-object">Documentation</a><br/>|
|Callback Object With Incorrect Ref<br/><sup><sub>ba066cda-e808-450d-92b6-f29109754d45</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Callback Object reference must always point to '#/components/callbacks'|<a href="https://swagger.io/specification/#callback-object">Documentation</a><br/>|
|Security Field Undefined<br/><sup><sub>ab1263c2-81df-46f0-9f2c-0b62fdb68419</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Security field should be defined in '#/components/securitySchemes'|<a href="https://swagger.io/specification/#security-requirement-object">Documentation</a><br/>|
|Link JSON Reference Does Not Exists<br/><sup><sub>801f0c6a-a834-4467-89c6-ddecffb46b5a</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Link reference should exists on components field|<a href="https://swagger.io/specification/#components-object">Documentation</a><br/>|
|Components Object Fixed Field Key Improperly Named<br/><sup><sub>151331e2-11f4-4bb6-bd35-9a005e695087</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Components object fixed fields (schemas, responses, parameters, examples, requestBodies, headers, securitySchemes, links, and callbacks) should use keys that match the following REGEX: `^[a-zA-Z0-9\.\-_]+$`|<a href="https://swagger.io/specification/#components-object">Documentation</a><br/>|
|Response JSON Reference Does Not Exists (v3)<br/><sup><sub>7a01dfbd-da62-4165-aed7-71349ad42ab4</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Response reference should exists on components field|<a href="https://swagger.io/specification/#components-object">Documentation</a><br/>|
|Request Body JSON Reference Does Not Exists<br/><sup><sub>ca02f4e8-d3ae-4832-b7db-bb037516d9e7</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Request Body reference should exists on components field|<a href="https://swagger.io/specification/#components-object">Documentation</a><br/>|
|Example JSON Reference Does Not Exists<br/><sup><sub>6a2c219f-da5e-4745-941e-5ea8cde23356</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Example reference should exists on components field|<a href="https://swagger.io/specification/#components-object">Documentation</a><br/>|
|Encoding Map Key Mismatch Schema Defined Properties<br/><sup><sub>cd7a52cf-8d7f-4cfe-bbeb-6306d23f576b</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Encoding Map Key should be set in schema defined properties|<a href="https://swagger.io/specification/#media-type-object">Documentation</a><br/>|
|Security Requirement Object With Wrong Scopes<br/><sup><sub>37140f7f-724a-4c87-a536-e9cee1d61533</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Security Requirement Object should only have scopes defined for security schemes of type 'oauth2' and 'openIdConnect'|<a href="https://swagger.io/specification/#security-requirement-object">Documentation</a><br/>|
|Servers Array Undefined<br/><sup><sub>c66ebeaa-676c-40dc-a3ff-3e49395dcd5e</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|The Servers array should have at least one server defined. If not, the default value would be a Server Object with a URL value of '/'.|<a href="https://swagger.io/specification/#server-object">Documentation</a><br/>|
|Schema Object Incorrect Ref (v3)<br/><sup><sub>4cac7ace-b0fb-477d-830d-65395d9109d9</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Schema Object reference must always point to '#/components/schemas'|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Security Operation Field Undefined<br/><sup><sub>20a482d5-c5d9-4a7a-b7a4-60d0805047b4</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Security operation field should be defined in '#/components/securitySchemes'|<a href="https://swagger.io/specification/#operation-object">Documentation</a><br/>|
|Request Body Object With Incorrect Media Type<br/><sup><sub>58f06434-a88c-4f74-826c-db7e10cc7def</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|The field 'content' of the request body object should be set to 'multipart' or 'application/x-www-form-urlencoded' when field 'encoding' is set.|<a href="https://swagger.io/specification/#media-type-object">Documentation</a><br/>|
|Parameter Object With Incorrect Ref (v3)<br/><sup><sub>d40f27e6-15fb-4b56-90f8-fc0ff0291c51</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Parameter Object reference must always point to '#/components/parameters'|<a href="https://swagger.io/specification/#parameter-object">Documentation</a><br/>|
|Parameter Object Content With Multiple Entries<br/><sup><sub>8bfed1c6-2d59-4924-bc7f-9b9d793ed0df</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|The map content property of the parameter object should only contain one entry|<a href="https://swagger.io/specification/#parameter-object">Documentation</a><br/>|
|Callback JSON Reference Does Not Exists<br/><sup><sub>f29904c8-6041-4bca-b043-dfa0546b8079</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Callback reference should exists on components field|<a href="https://swagger.io/specification/#components-object">Documentation</a><br/>|
|Schema JSON Reference Does Not Exists (v3)<br/><sup><sub>015eac96-6313-43c0-84e5-81b1374fa637</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Schema reference should exists on components field|<a href="https://swagger.io/specification/#components-object">Documentation</a><br/>|
|Example JSON Reference Outside Components Examples<br/><sup><sub>bac56e3c-1f71-4a74-8ae6-2fba07efcddb</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Reference to examples should point to #/components/examples|<a href="https://swagger.io/specification/#reference-object">Documentation</a><br/>|
|Header JSON Reference Does Not Exists<br/><sup><sub>376c9390-7e9e-4cb8-a067-fd31c05451fd</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Header reference should exists on components field|<a href="https://swagger.io/specification/#components-object">Documentation</a><br/>|
|Parameter JSON Reference Does Not Exists (v3)<br/><sup><sub>2e275f16-b627-4d3f-ae73-a6153a23ae8f</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Parameter reference should exists on components field|<a href="https://swagger.io/specification/#components-object">Documentation</a><br/>|
|Object Without Required Property (v3)<br/><sup><sub>d172a060-8569-4412-8045-3560ebd477e8</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|OpenAPI Object should contain all of its required fields|<a href="https://swagger.io/specification/">Documentation</a><br/>|
|Request Body With Incorrect Ref<br/><sup><sub>0f6cd0ab-c366-4595-84fc-fbd8b9901e4d</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Request Body reference must always point to '#/components/RequestBodies'|<a href="https://swagger.io/specification/#request-body-object">Documentation</a><br/>|
|Invalid Content Type For Multiple Files Upload<br/><sup><sub>26f06397-36d8-4ce7-b993-17711261d777</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Content Type should be set to 'multipart/form-data' in case of uploading an arbitrary number of files (array)|<a href="https://swagger.io/docs/specification/describing-request-body/file-upload/">Documentation</a><br/>|
|Server Object Variable Not Used<br/><sup><sub>8aee4754-970d-4c5f-8142-a49dfe388b1a</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Every defined Server Variable Object should be used in a Service URL.|<a href="https://swagger.io/specification/#server-variable-object">Documentation</a><br/>|
|Link Object With Both 'operationId' And 'operationRef'<br/><sup><sub>60fb6621-9f02-473b-9424-ba9a825747d3</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Link object 'OperationId' should not have both 'operationId' and 'operationRef' defined since they are mutually exclusive.|<a href="https://swagger.io/specification/#link-object">Documentation</a><br/>|
|Server URL Not Absolute<br/><sup><sub>a0bf7382-5d5a-4224-924c-3db8466026c9</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|The Server URL should be an absolute URL|<a href="https://swagger.io/specification/#server-object">Documentation</a><br/>|
|Header Object With Incorrect Ref<br/><sup><sub>2d6646f4-2946-420f-8c14-3232d49ae0cb</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Header Object reference must always point to '#/components/headers'|<a href="https://swagger.io/specification/#responses-object">Documentation</a><br/>|
|Unknown Property (v3)<br/><sup><sub>fb7d81e7-4150-48c4-b914-92fc05da6a2f</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|All properties defined in OpenAPI objects should be known|<a href="https://swagger.io/specification/">Documentation</a><br/>|
|Empty Array<br/><sup><sub>5915c20f-dffa-4cee-b5d4-f457ddc0151a</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|All array fields should not be empty|<a href="https://swagger.io/specification/">Documentation</a><br/>|
|Parameter Object With Undefined Type<br/><sup><sub>46facedc-f243-4108-ab33-583b807d50b0</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|A Parameter Object must contain either a 'schema' property, or a 'content' property|<a href="https://swagger.io/specification/#parameter-object">Documentation</a><br/>|
|Property 'allowReserved' Improperly Defined<br/><sup><sub>7f203940-39c4-4ea7-91ee-7aba16bca9e2</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Property 'allowReserved' should be only defined for query parameters|<a href="https://swagger.io/specification/#parameter-object">Documentation</a><br/>|
|Server URL Uses Undefined Variables<br/><sup><sub>8d0921d6-4131-461f-a253-99e873f8f77e</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Any variable used in the Service URL should be defined in the Service Object through 'variables'.|<a href="https://swagger.io/specification/#server-object">Documentation</a><br/>|
|Schema With Both ReadOnly And WriteOnly<br/><sup><sub>d2361d58-361c-49f0-9e50-b957fd608b29</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Schema should not have both 'writeOnly' and 'readOnly' set to true|<a href="https://swagger.io/specification/#schema-object">Documentation</a><br/>|
|Security Definitions Undefined or Empty<br/><sup><sub>e3f026e8-fdb4-4d5a-bcfd-bd94452073fe</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Access Control|Security Definitions Object should be set and not empty|<a href="https://swagger.io/specification/v2/#securityDefinitionsObject">Documentation</a><br/>|
|Non OAuth2 Security Requirement Defining OAuth2 Scopes<br/><sup><sub>ba239cb9-f342-4c20-812d-7b5a2aa6969e</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Structure and Semantics|If the security scheme is not of type 'oauth2', the array value must be empty|<a href="https://swagger.io/specification/v2/#securityRequirementObject">Documentation</a><br/>|
|Security Requirement Not Defined In Security Definition<br/><sup><sub>a599b0d1-ff89-4cb8-9ece-9951854c06f6</sub></sup>|OpenAPI|<span style="color:#C00">High</span>|Structure and Semantics|All security requirement objects must be defined in 'securityDefinitions'|<a href="https://swagger.io/specification/v2/#securityRequirementObject">Documentation</a><br/>|
|Operation Using Password Flow<br/><sup><sub>2e44e632-d617-43cb-b294-6bfe72a08938</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Access Control|Operation Object should not use 'password' Flow in OAuth2 authentication|<a href="https://swagger.io/specification/v2/#operation-object">Documentation</a><br/>|
|Security Definitions Allows Password Flow<br/><sup><sub>773116aa-2e6d-416f-bd85-f0301cc05d76</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Access Control|Security Defenition Object should not allow 'password' Flow in OAuth2 authentication|<a href="https://swagger.io/specification/v2/#securitySchemeObject">Documentation</a><br/>|
|Implicit Flow in OAuth2 (v2)<br/><sup><sub>e9817ad8-a8c9-4038-8a2f-db0e6e7b284b</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Access Control|There is a 'securityDefinition' using implicit flow on OAuth2, which is deprecated|<a href="https://swagger.io/specification/v2/#securitySchemeObject">Documentation</a><br/>|
|Invalid OAuth2 Authorization URL (v2)<br/><sup><sub>33d96c65-977d-4c33-943f-440baca49185</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Access Control|The field authorizationUrl on implicit or authorizationCode fields from OAuth must be a valid URL|<a href="https://swagger.io/specification/v2/#securitySchemeObject">Documentation</a><br/>|
|Invalid OAuth2 Token URL (v2)<br/><sup><sub>274f910a-0665-4f08-b66d-7058fe927dba</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Access Control|OAuth2 security definition flow requires a valid URL in the tokenUrl field|<a href="https://swagger.io/specification/v2/#security-scheme-object">Documentation</a><br/>|
|Global Security Using Password Flow<br/><sup><sub>2da46be4-4317-4650-9285-56d7103c4f93</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Access Control|Security should not use 'password' Flow in OAuth2 authentication|<a href="https://swagger.io/specification/v2/#securityRequirementObject">Documentation</a><br/>|
|Schemes Uses HTTP<br/><sup><sub>a46928f1-43d7-4671-94e0-2dd99746f389</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Encryption|Schemes should use 'https' protocol instead of 'http'. Scheme using 'http' allows for clear text credentials|<a href="https://swagger.io/specification/v2/#swaggerObject">Documentation</a><br/>|
|Path Scheme Accepts HTTP (v2)<br/><sup><sub>a6847dc6-f4ea-45ac-a81f-93291ae6c573</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Encryption|The Scheme list of Operation Object should only allow 'HTTPS' protocol to ensure an encrypted connection|<a href="https://swagger.io/specification/v2/#operationObject">Documentation</a><br/>|
|Global Schemes Uses HTTP<br/><sup><sub>f30ee711-0082-4480-85ab-31d922d9a2b2</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Encryption|Global Schemes should use 'https' protocol instead of 'http'|<a href="https://swagger.io/specification/v2/#swaggerObject">Documentation</a><br/>|
|Operation Object Without 'consumes'<br/><sup><sub>0c79e50e-b3cf-490c-b8f6-587c644d4d0c</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|Operation Object should have 'consumes' feild defined for 'POST', 'PUT' and 'PATCH' operations|<a href="https://swagger.io/specification/v2/#operation-object">Documentation</a><br/>|
|Operation Object Without 'produces'<br/><sup><sub>be3e170e-1572-461e-a8b6-d963def581ec</sub></sup>|OpenAPI|<span style="color:#C60">Medium</span>|Insecure Configurations|Operation Object should have 'produces' feild defined for 'GET'operation|<a href="https://swagger.io/specification/v2/#operation-object">Documentation</a><br/>|
|Security Definitions Using Basic Auth<br/><sup><sub>221015a8-aa2a-43f5-b00b-ad7d2b1d47a8</sub></sup>|OpenAPI|<span style="color:#CC0">Low</span>|Access Control|Security Defenition Object should not use basic authentication|<a href="https://swagger.io/specification/v2/#securitySchemeObject">Documentation</a><br/>|
|Operation Using Implicit Flow<br/><sup><sub>f42dfe7e-787d-4478-a75e-a5f3d8a2269e</sub></sup>|OpenAPI|<span style="color:#CC0">Low</span>|Access Control|Operation Object should not use implicit flow|<a href="https://swagger.io/specification/v2/#operation-object">Documentation</a><br/>|
|Undefined Scope 'securityDefinition' On 'security' Field On Operations<br/><sup><sub>3847280c-9193-40bc-8009-76168e822ce2</sub></sup>|OpenAPI|<span style="color:#CC0">Low</span>|Access Control|Using an scope on security of operations that is undefined on 'securityDefinitions' can be defined by an attacker|<a href="https://swagger.io/specification/v2/#security-scheme-object">Documentation</a><br/>|
|Undefined Scope 'securityDefinition' On Global 'security' Field<br/><sup><sub>9aa6e95c-d964-4239-a3a8-9f37a3c5a31f</sub></sup>|OpenAPI|<span style="color:#CC0">Low</span>|Access Control|Using an scope on global security field that is undefined on 'securityDefinitions' can be defined by an attacker|<a href="https://swagger.io/specification/v2/#security-scheme-object">Documentation</a><br/>|
|Operation Using Basic Auth<br/><sup><sub>ceefb058-8065-418f-9c4c-584a78c7e104</sub></sup>|OpenAPI|<span style="color:#CC0">Low</span>|Access Control|Operation Object should not use basic authentication|<a href="https://swagger.io/specification/v2/#operation-object">Documentation</a><br/>|
|Operation Summary Too Long<br/><sup><sub>d47940ca-5970-45cc-bdd1-4d81398cee1f</sub></sup>|OpenAPI|<span style="color:#CC0">Low</span>|Best Practices|Operation summary should be short (less than 120 characters)|<a href="https://swagger.io/specification/v2/#operation-object">Documentation</a><br/>|
|Constraining Enum Property<br/><sup><sub>be1d8733-3731-40c7-a845-734741c6871d</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|There is a constraining keyword in a property which is already restricted by enum values|<a href="https://swagger.io/specification/v2/#schemaObject">Documentation</a><br/>|
|Global Parameter Definition Not Being Used<br/><sup><sub>b30981fa-a12e-49c7-a5bb-eeafb61d0f0f</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|All global parameters definitions  should be in use|<a href="https://swagger.io/specification/v2/#parametersDefinitionsObject">Documentation</a><br/>|
|Unknown Prefix (v2)<br/><sup><sub>3b615f00-c443-4ba9-acc4-7c308716917d</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|The media type prefix should be set as 'application', 'audio', 'font', 'example', 'image', 'message', 'model', 'multipart', 'text' or 'video'|<a href="https://swagger.io/specification/v2/#swagger-object">Documentation</a><br/>|
|Schema with 'additionalProperties' set as Boolean<br/><sup><sub>3a01790c-ebee-4da6-8fd3-e78657383b75</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|The value of 'additionalProperties' should be set as object instead of boolean, since swagger 2.0 does not support boolean value for it|<a href="https://swagger.io/specification/v2/#schema-object">Documentation</a><br/>|
|Invalid Media Type Value (v2)<br/><sup><sub>f985a7d2-d404-4a7f-9814-f645f791e46e</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|The Media Type value should match the following format: <type>/<subtype>[+suffix][;parameters]|<a href="https://swagger.io/specification/#media-type-object">Documentation</a><br/>|
|Global Schema Definition Not Being Used<br/><sup><sub>6d2e0790-cc3d-4c74-b973-d4e8b09f4455</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|All global schemas definitions should be in use|<a href="https://swagger.io/specification/v2/#definitionsObject">Documentation</a><br/>|
|Global Responses Definition Not Being Used<br/><sup><sub>0b76d993-ee52-43e0-8b39-3787d2ddabf1</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Best Practices|All global responses definitions should be in use|<a href="https://swagger.io/specification/v2/#responsesDefinitionsObject">Documentation</a><br/>|
|Host With Invalid Pattern<br/><sup><sub>3d7d7b6c-fb0a-475e-8a28-c125e30d15f0</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Host field should be an IP or a valid host name|<a href="https://swagger.io/specification/v2/#swagger-object">Documentation</a><br/>|
|Response Object With Incorrect Ref (v2)<br/><sup><sub>bccfa089-89e4-47e0-a0e5-185fe6902220</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Response Object reference must always point to '#/responses'|<a href="https://swagger.io/specification/v2/#responses-object">Documentation</a><br/>|
|Property Not Unique<br/><sup><sub>750b40be-4bac-4f59-bdc4-1ca0e6c3450e</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Every defined property must be unique throughout the whole API|<a href="https://swagger.io/specification/v2/#schemaObject">Documentation</a><br/>|
|File Parameter With Wrong Consumes Property<br/><sup><sub>7f91992f-b4c8-43bf-9bf9-fae9ecdb6e3a</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Operations file parameters consumes must be 'multipart/form-data', 'application/x-www-form-urlencoded' or both|<a href="https://swagger.io/specification/v2/#operation-object">Documentation</a><br/>|
|Parameter File Type Not In 'formData'<br/><sup><sub>c3cab8c4-6c52-47a9-942b-c27f26fbd7d2</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|The In field of Parameter Object must be 'formData' when type is 'file'|<a href="https://swagger.io/specification/v2/#parameterObject">Documentation</a><br/>|
|Responses JSON Reference Does Not Exists (v2)<br/><sup><sub>e9db5fb4-6a84-4abb-b4af-3b94fbdace6d</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Responses reference should exist on responses definition field|<a href="https://swagger.io/specification/v2/#responsesDefinitionsObject">Documentation</a><br/>|
|Multiple Body Parameters In The Same Operation<br/><sup><sub>b90033cf-ad9f-4fb9-acd1-1b9d6d278c87</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Only one body parameter is allowed on operation's parameters type field|<a href="https://swagger.io/specification/v2/#parameterObject">Documentation</a><br/>|
|Operation Object Parameters With 'body' And 'formatData' locations<br/><sup><sub>eb3f9744-d24e-4614-b1ff-2a9514eca21c</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Operation object parameters should not have both 'body' and 'formatData' locations|<a href="https://swagger.io/specification/v2/#parameterObject">Documentation</a><br/>|
|Body Parameter With Wrong Property<br/><sup><sub>c38d630d-a415-4e3e-bac2-65475979ba88</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|The Body Parameter Object should only have the following properties defined - 'name', 'in', 'description', 'required', and 'schema'|<a href="https://swagger.io/specification/v2/#parameterObject">Documentation</a><br/>|
|Schema Object Incorrect Ref (v2)<br/><sup><sub>0220e1c5-65d1-49dd-b7c2-cef6d6cb5283</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Schema Object reference must always point to '#/definitions'|<a href="https://swagger.io/specification/v2/#schema-object">Documentation</a><br/>|
|Parameter Object With Incorrect Ref (v2)<br/><sup><sub>2596545e-1757-4ff7-a15a-8a9a180a42f3</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Parameter Object reference must always point to '#/parameters'|<a href="https://swagger.io/specification/v2/#parameter-object">Documentation</a><br/>|
|Schema JSON Reference Does Not Exists (v2)<br/><sup><sub>98295b32-ec09-4b5b-89a9-39853197f914</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Schema reference should exists on definitions field|<a href="https://swagger.io/specification/v2/#definitionsObject">Documentation</a><br/>|
|Parameter JSON Reference Does Not Exists (v2)<br/><sup><sub>fb889ae9-2d16-40b5-b41f-9da716c5abc1</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Parameter reference should exist on parameters definition field|<a href="https://swagger.io/specification/v2/#parameterObject">Documentation</a><br/>|
|BasePath With Wrong Format<br/><sup><sub>b4803607-ed72-4d60-99e2-3fa6edf471c6</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|The 'basePath' value format must match the pattern '^/'|<a href="https://swagger.io/specification/v2/#schema">Documentation</a><br/>|
|Object Without Required Property (v2)<br/><sup><sub>5e5ecb9d-04b5-4e4f-b5a5-6ee04279b275</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|OpenAPI Object should contain all of its required fields|<a href="https://swagger.io/specification/v2/">Documentation</a><br/>|
|Non Body Parameter Without Schema<br/><sup><sub>73c3bc54-3cc6-4c0a-b30a-e19f2abfc951</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|The Body Parameter Object should have the attribute 'schema' defined|<a href="https://swagger.io/specification/v2/#parameterObject">Documentation</a><br/>|
|Unknown Property (v2)<br/><sup><sub>429b2106-ba37-43ba-9727-7f699cc611e1</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|All properties defined in OpenAPI objects should be known|<a href="https://swagger.io/specification/v2/">Documentation</a><br/>|
|Operation Example Mismatch Produces MimeType<br/><sup><sub>2cf35b40-ded3-43d6-9633-c8dcc8bcc822</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|Example should match one of MimeTypes on 'produces'. It is important to know that, if a 'produces' is declared on operation it will override global 'produces'|<a href="https://swagger.io/specification/v2/#exampleObject">Documentation</a><br/>|
|Body Parameter Without Schema<br/><sup><sub>ed48229d-d43e-4da7-b453-5f98d964a57a</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|The Body Parameter Object should have the attribute 'schema' defined|<a href="https://swagger.io/specification/v2/#parameterObject">Documentation</a><br/>|
|Multi 'collectionformat' Not Valid For 'in' Parameter<br/><sup><sub>750f6448-27c0-49f8-a153-b81735c1e19c</sub></sup>|OpenAPI|<span style="color:#00C">Info</span>|Structure and Semantics|When 'collectionformat' is defined as 'multi', 'in' field must be 'query' or 'formData'|<a href="https://swagger.io/specification/v2/#parameterObject">Documentation</a><br/>|
|Key Vault Not Recoverable<br/><sup><sub>7c25f361-7c66-44bf-9b69-022acd5eb4bd</sub></sup>|AzureResourceManager|<span style="color:#C00">High</span>|Backup|Key Vault should have 'enableSoftDelete' and 'enablePurgeProtection' set to true|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.keyvault/2019-09-01/vaults?tabs=json#vaultproperties-object">Documentation</a><br/>|
|Azure Instance Using Basic Authentication<br/><sup><sub>6797f581-0433-4768-ae3e-7ceb2f8b138e</sub></sup>|AzureResourceManager|<span style="color:#C00">High</span>|Best Practices|Azure Instances should use SSH Key instead of basic authentication|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.compute/virtualmachines?tabs=json#linuxconfiguration-object">Documentation</a><br/>|
|Secret Without Expiration Date<br/><sup><sub>cff9c3f7-e8f0-455f-9fb4-5f72326da96e</sub></sup>|AzureResourceManager|<span style="color:#C00">High</span>|Best Practices|All Secrets must have an expiration date defined|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.keyvault/vaults/secrets?tabs=json#SecretAttributes">Documentation</a><br/>|
|Web App Not Using TLS Last Version<br/><sup><sub>b5c851d5-00f1-43dc-a8de-3218fd6f71be</sub></sup>|AzureResourceManager|<span style="color:#C00">High</span>|Encryption|Resources of type 'Microsoft.Web/sites' should define 'properties.siteConfig.minTlsVersion' with '1.2'|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.web/sites?tabs=json#siteconfig-object">Documentation</a><br/>|
|Azure Managed Disk Without Encryption<br/><sup><sub>350f3955-b5be-436f-afaa-3d2be2fa6cdd</sub></sup>|AzureResourceManager|<span style="color:#C00">High</span>|Encryption|Azure Disk Encryption should be enabled|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.compute/disks?tabs=json#encryptionsettingscollection-object">Documentation</a><br/>|
|Storage Account Allows Unsecure Transfer<br/><sup><sub>1367dd13-2c90-4020-80b7-e4339a3dc2c4</sub></sup>|AzureResourceManager|<span style="color:#C00">High</span>|Encryption|'Microsoft.Storage/storageAccounts' should force the use of HTTPS|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.storage/storageaccounts?tabs=json#storageaccountpropertiescreateparameters-object">Documentation</a><br/>|
|Website Not Forcing HTTPS<br/><sup><sub>488847ff-6031-487c-bf42-98fd6ac5c9a0</sub></sup>|AzureResourceManager|<span style="color:#C00">High</span>|Insecure Configurations|'Microsoft.Web/sites' should force the use of HTTPS|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.web/sites?tabs=json#siteproperties-object">Documentation</a><br/>|
|Website with Client Certificate Auth Disabled<br/><sup><sub>92302b47-b0cc-46cb-a28f-5610ecda140b</sub></sup>|AzureResourceManager|<span style="color:#C00">High</span>|Networking and Firewall|'Microsoft.Web/sites' should have client certificate authentication enabled|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.web/sites?tabs=json#siteproperties-object">Documentation</a><br/>|
|Trusted Microsoft Services Not Enabled<br/><sup><sub>e25b56cd-a4d6-498f-ab92-e6296a082097</sub></sup>|AzureResourceManager|<span style="color:#C00">High</span>|Networking and Firewall|Trusted Microsoft Services should be enabled for Storage Account access|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.storage/storageaccounts?tabs=json#networkruleset">Documentation</a><br/>|
|SQL Database Server Firewall Allows All IPS<br/><sup><sub>6a3201a5-1630-494b-b294-3129d06b0eca</sub></sup>|AzureResourceManager|<span style="color:#C00">High</span>|Networking and Firewall|SQL Database Server Firewall endIpAddress should not be '255.255.255.255' when startIpAddress is '0.0.0.0' since this allows all IPS|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.sql/2014-04-01/servers/firewallrules?tabs=json">Documentation</a><br/>|
|MySQL Server SSL Enforcement Disabled<br/><sup><sub>90120147-f2e7-4fda-bb21-6fa9109afd63</sub></sup>|AzureResourceManager|<span style="color:#C00">High</span>|Networking and Firewall|'Microsoft.DBforMySQL/servers' should enforce SSL|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.dbformysql/servers?tabs=json#serverpropertiesforcreate-object">Documentation</a><br/>|
|Storage Blob Service Container With Public Access<br/><sup><sub>a0ab985d-660b-41f7-ac81-70957ee8e627</sub></sup>|AzureResourceManager|<span style="color:#C00">High</span>|Networking and Firewall|Storage Blob Service Container should not publicly accessible|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.storage/storageaccounts/blobservices/containers?tabs=json#containerproperties-object">Documentation</a><br/>|
|Network Security Group With Unrestricted Access To RDP<br/><sup><sub>59cb3da7-f206-4ae6-b827-7abf0a9cab9d</sub></sup>|AzureResourceManager|<span style="color:#C00">High</span>|Networking and Firewall|Port 3389 (Remote Desktop) is exposed to the Internet|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.network/2020-07-01/networksecuritygroups?tabs=json#securityrulepropertiesformat-object">Documentation</a><br/>|
|PostgreSQL Database Server SSL Disabled<br/><sup><sub>bf500309-da53-4dd3-bcf7-95f7974545a5</sub></sup>|AzureResourceManager|<span style="color:#C00">High</span>|Networking and Firewall|Microsoft.DBforPostgreSQL/servers sslEnforcement property should be set to 'Enabled'|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.dbforpostgresql/2017-12-01/servers?tabs=json">Documentation</a><br/>|
|Network Security Group With Unrestricted Access To SSH<br/><sup><sub>2ade1579-4b2c-4590-bebb-f99bf597f612</sub></sup>|AzureResourceManager|<span style="color:#C00">High</span>|Networking and Firewall|Port 22 (SSH) is exposed to the Internet|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.network/2020-07-01/networksecuritygroups?tabs=json#securityrulepropertiesformat-object">Documentation</a><br/>|
|Role Definitions Allow Custom Subscription Role Creation<br/><sup><sub>8fa9ceea-881f-4ef0-b0b8-728f589699a7</sub></sup>|AzureResourceManager|<span style="color:#C60">Medium</span>|Access Control|Role Definitions should not allow custom subscription role creation (actions set to '*' or 'Microsoft.Authorization/roleDefinitions/write')|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.authorization/roledefinitions?tabs=json#permission-object">Documentation</a><br/>|
|AKS Cluster RBAC Disabled<br/><sup><sub>9307a2ed-35c2-413d-94de-a1a0682c2158</sub></sup>|AzureResourceManager|<span style="color:#C60">Medium</span>|Access Control|Microsoft.ContainerService/managedClusters should have enableRBAC set to true|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.containerservice/managedclusters?tabs=json">Documentation</a><br/>|
|SQL Server Database With Alerts Disabled<br/><sup><sub>574e8d82-1db2-4b9c-b526-e320ede9a9ff</sub></sup>|AzureResourceManager|<span style="color:#C60">Medium</span>|Best Practices|All Alerts should be enabled in SQL Database Server SecurityAlerts Policy Properties|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.sql/servers/databases/securityalertpolicies?tabs=json">Documentation</a><br/>|
|AKS Cluster Network Policy Not Configured<br/><sup><sub>25c0228e-4444-459b-a2df-93c7df40b7ed</sub></sup>|AzureResourceManager|<span style="color:#C60">Medium</span>|Insecure Configurations|Azure Kubernetes Service must have a network policy defined.|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.containerservice/managedclusters?tabs=json#containerservicenetworkprofile-object">Documentation</a><br/>|
|PostgresSQL Database Server Connection Throttling Disabled<br/><sup><sub>a6d774b6-d9ea-4bf4-8433-217bf15d2fb8</sub></sup>|AzureResourceManager|<span style="color:#C60">Medium</span>|Networking and Firewall|Microsoft.DBforPostgreSQL/servers/configurations should have 'connection_throttling' property set to 'on'|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.dbforpostgresql/servers/configurations?tabs=json">Documentation</a><br/>|
|Standard Price Is Not Selected<br/><sup><sub>2081c7d6-2851-4cce-bda5-cb49d462da42</sub></sup>|AzureResourceManager|<span style="color:#C60">Medium</span>|Networking and Firewall|Azure Security Center provides more features for standard pricing mode, so it must be activated.|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.security/pricings?tabs=json#pricingproperties-object">Documentation</a><br/>|
|AKS With Authorized IP Ranges Disabled<br/><sup><sub>2583fab1-953b-4fae-bd02-4a136a6c21f9</sub></sup>|AzureResourceManager|<span style="color:#C60">Medium</span>|Networking and Firewall|Azure Kubernetes Service must have an authorized IP range for API Services enabled|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.containerservice/managedclusters?tabs=json#managedclusterapiserveraccessprofile-object">Documentation</a><br/>|
|PostgreSQL Database Server Log Connections Disabled<br/><sup><sub>e69bda39-e1e2-47ca-b9ee-b6531b23aedd</sub></sup>|AzureResourceManager|<span style="color:#C60">Medium</span>|Networking and Firewall|Microsoft.DBforPostgreSQL/servers/configurations should have 'log_connections' property set to 'on'|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.dbforpostgresql/servers/configurations?tabs=json#configurationproperties-object">Documentation</a><br/>|
|PostgreSQL Database Server Log Checkpoints Disabled<br/><sup><sub>f9112910-c7bb-4864-9f5e-2059ba413bb7</sub></sup>|AzureResourceManager|<span style="color:#C60">Medium</span>|Networking and Firewall|Microsoft.DBforPostgreSQL/servers/configurations should have 'log_checkpoint' property set to 'on'|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.dbforpostgresql/2017-12-01/servers/configurations?tabs=json">Documentation</a><br/>|
|Log Profile Incorrect Category<br/><sup><sub>4d522e7b-f938-4d51-a3b1-974ada528bd3</sub></sup>|AzureResourceManager|<span style="color:#C60">Medium</span>|Observability|Log Profile Categories should be set to 'Write', 'Delete', and/or 'Action'|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.insights/2016-03-01/logprofiles?tabs=json#logprofileproperties-object">Documentation</a><br/>|
|AKS Logging To Azure Monitoring Is Disabled<br/><sup><sub>9b09dee1-f09b-4013-91d2-158fa4695f4b</sub></sup>|AzureResourceManager|<span style="color:#C60">Medium</span>|Observability|Azure Kubernetes Service should have logging to Azure Monitoring enabled.|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.containerservice/managedclusters?tabs=json#managedclusteraddonprofile">Documentation</a><br/>|
|Unrecommended Network Watcher Flow Log Retention Policy<br/><sup><sub>564b70f8-41cd-4690-aff8-bb53add86bc9</sub></sup>|AzureResourceManager|<span style="color:#C60">Medium</span>|Observability|Network Watcher Flow Log Retention Policy should be enabled and the recommended number of days for the retention should be higher than 90|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.network/2019-11-01/networkwatchers/flowlogs?tabs=json#retentionpolicyparameters-object">Documentation</a><br/>|
|SQL Server Database With Unrecommended Retention Days<br/><sup><sub>c09cdac2-7670-458a-bf6c-efad6880973a</sub></sup>|AzureResourceManager|<span style="color:#C60">Medium</span>|Observability|SQL Server Database Auditing Settings should keep the audit logs in the storage account for at least 90 days|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.sql/servers/databases/auditingsettings?tabs=json">Documentation</a><br/>|
|SQL Server Database Without Auditing<br/><sup><sub>e055285c-bc01-48b4-8aa5-8a54acdd29df</sub></sup>|AzureResourceManager|<span style="color:#C60">Medium</span>|Observability|Every 'Microsoft.Sql/servers/databases' resource should have Auditing Enabled|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.sql/servers/databases/auditingsettings">Documentation</a><br/>|
|Unrecommended Log Profile Retention Policy<br/><sup><sub>25684eac-daaa-4c2c-94b4-8d2dbb627909</sub></sup>|AzureResourceManager|<span style="color:#C60">Medium</span>|Observability|Log Profile Retention Policy should be enabled and the recommended number of days for the retention should be higher than 365 or 0 (0 will retain the events indefinitely)|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.insights/2016-03-01/logprofiles?tabs=json#retentionpolicy-object">Documentation</a><br/>|
|Storage Logging For Read Write And Delete Requests Disabled<br/><sup><sub>43f6e60c-9cdb-4e77-864d-a66595d26518</sub></sup>|AzureResourceManager|<span style="color:#C60">Medium</span>|Observability|Storage Logging should be enabled for read, write and delete methods|<a href="https://docs.microsoft.com/pt-pt/azure/azure-monitor/essentials/resource-manager-diagnostic-settings#diagnostic-setting-for-azure-storage">Documentation</a><br/>|
|Hardcoded SecureString Parameter Default Value<br/><sup><sub>4d2cf896-c053-4be5-9c95-8b4771112f29</sub></sup>|AzureResourceManager|<span style="color:#C60">Medium</span>|Secret Management|Secure parameters should not have hardcoded default value|<a href="https://docs.microsoft.com/en-us/azure/azure-resource-manager/templates/template-test-cases#secure-parameters-cant-have-hardcoded-default">Documentation</a><br/>|
|Website Azure Active Directory Disabled<br/><sup><sub>e9c133e5-c2dd-4b7b-8fff-40f2de367b56</sub></sup>|AzureResourceManager|<span style="color:#CC0">Low</span>|Access Control|WebApp should have Azure Active Directory  enabled with 'identity.type' set to 'SystemAssigned' or 'userAssignedIdentities' set to 'true'|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.web/2019-08-01/sites?tabs=json#ManagedServiceIdentity">Documentation</a><br/>|
|AKS Dashboard Is Enabled<br/><sup><sub>c62d3b92-9a11-4ffd-b7b7-6faaae83faed</sub></sup>|AzureResourceManager|<span style="color:#CC0">Low</span>|Best Practices|Azure Kubernetes Service should have the Kubernetes dashboard disabled.|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.containerservice/managedclusters?tabs=json#managedclusteraddonprofile">Documentation</a><br/>|
|Phone Number Not Set For Security Contacts<br/><sup><sub>3e9fcc67-1f64-405f-b2f9-0a6be17598f0</sub></sup>|AzureResourceManager|<span style="color:#CC0">Low</span>|Best Practices|Microsoft.Security securityContacts should have a phone number defined|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.security/securitycontacts?tabs=json">Documentation</a><br/>|
|Storage Account Allows Default Network Access<br/><sup><sub>9073f073-5d60-4b46-b569-0d6baa80ed95</sub></sup>|AzureResourceManager|<span style="color:#CC0">Low</span>|Networking and Firewall|'Microsoft.Storage/storageAccounts' should force the use of HTTPS|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.storage/storageaccounts?tabs=json#storageaccountpropertiescreateparameters-object">Documentation</a><br/>|
|Website with 'Http20Enabled' Disabled<br/><sup><sub>70111098-7f85-48f0-b1b4-e4261cf5f61b</sub></sup>|AzureResourceManager|<span style="color:#CC0">Low</span>|Networking and Firewall|'Microsoft.Web/sites' should have 'Http20Enabled' enabled|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.web/sites?tabs=json#siteproperties-object">Documentation</a><br/>|
|App Service Authentication Is Not Set<br/><sup><sub>83130a07-235b-4a80-918b-a370e53f0bd9</sub></sup>|AzureResourceManager|<span style="color:#00C">Info</span>|Access Control|Azure App Service should have App Service Authentication set|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.web/sites/config-web?tabs=json">Documentation</a><br/>|
|SQL Alert Policy Without Emails<br/><sup><sub>89b79fe5-49bd-4d39-84ce-55f5fc6f7764</sub></sup>|AzureResourceManager|<span style="color:#00C">Info</span>|Best Practices|SQL Database Server should contain emails to be notified in the event of a Security Alert|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.sql/servers/databases/securityalertpolicies?tabs=json">Documentation</a><br/>|
|Account Admins Not Notified By Email<br/><sup><sub>a8852cc0-fd4b-4fc7-9372-1e43fad0732e</sub></sup>|AzureResourceManager|<span style="color:#00C">Info</span>|Best Practices|Account admins should be notified by email in the event of security alerts|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.sql/2017-03-01-preview/servers/securityalertpolicies?tabs=json">Documentation</a><br/>|
|Email Notifications Disabled<br/><sup><sub>79c2c2c0-eb00-47c0-ac16-f8b0e2c81c92</sub></sup>|AzureResourceManager|<span style="color:#00C">Info</span>|Networking and Firewall|Email notifications about new security alerts, should be set to 'On', and be sent to persons with specific RBAC roles on the subscription|<a href="https://docs.microsoft.com/en-us/azure/templates/microsoft.security/securitycontacts">Documentation</a><br/>|
