## Terraform Queries List
This page contains all queries from Terraform.
### ALICLOUD
Bellow are listed queries related with Terraform ALICLOUD:



|            Query             |Severity|Category|Description|Help|
|------------------------------|--------|--------|-----------|----|
|Ram Policy Admin Access Not Attached to Users Groups Roles<br/><sup><sub>e8e62026-da63-4904-b402-65adfe3ca975</sub></sup>|<span style="color:#C00">High</span>|Access Control|Ram policies with admin access should not be associated to users, groups or roles|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_policy">Documentation</a><br/>|
|RAM Security Preference Not Enforce MFA Login<br/><sup><sub>dcda2d32-e482-43ee-a926-75eaabeaa4e0</sub></sup>|<span style="color:#C00">High</span>|Access Control|RAM Security preferences should enforce MFA login for RAM users|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_security_preference#enforce_mfa_for_login">Documentation</a><br/>|
|OSS Bucket Public Access Enabled<br/><sup><sub>62232513-b16f-4010-83d7-51d0e1d45426</sub></sup>|<span style="color:#C00">High</span>|Access Control|OSS Bucket should have public access disabled|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/oss_bucket#acl">Documentation</a><br/>|
|Disk Encryption Disabled<br/><sup><sub>39750e32-3fe9-453b-8c33-dd277acdb2cc</sub></sup>|<span style="color:#C00">High</span>|Encryption|Disks should have encryption enabled|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/disk#encrypted">Documentation</a><br/>|
|RDS Instance TDE Status Disabled<br/><sup><sub>44d434ca-a9bf-4203-8828-4c81a8d5a598</sub></sup>|<span style="color:#C00">High</span>|Encryption|tde_status parameter should be Enabled for supported RDS instances|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/db_instance#tde_status">Documentation</a><br/>|
|Ecs Data Disk Kms Key Id Undefined<br/><sup><sub>f262118c-1ac6-4bb3-8495-cc48f1775b85</sub></sup>|<span style="color:#C00">High</span>|Encryption|Ecs Data Disk Kms Key Id should be set|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/disk#kms_key_id">Documentation</a><br/>|
|RDS Instance Publicly Accessible<br/><sup><sub>1b4565c0-4877-49ac-ab03-adebbccd42ae</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|'0.0.0.0' or '0.0.0.0/0' should not be in 'security_ips' list|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/db_instance#security_ips">Documentation</a><br/>|
|Public Security Group Rule All Ports or Protocols<br/><sup><sub>60587dbd-6b67-432e-90f7-a8cf1892d968</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|Alicloud Security Group Rule should not allow all ports or all protocols to the public|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/security_group_rule#cidr_ip">Documentation</a><br/>|
|OSS Bucket Ip Restriction Disabled<br/><sup><sub>6107c530-7178-464a-88bc-df9cdd364ac8</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|OSS Bucket should have ip restricted access|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/oss_bucket#policy">Documentation</a><br/>|
|Public Security Group Rule Sensitive Port<br/><sup><sub>2ae9d554-23fb-4065-bfd1-fe43d5f7c419</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|A sensitive port, such as port 23 or port 110, is open to the public in either TCP or UDP protocol|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/security_group_rule#port_range">Documentation</a><br/>|
|OSS Buckets Secure Transport Disabled<br/><sup><sub>c01d10de-c468-4790-b3a0-fc887a56f289</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|OSS Buckets should have secure transport enabled|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/oss_bucket#policy">Documentation</a><br/>|
|API Gateway API Protocol Not HTTPS<br/><sup><sub>1bcdf9f0-b1aa-40a4-b8c6-cd7785836843</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|API Gateway API protocol should be set to HTTPS|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/api_gateway_api#protocol">Documentation</a><br/>|
|RDS Instance Events Not Logged<br/><sup><sub>b9c524a4-fe76-4021-a6a2-cb978fb4fde1</sub></sup>|<span style="color:#C00">High</span>|Observability|All RDS Instance events trackers should be 'true'|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/log_audit">Documentation</a><br/>|
|ActionTrail Trail OSS Bucket is Publicly Accessible<br/><sup><sub>69b5d7da-a5db-4db9-a42e-90b65d0efb0b</sub></sup>|<span style="color:#C00">High</span>|Observability|ActionTrail Trail OSS Bucket should not be publicly accessible|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/actiontrail_trail">Documentation</a><br/>|
|Ram Account Password Policy Max Login Attempts Unrecommended<br/><sup><sub>e76fd7ab-7333-40c6-a2d8-ea28af4a319e</sub></sup>|<span style="color:#C00">High</span>|Secret Management|Ram Account Password Policy should have 'max_login_attempts' to a maximum of 5 incorrect login attempts|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_account_password_policy#max_login_attempts">Documentation</a><br/>|
|Ram Account Password Policy Not Required Minimum Length<br/><sup><sub>a9dfec39-a740-4105-bbd6-721ba163c053</sub></sup>|<span style="color:#C00">High</span>|Secret Management|Ram Account Password Policy should have 'minimum_password_length' defined and set to 14 or above|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_account_password_policy#minimum_password_length">Documentation</a><br/>|
|Ram Policy Attached to User<br/><sup><sub>66505003-7aba-45a1-8d83-5162d5706ef5</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Ram policies should not be attached to users|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_user_policy_attachment">Documentation</a><br/>|
|OSS Bucket Versioning Disabled<br/><sup><sub>70919c0b-2548-4e6b-8d7a-3d84ab6dabba</sub></sup>|<span style="color:#C60">Medium</span>|Backup|OSS Bucket should have versioning enabled|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/oss_bucket#versioning">Documentation</a><br/>|
|OSS Bucket Encryption Using CMK Disabled<br/><sup><sub>f20e97f9-4919-43f1-9be9-f203cd339cdd</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|OSS Bucket should have encryption enabled using Customer Master Key|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/oss_bucket#server_side_encryption_rule">Documentation</a><br/>|
|Public Security Group Rule Unknown Port<br/><sup><sub>dd706080-b7a8-47dc-81fb-3e8184430ec0</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|A unknown port, such as port 24 or port 111, is open to the public in either TCP or UDP or ALL protocol/protocols mentioned|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/security_group_rule#port_range">Documentation</a><br/>|
|Kubernetes Cluster Without Terway as CNI Network Plugin<br/><sup><sub>b9b7ada8-3868-4a35-854e-6100a2bb863d</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|Kubernetes Cluster should have Terway as CNI Network Plugin to configure network policies|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/cs_kubernetes#cluster_network_type">Documentation</a><br/>|
|OSS Bucket Logging Disabled<br/><sup><sub>05db341e-de7d-4972-a106-3e2bd5ee53e1</sub></sup>|<span style="color:#C60">Medium</span>|Observability|OSS Bucket should have logging enabled, for better visibility of resources and objects.|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/oss_bucket#logging">Documentation</a><br/>|
|RDS Instance Retention Period Not Recommended<br/><sup><sub>dc158941-28ce-481d-a7fa-dc80761edf46</sub></sup>|<span style="color:#C60">Medium</span>|Observability|RDS Instance SQL Retention Period should be greater than 180|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/db_instance#sql_collector_config_value">Documentation</a><br/>|
|Action Trail Logging For All Regions Disabled<br/><sup><sub>c065b98e-1515-4991-9dca-b602bd6a2fbb</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Action Trail Logging for all regions should be enabled|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/actiontrail_trail#trail_region">Documentation</a><br/>|
|RAM Account Password Policy without Reuse Prevention<br/><sup><sub>a8128dd2-89b0-464b-98e9-5d629041dfe0</sub></sup>|<span style="color:#C60">Medium</span>|Secret Management|RAM Account Password Policy 'password_reuse_prevention' should be defined and set to 24 or less|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_account_password_policy#password_reuse_prevention">Documentation</a><br/>|
|RAM Account Password Policy Not Require at Least one Uppercase Character<br/><sup><sub>5e0fb613-ba9b-44c3-88f0-b44188466bfd</sub></sup>|<span style="color:#C60">Medium</span>|Secret Management|Ram Account Password Policy should have 'require_uppercase_characters' set to true|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_account_password_policy#require_uppercase_characters">Documentation</a><br/>|
|Ram Account Password Policy Not Require At Least one Lowercase Character<br/><sup><sub>89143358-cec6-49f5-9392-920c591c669c</sub></sup>|<span style="color:#C60">Medium</span>|Secret Management|Ram Account Password Policy should have 'require_lowercase_characters' set to true|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_account_password_policy#require_lowercase_characters">Documentation</a><br/>|
|Ram Account Password Policy Max Password Age Unrecommended<br/><sup><sub>2bb13841-7575-439e-8e0a-cccd9ede2fa8</sub></sup>|<span style="color:#C60">Medium</span>|Secret Management|Ram Account Password Policy Password 'max_password_age' should be higher than 0 and lower than 91|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_account_password_policy#max_password_age">Documentation</a><br/>|
|RAM Account Password Policy Not Required Symbols<br/><sup><sub>41a38329-d81b-4be4-aef4-55b2615d3282</sub></sup>|<span style="color:#C60">Medium</span>|Secret Management|RAM account password security should require at least one symbol|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_account_password_policy#require_symbols">Documentation</a><br/>|
|Ram Account Password Policy Not Required Numbers<br/><sup><sub>063234c0-91c0-4ab5-bbd0-47ddb5f23786</sub></sup>|<span style="color:#C60">Medium</span>|Secret Management|Ram Account Password Policy should have 'require_numbers' set to true|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/ram_account_password_policy#require_numbers">Documentation</a><br/>|
|OSS Bucket Transfer Acceleration Disabled<br/><sup><sub>8f98334a-99aa-4d85-b72a-1399ca010413</sub></sup>|<span style="color:#CC0">Low</span>|Availability|OSS Bucket should have transfer acceleration enabled|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/oss_bucket#transfer_acceleration">Documentation</a><br/>|
|OSS Bucket Lifecycle Rule Disabled<br/><sup><sub>7db8bd7e-9772-478c-9ec5-4bc202c5686f</sub></sup>|<span style="color:#CC0">Low</span>|Backup|OSS Bucket should have lifecycle rule enabled and set to true|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/oss_bucket#lifecycle_rule">Documentation</a><br/>|
|RDS Instance Log Disconnections Disabled<br/><sup><sub>d53f4123-f8d8-4224-8cb3-f920b151cc98</sub></sup>|<span style="color:#CC0">Low</span>|Observability|log_disconnections parameter should be set to ON for RDS instances|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/db_instance#parameters">Documentation</a><br/>|
|RDS Instance Log Duration Disabled<br/><sup><sub>a597e05a-c065-44e7-9cc8-742f572a504a</sub></sup>|<span style="color:#CC0">Low</span>|Observability|log_duration parameter should be set to ON for RDS instances|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/db_instance#parameters">Documentation</a><br/>|
|RDS Instance Log Connections Disabled<br/><sup><sub>140869ea-25f2-40d4-a595-0c0da135114e</sub></sup>|<span style="color:#CC0">Low</span>|Observability|'log_connections' parameter should be set to ON for RDS instances|<a href="https://registry.terraform.io/providers/aliyun/alicloud/latest/docs/resources/db_instance#parameters">Documentation</a><br/>|
### AZURE
Bellow are listed queries related with Terraform AZURE:



|            Query             |Severity|Category|Description|Help|
|------------------------------|--------|--------|-----------|----|
|Role Assignment Not Limit Guest User Permissions<br/><sup><sub>8e75e431-449f-49e9-b56a-c8f1378025cf</sub></sup>|<span style="color:#C00">High</span>|Access Control|Role Assignment should limit guest user permissions|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/role_assignment">Documentation</a><br/>|
|Public Storage Account<br/><sup><sub>17f75827-0684-48f4-8747-61129c7e4198</sub></sup>|<span style="color:#C00">High</span>|Access Control|Storage Account should not be public|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/storage_account">Documentation</a><br/>|
|Role Assignment Of Guest Users<br/><sup><sub>2bc626a8-0751-446f-975d-8139214fc790</sub></sup>|<span style="color:#C00">High</span>|Access Control|There is a role assignment for guest user|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/role_assignment">Documentation</a><br/>|
|Admin User Enabled For Container Registry<br/><sup><sub>b897dfbf-322c-45a8-b67c-1e698beeaa51</sub></sup>|<span style="color:#C00">High</span>|Access Control|Admin user is enabled for Container Registry|<a href="https://www.terraform.io/docs/providers/azurerm/r/container_registry.html">Documentation</a><br/>|
|Storage Container Is Publicly Accessible<br/><sup><sub>dd5230f8-a577-4bbb-b7ac-f2c2fe7d5299</sub></sup>|<span style="color:#C00">High</span>|Access Control|Anonymous, public read access to a container and its blobs are enabled in Azure Blob Storage|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/storage_container#container_access_type">Documentation</a><br/>|
|Function App Authentication Disabled<br/><sup><sub>e65a0733-94a0-4826-82f4-df529f4c593f</sub></sup>|<span style="color:#C00">High</span>|Access Control|Azure Function App authentication settings should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/function_app#auth_settings">Documentation</a><br/>|
|Geo Redundancy Is Disabled<br/><sup><sub>8b042c30-e441-453f-b162-7696982ebc58</sub></sup>|<span style="color:#C00">High</span>|Backup|Make sure that on PostgreSQL Geo Redundant Backups is enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_server">Documentation</a><br/>|
|SSL Enforce Disabled<br/><sup><sub>0437633b-daa6-4bbc-8526-c0d2443b946e</sub></sup>|<span style="color:#C00">High</span>|Encryption|Make sure that for PosgreSQL, the 'Enforce SSL connection' is set to 'ENABLED'|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_server">Documentation</a><br/>|
|Function App Not Using Latest TLS Encryption Version<br/><sup><sub>45fc717a-bd86-415c-bdd8-677901be1aa6</sub></sup>|<span style="color:#C00">High</span>|Encryption|Ensure Function App is using the latest version of TLS encryption|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/function_app#min_tls_version">Documentation</a><br/>|
|MySQL SSL Connection Disabled<br/><sup><sub>73e42469-3a86-4f39-ad78-098f325b4e9f</sub></sup>|<span style="color:#C00">High</span>|Encryption|Make sure that for MySQL Database Server, 'Enforce SSL connection' is enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/mysql_server">Documentation</a><br/>|
|Storage Account Not Forcing HTTPS<br/><sup><sub>12944ec4-1fa0-47be-8b17-42a034f937c2</sub></sup>|<span style="color:#C00">High</span>|Encryption|See that Storage Accounts forces the use of HTTPS|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/storage_account">Documentation</a><br/>|
|App Service Not Using Latest TLS Encryption Version<br/><sup><sub>b7b9d1c7-2d3b-49b4-b867-ebbe68d0b643</sub></sup>|<span style="color:#C00">High</span>|Encryption|Ensure App Service is using the latest version of TLS encryption|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/app_service#min_tls_version">Documentation</a><br/>|
|Azure Container Registry With No Locks<br/><sup><sub>a187ac47-8163-42ce-8a63-c115236be6fb</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Azurerm Container Registry Must Contain Associated Locks |<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/container_registry">Documentation</a><br/>|
|Web App Accepting Traffic Other Than HTTPS<br/><sup><sub>11e9a948-c6c3-4a0f-8dcf-b5cf1763cdbe</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Web app should only accept HTTPS traffic in Azure Web App Service.|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/app_service#https_only">Documentation</a><br/>|
|Trusted Microsoft Services Not Enabled<br/><sup><sub>5400f379-a347-4bdd-a032-446465fdcc6f</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Trusted MIcrosoft Services are not enabled for Storage Account access|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/storage_account#bypass">Documentation</a><br/>|
|Function App FTPS Enforce Disabled<br/><sup><sub>9dab0179-433d-4dff-af8f-0091025691df</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Azure Function App should only enforce FTPS when 'ftps_state' is enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/function_app#ftps_state">Documentation</a><br/>|
|App Service FTPS Enforce Disabled<br/><sup><sub>85da374f-b00f-4832-9d44-84a1ca1e89f8</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Azure App Service should only enforce FTPS when 'ftps_state' is enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/app_service#ftps_state">Documentation</a><br/>|
|VM Not Attached To Network<br/><sup><sub>bbf6b3df-4b65-4f87-82cc-da9f30f8c033</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|No Network Security Group is attached to the Virtual Machine|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/virtual_machine#network_interface_ids">Documentation</a><br/>|
|Network Watcher Flow Disabled<br/><sup><sub>b90842e5-6779-44d4-9760-972f4c03ba1c</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Check if enable field in the resource azurerm_network_watcher_flow_log is false.|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/network_watcher_flow_log">Documentation</a><br/>|
|AD Admin Not Configured For SQL Server<br/><sup><sub>a3a055d2-9a2e-4cc9-b9fb-12850a1a3a4b</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|The Active Directory Administrator is not configured for a SQL server|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/sql_active_directory_administrator">Documentation</a><br/>|
|Redis Not Updated Regularly<br/><sup><sub>b947809d-dd2f-4de9-b724-04d101c515aa</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Redis Cache is not configured to be updated regularly with security and operational updates|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/redis_cache#patch_schedule">Documentation</a><br/>|
|SQLServer Ingress From Any IP<br/><sup><sub>25c0ea09-f1c5-4380-b055-3b83863f2bb8</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|Check if all IPs are allowed, check from start 0.0.0.0 to end 255.255.255.255.|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/sql_firewall_rule">Documentation</a><br/>|
|Redis Entirely Accessible<br/><sup><sub>fd8da341-6760-4450-b26c-9f6d8850575e</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|Firewall rule allowing unrestricted access to Redis from the Internet|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/redis_firewall_rule">Documentation</a><br/>|
|Azure App Service Client Certificate Disabled<br/><sup><sub>a81573f9-3691-4d83-88a0-7d4af63e17a3</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|Azure App Service client certificate should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/app_service#client_cert_enabled">Documentation</a><br/>|
|MSSQL Server Public Network Access Enabled<br/><sup><sub>ade36cf4-329f-4830-a83d-9db72c800507</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|MSSQL Server public network access should be disabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/mssql_server#public_network_access_enabled">Documentation</a><br/>|
|Sensitive Port Is Exposed To Entire Network<br/><sup><sub>594c198b-4d79-41b8-9b36-fde13348b619</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|A sensitive port, such as port 23 or port 110, is open for the whole network in either TCP or UDP protocol|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/network_security_rule">Documentation</a><br/>|
|RDP Is Exposed To The Internet<br/><sup><sub>efbf6449-5ec5-4cfe-8f15-acc51e0d787c</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|Port 3389 (Remote Desktop) is exposed to the internet|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/network_security_rule">Documentation</a><br/>|
|SSH Is Exposed To The Internet<br/><sup><sub>3e3c175e-aadf-4e2b-a464-3fdac5748d24</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|Port 22 (SSH) is exposed to the internet|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/network_security_rule">Documentation</a><br/>|
|CosmosDB Account IP Range Filter Not Set<br/><sup><sub>c2a3efb6-8a58-481c-82f2-bfddf34bb4b7</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|The Ip Range Must Contain Ips|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/cosmosdb_account#ip_range_filter">Documentation</a><br/>|
|Redis Publicly Accessible<br/><sup><sub>5089d055-53ff-421b-9482-a5267bdce629</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|Firewall rule allowing unrestricted access to Redis from other Azure sources|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/redis_firewall_rule">Documentation</a><br/>|
|MySQL Server Public Access Enabled<br/><sup><sub>f118890b-2468-42b1-9ce9-af35146b425b</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|MySQL Server public access should be disabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/mysql_server#public_network_access_enabled">Documentation</a><br/>|
|Vault Auditing Disabled<br/><sup><sub>38c71c00-c177-4cd7-8d36-cd1007cdb190</sub></sup>|<span style="color:#C00">High</span>|Observability|Ensure that logging for Azure KeyVault is 'Enabled'|<a href="https://www.terraform.io/docs/providers/azurerm/r/key_vault.html">Documentation</a><br/>|
|App Service Managed Identity Disabled<br/><sup><sub>b61cce4b-0cc4-472b-8096-15617a6d769b</sub></sup>|<span style="color:#C00">High</span>|Resource Management|Azure App Service should have managed identity enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/app_service#identity">Documentation</a><br/>|
|SQL Database Audit Disabled<br/><sup><sub>83a229ba-483e-47c6-8db7-dc96969bce5a</sub></sup>|<span style="color:#C00">High</span>|Resource Management|Ensure that 'Threat Detection' is enabled for Azure SQL Database|<a href="https://www.terraform.io/docs/providers/azurerm/r/sql_database.html">Documentation</a><br/>|
|PostgreSQL Server Threat Detection Policy Disabled<br/><sup><sub>c407c3cf-c409-4b29-b590-db5f4138d332</sub></sup>|<span style="color:#C00">High</span>|Resource Management|PostgreSQL Server Threat Detection Policy should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_server#threat_detection_policy">Documentation</a><br/>|
|Key Expiration Not Set<br/><sup><sub>4d080822-5ee2-49a4-8984-68f3d4c890fc</sub></sup>|<span style="color:#C00">High</span>|Secret Management|Make sure that for all keys the expiration date is set|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/key_vault_key">Documentation</a><br/>|
|Secret Expiration Not Set<br/><sup><sub>dfa20ffa-f476-428f-a490-424b41e91c7f</sub></sup>|<span style="color:#C00">High</span>|Secret Management|Make sure that for all secrets the expiration date is set|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/key_vault_secret">Documentation</a><br/>|
|AKS RBAC Disabled<br/><sup><sub>86f92117-eed8-4614-9c6c-b26da20ff37f</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Azure Container Service (AKS) instance should have role-based access control (RBAC) enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/kubernetes_cluster#role_based_access_control">Documentation</a><br/>|
|Role Definition Allows Custom Role Creation<br/><sup><sub>3fa5900f-9aac-4982-96b2-a6143d9c99fb</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Role Definition should not allow custom role creation|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/role_definition#actions">Documentation</a><br/>|
|Storage Share File Allows All ACL Permissions<br/><sup><sub>48bbe0fd-57e4-4678-a4a1-119e79c90fc3</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Azure Storage Share File should not allow all ACL (Access Control List) permissions - r (read), w (write), d (delete), and l (list).|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/storage_share_file">Documentation</a><br/>|
|Storage Table Allows All ACL Permissions<br/><sup><sub>3ac3e75c-6374-4a32-8ba0-6ed69bda404e</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Azure Storage Table should not allow all ACL (Access Control List) permissions - r (read), w (write), d (delete), and l (list).|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/storage_table#permissions">Documentation</a><br/>|
|Virtual Network with DDoS Protection Plan disabled<br/><sup><sub>b4cc2c52-34a6-4b43-b57c-4bdeb4514a5a</sub></sup>|<span style="color:#C60">Medium</span>|Availability|Virtual Network should have DDoS Protection Plan enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/virtual_network#ddos_protection_plan">Documentation</a><br/>|
|SQL Server Predictable Active Directory Account Name<br/><sup><sub>bcd3fc01-5902-4f2a-b05a-227f9bbf5450</sub></sup>|<span style="color:#C60">Medium</span>|Best Practices|Azure SQL Server must avoid using predictable Active Directory Administrator Account names, like 'Admin', which means the attribute 'login' must be set to a name that is not easy to predict|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/sql_active_directory_administrator">Documentation</a><br/>|
|Unrestricted SQL Server Access<br/><sup><sub>d7ba74da-2da0-4d4b-83c8-2fd72a3f6c28</sub></sup>|<span style="color:#C60">Medium</span>|Best Practices|Azure SQL Server Accessibility must be set to a minimal address range, which means the difference between the values of the 'end_ip_address' and 'start_ip_address' must be lesser than 256. Additionally, both ips must be different from '0.0.0.0'|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/sql_firewall_rule">Documentation</a><br/>|
|SQL Server Predictable Admin Account Name<br/><sup><sub>2ab6de9a-0136-415c-be92-79d2e4fd750f</sub></sup>|<span style="color:#C60">Medium</span>|Best Practices|Azure SQL Server's Admin account login must avoid using names like 'Admin', that are too predictable, which means the attribute 'administrator_login' must be set to a name that is not easy to predict|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/sql_server">Documentation</a><br/>|
|Security Contact Email<br/><sup><sub>34664094-59e0-4524-b69f-deaa1a68cce3</sub></sup>|<span style="color:#C60">Medium</span>|Best Practices|Security Contact Email should be defined|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/security_center_contact#email">Documentation</a><br/>|
|Cosmos DB Account Without Tags<br/><sup><sub>56dad03e-e94f-4dd6-93a4-c253a03ff7a0</sub></sup>|<span style="color:#C60">Medium</span>|Build Process|Cosmos DB Account must have a mapping of tags.|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/cosmosdb_account">Documentation</a><br/>|
|AKS Disk Encryption Set ID Undefined<br/><sup><sub>b17d8bb8-4c08-4785-867e-cb9e62a622aa</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|Azure Container Service (AKS) should use Disk Encryption Set ID|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/kubernetes_cluster#disk_encryption_set_id">Documentation</a><br/>|
|Encryption On Managed Disk Disabled<br/><sup><sub>a99130ab-4c0e-43aa-97f8-78d4fcb30024</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|Ensure that the encryption is active on the disk|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/managed_disk#encryption_settings">Documentation</a><br/>|
|Storage Account Not Using Latest TLS Encryption Version<br/><sup><sub>8263f146-5e03-43e0-9cfe-db960d56d1e7</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|Ensure Storage Account is using the latest version of TLS encryption|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/storage_account">Documentation</a><br/>|
|Redis Cache Allows Non SSL Connections<br/><sup><sub>e29a75e6-aba3-4896-b42d-b87818c16b58</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|Check if any Redis Cache resource allows non-SSL connections.|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/redis_cache">Documentation</a><br/>|
|Small Flow Logs Retention Period<br/><sup><sub>7750fcca-dd03-4d38-b663-4b70289bcfd4</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Flow logs enable capturing information about IP traffic flowing in and out of the network security groups. Network Security Group Flow Logs must be enabled with retention period greater than or equal to 90 days. This is important, because these logs are used to check for anomalies and give information of suspected breaches|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/network_watcher_flow_log">Documentation</a><br/>|
|Function App Managed Identity Disabled<br/><sup><sub>c87749b3-ff10-41f5-9df2-c421e8151759</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Azure Function App should have managed identity enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/function_app#identity">Documentation</a><br/>|
|Security Group is Not Configured<br/><sup><sub>5c822443-e1ea-46b8-84eb-758ec602e844</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Azure Virtual Network subnet must be configured with a Network Security Group, which means the attribute 'security_group' must be defined and not empty|<a href="https://www.terraform.io/docs/providers/azure/r/virtual_network.html">Documentation</a><br/>|
|AKS Network Policy Misconfigured<br/><sup><sub>f5342045-b935-402d-adf1-8dbbd09c0eef</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if the Azure Kubernetes Service doesn't have the proper network policy configuration.|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/data-sources/kubernetes_cluster">Documentation</a><br/>|
|Security Center Pricing Tier Is Not Standard<br/><sup><sub>819d50fd-1cdf-45c3-9936-be408aaad93e</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Make sure that the 'Standard' pricing tiers were selected.|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/security_center_subscription_pricing">Documentation</a><br/>|
|Function App Client Certificates Unrequired<br/><sup><sub>9bb3c639-5edf-458c-8ee5-30c17c7d671d</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Azure Function App should have 'client_cert_mode' set to required|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/function_app#client_cert_mode">Documentation</a><br/>|
|Default Azure Storage Account Network Access Is Too Permissive<br/><sup><sub>a5613650-32ec-4975-a305-31af783153ea</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Defaults|Default Azure Storage Account network access should be set to Deny|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/storage_account_network_rules#default_action">Documentation</a><br/>|
|Default Network Access is Allowed<br/><sup><sub>9be09caf-2ba4-4fa9-9787-a670dc32c639</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Defaults|Default Network Access rule for Storage Accounts must be set to deny, which means the attribute 'default_action' must be 'Deny'|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/storage_account_network_rules">Documentation</a><br/>|
|WAF Is Disabled For Azure Application Gateway<br/><sup><sub>2e48d91c-50e4-45c8-9312-27b625868a72</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if Web Application Firewall is disabled or not configured for Azure's Application Gateway.|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/application_gateway">Documentation</a><br/>|
|Sensitive Port Is Exposed To Wide Private Network<br/><sup><sub>c6c7b33d-d7f6-4ab8-8c82-ca0431ecdb7e</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|A sensitive port, such as port 23 or port 110, is open for wide private network in either TCP or UDP protocol|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/network_security_rule">Documentation</a><br/>|
|MariaDB Server Public Network Access Enabled<br/><sup><sub>7f0a8696-7159-4337-ad0d-8a3ab4a78195</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|MariaDB Server Public Network Access should be disabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/mariadb_server#public_network_access_enabled">Documentation</a><br/>|
|Firewall Rule Allows Too Many Hosts To Access Redis Cache<br/><sup><sub>a829b715-cf75-4e92-b645-54c9b739edfb</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if any firewall rule allows too many hosts to access Redis Cache|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/redis_firewall_rule">Documentation</a><br/>|
|Azure Cognitive Search Public Network Access Enabled<br/><sup><sub>4a9e0f00-0765-4f72-a0d4-d31110b78279</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|Public Network Access should be disabled for Azure Cognitive Search|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/search_service#public_network_access_enabled">Documentation</a><br/>|
|Network Interfaces With Public IP<br/><sup><sub>c1573577-e494-4417-8854-7e119368dc8b</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|Network Interfaces must not be exposed with a public IP address|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/network_interface#public_ip_address_id">Documentation</a><br/>|
|Sensitive Port Is Exposed To Small Public Network<br/><sup><sub>e9dee01f-2505-4df2-b9bf-7804d1fd9082</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|A sensitive port, such as port 23 or port 110, is open for small public network in either TCP or UDP protocol|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/network_security_rule">Documentation</a><br/>|
|PostgreSQL Log Connections Not Set<br/><sup><sub>c640d783-10c5-4071-b6c1-23507300d333</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Make sure that for PostgreSQL Database, server parameter 'log_connections' is set to 'ON'|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_configuration">Documentation</a><br/>|
|Email Alerts Disabled<br/><sup><sub>9db38e87-f6aa-4b5e-a1ec-7266df259409</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Make sure that alerts notifications are set to 'On' in the Azure Security Center Contact|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/security_center_contact">Documentation</a><br/>|
|PostgreSQL Log Duration Not Set<br/><sup><sub>16e0879a-c4ae-4ff8-a67d-a2eed5d67b8f</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Make sure that for PostgreSQL Database, server parameter 'log_duration' is set to 'ON'|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_configuration">Documentation</a><br/>|
|PostgreSQL Server Without Connection Throttling<br/><sup><sub>2b3c671f-1b76-4741-8789-ed1fe0785dc4</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Ensure that Connection Throttling is set for the PostgreSQL server|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_configuration">Documentation</a><br/>|
|SQL Server Auditing Disabled<br/><sup><sub>f7e296b0-6660-4bc5-8f87-22ac4a815edf</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Make sure that for SQL Servers, 'Auditing' is set to 'On'|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/sql_server">Documentation</a><br/>|
|MSSQL Server Auditing Disabled<br/><sup><sub>609839ae-bd81-4375-9910-5bce72ae7b92</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Make sure that for MSSQL Servers, that 'Auditing' is set to 'On'|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/mssql_server">Documentation</a><br/>|
|Small MSSQL Audit Retention Period<br/><sup><sub>9c301481-e6ec-44f7-8a49-8ec63e2969ea</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Make sure that for MSSQL Server, the Auditing Retention is greater than 90 days|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/mssql_server">Documentation</a><br/>|
|Log Retention Is Not Set<br/><sup><sub>ffb02aca-0d12-475e-b77c-a726f7aeff4b</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Make sure that for PostgreSQL Database, server parameter 'log_retention' is set to 'ON'|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_configuration">Documentation</a><br/>|
|Small PostgreSQL DB Server Log Retention Period<br/><sup><sub>261a83f8-dd72-4e8c-b5e1-ebf06e8fe606</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Check if PostgreSQL Database Server retains logs for less than 3 Days|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_configuration">Documentation</a><br/>|
|Small Activity Log Retention Period<br/><sup><sub>2b856bf9-8e8c-4005-875f-303a8cba3918</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Ensure that Activity Log Retention is set 365 days or greater|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/monitor_log_profile">Documentation</a><br/>|
|PostgreSQL Log Checkpoints Disabled<br/><sup><sub>3790d386-be81-4dcf-9850-eaa7df6c10d9</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Make sure that for Postgre SQL Database Server, parameter 'log_checkpoints' is set to 'ON'|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_configuration">Documentation</a><br/>|
|PostgreSQL Log Disconnections Not Set<br/><sup><sub>07f7134f-9f37-476e-8664-670c218e4702</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Make sure that for PostgreSQL Database, server parameter 'log_disconnections' is set to 'ON'|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_configuration">Documentation</a><br/>|
|Small MSSQL Server Audit Retention<br/><sup><sub>59acb56b-2b10-4c2c-ba38-f2223c3f5cfc</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Make sure for SQL Servers that Auditing Retention is greater than 90 days|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/sql_server">Documentation</a><br/>|
|Azure Active Directory Authentication<br/><sup><sub>a21c8da9-41bf-40cf-941d-330cf0d11fc7</sub></sup>|<span style="color:#CC0">Low</span>|Access Control|Azure Active Directory must be used for authentication for Service Fabric|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/service_fabric_cluster#tenant_id">Documentation</a><br/>|
|MariaDB Server Geo-redundant Backup Disabled<br/><sup><sub>0a70d5f3-1ecd-4c8e-9292-928fc9a8c4f1</sub></sup>|<span style="color:#CC0">Low</span>|Backup|MariaDB Server Geo-redundant Backup should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/mariadb_server#geo_redundant_backup_enabled">Documentation</a><br/>|
|Key Vault Secrets Content Type Undefined<br/><sup><sub>f8e08a38-fc6e-4915-abbe-a7aadf1d59ef</sub></sup>|<span style="color:#CC0">Low</span>|Best Practices|Key Vault Secrets should have set Content Type|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/key_vault_secret#content_type">Documentation</a><br/>|
|AKS Uses Azure Policies Add-On Disabled<br/><sup><sub>43789711-161b-4708-b5bb-9d1c626f7492</sub></sup>|<span style="color:#CC0">Low</span>|Best Practices|Azure Container Service (AKS) should use Azure Policies Add-On|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/kubernetes_cluster#azure_policy">Documentation</a><br/>|
|PostgreSQL Server Infrastructure Encryption Disabled<br/><sup><sub>6425c98b-ca4e-41fe-896a-c78772c131f8</sub></sup>|<span style="color:#CC0">Low</span>|Encryption|PostgreSQL Server Infrastructure Encryption should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/postgresql_server#infrastructure_encryption_enabled">Documentation</a><br/>|
|Dashboard Is Enabled<br/><sup><sub>61c3cb8b-0715-47e4-b788-86dde40dd2db</sub></sup>|<span style="color:#CC0">Low</span>|Insecure Configurations|Check if the Kubernetes Dashboard is enabled.|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/kubernetes_cluster">Documentation</a><br/>|
|App Service HTTP2 Disabled<br/><sup><sub>525b53be-62ed-4244-b4df-41aecfcb4071</sub></sup>|<span style="color:#CC0">Low</span>|Insecure Configurations|App Service should have 'http2_enabled' enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/app_service#http2_enabled">Documentation</a><br/>|
|Function App HTTP2 Disabled<br/><sup><sub>ace823d1-4432-4dee-945b-cdf11a5a6bd0</sub></sup>|<span style="color:#CC0">Low</span>|Insecure Configurations|Function App should have 'http2_enabled' enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/function_app#http2_enabled">Documentation</a><br/>|
|Azure Front Door WAF Disabled<br/><sup><sub>835a4f2f-df43-437d-9943-545ccfc55961</sub></sup>|<span style="color:#CC0">Low</span>|Networking and Firewall|Azure Front Door WAF should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/frontdoor#web_application_firewall_policy_link_id">Documentation</a><br/>|
|Network Interfaces IP Forwarding Enabled<br/><sup><sub>4216ebac-d74c-4423-b437-35025cb88af5</sub></sup>|<span style="color:#CC0">Low</span>|Networking and Firewall|Network Interfaces IP Forwarding should be disabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/network_interface#enable_ip_forwarding">Documentation</a><br/>|
|AKS Private Cluster Disabled<br/><sup><sub>599318f2-6653-4569-9e21-041d06c63a89</sub></sup>|<span style="color:#CC0">Low</span>|Networking and Firewall|Azure Kubernetes Service (AKS) API should not be exposed to the internet|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/kubernetes_cluster#private_cluster_enabled">Documentation</a><br/>|
|App Service Authentication Disabled<br/><sup><sub>c7fc1481-2899-4490-bbd8-544a3a61a2f3</sub></sup>|<span style="color:#00C">Info</span>|Access Control|Azure App Service authentication settings should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/app_service#enabled">Documentation</a><br/>|
|SQL Server Alert Email Disabled<br/><sup><sub>55975007-f6e7-4134-83c3-298f1fe4b519</sub></sup>|<span style="color:#00C">Info</span>|Best Practices|SQL Server alert email should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/azurerm/latest/docs/resources/mssql_server_security_alert_policy#email_account_admins">Documentation</a><br/>|
### SHARED (V2/V3)
Bellow are listed queries related with Terraform SHARED (V2/V3):



|            Query             |Severity|Category|Description|Help|
|------------------------------|--------|--------|-----------|----|
|Generic Git Module Without Revision<br/><sup><sub>3a81fc06-566f-492a-91dd-7448e409e2cd</sub></sup>|<span style="color:#00C">Info</span>|Best Practices|All generic git repositories should reference a revision.|<a href="https://www.terraform.io/docs/language/modules/sources.html#selecting-a-revision">Documentation</a><br/>|
|Variable Without Type<br/><sup><sub>fc5109bf-01fd-49fb-8bde-4492b543c34a</sub></sup>|<span style="color:#00C">Info</span>|Best Practices|All variables should contain a valid type.|<a href="https://www.terraform.io/docs/language/values/variables.html#input-variable-documentation">Documentation</a><br/>|
|Name Is Not Snake Case<br/><sup><sub>1e434b25-8763-4b00-a5ca-ca03b7abbb66</sub></sup>|<span style="color:#00C">Info</span>|Best Practices|All names should follow snake case pattern.|<a href="https://www.terraform.io/docs/extend/best-practices/naming.html#naming">Documentation</a><br/>|
|Variable Without Description<br/><sup><sub>2a153952-2544-4687-bcc9-cc8fea814a9b</sub></sup>|<span style="color:#00C">Info</span>|Best Practices|All variables should contain a valid description.|<a href="https://www.terraform.io/docs/language/values/variables.html#input-variable-documentation">Documentation</a><br/>|
|Output Without Description<br/><sup><sub>59312e8a-a64e-41e7-a252-618533dd1ea8</sub></sup>|<span style="color:#00C">Info</span>|Best Practices|All outputs should contain a valid description.|<a href="https://www.terraform.io/docs/language/values/outputs.html#description-output-value-documentation">Documentation</a><br/>|
### KUBERNETES
Bellow are listed queries related with Terraform KUBERNETES:



|            Query             |Severity|Category|Description|Help|
|------------------------------|--------|--------|-----------|----|
|Not Limited Capabilities For Pod Security Policy<br/><sup><sub>2acb555f-f4ad-4b1b-b984-84e6588f4b05</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Limit capabilities for a Pod Security Policy|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod_security_policy#required_drop_capabilities">Documentation</a><br/>|
|Cluster Allows Unsafe Sysctls<br/><sup><sub>a9174d31-d526-4ad9-ace4-ce7ddbf52e03</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|A Kubernetes Cluster must not allow unsafe sysctls, to prevent a pod from having any influence on any other pod on the node, harming the node's health or gaining CPU or memory resources outside of the resource limits of a pod. This means the 'spec.security_context.sysctl' must not have an unsafe sysctls and that the attribute 'allowed_unsafe_sysctls' must be undefined.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod_security_policy#allowed_unsafe_sysctls">Documentation</a><br/>|
|Tiller (Helm v2) Is Deployed<br/><sup><sub>ca2fba76-c1a7-4afd-be67-5249f861cb0e</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Check if Tiller is deployed.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#image">Documentation</a><br/>|
|NET_RAW Capabilities Not Being Dropped<br/><sup><sub>e5587d53-a673-4a6b-b3f2-ba07ec274def</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Containers should drop 'NET_RAW' or 'ALL' capabilities|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#drop">Documentation</a><br/>|
|PSP Allows Containers To Share The Host Network Namespace<br/><sup><sub>4950837c-0ce5-4e42-9bee-a25eae73740b</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Check if Pod Security Policies allow containers to share the host network namespace.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod_security_policy#host_network">Documentation</a><br/>|
|Container Is Privileged<br/><sup><sub>87065ef8-de9b-40d8-9753-f4a4303e27a4</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Do not allow container to be privileged.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#privileged">Documentation</a><br/>|
|Shared Host Network Namespace<br/><sup><sub>ac1564a3-c324-4747-9fa1-9dfc234dace0</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Container should not share the host network namespace|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#host_network">Documentation</a><br/>|
|Privilege Escalation Allowed<br/><sup><sub>c878abb4-cca5-4724-92b9-289be68bd47c</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Admission of privileged containers should be minimized|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#allow_privilege_escalation">Documentation</a><br/>|
|Shared Host IPC Namespace<br/><sup><sub>e94d3121-c2d1-4e34-a295-139bfeb73ea3</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Container should not share the host IPC namespace|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#host_ipc">Documentation</a><br/>|
|Role Binding To Default Service Account<br/><sup><sub>3360c01e-c8c0-4812-96a2-a6329b9b7f9f</sub></sup>|<span style="color:#C00">High</span>|Insecure Defaults|No role nor cluster role should bind to a default service account|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/role_binding#subject">Documentation</a><br/>|
|RBAC Roles with Read Secrets Permissions<br/><sup><sub>826abb30-3cd5-4e0b-a93b-67729b4f7e63</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Minimize access to secrets (RBAC)|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/role#rule">Documentation</a><br/>|
|Non Kube System Pod With Host Mount<br/><sup><sub>86a947ea-f577-4efb-a8b0-5fc00257d521</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|A non kube-system workload should not have hostPath mounted|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod">Documentation</a><br/>|
|Readiness Probe Is Not Configured<br/><sup><sub>8657197e-3f87-4694-892b-8144701d83c1</sub></sup>|<span style="color:#C60">Medium</span>|Availability|Check if Readiness Probe is not configured.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#readiness_probe">Documentation</a><br/>|
|Liveness Probe Is Not Defined<br/><sup><sub>5b6d53dd-3ba3-4269-b4d7-f82e880e43c3</sub></sup>|<span style="color:#C60">Medium</span>|Availability|Liveness Probe must be defined|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#liveness_probe">Documentation</a><br/>|
|Root Containers Admitted<br/><sup><sub>4c415497-7410-4559-90e8-f2c8ac64ee38</sub></sup>|<span style="color:#C60">Medium</span>|Best Practices|Containers must not be allowed to run with root privileges, which means the attributes 'privileged' and 'allow_privilege_escalation' must be set to false, 'run_as_user.rule' must be set to 'MustRunAsNonRoot', and adding the root group must be forbidden|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod_security_policy#run_as_user">Documentation</a><br/>|
|Incorrect Volume Claim Access Mode ReadWriteOnce<br/><sup><sub>26b047a9-0329-48fd-8fb7-05bbe5ba80ee</sub></sup>|<span style="color:#C60">Medium</span>|Build Process|Kubernetes Stateful Sets must have one Volume Claim template with the access mode 'ReadWriteOnce'|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/stateful_set#volume_claim_template">Documentation</a><br/>|
|Default Service Account In Use<br/><sup><sub>737a0dd9-0aaa-4145-8118-f01778262b8a</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Default service accounts should not be actively used|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/service_account#automount_service_account_token">Documentation</a><br/>|
|PSP Set To Privileged<br/><sup><sub>a6a4d4fc-4e8f-47d1-969f-e9d4a084f3b9</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Do not allow pod to request execution as privileged|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#privileged">Documentation</a><br/>|
|Ingress Controller Exposes Workload<br/><sup><sub>e2c83c1f-84d7-4467-966c-ed41fd015bb9</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Ingress Controllers should not expose workload in order to avoid vulnerabilities and DoS attacks|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/ingress#http">Documentation</a><br/>|
|NET_RAW Capabilities Disabled for PSP<br/><sup><sub>9aa32890-ac1a-45ee-81ca-5164e2098556</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Containers need to have NET_RAW or All as drop capabilities|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod_security_policy#required_drop_capabilities">Documentation</a><br/>|
|Container Resources Limits Undefined<br/><sup><sub>60af03ff-a421-45c8-b214-6741035476fa</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Kubernetes container should have resource limitations defined such as CPU and memory|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod">Documentation</a><br/>|
|Container Host Pid Is True<br/><sup><sub>587d5d82-70cf-449b-9817-f60f9bccb88c</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Minimize the admission of containers wishing to share the host process ID namespace|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#host_pid">Documentation</a><br/>|
|PSP Allows Privilege Escalation<br/><sup><sub>2bff9906-4e9b-4f71-9346-8ebedfdf43ef</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|PodSecurityPolicy should not allow privilege escalation|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod_security_policy#allow_privilege_escalation">Documentation</a><br/>|
|Workload Mounting With Sensitive OS Directory<br/><sup><sub>a737be28-37d8-4bff-aa6d-1be8aa0a0015</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Workload is mounting a volume with sensitive OS Directory|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#host_path">Documentation</a><br/>|
|Seccomp Profile Is Not Configured<br/><sup><sub>455f2e0c-686d-4fcb-8b5f-3f953f12c43c</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if any resource does not configure Seccomp default profile properly|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#annotations">Documentation</a><br/>|
|Containers With Added Capabilities<br/><sup><sub>fe771ff7-ba15-4f8f-ad7a-8aa232b49a28</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Kubernetes Pod should not have extra capabilities allowed|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#capabilities-1">Documentation</a><br/>|
|Using Default Namespace<br/><sup><sub>abcb818b-5af7-4d72-aba9-6dd84956b451</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|The default namespace should not be used|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#namespace">Documentation</a><br/>|
|Container Runs Unmasked<br/><sup><sub>0ad60203-c050-4115-83b6-b94bde92541d</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if a container has full access (unmasked) to the host’s /proc command, which would allow to retrieve sensitive information and possibly change the kernel parameters in runtime.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod_security_policy#allowed_proc_mount_types">Documentation</a><br/>|
|PSP Allows Sharing Host IPC<br/><sup><sub>51bed0ac-a8ae-407a-895e-90c6cb0610ce</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Pod Security Policy allows containers to share the host IPC namespace|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod_security_policy#host_ipc">Documentation</a><br/>|
|Containers With Sys Admin Capabilities<br/><sup><sub>3f55386d-75cd-4e9a-ac47-167b26c04724</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Containers should not have CAP_SYS_ADMIN Linux capability|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#capabilities-1">Documentation</a><br/>|
|PSP With Added Capabilities<br/><sup><sub>48388bd2-7201-4dcc-b56d-e8a9efa58fad</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|PodSecurityPolicy should not have added capabilities|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod_security_policy#allowed_capabilities">Documentation</a><br/>|
|Service Account Name Undefined Or Empty<br/><sup><sub>24b132df-5cc7-4823-8029-f898e1c50b72</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Defaults|A Kubernetes Pod should have a Service Account defined so to restrict Kubernetes API access, which means the attribute 'service_account_name' should be defined and not empty.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#service_account_name">Documentation</a><br/>|
|Service Account Token Automount Not Disabled<br/><sup><sub>a9a13d4f-f17a-491b-b074-f54bffffcb4a</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Defaults|Service Account Tokens are automatically mounted even if not necessary|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#automount_service_account_token">Documentation</a><br/>|
|Service With External Load Balance<br/><sup><sub>2a52567c-abb8-4651-a038-52fa27c77aed</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|Service has an external load balancer, which may cause accessibility from other networks and the Internet|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/service">Documentation</a><br/>|
|Network Policy Is Not Targeting Any Pod<br/><sup><sub>b80b14c6-aaa2-4876-b651-8a48b6c32fbf</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if any network policy is not targeting any pod.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/network_policy#match_labels">Documentation</a><br/>|
|Volume Mount With OS Directory Write Permissions<br/><sup><sub>a62a99d1-8196-432f-8f80-3c100b05d62a</sub></sup>|<span style="color:#C60">Medium</span>|Resource Management|Containers can mount sensitive folders from the hosts, giving them potentially dangerous access to critical host configurations and binaries.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#volume_mount">Documentation</a><br/>|
|Memory Requests Not Defined<br/><sup><sub>21719347-d02b-497d-bda4-04a03c8e5b61</sub></sup>|<span style="color:#C60">Medium</span>|Resource Management|Memory requests should be specified|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#requests">Documentation</a><br/>|
|Memory Limits Not Defined<br/><sup><sub>fd097ed0-7fe6-4f58-8b71-fef9f0820a21</sub></sup>|<span style="color:#C60">Medium</span>|Resource Management|Memory limits should be specified|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#limits">Documentation</a><br/>|
|CPU Requests Not Set<br/><sup><sub>577ac19c-6a77-46d7-9f14-e049cdd15ec2</sub></sup>|<span style="color:#C60">Medium</span>|Resource Management|CPU requests should be set to ensure the sum of the resource requests of the scheduled Containers is less than the capacity of the node|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#requests">Documentation</a><br/>|
|CPU Limits Not Set<br/><sup><sub>5f4735ce-b9ba-4d95-a089-a37a767b716f</sub></sup>|<span style="color:#C60">Medium</span>|Resource Management|CPU limits should be set because if the system has CPU time free, a container is guaranteed to be allocated as much CPU as it requests|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#limits">Documentation</a><br/>|
|Shared Service Account<br/><sup><sub>f74b9c43-161a-4799-bc95-0b0ec81801b9</sub></sup>|<span style="color:#C60">Medium</span>|Secret Management|A Service Account token is shared between workloads|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#service_account_name">Documentation</a><br/>|
|Service Account Allows Access Secrets<br/><sup><sub>07fc3413-e572-42f7-9877-5c8fc6fccfb5</sub></sup>|<span style="color:#C60">Medium</span>|Secret Management|Kubernetes_role and Kubernetes_cluster_role when binded, should not use get, list or watch as verbs|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/role_binding#subject">Documentation</a><br/>|
|Missing App Armor Config<br/><sup><sub>bd6bd46c-57db-4887-956d-d372f21291b6</sub></sup>|<span style="color:#CC0">Low</span>|Access Control|Containers should be configured with AppArmor for any application to reduce its potential attack|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#annotations">Documentation</a><br/>|
|Docker Daemon Socket is Exposed to Containers<br/><sup><sub>4e203a65-c8d8-49a2-b749-b124d43c9dc1</sub></sup>|<span style="color:#CC0">Low</span>|Access Control|Sees if Docker Daemon Socket is not exposed to Containers|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#host_path">Documentation</a><br/>|
|Cluster Admin Rolebinding With Superuser Permissions<br/><sup><sub>17172bc2-56fb-4f17-916f-a014147706cd</sub></sup>|<span style="color:#CC0">Low</span>|Access Control|Ensure that the cluster-admin role is only used where required (RBAC)|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/cluster_role_binding#name">Documentation</a><br/>|
|Permissive Access to Create Pods<br/><sup><sub>522d4a64-4dc9-44bd-9240-7d8a0d5cb5ba</sub></sup>|<span style="color:#CC0">Low</span>|Access Control|The permission to create pods in a cluster should be restricted because it allows privilege escalation.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/role#rule">Documentation</a><br/>|
|Deployment Without PodDisruptionBudget<br/><sup><sub>a05331ee-1653-45cb-91e6-13637a76e4f0</sub></sup>|<span style="color:#CC0">Low</span>|Availability|Deployments should be assigned with a PodDisruptionBudget to ensure high availability|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/deployment#selector">Documentation</a><br/>|
|StatefulSet Without Service Name<br/><sup><sub>420e6360-47bb-46f6-9072-b20ed22c842d</sub></sup>|<span style="color:#CC0">Low</span>|Availability|Check if the StatefulSet have a headless 'serviceName'|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/stateful_set#selector">Documentation</a><br/>|
|StatefulSet Without PodDisruptionBudget<br/><sup><sub>7249e3b0-9231-4af3-bc5f-5daf4988ecbf</sub></sup>|<span style="color:#CC0">Low</span>|Availability|StatefulSets should be assigned with a PodDisruptionBudget to ensure high availability|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/stateful_set#selector">Documentation</a><br/>|
|HPA Targets Invalid Object<br/><sup><sub>17e52ca3-ddd0-4610-9d56-ce107442e110</sub></sup>|<span style="color:#CC0">Low</span>|Availability|The Horizontal Pod Autoscale must target a valid object|<a href="hhttps://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/horizontal_pod_autoscaler#metric">Documentation</a><br/>|
|Metadata Label Is Invalid<br/><sup><sub>bc3dabb6-fd50-40f8-b9ba-7429c9f1fb0e</sub></sup>|<span style="color:#CC0">Low</span>|Best Practices|Check if any label in the metadata is invalid.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#labels">Documentation</a><br/>|
|No Drop Capabilities for Containers<br/><sup><sub>21cef75f-289f-470e-8038-c7cee0664164</sub></sup>|<span style="color:#CC0">Low</span>|Best Practices|Sees if Kubernetes Drop Capabilities exists to ensure containers security context|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#drop">Documentation</a><br/>|
|Root Container Not Mounted As Read-only<br/><sup><sub>d532566b-8d9d-4f3b-80bd-361fe802f9c2</sub></sup>|<span style="color:#CC0">Low</span>|Build Process|Check if the root container filesystem is not being mounted as read-only.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#read_only_root_filesystem">Documentation</a><br/>|
|StatefulSet Requests Storage<br/><sup><sub>fcc2612a-1dfe-46e4-8ce6-0320959f0040</sub></sup>|<span style="color:#CC0">Low</span>|Build Process|A StatefulSet requests volume storage.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/stateful_set#volume_claim_template">Documentation</a><br/>|
|Image Pull Policy Of The Container Is Not Set To Always<br/><sup><sub>aa737abf-6b1d-4aba-95aa-5c160bd7f96e</sub></sup>|<span style="color:#CC0">Low</span>|Insecure Configurations|Image Pull Policy of the container must be defined and set to Always|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#image_pull_policy">Documentation</a><br/>|
|Image Without Digest<br/><sup><sub>228c4c19-feeb-4c18-848c-800ac70fdfb7</sub></sup>|<span style="color:#CC0">Low</span>|Insecure Configurations|Sees if Kubernetes image has digest on|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#image">Documentation</a><br/>|
|Pod or Container Without Security Context<br/><sup><sub>ad69e38a-d92e-4357-a8da-f2f29d545883</sub></sup>|<span style="color:#CC0">Low</span>|Insecure Configurations|A security context defines privilege and access control settings for a Pod or Container|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#security_context">Documentation</a><br/>|
|Service Type is NodePort<br/><sup><sub>5c281bf8-d9bb-47f2-b909-3f6bb11874ad</sub></sup>|<span style="color:#CC0">Low</span>|Networking and Firewall|Service type should not be NodePort|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/service#type">Documentation</a><br/>|
|Workload Host Port Not Specified<br/><sup><sub>4e74cf4f-ff65-4c1a-885c-67ab608206ce</sub></sup>|<span style="color:#CC0">Low</span>|Networking and Firewall|Verifies if Kubernetes workload's host port is specified|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#host_port">Documentation</a><br/>|
|CronJob Deadline Not Configured<br/><sup><sub>58876b44-a690-4e9f-9214-7735fa0dd15d</sub></sup>|<span style="color:#CC0">Low</span>|Resource Management|Cronjobs must have a configured deadline, which means the attribute 'starting_deadline_seconds' must be defined|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/cron_job#starting_deadline_seconds">Documentation</a><br/>|
|Deployment Has No PodAntiAffinity<br/><sup><sub>461ed7e4-f8d5-4bc1-b3c6-64ddb4fd00a3</sub></sup>|<span style="color:#CC0">Low</span>|Resource Management|Check if Deployment resources don't have a podAntiAffinity policy, which prevents multiple pods from being scheduled on the same node.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/deployment#affinity">Documentation</a><br/>|
|Secrets As Environment Variables<br/><sup><sub>6d8f1a10-b6cd-48f0-b960-f7c535d5cdb8</sub></sup>|<span style="color:#CC0">Low</span>|Secret Management|Container should not use secrets as environment variables|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#secret_key_ref">Documentation</a><br/>|
|Invalid Image<br/><sup><sub>e76cca7c-c3f9-4fc9-884c-b2831168ebd8</sub></sup>|<span style="color:#CC0">Low</span>|Supply-Chain|Image must be defined and not be empty or equal to latest.|<a href="https://registry.terraform.io/providers/hashicorp/kubernetes/latest/docs/resources/pod#image">Documentation</a><br/>|
### AWS
Bellow are listed queries related with Terraform AWS:



|            Query             |Severity|Category|Description|Help|
|------------------------------|--------|--------|-----------|----|
|ECS Service Admin Role is Present<br/><sup><sub>3206240f-2e87-4e58-8d24-3e19e7c83d7c</sub></sup>|<span style="color:#C00">High</span>|Access Control|ECS Services must not have Admin roles, which means the attribute 'iam_role' must not be an admin role|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecs_service">Documentation</a><br/>|
|S3 Bucket Allows List Action From All Principals<br/><sup><sub>66c6f96f-2d9e-417e-a998-9058aeeecd44</sub></sup>|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow List Action From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion. This means the 'Effect' must not be 'Allow' when the 'Action' is List, for all Principals.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_policy">Documentation</a><br/>|
|SQS Queue Exposed<br/><sup><sub>abb06e5f-ef9a-4a99-98c6-376d396bfcdf</sub></sup>|<span style="color:#C00">High</span>|Access Control|Checks if the SQS Queue is exposed|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/sqs_queue#policy">Documentation</a><br/>|
|IAM Policies With Full Privileges<br/><sup><sub>2f37c4a3-58b9-4afe-8a87-d7f1d2286f84</sub></sup>|<span style="color:#C00">High</span>|Access Control|IAM policies that allow full administrative privileges (for all resources)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_role_policy">Documentation</a><br/>|
|S3 Bucket Allows Delete Action From All Principals<br/><sup><sub>ffdf4b37-7703-4dfe-a682-9d2e99bc6c09</sub></sup>|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow Delete Action From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion. This means the 'Effect' must not be 'Allow' when the 'Action' is Delete, for all Principals.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_policy">Documentation</a><br/>|
|EFS With Vulnerable Policy<br/><sup><sub>fae52418-bb8b-4ac2-b287-0b9082d6a3fd</sub></sup>|<span style="color:#C00">High</span>|Access Control|EFS (Elastic File System) policy should avoid wildcard in 'Action' and 'Principal'.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/efs_file_system_policy#policy">Documentation</a><br/>|
|S3 Bucket Allows Get Action From All Principals<br/><sup><sub>1df37f4b-7197-45ce-83f8-9994d2fcf885</sub></sup>|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow Get Action From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion. This means the 'Effect' must not be 'Allow' when the 'Action' is Get, for all Principals.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_policy">Documentation</a><br/>|
|S3 Bucket Allows Public Policy<br/><sup><sub>1a4bc881-9f69-4d44-8c9a-d37d08f54c50</sub></sup>|<span style="color:#C00">High</span>|Access Control|S3 bucket allows public policy|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_public_access_block">Documentation</a><br/>|
|IAM Role With Full Privileges<br/><sup><sub>b1ffa705-19a3-4b73-b9d0-0c97d0663842</sub></sup>|<span style="color:#C00">High</span>|Access Control|IAM role policy that allow full administrative privileges (for all resources)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_role">Documentation</a><br/>|
|Neptune Cluster Instance is Publicly Accessible<br/><sup><sub>9ba198e0-fef4-464a-8a4d-75ea55300de7</sub></sup>|<span style="color:#C00">High</span>|Access Control|Neptune Cluster Instance should not be publicly accessible|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/neptune_cluster_instance#publicly_accessible">Documentation</a><br/>|
|S3 Bucket Access to Any Principal<br/><sup><sub>7af43613-6bb9-4a0e-8c4d-1314b799425e</sub></sup>|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow Actions From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion. This means the 'Effect' must not be 'Allow' when there are All Principals|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_policy">Documentation</a><br/>|
|S3 Bucket Allows WriteACP Action From All Principals<br/><sup><sub>64a222aa-7793-4e40-915f-4b302c76e4d4</sub></sup>|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow Write_ACP Action From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion. This means the 'Effect' must not be 'Allow' when the 'Action' is Write_ACP, for all Principals.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_policy">Documentation</a><br/>|
|S3 Bucket Allows All Actions From All Principals<br/><sup><sub>51cf6f14-6a52-4642-97fb-10db078382d3</sub></sup>|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow All Actions (wildcard) From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion. This means the 'Effect' must not be 'Allow' when the 'Action' is *, for all Principals.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_policy">Documentation</a><br/>|
|S3 Bucket ACL Allows Read Or Write to All Users<br/><sup><sub>38c5ee0d-7f22-4260-ab72-5073048df100</sub></sup>|<span style="color:#C00">High</span>|Access Control|S3 bucket with public READ/WRITE access|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket">Documentation</a><br/>|
|S3 Bucket ACL Allows Read to Any Authenticated User<br/><sup><sub>57b9893d-33b1-4419-bcea-a717ea87e139</sub></sup>|<span style="color:#C00">High</span>|Access Control|Misconfigured S3 buckets can leak private information to the entire internet or allow unauthorized data tampering / deletion|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket#acl">Documentation</a><br/>|
|S3 Bucket Allows Put Action From All Principals<br/><sup><sub>d24c0755-c028-44b1-b503-8e719c898832</sub></sup>|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not allow Put Action From All Principals, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion. This means the 'Effect' must not be 'Allow' when the 'Action' is Put, for all Principals.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_policy">Documentation</a><br/>|
|S3 Bucket With All Permissions<br/><sup><sub>a4966c4f-9141-48b8-a564-ffe9959945bc</sub></sup>|<span style="color:#C00">High</span>|Access Control|S3 Buckets must not have all permissions, as to prevent leaking private information to the entire internet or allow unauthorized data tampering / deletion|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket">Documentation</a><br/>|
|Kinesis SSE Not Configured<br/><sup><sub>5c6dd5e7-1fe0-4cae-8f81-4c122717cef3</sub></sup>|<span style="color:#C00">High</span>|Encryption|AWS Kinesis Server data at rest should have Server Side Encryption (SSE) enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/kinesis_firehose_delivery_stream#server_side_encryption">Documentation</a><br/>|
|DOCDB Cluster Without KMS<br/><sup><sub>4766d3ea-241c-4ee6-93ff-c380c996bd1a</sub></sup>|<span style="color:#C00">High</span>|Encryption|AWS DOCDB Cluster should be encrypted with a KMS encryption key|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/docdb_cluster#kms_key_id">Documentation</a><br/>|
|EKS Cluster Encryption Disabled<br/><sup><sub>63ebcb19-2739-4d3f-aa5c-e8bbb9b85281</sub></sup>|<span style="color:#C00">High</span>|Encryption|EKS Cluster should be encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/eks_cluster#encryption_config">Documentation</a><br/>|
|Memcached Disabled<br/><sup><sub>4bd15dd9-8d5e-4008-8532-27eb0c3706d3</sub></sup>|<span style="color:#C00">High</span>|Encryption|Check if the Memcached is disabled on the ElastiCache|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticache_cluster#engine">Documentation</a><br/>|
|RDS Database Cluster not Encrypted<br/><sup><sub>656880aa-1388-488f-a6d4-8f73c23149b2</sub></sup>|<span style="color:#C00">High</span>|Encryption|RDS Database Cluster Encryption should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_cluster_snapshot">Documentation</a><br/>|
|Launch Configuration Is Not Encrypted<br/><sup><sub>4de9de27-254e-424f-bd70-4c1e95790838</sub></sup>|<span style="color:#C00">High</span>|Encryption|Data stored in the Launch configuration EBS is not securely encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/launch_configuration#encrypted">Documentation</a><br/>|
|Sagemaker Endpoint Configuration Encryption Disabled<br/><sup><sub>58b35504-0287-4154-bf69-02c0573deab8</sub></sup>|<span style="color:#C00">High</span>|Encryption|Sagemaker endpoint configuration should encrypt data|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/sagemaker_endpoint_configuration#kms_key_arn">Documentation</a><br/>|
|Glue Security Configuration Encryption Disabled<br/><sup><sub>ad5b4e97-2850-4adf-be17-1d293e0b85ee</sub></sup>|<span style="color:#C00">High</span>|Encryption|Glue Security Configuration Encryption should have 'cloudwatch_encryption', 'job_bookmarks_encryption' and 's3_encryption' enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/glue_security_configuration#encryption_configuration">Documentation</a><br/>|
|Glue Data Catalog Encryption Disabled<br/><sup><sub>01d50b14-e933-4c99-b314-6d08cd37ad35</sub></sup>|<span style="color:#C00">High</span>|Encryption|Glue Data Catalog Encryption Settings should have 'connection_password_encryption' and 'encryption_at_rest' enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/glue_data_catalog_encryption_settings#data_catalog_encryption_settings">Documentation</a><br/>|
|IAM Database Auth Not Enabled<br/><sup><sub>88fd05e0-ac0e-43d2-ba6d-fc0ba60ae1a6</sub></sup>|<span style="color:#C00">High</span>|Encryption|IAM Database Auth Enabled must be configured to true|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_instance#iam_database_authentication_enabled">Documentation</a><br/>|
|S3 Bucket SSE Disabled<br/><sup><sub>6726dcc0-5ff5-459d-b473-a780bef7665c</sub></sup>|<span style="color:#C00">High</span>|Encryption|If algorithm is AES256 then the master key is null, empty or undefined, otherwise the master key is required|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket#server_side_encryption_configuration">Documentation</a><br/>|
|Kinesis Not Encrypted With KMS<br/><sup><sub>862fe4bf-3eec-4767-a517-40f378886b88</sub></sup>|<span style="color:#C00">High</span>|Encryption|AWS Kinesis Streams and metadata should be protected with KMS|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/kinesis_stream">Documentation</a><br/>|
|Workspaces Workspace Volume Not Encrypted<br/><sup><sub>b9033580-6886-401a-8631-5f19f5bb24c7</sub></sup>|<span style="color:#C00">High</span>|Encryption|AWS Workspaces Workspace data stored in volumes should be encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/workspaces_workspace#root_volume_encryption_enabled">Documentation</a><br/>|
|EBS Default Encryption Disabled<br/><sup><sub>3d3f6270-546b-443c-adb4-bb6fb2187ca6</sub></sup>|<span style="color:#C00">High</span>|Encryption|EBS Encryption should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ebs_encryption_by_default">Documentation</a><br/>|
|ELB Using Weak Ciphers<br/><sup><sub>4a800e14-c94a-442d-9067-5a2e9f6c0a4c</sub></sup>|<span style="color:#C00">High</span>|Encryption|ELB Predefined or Custom Security Policies must not use weak ciphers, to reduce the risk of the SSL connection between the client and the load balancer being exploited. That means the 'name' of 'policy_attributes' must not coincide with any of a predefined list of weak ciphers.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/load_balancer_policy">Documentation</a><br/>|
|DOCDB Cluster Not Encrypted<br/><sup><sub>bc1f9009-84a0-490f-ae09-3e0ea6d74ad6</sub></sup>|<span style="color:#C00">High</span>|Encryption|AWS DOCDB Cluster storage should be encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/docdb_cluster#storage_encrypted">Documentation</a><br/>|
|User Data Contains Encoded Private Key<br/><sup><sub>443488f5-c734-460b-a36d-5b3f330174dc</sub></sup>|<span style="color:#C00">High</span>|Encryption|User Data Base64 contains an encoded RSA Private Key|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/launch_configuration#user_data_base64">Documentation</a><br/>|
|DAX Cluster Not Encrypted<br/><sup><sub>f11aec39-858f-4b6f-b946-0a1bf46c0c87</sub></sup>|<span style="color:#C00">High</span>|Encryption|AWS DAX Cluster should have server-side encryption at rest|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/dax_cluster#enabled">Documentation</a><br/>|
|EFS Without KMS<br/><sup><sub>25d251f3-f348-4f95-845c-1090e41a615c</sub></sup>|<span style="color:#C00">High</span>|Encryption|Elastic File System (EFS) must have KMS Key ID|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/efs_file_system#kms_key_id">Documentation</a><br/>|
|Secure Ciphers Disabled<br/><sup><sub>5c0003fb-9aa0-42c1-9da3-eb0e332bef21</sub></sup>|<span style="color:#C00">High</span>|Encryption|Check if secure ciphers aren't used in CloudFront|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudfront_distribution">Documentation</a><br/>|
|Sagemaker Notebook Instance Without KMS<br/><sup><sub>f3674e0c-f6be-43fa-b71c-bf346d1aed99</sub></sup>|<span style="color:#C00">High</span>|Encryption|AWS SageMaker should encrypt model artifacts at rest using Amazon S3 server-side encryption with an AWS KMS|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/sagemaker_notebook_instance#kms_key_id">Documentation</a><br/>|
|Athena Workgroup Not Encrypted<br/><sup><sub>d364984a-a222-4b5f-a8b0-e23ab19ebff3</sub></sup>|<span style="color:#C00">High</span>|Encryption|Athena Workgroup query results should be encrypted, for all queries that run in the workgroup|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/athena_workgroup#encryption_configuration">Documentation</a><br/>|
|ELB Using Insecure Protocols<br/><sup><sub>126c1788-23c2-4a10-906c-ef179f4f96ec</sub></sup>|<span style="color:#C00">High</span>|Encryption|ELB Predefined or Custom Security Policies must not use insecure protocols, to reduce the risk of the SSL connection between the client and the load balancer being exploited. That means the 'name' of 'policy_attributes' must not coincide with any of a predefined list of insecure protocols.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/load_balancer_policy">Documentation</a><br/>|
|Automatic Minor Upgrades Disabled<br/><sup><sub>3b6d777b-76e3-4133-80a3-0d6f667ade7f</sub></sup>|<span style="color:#C00">High</span>|Encryption|RDS Instance Auto Minor Version Upgrade feature in Aws Db Instance must be true|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_instance#auto_minor_version_upgrade">Documentation</a><br/>|
|AMI Not Encrypted<br/><sup><sub>8bbb242f-6e38-4127-86d4-d8f0b2687ae2</sub></sup>|<span style="color:#C00">High</span>|Encryption|AWS AMI Encryption is not enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/data-sources/ami">Documentation</a><br/>|
|ECS Task Definition Container With Plaintext Password<br/><sup><sub>d40210ea-64b9-4cce-a4fb-e8604f3c062c</sub></sup>|<span style="color:#C00">High</span>|Encryption|It's not recommended to use plaintext environment variables for sensitive information, such as credential data.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecs_task_definition">Documentation</a><br/>|
|CodeBuild Project Encrypted With AWS Managed Key<br/><sup><sub>3deec14b-03d2-4d27-9670-7d79322e3340</sub></sup>|<span style="color:#C00">High</span>|Encryption|CodeBuild Project should be encrypted with customer-managed KMS keys instead of AWS managed keys|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/codebuild_project#encryption_key">Documentation</a><br/>|
|EFS Not Encrypted<br/><sup><sub>48207659-729f-4b5c-9402-f884257d794f</sub></sup>|<span style="color:#C00">High</span>|Encryption|Elastic File System (EFS) must be encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/efs_file_system#encrypted">Documentation</a><br/>|
|Athena Database Not Encrypted<br/><sup><sub>b2315cae-b110-4426-81e0-80bb8640cdd3</sub></sup>|<span style="color:#C00">High</span>|Encryption|AWS Athena Database data in S3 should be encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/athena_database#encryption_configuration">Documentation</a><br/>|
|EBS Volume Snapshot Not Encrypted<br/><sup><sub>e6b4b943-6883-47a9-9739-7ada9568f8ca</sub></sup>|<span style="color:#C00">High</span>|Encryption|The value on AWS EBS Volume Snapshot Encryptation must be true|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/data-sources/ebs_snapshot#encrypted">Documentation</a><br/>|
|RDS Storage Not Encrypted<br/><sup><sub>3199c26c-7871-4cb3-99c2-10a59244ce7f</sub></sup>|<span style="color:#C00">High</span>|Encryption|Check if RDS Cluster Storage isn't encrypted. Happens when 'storage_encrypted' is not set to 'true'|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/rds_cluster#storage_encrypted">Documentation</a><br/>|
|Viewer Protocol Policy Allows HTTP<br/><sup><sub>55af1353-2f62-4fa0-a8e1-a210ca2708f5</sub></sup>|<span style="color:#C00">High</span>|Encryption|Checks if the connection between the CloudFront and the origin server is encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudfront_distribution">Documentation</a><br/>|
|S3 Bucket Object Not Encrypted<br/><sup><sub>5fb49a69-8d46-4495-a2f8-9c8c622b2b6e</sub></sup>|<span style="color:#C00">High</span>|Encryption|S3 Bucket Object should have server-side encryption enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_object#server_side_encryption">Documentation</a><br/>|
|CloudWatch Log Group Not Encrypted<br/><sup><sub>0afbcfe9-d341-4b92-a64c-7e6de0543879</sub></sup>|<span style="color:#C00">High</span>|Encryption|AWS CloudWatch Log groups should be encrypted using KMS|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_group">Documentation</a><br/>|
|ECS Task Definition Volume Not Encrypted<br/><sup><sub>4d46ff3b-7160-41d1-a310-71d6d370b08f</sub></sup>|<span style="color:#C00">High</span>|Encryption|AWS ECS Task Definition EFS data in transit between AWS ECS host and AWS EFS server should be encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecs_task_definition#transit_encryption">Documentation</a><br/>|
|MSK Cluster Encryption Disabled<br/><sup><sub>6db52fa6-d4da-4608-908a-89f0c59e743e</sub></sup>|<span style="color:#C00">High</span>|Encryption|Ensure MSK Cluster encryption in rest and transit is enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/msk_cluster#encryption_info">Documentation</a><br/>|
|DB Instance Storage Not Encrypted<br/><sup><sub>08bd0760-8752-44e1-9779-7bb369b2b4e4</sub></sup>|<span style="color:#C00">High</span>|Encryption|The parameter storage_encrypted in aws_db_instance must be set to 'true' (the default is 'false').|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_instance#storage_encrypted">Documentation</a><br/>|
|API Gateway Method Settings Cache Not Encrypted<br/><sup><sub>b7c9a40c-23e4-4a2d-8d39-a3352f10f288</sub></sup>|<span style="color:#C00">High</span>|Encryption|API Gateway Method Settings Cache should be encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_method_settings#cache_data_encrypted">Documentation</a><br/>|
|User Data Shell Script Is Encoded<br/><sup><sub>9cf718ce-46f9-430e-89ec-c456f8b469ee</sub></sup>|<span style="color:#C00">High</span>|Encryption|Base64 Shell Script must be encoded|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/launch_configuration#user_data_base64">Documentation</a><br/>|
|Redshift Not Encrypted<br/><sup><sub>cfdcabb0-fc06-427c-865b-c59f13e898ce</sub></sup>|<span style="color:#C00">High</span>|Encryption|Check if 'encrypted' field is false or undefined (default is false)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/redshift_cluster#encrypted">Documentation</a><br/>|
|CA certificate Identifier is outdated<br/><sup><sub>9f40c07e-699e-4410-8856-3ba0f2e3a2dd</sub></sup>|<span style="color:#C00">High</span>|Encryption|The CA certificate Identifier must be 'rds-ca-2019'.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_instance">Documentation</a><br/>|
|Redis Not Compliant<br/><sup><sub>254c932d-e3bf-44b2-bc9d-eb5fdb09f8d4</sub></sup>|<span style="color:#C00">High</span>|Encryption|Check if the redis version is compliant with the necessary AWS PCI DSS requirements|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticache_cluster#engine_version">Documentation</a><br/>|
|S3 Bucket with Unsecured CORS Rule<br/><sup><sub>98a8f708-121b-455b-ae2f-da3fb59d17e1</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|If the CORS (Cross-Origin Resource Sharing) rule is defined in an S3 bucket, it should be secure|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket#cors_rule">Documentation</a><br/>|
|Redshift Publicly Accessible<br/><sup><sub>af173fde-95ea-4584-b904-bb3923ac4bda</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Check if 'publicly_accessible' field is true or undefined (default is true)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/redshift_cluster">Documentation</a><br/>|
|Root Account Has Active Access Keys<br/><sup><sub>970d224d-b42a-416b-81f9-8f4dfe70c4bc</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|The AWS Root Account must not have active access keys associated, which means if there are access keys associated to the Root Account, they must be inactive.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_access_key">Documentation</a><br/>|
|CloudFront Without Minimum Protocol TLS 1.2<br/><sup><sub>00e5e55e-c2ff-46b3-a757-a7a1cd802456</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|CloudFront Minimum Protocol version should be at least TLS 1.2|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudfront_distribution">Documentation</a><br/>|
|Batch Job Definition With Privileged Container Properties<br/><sup><sub>66cd88ac-9ddf-424a-b77e-e55e17630bee</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Batch Job Definition should not have Privileged Container Properties|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/batch_job_definition">Documentation</a><br/>|
|ECS Task Definition Network Mode Not Recommended<br/><sup><sub>9f4a9409-9c60-4671-be96-9716dbf63db1</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Network_Mode should be 'awsvpc' in ecs_task_defenition. AWS VPCs provides the controls to facilitate a formal process for approving and testing all network connections and changes to the firewall and router configurations|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecs_task_definition#network_mode">Documentation</a><br/>|
|KMS Key With Vulnerable Policy<br/><sup><sub>7ebc9038-0bde-479a-acc4-6ed7b6758899</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Checks if the policy is vulnerable and needs updating.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/kms_key">Documentation</a><br/>|
|S3 Bucket Without Restriction Of Public Bucket<br/><sup><sub>1ec253ab-c220-4d63-b2de-5b40e0af9293</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|S3 bucket without restriction of public bucket|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_public_access_block">Documentation</a><br/>|
|DB Instance Publicly Accessible<br/><sup><sub>35113e6f-2c6b-414d-beec-7a9482d3b2d1</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|The field 'publicly_accessible' should not be set to 'true' (default is 'false').|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_instance#publicly_accessible">Documentation</a><br/>|
|IAM User Policy Without MFA<br/><sup><sub>b5681959-6c09-4f55-b42b-c40fa12d03ec</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Check if the root user is authenticated with MFA|<a href="https://docs.aws.amazon.com/IAM/latest/UserGuide/id_credentials_mfa_configure-api-require.html">Documentation</a><br/>|
|API Gateway Without Security Policy<br/><sup><sub>4e1cc5d3-2811-4fb2-861c-ee9b3cb7f90b</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|API Gateway should have a Security Policy defined and use TLS 1.2.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_domain_name#security_policy">Documentation</a><br/>|
|No Password Policy Enabled<br/><sup><sub>b592ffd4-0577-44b6-bd35-8c5ee81b5918</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|IAM password policies should be set through the password minimum length and reset password attributes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_user_login_profile">Documentation</a><br/>|
|S3 Static Website Host Enabled<br/><sup><sub>42bb6b7f-6d54-4428-b707-666f669d94fb</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Checks if any static websties are hosted on buckets|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket#website">Documentation</a><br/>|
|DB Security Group Has Public Interface<br/><sup><sub>f0d8781f-99bf-4958-9917-d39283b168a0</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|The CIDR IP should not be a public interface|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_security_group">Documentation</a><br/>|
|SQS With SSE Disabled<br/><sup><sub>6e8849c1-3aa7-40e3-9063-b85ee300f29f</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Amazon Simple Queue Service (SQS) queue is not protecting the contents of their messages using Server-Side Encryption (SSE)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/sqs_queue">Documentation</a><br/>|
|Authentication Without MFA<br/><sup><sub>3ddfa124-6407-4845-a501-179f90c65097</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Users should authenticate with MFA (Multi-factor Authentication)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_user_policy">Documentation</a><br/>|
|S3 Bucket Without Enabled MFA Delete<br/><sup><sub>c5b31ab9-0f26-4a49-b8aa-4cc064392f4d</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|S3 bucket without MFA Delete Enabled. MFA delete cannot be enabled through Terraform, it can be done by adding a MFA device (https://docs.aws.amazon.com/IAM/latest/UserGuide/id_credentials_mfa_enable.html) and enabling versioning and MFA delete by using AWS CLI: 'aws s3api put-bucket-versioning --versioning-configuration=Status=Enabled,MFADelete=Enabled --bucket=<BUCKET_NAME> --mfa=<MFA_SERIAL_NUMBER>'. Please, also notice that MFA delete can not be used with lifecycle configurations|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket#mfa_delete">Documentation</a><br/>|
|Lambda Function With Privileged role<br/><sup><sub>1b3af2f9-af8c-4dfc-a0f1-a03adb70deb2</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|It is not advisable for AWS Lambda Functions to have privileged permissions.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/lambda_function">Documentation</a><br/>|
|Vulnerable Default SSL Certificate<br/><sup><sub>3a1e94df-6847-4c0e-a3b6-6c6af4e128ef</sub></sup>|<span style="color:#C00">High</span>|Insecure Defaults|CloudFront web distributions should use custom (and not default) SSL certificates. Custom SSL certificates allow only defined users to access content by using an alternate domain name instead of the default one.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudfront_distribution">Documentation</a><br/>|
|Remote Desktop Port Open<br/><sup><sub>151187cb-0efc-481c-babd-ad24e3c9bc22</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|The Remote Desktop port is open in a Security Group|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group">Documentation</a><br/>|
|Default Security Groups With Unrestricted Traffic<br/><sup><sub>46883ce1-dc3e-4b17-9195-c6a601624c73</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|Check if default security group does not restrict all inbound and outbound traffic.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/default_security_group">Documentation</a><br/>|
|Unrestricted Security Group Ingress<br/><sup><sub>4728cd65-a20c-49da-8b31-9c08b423e4db</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|Security groups allow ingress from 0.0.0.0:0|<a href="https://www.terraform.io/docs/providers/aws/r/security_group.html">Documentation</a><br/>|
|EKS Cluster Has Public Access CIDRs<br/><sup><sub>61cf9883-1752-4768-b18c-0d57f2737709</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|Amazon EKS public endpoint is enables and accessible to all: 0.0.0.0/0"|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/eks_cluster">Documentation</a><br/>|
|VPC Default Security Group Accepts All Traffic<br/><sup><sub>9a4ef195-74b9-4c58-b8ed-2b2fe4353a75</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|Default Security Group attached to every VPC should restrict all traffic|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/default_security_group">Documentation</a><br/>|
|HTTP Port Open<br/><sup><sub>ffac8a12-322e-42c1-b9b9-81ff85c39ef7</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|The HTTP port is open in a Security Group|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group">Documentation</a><br/>|
|DB Security Group Open To Large Scope<br/><sup><sub>4f615f3e-fb9c-4fad-8b70-2e9f781806ce</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|The IP address in a DB Security Group must not have more than 256 hosts.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_security_group">Documentation</a><br/>|
|Sensitive Port Is Exposed To Entire Network<br/><sup><sub>381c3f2a-ef6f-4eff-99f7-b169cda3422c</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|A sensitive port, such as port 23 or port 110, is open for the whole network in either TCP or UDP protocol|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group">Documentation</a><br/>|
|Network ACL With Unrestricted Access To RDP<br/><sup><sub>a20be318-cac7-457b-911d-04cc6e812c25</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|'RDP' (TCP:3389) should not be public in AWS Network ACL|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/network_acl">Documentation</a><br/>|
|ALB Listening on HTTP<br/><sup><sub>de7f5e83-da88-4046-871f-ea18504b1d43</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|AWS Application Load Balancer (alb) should not listen on HTTP|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/lb_listener">Documentation</a><br/>|
|DB Security Group With Public Scope<br/><sup><sub>1e0ef61b-ad85-4518-a3d3-85eaad164885</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|The IP address in a DB Security Group must not be '0.0.0.0/0' (IPv4) or '::/0' (IPv6).|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_security_group">Documentation</a><br/>|
|RDS Associated with Public Subnet<br/><sup><sub>2f737336-b18a-4602-8ea0-b200312e1ac1</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|RDS should not run in public subnet|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_instance#db_subnet_group_name">Documentation</a><br/>|
|EKS node group remote access disabled<br/><sup><sub>ba40ace1-a047-483c-8a8d-bc2d3a67a82d</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|EKS node group remote access is disabled when 'SourceSecurityGroups' is missing|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/eks_node_group#remote_access">Documentation</a><br/>|
|EC2 Instance Has Public IP<br/><sup><sub>5a2486aa-facf-477d-a5c1-b010789459ce</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|EC2 Instance should not have a public IP address.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/instance#associate_public_ip_address">Documentation</a><br/>|
|Unknown Port Exposed To Internet<br/><sup><sub>590d878b-abdc-428f-895a-e2b68a0e1998</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|AWS Security Group should not have an unknown port exposed to the entire Internet|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group">Documentation</a><br/>|
|Security Group With Unrestricted Access To SSH<br/><sup><sub>65905cec-d691-4320-b320-2000436cb696</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|'SSH' (TCP:22) should not be public in AWS Security Group|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group">Documentation</a><br/>|
|Route53 Record Undefined<br/><sup><sub>25db74bf-fa3b-44da-934e-8c3e005c0453</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|Check if Record is set|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/route53_record">Documentation</a><br/>|
|Network ACL With Unrestricted Access To SSH<br/><sup><sub>3af7f2fd-06e6-4dab-b996-2912bea19ba4</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|'SSH' (TCP:22) should not be public in AWS Network ACL|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/network_acl">Documentation</a><br/>|
|VPC Peering Route Table with Unrestricted CIDR<br/><sup><sub>b3a41501-f712-4c4f-81e5-db9a7dc0e34e</sub></sup>|<span style="color:#C00">High</span>|Networking and Firewall|VPC Peering Route Table should restrict CIDR|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/route">Documentation</a><br/>|
|CloudTrail Log Files Not Encrypted<br/><sup><sub>5d9e3164-9265-470c-9a10-57ae454ac0c7</sub></sup>|<span style="color:#C00">High</span>|Observability|Logs delivered by CloudTrail should be encrypted using KMS|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudtrail#kms_key_id">Documentation</a><br/>|
|KMS Key With No Deletion Window<br/><sup><sub>0b530315-0ea4-497f-b34c-4ff86268f59d</sub></sup>|<span style="color:#C00">High</span>|Observability|AWS KMS Key should have a valid deletion window|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/kms_key">Documentation</a><br/>|
|CMK Rotation Disabled<br/><sup><sub>22fbfeac-7b5a-421a-8a27-7a2178bb910b</sub></sup>|<span style="color:#C00">High</span>|Observability|Customer Master Keys (CMK) must have rotation enabled, which means the attribute 'enable_key_rotation' must be set to 'true' when the key is enabled.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/kms_key#enable_key_rotation">Documentation</a><br/>|
|CloudTrail Logging Disabled<br/><sup><sub>4bb76f17-3d63-4529-bdca-2b454529d774</sub></sup>|<span style="color:#C00">High</span>|Observability|Checks if logging is enabled for CloudTrail.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudtrail#enable_logging">Documentation</a><br/>|
|Configuration Aggregator to All Regions Disabled<br/><sup><sub>ac5a0bc0-a54c-45aa-90c3-15f7703b9132</sub></sup>|<span style="color:#C00">High</span>|Observability|AWS Config Configuration Aggregator All Regions must be set to True|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/config_configuration_aggregator#all_regions">Documentation</a><br/>|
|CloudTrail Log Files S3 Bucket is Publicly Accessible<br/><sup><sub>bd0088a5-c133-4b20-b129-ec9968b16ef3</sub></sup>|<span style="color:#C00">High</span>|Observability|CloudTrail Log Files S3 Bucket should not be publicly accessible|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudtrail#s3_bucket_name">Documentation</a><br/>|
|CloudWatch Console Sign-in Without MFA Alarm Missing<br/><sup><sub>44ceb4fa-0897-4fd2-b676-30e7a58f2933</sub></sup>|<span style="color:#C00">High</span>|Observability|Ensure a log metric filter and alarm exist for management console sign-in without MFA|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|CloudWatch Root Account Use Missing<br/><sup><sub>8b1b1e67-6248-4dca-bbad-93486bb181c0</sub></sup>|<span style="color:#C00">High</span>|Observability|Ensure a log metric filter and alarm exist for root acount usage|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|CloudTrail Log Files S3 Bucket with Logging Disabled<br/><sup><sub>ee9e50e8-b2ed-4176-ad42-8fc0cf7593f4</sub></sup>|<span style="color:#C00">High</span>|Observability|CloudTrail Log Files S3 Bucket should have 'logging' enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudtrail#s3_bucket_name">Documentation</a><br/>|
|CloudWatch Unauthorized Access Alarm Missing<br/><sup><sub>4c18a45b-4ab1-4790-9f83-399ac695f1e5</sub></sup>|<span style="color:#C00">High</span>|Observability|Ensure a log metric filter and alarm exist for unauthorized API calls|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|CloudWatch IAM Policy Changes Alarm Missing<br/><sup><sub>eaaba502-2f94-411a-a3c2-83d63cc1776d</sub></sup>|<span style="color:#C00">High</span>|Observability|Ensure a log metric filter and alarm exist for IAM policy changes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|API Gateway Method Does Not Contains An API Key<br/><sup><sub>671211c5-5d2a-4e97-8867-30fc28b02216</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|An API Key should be required on a method request.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_method">Documentation</a><br/>|
|SES Policy With Allowed IAM Actions<br/><sup><sub>34b921bd-90a0-402e-a0a5-dc73371fd963</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|SES policy should not allow IAM actions to all principals|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ses_identity_policy#policy">Documentation</a><br/>|
|Cross-Account IAM Assume Role Policy Without ExternalId or MFA<br/><sup><sub>09c35abf-5852-4622-ac7a-b987b331232e</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Cross-Account IAM Assume Role Policy should require external ID or MFA to protect cross-account access|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_role#assume_role_policy">Documentation</a><br/>|
|REST API With Vulnerable Policy<br/><sup><sub>b161c11b-a59b-4431-9a29-4e19f63e6b27</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|REST API policy should avoid wildcard in 'Action' and 'Principal'|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_rest_api_policy#policy">Documentation</a><br/>|
|SQS Policy With Public Access<br/><sup><sub>730675f9-52ed-49b6-8ead-0acb5dd7df7f</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|SQS policy with public access|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/sqs_queue_policy">Documentation</a><br/>|
|Neptune Cluster With IAM Database Authentication Disabled<br/><sup><sub>c91d7ea0-d4d1-403b-8fe1-c9961ac082c5</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Neptune Cluster should have IAM Database Authentication enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/neptune_cluster#storage_encrypted">Documentation</a><br/>|
|SNS Topic Publicity Has Allow and NotAction Simultaneously<br/><sup><sub>5ea624e4-c8b1-4bb3-87a4-4235a776adcc</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|SNS topic Publicity should not have 'Effect: Allow' and argument 'NotAction' at the same time. If it has 'Effect: Allow', the argument stated should be 'Action'.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/sns_topic_policy">Documentation</a><br/>|
|Glue With Vulnerable Policy<br/><sup><sub>d25edb51-07fb-4a73-97d4-41cecdc53a22</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Glue policy should avoid wildcard in 'principals' and 'actions'|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/glue_resource_policy#policy">Documentation</a><br/>|
|SNS Topic is Publicly Accessible For Subscription<br/><sup><sub>b26d2b7e-60f6-413d-a3a1-a57db24aa2b3</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|This query checks if SNS Topic is Accessible For Subscription|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/sns_topic">Documentation</a><br/>|
|Public and Private EC2 Share Role<br/><sup><sub>c53c7a89-f9d7-4c7b-8b66-8a555be99593</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Public and private EC2 istances should not share the same role.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/instance#iam_instance_profile">Documentation</a><br/>|
|IAM Access Key Is Exposed<br/><sup><sub>7081f85c-b94d-40fd-8b45-a4f1cac75e46</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Check if IAM Access Key is active for some user besides 'root'|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_access_key">Documentation</a><br/>|
|IAM Role Policy passRole Allows All<br/><sup><sub>e39bee8c-fe54-4a3f-824d-e5e2d1cca40a</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Using the iam:passrole action with wildcards (*) in the resource can be overly permissive because it allows iam:passrole permissions on multiple resources|<a href="https://docs.aws.amazon.com/IAM/latest/UserGuide/access-analyzer-reference-policy-checks.html#access-analyzer-reference-policy-checks-security-warning-pass-role-with-star-in-resource">Documentation</a><br/>|
|CloudWatch Logs Destination With Vulnerable Policy<br/><sup><sub>db0ec4c4-852c-46a2-b4f3-7ec13cdb12a8</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|CloudWatch Logs destination policy should avoid wildcard in 'principals' and 'actions'|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_destination_policy#access_policy">Documentation</a><br/>|
|IAM Access Analyzer Undefined<br/><sup><sub>e592a0c5-5bdb-414c-9066-5dba7cdea370</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|IAM Access Analyzer should be defined to identify unintentional access|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/accessanalyzer_analyzer">Documentation</a><br/>|
|ECR Repository Is Publicly Accessible<br/><sup><sub>e86e26fc-489e-44f0-9bcd-97305e4ba69a</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Amazon ECR image repositories shouldn't have public access|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecr_repository_policy">Documentation</a><br/>|
|API Gateway Without Configured Authorizer<br/><sup><sub>ed35928e-195c-4405-a252-98ccb664ab7C</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|API Gateway REST API should have an API Gateway Authorizer|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_authorizer">Documentation</a><br/>|
|Lambda With Vulnerable Policy<br/><sup><sub>ad9dabc7-7839-4bae-a957-aa9120013f39</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|The attribute 'action' should not have wildcard|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/lambda_permission#action">Documentation</a><br/>|
|AMI Shared With Multiple Accounts<br/><sup><sub>ba4e0031-3e9d-4d7d-b0d6-bd8f003f8698</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Limits access to AWS AMIs by checking if more than one account is using the same image|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ami_launch_permission">Documentation</a><br/>|
|Elasticsearch Domain With Vulnerable Policy<br/><sup><sub>16c4216a-50d3-4785-bfb2-4adb5144a8ba</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Elasticsearch Domain policy should avoid wildcard in 'Action' and 'Principal'.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticsearch_domain_policy#access_policies">Documentation</a><br/>|
|Lambda Permission Principal Is Wildcard<br/><sup><sub>e08ed7eb-f3ef-494d-9d22-2e3db756a347</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Lambda Permission Principal should not contain a wildcard.|<a href="https://docs.ansible.com/ansible/latest/collections/community/aws/lambda_policy_module.html">Documentation</a><br/>|
|IAM Policy Grants Full Permissions<br/><sup><sub>575a2155-6af1-4026-b1af-d5bc8fe2a904</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|IAM policies allow all ('*') in a statement action|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_role_policy">Documentation</a><br/>|
|SQS Policy Allows All Actions<br/><sup><sub>816ea8cf-d589-442d-a917-2dd0ce0e45e3</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|SQS policy allows ALL (*) actions|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/sqs_queue_policy">Documentation</a><br/>|
|S3 Bucket Allows Public ACL<br/><sup><sub>d0cc8694-fcad-43ff-ac86-32331d7e867f</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|S3 bucket allows public ACL|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_public_access_block">Documentation</a><br/>|
|IAM User With Access To Console<br/><sup><sub>9ec311bf-dfd9-421f-8498-0b063c8bc552</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|AWS IAM Users should not have access to console|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_user_login_profile">Documentation</a><br/>|
|Certificate Has Expired<br/><sup><sub>c3831315-5ae6-4fa8-b458-3d4d5ab7a3f6</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Expired SSL/TLS certificates should be removed|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_rest_api">Documentation</a><br/>|
|Elasticsearch Without IAM Authentication<br/><sup><sub>e7530c3c-b7cf-4149-8db9-d037a0b5268e</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|AWS Elasticsearch should ensure IAM Authentication|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticsearch_domain">Documentation</a><br/>|
|Policy Without Principal<br/><sup><sub>bbe3dd3d-fea9-4b68-a785-cfabe2bbbc54</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|All policies, except IAM identity-based policies, should have the 'Principal' element defined|<a href="https://docs.aws.amazon.com/IAM/latest/UserGuide/reference_policies_elements_principal.html">Documentation</a><br/>|
|Secrets Manager With Vulnerable Policy<br/><sup><sub>fa00ce45-386d-4718-8392-fb485e1f3c5b</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Secrets Manager policy should avoid wildcard in 'Principal' and 'Action'|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/secretsmanager_secret_policy#policy">Documentation</a><br/>|
|ECS Service Without Running Tasks<br/><sup><sub>91f16d09-689e-4926-aca7-155157f634ed</sub></sup>|<span style="color:#C60">Medium</span>|Availability|ECS Service should have at least 1 task running|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecs_service">Documentation</a><br/>|
|Auto Scaling Group With No Associated ELB<br/><sup><sub>8e94dced-9bcc-4203-8eb7-7e41202b2505</sub></sup>|<span style="color:#C60">Medium</span>|Availability|AWS Auto Scaling Groups must have associated ELBs to ensure high availability and improve application performance. This means the attribute 'load_balancers' must be defined and not empty.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/autoscaling_group#load_balancers">Documentation</a><br/>|
|ElastiCache Nodes Not Created Across Multi AZ<br/><sup><sub>6db03a91-f933-4f13-ab38-a8b87a7de54d</sub></sup>|<span style="color:#C60">Medium</span>|Availability|Check if ElastiCache nodes are not being created across multi AZ|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticache_cluster">Documentation</a><br/>|
|CMK Is Unusable<br/><sup><sub>7350fa23-dcf7-4938-916d-6a60b0c73b50</sub></sup>|<span style="color:#C60">Medium</span>|Availability|AWS Key Management Service (KMS) must only possess usable Customer Master Keys (CMK), which means the CMKs must have the attribute 'is_enabled' set to true|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/kms_key#is_enabled">Documentation</a><br/>|
|ElastiCache Redis Cluster Without Backup<br/><sup><sub>8fdb08a0-a868-4fdf-9c27-ccab0237f1ab</sub></sup>|<span style="color:#C60">Medium</span>|Backup|ElastiCache Redis cluster should have 'snapshot_retention_limit' higher than 0|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticache_cluster#snapshot_retention_limit">Documentation</a><br/>|
|Stack Retention Disabled<br/><sup><sub>6e0e2f68-3fd9-4cd8-a5e4-e2213ef0df97</sub></sup>|<span style="color:#C60">Medium</span>|Backup|Make sure that retain_stack is enabled to keep the Stack and it's associated resources during resource destruction|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudformation_stack_set_instance#stack_set_name">Documentation</a><br/>|
|RDS With Backup Disabled<br/><sup><sub>1dc73fb4-5b51-430c-8c5f-25dcf9090b02</sub></sup>|<span style="color:#C60">Medium</span>|Backup|RDS configured without backup|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_instance">Documentation</a><br/>|
|IAM Password Without Minimum Length<br/><sup><sub>1bc1c685-e593-450e-88fb-19db4c82aa1d</sub></sup>|<span style="color:#C60">Medium</span>|Best Practices|Check if IAM account password has the required minimum length|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_account_password_policy">Documentation</a><br/>|
|Cognito UserPool Without MFA<br/><sup><sub>ec28bf61-a474-4dbe-b414-6dd3a067d6f0</sub></sup>|<span style="color:#C60">Medium</span>|Best Practices|AWS Cognito UserPool should have MFA (Multi-Factor Authentication) defined to users|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cognito_user_pool">Documentation</a><br/>|
|ALB Not Dropping Invalid Headers<br/><sup><sub>6e3fd2ed-5c83-4c68-9679-7700d224d379</sub></sup>|<span style="color:#C60">Medium</span>|Best Practices|It's considered a best practice when using Application Load Balancers to drop invalid header fields|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/lb#drop_invalid_header_fields">Documentation</a><br/>|
|Password Without Reuse Prevention<br/><sup><sub>89806cdc-9c2e-4bd1-a0dc-53f339bcfb2a</sub></sup>|<span style="color:#C60">Medium</span>|Best Practices|Check if IAM account password has the reuse password configured with 24|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_account_password_policy#password_reuse_prevention">Documentation</a><br/>|
|RDS Cluster With Backup Disabled<br/><sup><sub>e542bd46-58c4-4e0f-a52a-1fb4f9548e02</sub></sup>|<span style="color:#C60">Medium</span>|Best Practices|RDS Cluster backup retention period should be specifically defined|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/rds_cluster#backup_retention_period">Documentation</a><br/>|
|Misconfigured Password Policy Expiration<br/><sup><sub>ce60d060-efb8-4bfd-9cf7-ff8945d00d90</sub></sup>|<span style="color:#C60">Medium</span>|Best Practices|No password expiration policy|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_account_password_policy">Documentation</a><br/>|
|IAM Password Without Symbol<br/><sup><sub>7a70eed6-de3a-4da2-94da-a2bbc8fe2a48</sub></sup>|<span style="color:#C60">Medium</span>|Best Practices|Check if IAM account password has the required symbols|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_account_password_policy">Documentation</a><br/>|
|Stack Without Template<br/><sup><sub>91bea7b8-0c31-4863-adc9-93f6177266c4</sub></sup>|<span style="color:#C60">Medium</span>|Build Process|AWS CloudFormation should have a template defined through the attribute template_url or attribute template_body|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudformation_stack">Documentation</a><br/>|
|SNS Topic Encrypted With AWS Managed Key<br/><sup><sub>b1a72f66-2236-4f3b-87ba-0da1b366956f</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|SNS (Simple Notification Service) Topic should be encrypted with customer-managed KMS keys instead of AWS managed keys|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/sns_topic#kms_master_key_id">Documentation</a><br/>|
|Neptune Database Cluster Encryption Disabled<br/><sup><sub>98d59056-f745-4ef5-8613-32bca8d40b7e</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|Check if Neptune Cluster Storage is securely encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/neptune_cluster#storage_encrypted">Documentation</a><br/>|
|SSM Session Transit Encryption Disabled<br/><sup><sub>ce60cc6b-6831-4bd7-84a2-cc7f8ee71433</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|SSM Session should be encrypted in transit|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ssm_document#content">Documentation</a><br/>|
|ECR Repository Not Encrypted<br/><sup><sub>0e32d561-4b5a-4664-a6e3-a3fa85649157</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|ECR (Elastic Container Registry) Repository encryption should be set|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecr_repository#encryption_configuration">Documentation</a><br/>|
|Secretsmanager Secret Encrypted With AWS Managed Key<br/><sup><sub>b0d3ef3f-845d-4b1b-83d6-63a5a380375f</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|Secrets Manager secret should be encrypted with customer-managed KMS keys instead of AWS managed keys|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/secretsmanager_secret#kms_key_id">Documentation</a><br/>|
|EBS Volume Encryption Disabled<br/><sup><sub>cc997676-481b-4e93-aa81-d19f8c5e9b12</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|The value on AWS EBS Volume Cluster Encryption must be true|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ebs_volume#encrypted">Documentation</a><br/>|
|SNS Topic Not Encrypted<br/><sup><sub>28545147-2fc6-42d5-a1f9-cf226658e591</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|SNS (Simple Notification Service) Topic should be encrypted|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/sns_topic#kms_master_key_id">Documentation</a><br/>|
|Elasticsearch Domain Not Encrypted Node To Node<br/><sup><sub>967eb3e6-26fc-497d-8895-6428beb6e8e2</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|Elasticsearch Domain encryption should be enabled node to node|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticsearch_domain#node_to_node_encryption">Documentation</a><br/>|
|ElastiCache Replication Group Not Encrypted At Transit<br/><sup><sub>1afbb3fa-cf6c-4a3d-b730-95e9f4df343e</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|ElastiCache Replication Group encryption should be enabled at Transit|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticache_replication_group#transit_encryption_enabled">Documentation</a><br/>|
|ElasticSearch Not Encrypted At Rest<br/><sup><sub>24e16922-4330-4e9d-be8a-caa90299466a</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|Check if ElasticSearch encryption is disabled at Rest|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticsearch_domain">Documentation</a><br/>|
|Config Rule For Encrypted Volumes Disabled<br/><sup><sub>abdb29d4-5ca1-4e91-800b-b3569bbd788c</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|Check if AWS config rules do not identify Encrypted Volumes as a source.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/config_config_rule">Documentation</a><br/>|
|ElastiCache Replication Group Not Encrypted At Rest<br/><sup><sub>76976de7-c7b1-4f64-a94f-90c1345914c2</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|ElastiCache Replication Group encryption should be enabled at Rest|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticache_replication_group#at_rest_encryption_enabled">Documentation</a><br/>|
|API Gateway Without Content Encoding<br/><sup><sub>ed35928e-195c-4405-a252-98ccb664ab7b</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|Enable Content Encoding through the attribute 'minimum_compression_size'. This value should be greater than -1 and smaller than 10485760|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_rest_api">Documentation</a><br/>|
|S3 Bucket Policy Accepts HTTP Requests<br/><sup><sub>4bc4dd4c-7d8d-405e-a0fb-57fa4c31b4d9</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|S3 Bucket policy should not accept HTTP Requests|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_policy#policy">Documentation</a><br/>|
|DynamoDB Table Not Encrypted<br/><sup><sub>ce089fd4-1406-47bd-8aad-c259772bb294</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|AWS DynamoDB Tables should have server-side encryption|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/dynamodb_table#server_side_encryption">Documentation</a><br/>|
|Unscanned ECR Image<br/><sup><sub>9630336b-3fed-4096-8173-b9afdfe346a7</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|Checks if the ECR Image has been scanned|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecr_repository#scan_on_push">Documentation</a><br/>|
|DOCDB Cluster Encrypted With AWS Managed Key<br/><sup><sub>2134641d-30a4-4b16-8ffc-2cd4c4ffd15d</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|DOCDB Cluster should be encrypted with customer-managed KMS keys instead of AWS managed keys|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/docdb_cluster#kms_key_id">Documentation</a><br/>|
|Secretsmanager Secret Without KMS<br/><sup><sub>a2f548f2-188c-4fff-b172-e9a6acb216bd</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|AWS Secretmanager should use AWS KMS customer master key (CMK) to encrypt the secret values in the versions stored in the secret|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/secretsmanager_secret#kms_key_id">Documentation</a><br/>|
|ElasticSearch Encryption With KMS Disabled<br/><sup><sub>7af2f4a3-00d9-47f3-8d15-ca0888f4e5b2</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|Check if any ElasticSearch domain isn't encrypted with KMS|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticsearch_domain">Documentation</a><br/>|
|AmazonMQ Broker Encryption Disabled<br/><sup><sub>3db3f534-e3a3-487f-88c7-0a9fbf64b702</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|AmazonMQ Broker should have Encryption Options defined|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/mq_broker">Documentation</a><br/>|
|Redshift Cluster Without VPC<br/><sup><sub>0a494a6a-ebe2-48a0-9d77-cf9d5125e1b3</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Redshift Cluster should be configured in VPC (Virtual Private Cloud)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/redshift_cluster#vpc_security_group_ids">Documentation</a><br/>|
|Instance With No VPC<br/><sup><sub>a31a5a29-718a-4ff4-8001-a69e5e4d029e</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Instance should be configured in VPC (Virtual Private Cloud)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/instance">Documentation</a><br/>|
|Service Control Policies Disabled<br/><sup><sub>5ba6229c-8057-433e-91d0-21cf13569ca9</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if the Amazon Organizations ensure that all features are enabled to achieve full control over the use of AWS services and actions across multiple AWS accounts using Service Control Policies (SCPs).|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/organizations_policy">Documentation</a><br/>|
|MQ Broker Is Publicly Accessible<br/><sup><sub>4eb5f791-c861-4afd-9f94-f2a6a3fe49cb</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if any MQ Broker is not publicly accessible|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/mq_broker">Documentation</a><br/>|
|IAM User Has Too Many Access Keys<br/><sup><sub>3561130e-9c5f-485b-9e16-2764c82763e5</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Any IAM User should not have more than one access key since it increases the risk of unauthorized access and compromise credentials|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_access_key#user">Documentation</a><br/>|
|ECR Image Tag Not Immutable<br/><sup><sub>d1846b12-20c5-4d45-8798-fc35b79268eb</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|ECR should have an image tag be immutable|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecr_repository">Documentation</a><br/>|
|EKS Cluster Has Public Access<br/><sup><sub>42f4b905-3736-4213-bfe9-c0660518cda8</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Amazon EKS public endpoint shoud be set to false|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/eks_cluster">Documentation</a><br/>|
|AWS Password Policy With Unchangeable Passwords<br/><sup><sub>9ef7d25d-9764-4224-9968-fa321c56ef76</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Unchangeable passwords in AWS password policy|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_account_password_policy">Documentation</a><br/>|
|IAM Password Without Uppercase Letter<br/><sup><sub>c5ff7bc9-d8ea-46dd-81cb-8286f3222249</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if IAM account password has at least one uppercase letter|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_account_password_policy">Documentation</a><br/>|
|IAM Password Without Lowercase Letter<br/><sup><sub>bbc7c137-6c7b-4fc4-984a-0c88e91fcaf9</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if IAM account password has at least one lowercase letter|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_account_password_policy">Documentation</a><br/>|
|Public Lambda via API Gateway<br/><sup><sub>3ef8696c-e4ae-4872-92c7-520bb44dfe77</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Allowing to run lambda function using public API Gateway|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/lambda_permission">Documentation</a><br/>|
|Certificate RSA Key Bytes Lower Than 256<br/><sup><sub>874d68a3-bfbe-4a4b-aaa0-9e74d7da634b</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|The certificate should use a RSA key with a length equal to or higher than 256 bytes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_rest_api">Documentation</a><br/>|
|API Gateway Without SSL Certificate<br/><sup><sub>0b4869fc-a842-4597-aa00-1294df425440</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|SSL Client Certificate should be enabled in aws_api_gateway_stage resource|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_stage#client_certificate_id">Documentation</a><br/>|
|API Gateway With Open Access<br/><sup><sub>15ccec05-5476-4890-ad19-53991eba1db8</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|API Gateway Method should restrict the authorization type, except for the HTTP OPTIONS method.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_method">Documentation</a><br/>|
|VPC Subnet Assigns Public IP<br/><sup><sub>52f04a44-6bfa-4c41-b1d3-4ae99a2de05c</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|VPC Subnet should not assign public IP|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/subnet#map_public_ip_on_launch">Documentation</a><br/>|
|API Gateway Endpoint Config is Not Private<br/><sup><sub>6b2739db-9c49-4db7-b980-7816e0c248c1</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|The API Endpoint type in API Gateway should be set to PRIVATE so it's not exposed to the public internet|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_rest_api">Documentation</a><br/>|
|Sensitive Port Is Exposed To Wide Private Network<br/><sup><sub>92fe237e-074c-4262-81a4-2077acb928c1</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|A sensitive port, such as port 23 or port 110, is open for a wide private network in either TCP or UDP protocol|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group">Documentation</a><br/>|
|ALB Is Not Integrated With WAF<br/><sup><sub>0afa6ab8-a047-48cf-be07-93a2f8c34cf7</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|All Application Load Balancers (ALB) must be protected with Web Application Firewall (WAF) service|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/wafregional_web_acl_association">Documentation</a><br/>|
|VPC Without Network Firewall<br/><sup><sub>fd632aaf-b8a1-424d-a4d1-0de22fd3247a</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|VPC should have a Network Firewall associated|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/networkfirewall_firewall#vpc_id">Documentation</a><br/>|
|SQS VPC Endpoint Without DNS Resolution<br/><sup><sub>e9b7acf9-9ba0-4837-a744-31e7df1e434d</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|SQS VPC Endpoint should have DNS resolution enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/vpc#enable_dns_support">Documentation</a><br/>|
|SQL Analysis Services Port 2383 (TCP) Is Publicly Accessible<br/><sup><sub>54c417bf-c762-48b9-9d31-b3d87047e3f0</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if port 2383 on TCP is publicly accessible by checking the CIDR block range that can access it.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group">Documentation</a><br/>|
|API Gateway without WAF<br/><sup><sub>a186e82c-1078-4a7b-85d8-579561fde884</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|API Gateway should have WAF (Web Application Firewall) enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/wafregional_web_acl_association#resource_arn">Documentation</a><br/>|
|Dynamodb VPC Endpoint Without Route Table Association<br/><sup><sub>0bc534c5-13d1-4353-a7fe-b8665d5c1d7d</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|Dynamodb VPC Endpoint should be associated with Route Table Association|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/vpc_endpoint#vpc_id">Documentation</a><br/>|
|Sensitive Port Is Exposed To Small Public Network<br/><sup><sub>e35c16a2-d54e-419d-8546-a804d8e024d0</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|A sensitive port, such as port 23 or port 110, is open for a small public network in either TCP or UDP protocol|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group">Documentation</a><br/>|
|Elasticsearch Log is disabled<br/><sup><sub>acb6b4e2-a086-4f35-aefd-4db6ea51ada2</sub></sup>|<span style="color:#C60">Medium</span>|Observability|AWS Elasticsearch should have logs enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticsearch_domain#log_publishing_options">Documentation</a><br/>|
|S3 Bucket Without Versioning<br/><sup><sub>568a4d22-3517-44a6-a7ad-6a7eed88722c</sub></sup>|<span style="color:#C60">Medium</span>|Observability|S3 bucket should have versioning enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket#versioning">Documentation</a><br/>|
|Cloudwatch Cloudtrail Configuration Changes Alarm Missing<br/><sup><sub>0f6cbf69-41bb-47dc-93f3-3844640bf480</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Ensure a log metric filter and alarm exist for CloudTrail configuration changes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|CloudWatch Management Console Auth Failed Alarm Missing<br/><sup><sub>5864d189-ee9a-4009-ac0c-8a582e6b7919</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Ensure a log metric filter and alarm exist for AWS Management Console authentication failures|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|CloudWatch AWS Organizations Changes Missing Alarm<br/><sup><sub>38b85c45-e772-4de8-a247-69619ca137b3</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Ensure a log metric filter and alarm exist for AWS organizations changes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|S3 Bucket Object Level CloudTrail Logging Disabled<br/><sup><sub>a8fc2180-b3ac-4c93-bd0d-a55b974e4b07</sub></sup>|<span style="color:#C60">Medium</span>|Observability|S3 Bucket object-level CloudTrail logging should be enabled for read and write events|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudtrail#event_selector">Documentation</a><br/>|
|Cloudfront Logging Disabled<br/><sup><sub>94690d79-b3b0-43de-b656-84ebef5753e5</sub></sup>|<span style="color:#C60">Medium</span>|Observability|AWS Cloudfront distributions must be have logging enabled, which means the attribute 'logging_config' must be defined|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudfront_distribution">Documentation</a><br/>|
|Redshift Cluster Logging Disabled<br/><sup><sub>15ffbacc-fa42-4f6f-a57d-2feac7365caa</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Make sure Logging is enabled for Redshift Cluster|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/redshift_cluster#enable">Documentation</a><br/>|
|CloudTrail SNS Topic Name Undefined<br/><sup><sub>482b7d26-0bdb-4b5f-bf6f-545826c0a3dd</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Check if SNS topic name is set for CloudTrail|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudtrail">Documentation</a><br/>|
|CloudTrail Not Integrated With CloudWatch<br/><sup><sub>17b30f8f-8dfb-4597-adf6-57600b6cf25e</sub></sup>|<span style="color:#C60">Medium</span>|Observability|CloudTrail should be integrated with CloudWatch|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudtrail">Documentation</a><br/>|
|VPC FlowLogs Disabled<br/><sup><sub>f83121ea-03da-434f-9277-9cd247ab3047</sub></sup>|<span style="color:#C60">Medium</span>|Observability|VPC hasn't got any FlowLog associated|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/vpc">Documentation</a><br/>|
|CloudWatch Disabling Or Scheduled Deletion Of Customer Created CMK Alarm Missing<br/><sup><sub>56a585f5-555c-48b2-8395-e64e4740a9cf</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Ensure a log metric filter and alarm exist for disabling or scheduled deletion of customer created CMK|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|MQ Broker Logging Disabled<br/><sup><sub>31245f98-a6a9-4182-9fc1-45482b9d030a</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Check if MQ Brokers don't have logging enabled in any of the two options possible (audit and general).|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/mq_broker">Documentation</a><br/>|
|CloudWatch Logging Disabled<br/><sup><sub>7dbba512-e244-42dc-98bb-422339827967</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Check if CloudWatch logging is disabled for Route53 hosted zones|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/route53_query_log">Documentation</a><br/>|
|Default VPC Exists<br/><sup><sub>96ed3526-0179-4c73-b1b2-372fde2e0d13</sub></sup>|<span style="color:#C60">Medium</span>|Observability|It isn't recommended to use resources in default VPC|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/default_vpc">Documentation</a><br/>|
|MSK Cluster Logging Disabled<br/><sup><sub>2f56b7ab-7fba-4e93-82f0-247e5ddeb239</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Ensure MSK Cluster Logging is enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/msk_cluster#broker_logs">Documentation</a><br/>|
|CloudTrail Multi Region Disabled<br/><sup><sub>8173d5eb-96b5-4aa6-a71b-ecfa153c123d</sub></sup>|<span style="color:#C60">Medium</span>|Observability|CloudTrail should have 'is_multi_region_trail' and 'include_global_service_events' enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudtrail#is_multi_region_trail">Documentation</a><br/>|
|CloudWatch Metrics Disabled<br/><sup><sub>081069cb-588b-4ce1-884c-2a1ce3029fe5</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Checks if CloudWatch Metrics is Enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_method_settings#metrics_enabled">Documentation</a><br/>|
|GuardDuty Detector Disabled<br/><sup><sub>704dadd3-54fc-48ac-b6a0-02f170011473</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Make sure that Amazon GuardDuty is Enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/guardduty_detector#example-usage">Documentation</a><br/>|
|Elasticsearch Without Slow Logs<br/><sup><sub>e979fcbc-df6c-422d-9458-c33d65e71c45</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Ensure that AWS Elasticsearch enables support for slow logs|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticsearch_domain#log_publishing_options">Documentation</a><br/>|
|API Gateway X-Ray Disabled<br/><sup><sub>5813ef56-fa94-406a-b35d-977d4a56ff2b</sub></sup>|<span style="color:#C60">Medium</span>|Observability|X-ray Tracing is not enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_stage#xray_tracing_enabled">Documentation</a><br/>|
|API Gateway With CloudWatch Logging Disabled<br/><sup><sub>982aa526-6970-4c59-8b9b-2ce7e019fe36</sub></sup>|<span style="color:#C60">Medium</span>|Observability|AWS CloudWatch Logs for APIs is not enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_group">Documentation</a><br/>|
|CloudWatch S3 policy Change Alarm Missing<br/><sup><sub>27c6a499-895a-4dc7-9617-5c485218db13</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Ensure a log metric filter and alarm exist for S3 bucket policy changes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|CloudWatch Without Retention Period Specified<br/><sup><sub>ef0b316a-211e-42f1-888e-64efe172b755</sub></sup>|<span style="color:#C60">Medium</span>|Observability|AWS CloudWatch Log groups should have retention days specified|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_group">Documentation</a><br/>|
|Api Gateway Access Logging Disabled<br/><sup><sub>1b6799eb-4a7a-4b04-9001-8cceb9999326</sub></sup>|<span style="color:#C60">Medium</span>|Observability|RDS does not have any kind of logger|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_stage#access_log_settings">Documentation</a><br/>|
|API Gateway Deployment Without Access Log Setting<br/><sup><sub>625abc0e-f980-4ac9-a775-f7519ee34296</sub></sup>|<span style="color:#C60">Medium</span>|Observability|API Gateway Deployment should have access log setting defined when connected to an API Gateway Stage.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_deployment">Documentation</a><br/>|
|Stack Notifications Disabled<br/><sup><sub>b72d0026-f649-4c91-a9ea-15d8f681ac09</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Enable AWS CloudFormation Stack Notifications|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudformation_stack">Documentation</a><br/>|
|Cloudwatch Security Group Changes Alarm Missing<br/><sup><sub>4beaf898-9f8b-4237-89e2-5ffdc7ee6006</sub></sup>|<span style="color:#C60">Medium</span>|Observability|Ensure a log metric filter and alarm exist for security group changes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|No Stack Policy<br/><sup><sub>2f01fb2d-828a-499d-b98e-b83747305052</sub></sup>|<span style="color:#C60">Medium</span>|Resource Management|AWS CloudFormation Stack should have a stack policy in order to protect stack resources from update actions|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudformation_stack">Documentation</a><br/>|
|Hardcoded AWS Access Key In Lambda<br/><sup><sub>1402afd8-a95c-4e84-8b0b-6fb43758e6ce</sub></sup>|<span style="color:#C60">Medium</span>|Secret Management|Lambda hardcoded AWS access/secret keys|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/lambda_function">Documentation</a><br/>|
|S3 Bucket Public ACL Overridden By Public Access Block<br/><sup><sub>bf878b1a-7418-4de3-b13c-3a86cf894920</sub></sup>|<span style="color:#CC0">Low</span>|Access Control|S3 bucket public access is overridden by S3 bucket Public Access Block when the following attributes are set to true - 'block_public_acls', 'block_public_policy', 'ignore_public_acls', and 'restrict_public_buckets'|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_public_access_block#bucket">Documentation</a><br/>|
|IAM Policy Grants 'AssumeRole' Permission Across All Services<br/><sup><sub>bcdcbdc6-a350-4855-ae7c-d1e6436f7c97</sub></sup>|<span style="color:#CC0">Low</span>|Access Control|IAM role allows All services or principals to assume it|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_role">Documentation</a><br/>|
|IAM Group Without Users<br/><sup><sub>fc101ca7-c9dd-4198-a1eb-0fbe92e80044</sub></sup>|<span style="color:#CC0">Low</span>|Access Control|IAM Group should have at least one user associated|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_group_membership#users">Documentation</a><br/>|
|EC2 Instance Using Default Security Group<br/><sup><sub>f1adc521-f79a-4d71-b55b-a68294687432</sub></sup>|<span style="color:#CC0">Low</span>|Access Control|EC2 instances should not use default security group(s)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/instance#security_groups">Documentation</a><br/>|
|EC2 Instance Using API Keys<br/><sup><sub>0b93729a-d882-4803-bdc3-ac429a21f158</sub></sup>|<span style="color:#CC0">Low</span>|Access Control|EC2 instances should use roles to be granted access to other AWS services|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/instance#iam_instance_profile">Documentation</a><br/>|
|IAM Role Allows All Principals To Assume<br/><sup><sub>12b7e704-37f0-4d1e-911a-44bf60c48c21</sub></sup>|<span style="color:#CC0">Low</span>|Access Control|IAM role allows all services or principals to assume it|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_role">Documentation</a><br/>|
|Autoscaling Groups Supply Tags<br/><sup><sub>ba48df05-eaa1-4d64-905e-4a4b051e7587</sub></sup>|<span style="color:#CC0">Low</span>|Availability|Autoscaling groups should supply tags to configurate|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/autoscaling_group#tag-and-tags">Documentation</a><br/>|
|ECR Repository Without Policy<br/><sup><sub>69e7c320-b65d-41bb-be02-d63ecc0bcc9d</sub></sup>|<span style="color:#CC0">Low</span>|Best Practices|ECR Repository should have Policies attached to it|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecr_repository_policy">Documentation</a><br/>|
|Lambda Permission Misconfigured<br/><sup><sub>75ec6890-83af-4bf1-9f16-e83726df0bd0</sub></sup>|<span style="color:#CC0">Low</span>|Best Practices|Lambda permission may be misconfigured if the action field is not filled in by 'lambda:InvokeFunction'|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/lambda_permission">Documentation</a><br/>|
|IAM Policies Attached To User<br/><sup><sub>b4378389-a9aa-44ee-91e7-ef183f11079e</sub></sup>|<span style="color:#CC0">Low</span>|Best Practices|IAM policies should be attached only to groups or roles|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/iam_policy_attachment">Documentation</a><br/>|
|CDN Configuration Is Missing<br/><sup><sub>1bc367f6-901d-4870-ad0c-71d79762ef52</sub></sup>|<span style="color:#CC0">Low</span>|Best Practices|Content Delivery Network (CDN) service is used within an AWS account to secure and accelerate the delivery of websites. The use of a CDN can provide a layer of security between your origin content and the destination.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudfront_distribution">Documentation</a><br/>|
|Open Access To Resources Through API<br/><sup><sub>108aa260-6dab-4a75-ae3f-de917d634840</sub></sup>|<span style="color:#CC0">Low</span>|Insecure Configurations|Open access to back-end resources through API|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_method">Documentation</a><br/>|
|S3 Bucket Without Ignore Public ACL<br/><sup><sub>4fa66806-0dd9-4f8d-9480-3174d39c7c91</sub></sup>|<span style="color:#CC0">Low</span>|Insecure Configurations|S3 bucket without ignore public ACL|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket_public_access_block">Documentation</a><br/>|
|ALB Deletion Protection Disabled<br/><sup><sub>afecd1f1-6378-4f7e-bb3b-60c35801fdd4</sub></sup>|<span style="color:#CC0">Low</span>|Insecure Configurations|Application Load Balancer should have deletion protection enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/lb#enable_deletion_protection">Documentation</a><br/>|
|RDS Using Default Port<br/><sup><sub>bca7cc4d-b3a4-4345-9461-eb69c68fcd26</sub></sup>|<span style="color:#CC0">Low</span>|Networking and Firewall|RDS should not use the default port (an attacker can easily guess the port). For engines related to Aurora, MariaDB or MySQL, the default port is 3306. PostgreSQL default port is 5432, Oracle default port is 1521 and SQL Server default port is 1433|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_instance#port">Documentation</a><br/>|
|EC2 Instance Using Default VPC<br/><sup><sub>7e4a6e76-568d-43ef-8c4e-36dea481bff1</sub></sup>|<span style="color:#CC0">Low</span>|Networking and Firewall|EC2 Instances should not be configured under a default VPC network|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/instance#subnet_id">Documentation</a><br/>|
|EMR Without VPC<br/><sup><sub>2b3c8a6d-9856-43e6-ab1d-d651094f03b4</sub></sup>|<span style="color:#CC0">Low</span>|Networking and Firewall|Elastic MapReduce Cluster (EMR) should be launched in a Virtual Private Cloud (VPC)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/emr_cluster#subnet_id">Documentation</a><br/>|
|Redshift Using Default Port<br/><sup><sub>41abc6cc-dde1-4217-83d3-fb5f0cc09d8f</sub></sup>|<span style="color:#CC0">Low</span>|Networking and Firewall|Redshift should not use the default port (5439) because an attacker can easily guess the port|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/redshift_cluster#port">Documentation</a><br/>|
|ElastiCache Without VPC<br/><sup><sub>8c849af7-a399-46f7-a34c-32d3dc96f1fc</sub></sup>|<span style="color:#CC0">Low</span>|Networking and Firewall|ElastiCache should be launched in a Virtual Private Cloud (VPC)|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticache_cluster#subnet_group_name">Documentation</a><br/>|
|ElastiCache Using Default Port<br/><sup><sub>5d89db57-8b51-4b38-bb76-b9bd42bd40f0</sub></sup>|<span style="color:#CC0">Low</span>|Networking and Firewall|ElastiCache should not use the default port (an attacker can easily guess the port). For engine set to Redis, the default port is 6379. The Memcached default port is 11211|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elasticache_cluster#port">Documentation</a><br/>|
|Shield Advanced Not In Use<br/><sup><sub>084c6686-2a70-4710-91b1-000393e54c12</sub></sup>|<span style="color:#CC0">Low</span>|Networking and Firewall|AWS Shield Advanced should be used for Amazon Route 53 hosted zone, AWS Global Accelerator accelerator, Elastic IP Address, Elastic Load Balancing, and Amazon CloudFront Distribution to protect these resources against robust DDoS attacks|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/shield_protection#resource_arn">Documentation</a><br/>|
|Cloudfront Without WAF<br/><sup><sub>1419b4c6-6d5c-4534-9cf6-6a5266085333</sub></sup>|<span style="color:#CC0">Low</span>|Networking and Firewall|All AWS CloudFront distributions should be integrated with the Web Application Firewall (AWS WAF) service|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudfront_distribution">Documentation</a><br/>|
|CloudWatch Route Table Changes Alarm Missing<br/><sup><sub>2285e608-ddbc-47f3-ba54-ce7121e31216</sub></sup>|<span style="color:#CC0">Low</span>|Observability|Ensure a log metric filter and alarm exist for route table changes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|CloudWatch Network Gateways Changes Alarm Missing<br/><sup><sub>6b6874fe-4c2f-4eea-8b90-7cceaa4a125e</sub></sup>|<span style="color:#CC0">Low</span>|Observability|Ensure a log metric filter and alarm exist for network gateways changes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|API Gateway Deployment Without API Gateway UsagePlan Associated<br/><sup><sub>b3a59b8e-94a3-403e-b6e2-527abaf12034</sub></sup>|<span style="color:#CC0">Low</span>|Observability|API Gateway Deployment should have API Gateway UsagePlan defined and associated.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_deployment">Documentation</a><br/>|
|Global Accelerator Flow Logs Disabled<br/><sup><sub>96e8183b-e985-457b-90cd-61c0503a3369</sub></sup>|<span style="color:#CC0">Low</span>|Observability|Global Accelerator should have flow logs enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/globalaccelerator_accelerator#flow_logs_enabled">Documentation</a><br/>|
|Missing Cluster Log Types<br/><sup><sub>66f130d9-b81d-4e8e-9b08-da74b9c891df</sub></sup>|<span style="color:#CC0">Low</span>|Observability|Amazon EKS control plane logging don't enabled for all log types|<a href="https://www.terraform.io/docs/providers/aws/r/eks_cluster.html">Documentation</a><br/>|
|CloudWatch Changes To NACL Alarm Missing<br/><sup><sub>0a8e8dc5-b6fc-44fc-b5a1-969ec950f9b0</sub></sup>|<span style="color:#CC0">Low</span>|Observability|Ensure a log metric filter and alarm exist for changes to NACL|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|ECS Cluster with Container Insights Disabled<br/><sup><sub>97cb0688-369a-4d26-b1f7-86c4c91231bc</sub></sup>|<span style="color:#CC0">Low</span>|Observability|ECS Cluster should enable container insights|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/ecs_cluster#setting">Documentation</a><br/>|
|CloudWatch AWS Config Configuration Changes Alarm Missing<br/><sup><sub>5b8d7527-de8e-4114-b9dd-9d988f1f418f</sub></sup>|<span style="color:#CC0">Low</span>|Observability|Ensure a log metric filter and alarm exist for AWS Config configuration changes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|Lambda Functions Without X-Ray Tracing<br/><sup><sub>8152e0cf-d2f0-47ad-96d5-d003a76eabd1</sub></sup>|<span style="color:#CC0">Low</span>|Observability|AWS Lambda functions should have TracingConfig enabled. For this, property 'tracing_Config.mode' should have the value 'Active'|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/lambda_function#tracing_config">Documentation</a><br/>|
|S3 Bucket Logging Disabled<br/><sup><sub>f861041c-8c9f-4156-acfc-5e6e524f5884</sub></sup>|<span style="color:#CC0">Low</span>|Observability|S3 bucket without logging|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/s3_bucket">Documentation</a><br/>|
|DocDB Logging Is Disabled<br/><sup><sub>56f6a008-1b14-4af4-b9b2-ab7cf7e27641</sub></sup>|<span style="color:#CC0">Low</span>|Observability|DocDB logging should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/docdb_cluster#enabled_cloudwatch_logs_exports">Documentation</a><br/>|
|EKS cluster logging is not enabled<br/><sup><sub>37304d3f-f852-40b8-ae3f-725e87a7cedf</sub></sup>|<span style="color:#CC0">Low</span>|Observability|Amazon EKS control plane logging is not enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/eks_cluster#enabled_cluster_log_types">Documentation</a><br/>|
|CloudTrail Log File Validation Disabled<br/><sup><sub>52ffcfa6-6c70-4ea6-8376-d828d3961669</sub></sup>|<span style="color:#CC0">Low</span>|Observability|CloudTrail log file validation should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudtrail#enable_log_file_validation">Documentation</a><br/>|
|CloudWatch VPC Changes Alarm Missing<br/><sup><sub>9d0d4512-1959-43a2-a17f-72360ff06d1b</sub></sup>|<span style="color:#CC0">Low</span>|Observability|Ensure a log metric filter and alarm exist for VPC changes|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/cloudwatch_log_metric_filter#pattern">Documentation</a><br/>|
|API Gateway Stage Without API Gateway UsagePlan Associated<br/><sup><sub>c999cf62-0920-40f8-8dda-0caccd66ed7e</sub></sup>|<span style="color:#CC0">Low</span>|Resource Management|API Gateway Stage should have API Gateway UsagePlan defined and associated.|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/api_gateway_stage">Documentation</a><br/>|
|Hardcoded AWS Access Key<br/><sup><sub>d7b9d850-3e06-4a75-852f-c46c2e92240b</sub></sup>|<span style="color:#CC0">Low</span>|Secret Management|Hard-coded AWS access key / secret key exists in EC2 user data|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/instance">Documentation</a><br/>|
|Security Group Not Used<br/><sup><sub>4849211b-ac39-479e-ae78-5694d506cb24</sub></sup>|<span style="color:#00C">Info</span>|Access Control|Security group must be used or not declared|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group">Documentation</a><br/>|
|DynamoDB Table Point In Time Recovery Disabled<br/><sup><sub>741f1291-47ac-4a85-a07b-3d32a9d6bd3e</sub></sup>|<span style="color:#00C">Info</span>|Best Practices|It's considered a best practice to have point in time recovery enabled for DynamoDB Table|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/dynamodb_table#point_in_time_recovery">Documentation</a><br/>|
|EC2 Not EBS Optimized<br/><sup><sub>60224630-175a-472a-9e23-133827040766</sub></sup>|<span style="color:#00C">Info</span>|Best Practices|It's considered a best practice for an EC2 instance to use an EBS optimized instance. This provides the best performance for your EBS volumes by minimizing contention between Amazon EBS I/O and other traffic from your instance|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/instance#ebs_optimized">Documentation</a><br/>|
|Resource Not Using Tags<br/><sup><sub>e38a8e0a-b88b-4902-b3fe-b0fcb17d5c10</sub></sup>|<span style="color:#00C">Info</span>|Best Practices|AWS services resource tags are an essential part of managing components|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/guides/resource-tagging">Documentation</a><br/>|
|Security Group Without Description<br/><sup><sub>cb3f5ed6-0d18-40de-a93d-b3538db31e8c</sub></sup>|<span style="color:#00C">Info</span>|Best Practices|It's considered a best practice for AWS Security Group to have a description|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group#description">Documentation</a><br/>|
|Security Group Rules Without Description<br/><sup><sub>68eb4bf3-f9bf-463d-b5cf-e029bb446d2e</sub></sup>|<span style="color:#00C">Info</span>|Best Practices|It's considered a best practice for all rules in AWS Security Group to have a description|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/security_group#description">Documentation</a><br/>|
|EC2 Instance Monitoring Disabled<br/><sup><sub>23b70e32-032e-4fa6-ba5c-82f56b9980e6</sub></sup>|<span style="color:#00C">Info</span>|Observability|EC2 Instance should have detailed monitoring enabled. With detailed monitoring enabled data is available in 1-minute periods|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/instance#monitoring">Documentation</a><br/>|
|RDS Without Logging<br/><sup><sub>8d7f7b8c-6c7c-40f8-baa6-62006c6c7b56</sub></sup>|<span style="color:#00C">Info</span>|Observability|RDS does not have any kind of logger|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/db_instance#enabled_cloudwatch_logs_exports">Documentation</a><br/>|
|Neptune Logging Is Disabled<br/><sup><sub>45cff7b6-3b80-40c1-ba7b-2cf480678bb8</sub></sup>|<span style="color:#00C">Info</span>|Observability|Neptune logging should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/neptune_cluster#enable_cloudwatch_logs_exports">Documentation</a><br/>|
|ELB Access Logging Disabled<br/><sup><sub>20018359-6fd7-4d05-ab26-d4dffccbdf79</sub></sup>|<span style="color:#00C">Info</span>|Observability|ELB should have logging enabled to help on error investigation|<a href="https://registry.terraform.io/providers/hashicorp/aws/latest/docs/resources/elb#enabled">Documentation</a><br/>|
### AWS_BOM
Bellow are listed queries related with Terraform AWS_BOM:



|            Query             |Severity|Category|Description|Help|
|------------------------------|--------|--------|-----------|----|
|BOM - MSK<br/><sup><sub>051f2063-2517-4295-ad8e-ba88c1bf5cfc</sub></sup>|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of MSK resources specified. Amazon Managed Streaming for Apache Kafka (Amazon MSK) is a fully managed service that enables you to build and run applications that use Apache Kafka to process streaming data.|<a href="https://kics.io">Documentation</a><br/>|
|BOM - AWS EBS<br/><sup><sub>86571149-eef3-4280-a645-01e60df854b0</sub></sup>|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of EBS resources found. Amazon Elastic Block Store (Amazon EBS) is an easy-to-use, scalable, high-performance block-storage service designed for Amazon Elastic Compute Cloud (Amazon EC2).|<a href="https://kics.io">Documentation</a><br/>|
|BOM - SQS<br/><sup><sub>baecd2da-492a-4d59-b9dc-29540a1398e0</sub></sup>|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of SQS resources specified. Amazon Simple Queue Service (SQS) is a fully managed message queuing service that enables you to decouple and scale microservices, distributed systems, and serverless applications.|<a href="https://kics.io">Documentation</a><br/>|
|BOM - AWS MQ<br/><sup><sub>fcb1b388-f558-4b7f-9b6e-f4e98abb7380</sub></sup>|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of MQ resources found. Amazon MQ is a managed message broker service for Apache ActiveMQ and RabbitMQ that makes it easy to set up and operate message brokers on AWS.|<a href="https://kics.io">Documentation</a><br/>|
|BOM - AWS Elasticache<br/><sup><sub>54229498-850b-4f78-b3a7-218d24ef2c37</sub></sup>|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of Elasticache resources found. Amazon ElastiCache is a fully managed, in-memory caching service supporting flexible, real-time use cases. You can use ElastiCache for caching, which accelerates application and database performance, or as a primary data store for use cases that don't require durability like session stores, gaming leaderboards, streaming, and analytics. ElastiCache is compatible with Redis and Memcached.|<a href="https://kics.io">Documentation</a><br/>|
|BOM - AWS EFS<br/><sup><sub>f53f16d6-46a9-4277-9fbe-617b1e24cdca</sub></sup>|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of EFS resources found. Amazon Elastic File System (Amazon EFS) automatically grows and shrinks as you add and remove files with no need for management or provisioning.|<a href="https://kics.io">Documentation</a><br/>|
|BOM - SNS<br/><sup><sub>eccc4d59-74b9-4974-86f1-74386e0c7f33</sub></sup>|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of SNS resources specified. Amazon Simple Notification Service (Amazon SNS) is a fully managed messaging service for both application-to-application (A2A) and application-to-person (A2P) communication.|<a href="https://kics.io">Documentation</a><br/>|
|BOM - AWS S3 Buckets<br/><sup><sub>2d16c3fb-35ba-4ec0-b4e4-06ee3cbd4045</sub></sup>|<span style="color:#CCC">Trace</span>|Bill Of Materials|A list of S3 resources found. Amazon Simple Storage Service (Amazon S3) is an object storage service that offers industry-leading scalability, data availability, security, and performance.|<a href="https://kics.io">Documentation</a><br/>|
### GITHUB
Bellow are listed queries related with Terraform GITHUB:



|            Query             |Severity|Category|Description|Help|
|------------------------------|--------|--------|-----------|----|
|Github Organization Webhook With SSL Disabled<br/><sup><sub>ce7c874e-1b88-450b-a5e4-cb76ada3c8a9</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|Check if insecure SSL is being used in the GitHub organization webhooks|<a href="https://registry.terraform.io/providers/hashicorp/github/latest/docs/resources/organization_webhook">Documentation</a><br/>|
|GitHub Repository Set To Public<br/><sup><sub>15d8a7fd-465a-4d15-a868-add86552f17b</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Repositories must be set to private, which means the attribute 'visibility' must be set to 'private' and/or the attribute 'private' must be set to true (the attribute 'visibility' overrides 'private')|<a href="https://www.terraform.io/docs/providers/github/r/repository.html">Documentation</a><br/>|
### GCP
Bellow are listed queries related with Terraform GCP:



|            Query             |Severity|Category|Description|Help|
|------------------------------|--------|--------|-----------|----|
|Cloud Storage Bucket Is Publicly Accessible<br/><sup><sub>c010082c-76e0-4b91-91d9-6e8439e455dd</sub></sup>|<span style="color:#C00">High</span>|Access Control|Cloud Storage Bucket is anonymously or publicly accessible|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/storage_bucket_iam#member/members">Documentation</a><br/>|
|BigQuery Dataset Is Public<br/><sup><sub>e576ce44-dd03-4022-a8c0-3906acca2ab4</sub></sup>|<span style="color:#C00">High</span>|Access Control|BigQuery dataset is anonymously or publicly accessible|<a href="https://www.terraform.io/docs/providers/google/r/bigquery_dataset.html">Documentation</a><br/>|
|SQL DB Instance Is Publicly Accessible<br/><sup><sub>b187edca-b81e-4fdc-aff4-aab57db45edb</sub></sup>|<span style="color:#C00">High</span>|Access Control|Check if any Cloud SQL instances are publicly accessible.|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/sql_database_instance">Documentation</a><br/>|
|OSLogin Disabled<br/><sup><sub>32ecd6eb-0711-421f-9627-1a28d9eff217</sub></sup>|<span style="color:#C00">High</span>|Access Control|Verifies that the OSLogin is enabled|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_project_metadata#metadata">Documentation</a><br/>|
|VM With Full Cloud Access<br/><sup><sub>bc280331-27b9-4acb-a010-018e8098aa5d</sub></sup>|<span style="color:#C00">High</span>|Access Control|A VM instance is configured to use the default service account with full access to all Cloud APIs|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_instance#scopes">Documentation</a><br/>|
|SQL DB Instance Backup Disabled<br/><sup><sub>cf3c7631-cd1e-42f3-8801-a561214a6e79</sub></sup>|<span style="color:#C00">High</span>|Backup|Checks if backup configuration is enabled for all Cloud SQL Database instances|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/sql_database_instance">Documentation</a><br/>|
|High KMS Rotation Period<br/><sup><sub>352271ca-842f-408a-8b24-f6f2b76eb027</sub></sup>|<span style="color:#C00">High</span>|Encryption|Check that keys aren't the same for a period greater than 365 days.|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/kms_crypto_key">Documentation</a><br/>|
|KMS Crypto Key is Publicly Accessible<br/><sup><sub>16cc87d1-dd47-4f46-b3ce-4dfcac8fd2f5</sub></sup>|<span style="color:#C00">High</span>|Encryption|KMS Crypto Key should not be publicly accessible. In other words, the KMS Crypto Key policy should not set 'allUsers' or 'allAuthenticatedUsers' in the attribute 'member'/'members'|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/google_kms_crypto_key_iam#google_kms_crypto_key_iam_policy">Documentation</a><br/>|
|DNSSEC Using RSASHA1<br/><sup><sub>ccc3100c-0fdd-4a5e-9908-c10107291860</sub></sup>|<span style="color:#C00">High</span>|Encryption|Checks if, within the 'dnssec_config' block, the 'default_key_specs' block exists with the 'algorithm' field is 'rsasha1' which is bad.|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/dns_managed_zone#algorithm">Documentation</a><br/>|
|SQL DB Instance With SSL Disabled<br/><sup><sub>02474449-71aa-40a1-87ae-e14497747b00</sub></sup>|<span style="color:#C00">High</span>|Encryption|Cloud SQL Database Instance should have SLL enabled|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/sql_database_instance#require_ssl">Documentation</a><br/>|
|Pod Security Policy Disabled<br/><sup><sub>9192e0f9-eca5-4056-9282-ae2a736a4088</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Clusters must have Pod Security Policy controller enabled, which means there must be a 'pod_security_policy_config' with the 'enabled' attribute equal to true|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|GKE Legacy Authorization Enabled<br/><sup><sub>5baa92d2-d8ee-4c75-88a4-52d9d8bb8067</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Engine Clusters must have Legacy Authorization set to disabled, which means the attribute 'enable_legacy_abac' must not be true|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|GKE Basic Authentication Enabled<br/><sup><sub>70cdf849-b7d9-4569-b87d-5d82ffd44719</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|GCP - Google Kubernetes Engine (GKE) Basic Authentication must be disabled, which means the username and password provided in the master_auth block must be empty|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|COS Node Image Not Used<br/><sup><sub>8a893e46-e267-485a-8690-51f39951de58</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|The node image should be Container-Optimized OS(COS)|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_node_pool#node_config">Documentation</a><br/>|
|IP Aliasing Disabled<br/><sup><sub>c606ba1d-d736-43eb-ac24-e16108f3a9e0</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Clusters must be created with Alias IP ranges enabled, which means the attribut 'ip_allocation_policy' must be defined and, if defined, the attribute 'networking_mode' must be VPC_NATIVE |<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|Cluster Master Authentication Disabled<br/><sup><sub>1baba08e-3c8a-4be7-95eb-dced5833de21</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Engine Clusters must have Master Authentication set to enabled, which means the attribute 'master_auth' must have the subattributes 'username' and 'password' defined and not empty|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|Private Cluster Disabled<br/><sup><sub>6ccb85d7-0420-4907-9380-50313f80946b</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Clusters must be created with Private Clusters enabled, meaning the 'private_cluster_config' must be defined and the attributes 'enable_private_nodes' and 'enable_private_endpoint' must be true|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|Client Certificate Disabled<br/><sup><sub>73fb21a1-b19a-45b1-b648-b47b1678681e</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Clusters must be created with Client Certificate enabled, which means 'master_auth' must have 'client_certificate_config' with the attribute 'issue_client_certificate' equal to true|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|Cluster Labels Disabled<br/><sup><sub>65c1bc7a-4835-4ac4-a2b6-13d310b0648d</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Clusters must be configured with labels, which means the attribute 'resource_labels' must be defined|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|Network Policy Disabled<br/><sup><sub>11e7550e-c4b6-472e-adff-c698f157cdd7</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Kubernetes Engine Clusters must have Network Policy enabled, meaning that the attribute 'network_policy.enabled' must be true and the attribute 'addons_config.network_policy_config.disabled' must be false |<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|Not Proper Email Account In Use<br/><sup><sub>9356962e-4a4f-4d06-ac59-dc8008775eaa</sub></sup>|<span style="color:#C00">High</span>|Insecure Configurations|Gmail accounts are being used instead of corporate credentials|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/google_project_iam#google_project_iam_binding">Documentation</a><br/>|
|Cloud Storage Bucket Versioning Disabled<br/><sup><sub>e7e961ac-d17e-4413-84bc-8a1fbe242944</sub></sup>|<span style="color:#C00">High</span>|Observability|Object Versioning Not Enabled on Cloud Storage Bucket|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/storage_bucket#enabled">Documentation</a><br/>|
|Stackdriver Logging Disabled<br/><sup><sub>4c7ebcb2-eae2-461e-bc83-456ee2d4f694</sub></sup>|<span style="color:#C00">High</span>|Observability|Kubernetes Engine Clusters must have Stackdriver Logging enabled, which means the attribute 'logging_service' must be defined and different from 'none'|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|Cloud Storage Bucket Logging Not Enabled<br/><sup><sub>d6cabc3a-d57e-48c2-b341-bf3dd4f4a120</sub></sup>|<span style="color:#C00">High</span>|Observability|Cloud storage bucket with logging not enabled|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/storage_bucket#log_bucket">Documentation</a><br/>|
|Stackdriver Monitoring Disabled<br/><sup><sub>30e8dfd2-3591-4d19-8d11-79e93106c93d</sub></sup>|<span style="color:#C00">High</span>|Observability|Kubernetes Engine Clusters must have Stackdriver Monitoring enabled, which means the attribute 'monitoring_service' must be defined and different than 'none'|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster">Documentation</a><br/>|
|IAM Audit Not Properly Configured<br/><sup><sub>89fe890f-b480-460c-8b6b-7d8b1468adb4</sub></sup>|<span style="color:#C00">High</span>|Observability|Audit Logging Configuration is defective|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/google_project_iam#google_project_iam_audit_config">Documentation</a><br/>|
|Node Auto Upgrade Disabled<br/><sup><sub>b139213e-7d24-49c2-8025-c18faa21ecaa</sub></sup>|<span style="color:#C00">High</span>|Resource Management|Node 'auto_upgrade' should be enabled for Kubernetes Clusters|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_node_pool#auto_upgrade">Documentation</a><br/>|
|KMS Admin and CryptoKey Roles In Use<br/><sup><sub>92e4464a-4139-4d57-8742-b5acc0347680</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Google Project IAM Policy should not assign a KMS admin role and CryptoKey role to the same member|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/google_project_iam#policy_data">Documentation</a><br/>|
|Cloud Storage Anonymous or Publicly Accessible<br/><sup><sub>a6cd52a1-3056-4910-96a5-894de9f3f3b3</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Cloud Storage Buckets must not be anonymously or publicly accessible, which means the attribute 'members' must not possess 'allUsers' or 'allAuthenticatedUsers'|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/storage_bucket_iam#google_storage_bucket_iam_binding">Documentation</a><br/>|
|Google Project IAM Member Service Account Has Admin Role<br/><sup><sub>84d36481-fd63-48cb-838e-635c44806ec2</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Verifies that Google Project IAM Member Service Account doesn't have an Admin Role associated|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/google_project_iam#google_project_iam_member">Documentation</a><br/>|
|Google Project IAM Binding Service Account has Token Creator or Account User Role<br/><sup><sub>617ef6ff-711e-4bd7-94ae-e965911b1b40</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Verifies if Google Project IAM Binding Service Account doesn't have an Account User or Token Creator Role associated|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/google_project_iam#google_project_iam_binding">Documentation</a><br/>|
|Google Project IAM Member Service Account has Token Creator or Account User Role<br/><sup><sub>c68b4e6d-4e01-4ca1-b256-1e18e875785c</sub></sup>|<span style="color:#C60">Medium</span>|Access Control|Verifies if Google Poject IAM Member Service Account doesn't have a Account User or Token Creator associated|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/google_project_iam#google_project_iam_member">Documentation</a><br/>|
|Disk Encryption Disabled<br/><sup><sub>b1d51728-7270-4991-ac2f-fc26e2695b38</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|VM disks for critical VMs must be encrypted with Customer Supplied Encryption Keys (CSEK) or with Customer-managed encryption keys (CMEK), which means the attribute 'disk_encryption_key' must be defined and its sub attributes 'raw_key' or 'kms_key_self_link' must also be defined|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_disk">Documentation</a><br/>|
|Google Compute SSL Policy Weak Cipher In Use<br/><sup><sub>14a457f0-473d-4d1d-9e37-6d99b355b336</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|This query confirms if Google Compute SSL Policy Weak Chyper Suits is Enabled, to do so we need to check if TLS is TLS_1_2, because other version have Weak Chypers|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_ssl_policy">Documentation</a><br/>|
|High Google KMS Crypto Key Rotation Period<br/><sup><sub>d8c57c4e-bf6f-4e32-a2bf-8643532de77b</sub></sup>|<span style="color:#C60">Medium</span>|Encryption|Make sure Encryption keys change after 90 days|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/kms_crypto_key">Documentation</a><br/>|
|Google Project Auto Create Network Disabled<br/><sup><sub>59571246-3f62-4965-a96f-c7d97e269351</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Verifies if the Google Project Auto Create Network is Disabled|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/google_project">Documentation</a><br/>|
|Using Default Service Account<br/><sup><sub>3cb4af0b-056d-4fb1-8b95-fdc4593625ff</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Instances must not be configured to use the Default Service Account, that has full access to all Cloud APIs, which means the attribute 'service_account' and its sub attribute 'email' must be defined. Additionally, 'email' must not be empty and must also not be a default Google Compute Engine service account.|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_instance">Documentation</a><br/>|
|OSLogin Is Disabled For VM Instance<br/><sup><sub>d0b4d550-c001-46c3-bbdb-d5d75d33f05f</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if any VM instance disables OSLogin|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_instance">Documentation</a><br/>|
|Google Storage Bucket Level Access Disabled<br/><sup><sub>bb0db090-5509-4853-a827-75ced0b3caa0</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Google Storage Bucket Level Access should be enabled|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/storage_bucket">Documentation</a><br/>|
|Shielded VM Disabled<br/><sup><sub>1b44e234-3d73-41a8-9954-0b154135280e</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Compute instances must be launched with Shielded VM enabled, which means the attribute 'shielded_instance_config' must be defined and its sub attributes 'enable_secure_boot', 'enable_vtpm' and 'enable_integrity_monitoring' must be set to true|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_instance#shielded_instance_config">Documentation</a><br/>|
|Serial Ports Are Enabled For VM Instances<br/><sup><sub>97fa667a-d05b-4f16-9071-58b939f34751</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Check if VM instance enables serial ports|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_instance">Documentation</a><br/>|
|Project-wide SSH Keys Are Enabled In VM Instances<br/><sup><sub>3e4d5ce6-3280-4027-8010-c26eeea1ec01</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|VM Instance should block project-wide SSH keys|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_instance">Documentation</a><br/>|
|Google Container Node Pool Auto Repair Disabled<br/><sup><sub>acfdbec6-4a17-471f-b412-169d77553332</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Verifies if Google Container Node Pool Auto Repair is Enabled|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_node_pool">Documentation</a><br/>|
|GKE Using Default Service Account<br/><sup><sub>1c8eef02-17b1-4a3e-b01d-dcc3292d2c38</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Kubernetes Engine Clusters should not be configured to use the default service account|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/container_cluster#node_config">Documentation</a><br/>|
|Cloud DNS without DNSSEC<br/><sup><sub>5ef61c88-bbb4-4725-b1df-55d23c9676bb</sub></sup>|<span style="color:#C60">Medium</span>|Insecure Configurations|Cloud DNS without DNSSEC|<a href="https://www.terraform.io/docs/providers/google/d/dns_managed_zone.html">Documentation</a><br/>|
|IP Forwarding Enabled<br/><sup><sub>f34c0c25-47b4-41eb-9c79-249b4dd47b89</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|Instances must not have IP forwarding enabled, which means the attribute 'can_ip_forward' must not be true|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/data-sources/compute_instance">Documentation</a><br/>|
|Google Compute Network Using Firewall Rule that Allows All Ports<br/><sup><sub>22ef1d26-80f8-4a6c-8c15-f35aab3cac78</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|Google Compute Network should not use a firewall rule that allows all ports|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_firewall#allow">Documentation</a><br/>|
|Google Compute Network Using Default Firewall Rule<br/><sup><sub>40abce54-95b1-478c-8e5f-ea0bf0bb0e33</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|Google Compute Network should not use default firewall rule|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_firewall#name">Documentation</a><br/>|
|RDP Access Is Not Restricted<br/><sup><sub>678fd659-96f2-454a-a2a0-c2571f83a4a3</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if Google Firewall ingress allows RDP access (port 3389)|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_firewall">Documentation</a><br/>|
|SSH Access Is Not Restricted<br/><sup><sub>c4dcdcdf-10dd-4bf4-b4a0-8f6239e6aaa0</sub></sup>|<span style="color:#C60">Medium</span>|Networking and Firewall|Check if Google Firewall allows SSH access (port 22) from the Internet (public CIDR block)|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_firewall">Documentation</a><br/>|
|Google Compute Subnetwork Logging Disabled<br/><sup><sub>40430747-442d-450a-a34f-dc57149f4609</sub></sup>|<span style="color:#C60">Medium</span>|Observability|This query checks if logs are enabled for a Google Compute Subnetwork resource.|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_subnetwork">Documentation</a><br/>|
|Service Account with Improper Privileges<br/><sup><sub>cefdad16-0dd5-4ac5-8ed2-a37502c78672</sub></sup>|<span style="color:#C60">Medium</span>|Resource Management|Service account should not have improper privileges like admin, editor, owner, or write roles|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/data-sources/iam_policy#role">Documentation</a><br/>|
|User with IAM Role<br/><sup><sub>704fcc44-a58f-4af5-82e2-93f2a58ef918</sub></sup>|<span style="color:#CC0">Low</span>|Best Practices|As a best practice, it is better to assign an IAM Role to a group than to a user|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/data-sources/iam_policy#role">Documentation</a><br/>|
|Google Compute Subnetwork with Private Google Access Disabled<br/><sup><sub>ee7b93c1-b3f8-4a3b-9588-146d481814f5</sub></sup>|<span style="color:#CC0">Low</span>|Networking and Firewall|Google Compute Subnetwork should have 'private_ip_google_access' set to true|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_subnetwork#private_ip_google_access">Documentation</a><br/>|
|Google Compute Network Using Firewall Rule that Allows Port Range<br/><sup><sub>e6f61c37-106b-449f-a5bb-81bfcaceb8b4</sub></sup>|<span style="color:#CC0">Low</span>|Networking and Firewall|Google Compute Network should not use a firewall rule that allows port range|<a href="https://registry.terraform.io/providers/hashicorp/google/latest/docs/resources/compute_firewall#allow">Documentation</a><br/>|
